-- MySQL dump 10.13  Distrib 8.0.33, for Win64 (x86_64)
--
-- Host: localhost    Database: db_iemr
-- ------------------------------------------------------
-- Server version	5.7.15-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `czentriclog`
--

DROP TABLE IF EXISTS `czentriclog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `czentriclog` (
  `CZentricLogid` bigint(20) NOT NULL AUTO_INCREMENT,
  `BenCallID` bigint(20) DEFAULT NULL,
  `CallID` varchar(30) NOT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `CallLogResponse` longtext,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CZentricLogid`),
  KEY `inx_BenCallID` (`BenCallID`),
  KEY `inx_BeneficiaryRegID` (`BeneficiaryRegID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `eaushadilogger`
--

DROP TABLE IF EXISTS `eaushadilogger`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `eaushadilogger` (
  `ELID` int(11) NOT NULL AUTO_INCREMENT,
  `Amrith_Facilityid` int(11) NOT NULL,
  `Eaushadi_Facilityid` int(11) NOT NULL,
  `LastSuccessDate` datetime DEFAULT NULL,
  `LastFailureDate` datetime DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `StockUpdateAmrit` bit(1) DEFAULT NULL,
  `Acknowledge` bit(1) DEFAULT NULL,
  PRIMARY KEY (`ELID`),
  KEY `inx_Amrith_Facilityid` (`Amrith_Facilityid`),
  KEY `inx_Eaushadi_Facilityid` (`Eaushadi_Facilityid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `hibernate_sequence`
--

DROP TABLE IF EXISTS `hibernate_sequence`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `hibernate_sequence` (
  `next_val` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `i_ben_flow_outreach`
--

DROP TABLE IF EXISTS `i_ben_flow_outreach`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `i_ben_flow_outreach` (
  `ben_flow_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `beneficiary_reg_id` bigint(20) DEFAULT NULL,
  `beneficiary_visit_id` bigint(20) DEFAULT NULL,
  `beneficiary_visit_code` bigint(20) DEFAULT NULL,
  `visit_reason` varchar(45) DEFAULT NULL,
  `visit_category` varchar(45) DEFAULT NULL,
  `visit_no` smallint(6) DEFAULT NULL,
  `ben_name` varchar(125) DEFAULT NULL,
  `ben_age` varchar(45) DEFAULT NULL,
  `ben_dob` datetime DEFAULT NULL,
  `ben_gender` varchar(45) DEFAULT NULL,
  `ben_phone_no` varchar(45) DEFAULT NULL,
  `ben_age_val` int(11) DEFAULT NULL,
  `nurse_flag` smallint(6) DEFAULT '0',
  `doctor_flag` smallint(6) DEFAULT '0',
  `pharmacist_flag` smallint(6) DEFAULT '0',
  `lab_technician_flag` smallint(6) DEFAULT '0',
  `radiologist_flag` smallint(6) DEFAULT '0',
  `oncologist_flag` smallint(6) DEFAULT '0',
  `specialist_flag` smallint(6) DEFAULT '0',
  `TC_SpecialistLabFlag` smallint(6) DEFAULT '0',
  `created_by` varchar(45) DEFAULT NULL,
  `created_date` datetime DEFAULT CURRENT_TIMESTAMP,
  `modified_by` varchar(45) DEFAULT NULL,
  `modified_date` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `visitDate` timestamp NULL DEFAULT NULL,
  `consultationDate` timestamp NULL DEFAULT NULL,
  `registrationDate` datetime DEFAULT NULL,
  `visitSession` int(11) DEFAULT NULL,
  `father_name` varchar(100) DEFAULT NULL,
  `spouse_name` varchar(100) DEFAULT NULL,
  `ben_gender_val` smallint(6) DEFAULT NULL,
  `beneficiary_id` bigint(20) DEFAULT NULL,
  `districtID` int(11) DEFAULT NULL,
  `district` varchar(100) DEFAULT NULL,
  `villageID` int(11) DEFAULT NULL,
  `village` varchar(150) DEFAULT NULL,
  `lab_iteration_cnt` smallint(6) DEFAULT NULL,
  `deleted` bit(1) DEFAULT b'0',
  `servicePointID` int(11) DEFAULT NULL,
  `servicePoint` varchar(150) DEFAULT NULL,
  `providerServiceMapID` int(11) DEFAULT NULL,
  `vanID` int(11) DEFAULT NULL,
  `vanNo` varchar(45) DEFAULT NULL,
  `consultantID` int(11) DEFAULT NULL,
  `consultantName` varchar(125) DEFAULT NULL,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  `Processed` char(4) DEFAULT 'N',
  `BenArrivedFlag` bit(1) DEFAULT b'0',
  `TCSpecialistUserID` int(11) DEFAULT NULL,
  `TCRequestDate` datetime DEFAULT NULL,
  `referred_visitcode` bigint(20) DEFAULT NULL,
  `referred_visit_id` bigint(20) DEFAULT NULL,
  `isCaseSheetdownloaded` bit(1) DEFAULT NULL,
  PRIMARY KEY (`ben_flow_id`),
  KEY `inx_beneficiary_reg_id` (`beneficiary_reg_id`),
  KEY `inx_beneficiary_visit_code` (`beneficiary_visit_code`),
  KEY `inx_nurse_flag` (`nurse_flag`),
  KEY `inx_doctor_flag` (`doctor_flag`),
  KEY `inx_pharmacist_flag` (`pharmacist_flag`),
  KEY `inx_radiologist_flag` (`radiologist_flag`),
  KEY `inx_oncologist_flag` (`oncologist_flag`),
  KEY `inx_specialist_flag` (`specialist_flag`),
  KEY `inx_providerServiceMapID` (`providerServiceMapID`),
  KEY `inx_vanID` (`vanID`),
  KEY `inx_TCSpecialistUserID` (`TCSpecialistUserID`),
  KEY `inx_referred_visitcode` (`referred_visitcode`),
  KEY `inx_Processed` (`Processed`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`piramaldev`@`%`*/ /*!50003 TRIGGER TRG_VisitData
 AFTER UPDATE
 ON i_ben_flow_outreach FOR EACH ROW
 BEGIN
 
 if not exists (select 1 from NDHM_TRG_VisitData where benflowid=new.ben_flow_id) then
 
 if(  (new.specialist_flag=9) or (new.doctor_flag=9 and new.specialist_flag in(0,9))
 or (new.visit_category='Cancer Screening' and (new.nurse_flag=9 and new.doctor_flag in(0,9))
 )
   ) then
 insert ignore into NDHM_TRG_VisitData(benflowid,BeneficiaryRegID,beneficiary_id,visit_reason,visit_category,
 visitid,VisitCode,visitdate,created_date)
 values(new.ben_flow_id,new.beneficiary_reg_id,new.beneficiary_id,new.visit_reason,new.visit_category,
 new.beneficiary_visit_id,new.beneficiary_visit_code,new.visitdate,new.created_date);
 end if;
 end if;
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `i_benphonemap`
--

DROP TABLE IF EXISTS `i_benphonemap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `i_benphonemap` (
  `BenPhMapID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BenificiaryRegID` bigint(20) DEFAULT NULL,
  `ParentBenRegID` bigint(20) DEFAULT NULL,
  `BenRelationshipID` smallint(6) DEFAULT NULL,
  `PhoneNo` varchar(15) DEFAULT NULL,
  `PhoneTypeID` smallint(6) DEFAULT NULL,
  `NuisanceCallCount` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`BenPhMapID`),
  KEY `FK_BenPhoneMap_BenRelationshipType_idx` (`BenRelationshipID`),
  KEY `FK_BenPhoneMap_PhoneType_idx` (`PhoneTypeID`),
  CONSTRAINT `FK_BenPhoneMap_BenRelationshipType` FOREIGN KEY (`BenRelationshipID`) REFERENCES `m_benrelationshiptype` (`BenRelationshipID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenPhoneMap_PhoneType` FOREIGN KEY (`PhoneTypeID`) REFERENCES `m_phonetype` (`PhoneTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104actionmaster`
--

DROP TABLE IF EXISTS `m_104actionmaster`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104actionmaster` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(300) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104appetite`
--

DROP TABLE IF EXISTS `m_104appetite`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104appetite` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(20) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104bladder`
--

DROP TABLE IF EXISTS `m_104bladder`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104bladder` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104bowel`
--

DROP TABLE IF EXISTS `m_104bowel`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104bowel` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104course`
--

DROP TABLE IF EXISTS `m_104course`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104course` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104diseasesummary`
--

DROP TABLE IF EXISTS `m_104diseasesummary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104diseasesummary` (
  `DiseasesummaryID` int(11) NOT NULL AUTO_INCREMENT,
  `DiseaseName` varchar(300) DEFAULT NULL,
  `summary` longtext,
  `is_dangerous` longtext,
  `Causes` longtext,
  `Dos_Donts` longtext,
  `Symptoms_Signs` longtext,
  `medicaladvice` longtext,
  `Riskfactors` longtext,
  `Treatment` longtext,
  `Self_care` longtext,
  `Investigations` longtext,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DiseasesummaryID`)
) ENGINE=InnoDB AUTO_INCREMENT=622 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104druggroup`
--

DROP TABLE IF EXISTS `m_104druggroup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104druggroup` (
  `DrugGroupID` int(11) NOT NULL AUTO_INCREMENT,
  `DrugGroup` varchar(100) DEFAULT NULL,
  `DrugGroupDesc` varchar(100) DEFAULT NULL,
  `ServiceProviderID` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DrugGroupID`),
  KEY `FK_104DrugDroup_ServiceProvider_idx` (`ServiceProviderID`),
  CONSTRAINT `FK_104DrugDroup_ServiceProvider` FOREIGN KEY (`ServiceProviderID`) REFERENCES `m_serviceprovider` (`ServiceProviderID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104druglist`
--

DROP TABLE IF EXISTS `m_104druglist`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104druglist` (
  `DrugID` int(11) NOT NULL AUTO_INCREMENT,
  `DrugName` varchar(100) DEFAULT NULL,
  `DrugDesc` varchar(100) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `ServiceProviderID` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DrugID`),
  KEY `FK_104DrugList_ServiceProvider_idx` (`ServiceProviderID`),
  CONSTRAINT `FK_104DrugList_ServiceProvider` FOREIGN KEY (`ServiceProviderID`) REFERENCES `m_serviceprovider` (`ServiceProviderID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104drugmapping`
--

DROP TABLE IF EXISTS `m_104drugmapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104drugmapping` (
  `DrugMapID` int(11) NOT NULL AUTO_INCREMENT,
  `DrugId` int(11) DEFAULT NULL,
  `DrugName` varchar(100) DEFAULT NULL,
  `DrugGroupID` int(11) DEFAULT NULL,
  `DrugGroupName` varchar(100) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DrugMapID`),
  KEY `FK_104DrugMapping_DrugGroup_idx` (`DrugGroupID`),
  KEY `FK_104DrugMapping_DrugList_idx` (`DrugId`),
  KEY `FK_104DrugMapping_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_104DrugMapping_DrugGroup` FOREIGN KEY (`DrugGroupID`) REFERENCES `m_104druggroup` (`DrugGroupID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_104DrugMapping_DrugList` FOREIGN KEY (`DrugId`) REFERENCES `m_104druglist` (`DrugID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_104DrugMapping_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104drugstrength`
--

DROP TABLE IF EXISTS `m_104drugstrength`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104drugstrength` (
  `DrugStrengthID` int(11) NOT NULL AUTO_INCREMENT,
  `DrugStrength` varchar(50) DEFAULT NULL,
  `DrugStrengthDesc` varchar(50) DEFAULT NULL,
  `ServiceProviderID` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DrugStrengthID`),
  KEY `FK_104DrugStrength_ServiceProvider_idx` (`ServiceProviderID`),
  CONSTRAINT `FK_104DrugStrength_ServiceProvider` FOREIGN KEY (`ServiceProviderID`) REFERENCES `m_serviceprovider` (`ServiceProviderID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104familycondition`
--

DROP TABLE IF EXISTS `m_104familycondition`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104familycondition` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104gettingwithfamily`
--

DROP TABLE IF EXISTS `m_104gettingwithfamily`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104gettingwithfamily` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104householdwork`
--

DROP TABLE IF EXISTS `m_104householdwork`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104householdwork` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104hygieneselfcare`
--

DROP TABLE IF EXISTS `m_104hygieneselfcare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104hygieneselfcare` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104issuesatworkplace`
--

DROP TABLE IF EXISTS `m_104issuesatworkplace`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104issuesatworkplace` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104libido`
--

DROP TABLE IF EXISTS `m_104libido`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104libido` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104pastmedicalcondition`
--

DROP TABLE IF EXISTS `m_104pastmedicalcondition`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104pastmedicalcondition` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104pastpsychiatriccondition`
--

DROP TABLE IF EXISTS `m_104pastpsychiatriccondition`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104pastpsychiatriccondition` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104precipitatingfactor`
--

DROP TABLE IF EXISTS `m_104precipitatingfactor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104precipitatingfactor` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104progress`
--

DROP TABLE IF EXISTS `m_104progress`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104progress` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104psychiatricchiefcomplaints`
--

DROP TABLE IF EXISTS `m_104psychiatricchiefcomplaints`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104psychiatricchiefcomplaints` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=83 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104questionscore`
--

DROP TABLE IF EXISTS `m_104questionscore`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104questionscore` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `QuestionID` int(11) DEFAULT NULL,
  `Answer` varchar(50) DEFAULT NULL,
  `Score` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `Question` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_104QuestionScore_Questionnaire_idx` (`QuestionID`),
  CONSTRAINT `FK_104QuestionScore_Questionnaire` FOREIGN KEY (`QuestionID`) REFERENCES `m_questionnaire` (`QuestionID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=104 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104regularworok`
--

DROP TABLE IF EXISTS `m_104regularworok`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104regularworok` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104relationship`
--

DROP TABLE IF EXISTS `m_104relationship`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104relationship` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104sleep`
--

DROP TABLE IF EXISTS `m_104sleep`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104sleep` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_104treatmenttype`
--

DROP TABLE IF EXISTS `m_104treatmenttype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_104treatmenttype` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_agegroup`
--

DROP TABLE IF EXISTS `m_agegroup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_agegroup` (
  `AgeGroupID` smallint(6) NOT NULL AUTO_INCREMENT,
  `AgeGroup` varchar(20) DEFAULT NULL,
  `AgeGroupDesc` varchar(30) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`AgeGroupID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_ageunits`
--

DROP TABLE IF EXISTS `m_ageunits`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_ageunits` (
  `Ageunitid` smallint(6) NOT NULL AUTO_INCREMENT,
  `AgeUnit` varchar(20) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`Ageunitid`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_allergicreactiontype`
--

DROP TABLE IF EXISTS `m_allergicreactiontype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_allergicreactiontype` (
  `AllergicReactionTypeID` smallint(6) NOT NULL AUTO_INCREMENT,
  `Name` varchar(20) DEFAULT NULL,
  `AllergicReactionTypeDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`AllergicReactionTypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_allergystatus`
--

DROP TABLE IF EXISTS `m_allergystatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_allergystatus` (
  `AllergyStatusID` smallint(6) NOT NULL AUTO_INCREMENT,
  `Name` varchar(20) DEFAULT NULL,
  `AllergyStatusDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`AllergyStatusID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_allergytype`
--

DROP TABLE IF EXISTS `m_allergytype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_allergytype` (
  `AllergyTypeID` smallint(6) NOT NULL AUTO_INCREMENT,
  `Name` varchar(20) DEFAULT NULL,
  `AllergyTypeDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`AllergyTypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_answertype`
--

DROP TABLE IF EXISTS `m_answertype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_answertype` (
  `AnswerTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `AnswerType` varchar(30) DEFAULT NULL,
  `AnswerTypeDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`AnswerTypeID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_areasubdistrictmap`
--

DROP TABLE IF EXISTS `m_areasubdistrictmap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_areasubdistrictmap` (
  `AreaSubDistrictMapID` int(11) NOT NULL AUTO_INCREMENT,
  `AreaID` int(11) DEFAULT NULL,
  `DistrictBlockID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`AreaSubDistrictMapID`),
  KEY `FK_AreaSubDistrictMap_ProviderServiceMapping` (`ProviderServiceMapID`),
  KEY `FK_AreaSubDistrictMap_DistrictBlock` (`DistrictBlockID`),
  KEY `FK_AreaSubDistrictMap_Area_idx` (`AreaID`),
  CONSTRAINT `FK_AreaSubDistrictMap_Area` FOREIGN KEY (`AreaID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_AreaSubDistrictMap_DistrictBlock` FOREIGN KEY (`DistrictBlockID`) REFERENCES `m_districtblock` (`BlockID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_AreaSubDistrictMap_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_authorityemail`
--

DROP TABLE IF EXISTS `m_authorityemail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_authorityemail` (
  `AuthorityEmailID` int(11) NOT NULL AUTO_INCREMENT,
  `StateID` int(11) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `BlockID` int(11) DEFAULT NULL,
  `DistrictBranchMappingID` int(11) DEFAULT NULL,
  `DesignationID` int(11) DEFAULT NULL,
  `AuthorityName` varchar(100) DEFAULT NULL,
  `EmailID` varchar(100) DEFAULT NULL,
  `ContactNo` varchar(15) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`AuthorityEmailID`),
  KEY `FK_AuthorityEmail_State_idx` (`StateID`),
  KEY `FK_AuthorityEmail_District_idx` (`DistrictID`),
  KEY `FK_AuthorityEmail_Designation_idx` (`DesignationID`),
  KEY `FK_AuthorityEmail_ProviderServiceMap_idx` (`ProviderServiceMapID`),
  KEY `FK_AuthorityEmail_DistrictBlock_idx` (`BlockID`),
  KEY `FK_AuthorityEmail_DistrictBranchMap_idx` (`DistrictBranchMappingID`),
  CONSTRAINT `FK_AuthorityEmail_Designation` FOREIGN KEY (`DesignationID`) REFERENCES `m_designation` (`DesignationID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_AuthorityEmail_District` FOREIGN KEY (`DistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_AuthorityEmail_DistrictBlock` FOREIGN KEY (`BlockID`) REFERENCES `m_districtblock` (`BlockID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_AuthorityEmail_DistrictBranchMap` FOREIGN KEY (`DistrictBranchMappingID`) REFERENCES `m_districtbranchmapping` (`DistrictBranchID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_AuthorityEmail_ProviderServiceMap` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_AuthorityEmail_State` FOREIGN KEY (`StateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_bencall104servicesmapping`
--

DROP TABLE IF EXISTS `m_bencall104servicesmapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_bencall104servicesmapping` (
  `BenCall104ServiceMapID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `SubServiceID` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`BenCall104ServiceMapID`),
  KEY `FK_BenCall104ServicesMapping_BenCall_idx` (`BenCallID`),
  KEY `FK_BenCall104ServicesMapping_SubService_idx` (`SubServiceID`),
  CONSTRAINT `FK_BenCall104ServicesMapping_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenCall104ServicesMapping_SubService` FOREIGN KEY (`SubServiceID`) REFERENCES `m_subservice` (`SubServiceID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_bencall1097servicesmapping`
--

DROP TABLE IF EXISTS `m_bencall1097servicesmapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_bencall1097servicesmapping` (
  `BenCall97ServiceMapID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `SubServiceID` smallint(6) DEFAULT NULL,
  `COCategoryID` int(11) DEFAULT NULL,
  `COSubCategoryID` int(11) DEFAULT NULL,
  `CategoryID` int(11) DEFAULT NULL,
  `SubCategoryID` int(11) DEFAULT NULL,
  `FeedbackID` bigint(20) DEFAULT NULL,
  `InstituteDirMapID` bigint(20) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`BenCall97ServiceMapID`),
  KEY `FK_BenCall1097ServicesMapping_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_BenCall1097ServicesMapping_BenCall_idx` (`BenCallID`),
  KEY `FK_BenCall1097ServicesMapping_Category_idx` (`CategoryID`),
  KEY `FK_BenCall1097ServicesMapping_SubCategory_idx` (`SubCategoryID`),
  KEY `FK_BenCall1097ServicesMapping_Feedback_idx` (`FeedbackID`),
  KEY `FK_BenCall1097ServicessMapping_InstituteDirectoryMapping_idx` (`InstituteDirMapID`),
  KEY `FK_BenCall1097ServicesMapping_CategoryCO_idx` (`COCategoryID`),
  KEY `FK_BenCall1097ServicesMapping_SubCategoryCO_idx` (`COSubCategoryID`),
  KEY `FK_BenCall1097ServicesMapping_SubService_idx` (`SubServiceID`),
  KEY `IX_CreatedDate` (`CreatedDate`),
  CONSTRAINT `FK_BenCall1097ServicesMapping_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenCall1097ServicesMapping_Category` FOREIGN KEY (`CategoryID`) REFERENCES `m_category` (`CategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenCall1097ServicesMapping_CategoryCO` FOREIGN KEY (`COCategoryID`) REFERENCES `m_category` (`CategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenCall1097ServicesMapping_Feedback` FOREIGN KEY (`FeedbackID`) REFERENCES `t_feedback` (`FeedbackID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenCall1097ServicesMapping_SubCategory` FOREIGN KEY (`SubCategoryID`) REFERENCES `m_subcategory` (`SubCategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenCall1097ServicesMapping_SubCategoryCO` FOREIGN KEY (`COSubCategoryID`) REFERENCES `m_subcategory` (`SubCategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenCall1097ServicesMapping_SubService` FOREIGN KEY (`SubServiceID`) REFERENCES `m_subservice` (`SubServiceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenCall1097ServicessMapping_InstituteDirectoryMapping` FOREIGN KEY (`InstituteDirMapID`) REFERENCES `m_institutedirectorymapping` (`InstituteDirMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_beneficiaryeducation`
--

DROP TABLE IF EXISTS `m_beneficiaryeducation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_beneficiaryeducation` (
  `EducationID` smallint(6) NOT NULL AUTO_INCREMENT,
  `EducationType` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`EducationID`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_beneficiaryincomestatus`
--

DROP TABLE IF EXISTS `m_beneficiaryincomestatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_beneficiaryincomestatus` (
  `IncomeStatusID` smallint(6) NOT NULL AUTO_INCREMENT,
  `IncomeStatus` varchar(10) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`IncomeStatusID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_beneficiaryoccupation`
--

DROP TABLE IF EXISTS `m_beneficiaryoccupation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_beneficiaryoccupation` (
  `OccupationID` smallint(6) NOT NULL AUTO_INCREMENT,
  `OccupationType` varchar(50) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`OccupationID`),
  KEY `FK_BenQccupation_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_BenQccupation_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_benhealthidmapping`
--

DROP TABLE IF EXISTS `m_benhealthidmapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_benhealthidmapping` (
  `benHealthID` int(11) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `HealthID` varchar(200) DEFAULT NULL,
  `HealthIDNumber` varchar(200) DEFAULT NULL,
  `AuthenticationMode` varchar(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`benHealthID`),
  KEY `benregid_idx` (`BeneficiaryRegID`),
  KEY `healthid_idx` (`HealthID`),
  KEY `healthidno_idx` (`HealthIDNumber`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_benrelationshiptype`
--

DROP TABLE IF EXISTS `m_benrelationshiptype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_benrelationshiptype` (
  `BenRelationshipID` smallint(6) NOT NULL AUTO_INCREMENT,
  `BenRelationshipType` varchar(20) DEFAULT NULL,
  `Gender` varchar(10) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`BenRelationshipID`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_birthdosevaccinationreceivedat`
--

DROP TABLE IF EXISTS `m_birthdosevaccinationreceivedat`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_birthdosevaccinationreceivedat` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_blocksubcentermapping`
--

DROP TABLE IF EXISTS `m_blocksubcentermapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_blocksubcentermapping` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Employee_Code` varchar(50) DEFAULT NULL,
  `Employee_Name` varchar(50) DEFAULT NULL,
  `Survey_Facility_Code` varchar(50) DEFAULT NULL,
  `Office_Type` varchar(50) DEFAULT NULL,
  `Office_Category` varchar(50) DEFAULT NULL,
  `Posting_Office` varchar(50) DEFAULT NULL,
  `Post_District` varchar(50) DEFAULT NULL,
  `Designationid` int(11) DEFAULT NULL,
  `Designation` varchar(50) DEFAULT NULL,
  `Des_Category` varchar(50) DEFAULT NULL,
  `Des_SubCategory` varchar(50) DEFAULT NULL,
  `Employee_Type` varchar(50) DEFAULT NULL,
  `Cadre` varchar(50) DEFAULT NULL,
  `ActiveStatus` varchar(10) DEFAULT NULL,
  `Present_MobileNo` varchar(30) DEFAULT NULL,
  `DivisionName` varchar(50) DEFAULT NULL,
  `DivisionCode` int(11) DEFAULT NULL,
  `DistrictName` varchar(50) DEFAULT NULL,
  `D_LGD` int(11) DEFAULT NULL,
  `TehsilName` varchar(100) DEFAULT NULL,
  `T_LGD` int(11) DEFAULT NULL,
  `BlockName` varchar(100) DEFAULT NULL,
  `B_LGD` int(11) DEFAULT NULL,
  `GramPanchayatName` varchar(100) DEFAULT NULL,
  `G_LGD` int(11) DEFAULT NULL,
  `VillageName` varchar(100) DEFAULT NULL,
  `VillageCode` int(11) DEFAULT NULL,
  `FacilityName` varchar(100) DEFAULT NULL,
  `FacilityCode` varchar(50) DEFAULT NULL,
  `FacilityType` varchar(50) DEFAULT NULL,
  `FC_Status` varchar(50) DEFAULT NULL,
  `FacilityClassification` varchar(50) DEFAULT NULL,
  `FacilityCategory` varchar(50) DEFAULT NULL,
  `Longitude` varchar(30) DEFAULT NULL,
  `Latitude` varchar(30) DEFAULT NULL,
  `HIMSCode` int(11) DEFAULT NULL,
  `HWCStatus` varchar(20) DEFAULT NULL,
  `FRUStatus` varchar(20) DEFAULT NULL,
  `HFRID` varchar(30) DEFAULT NULL,
  `HPR_Code` varchar(30) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_bloodglucosetype`
--

DROP TABLE IF EXISTS `m_bloodglucosetype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_bloodglucosetype` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_bloodgroup`
--

DROP TABLE IF EXISTS `m_bloodgroup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_bloodgroup` (
  `BloodGroupID` int(11) NOT NULL AUTO_INCREMENT,
  `BloodGroup` varchar(10) DEFAULT NULL,
  `BloodGroupDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`BloodGroupID`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_bmicalculation`
--

DROP TABLE IF EXISTS `m_bmicalculation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_bmicalculation` (
  `Bmiid` int(11) NOT NULL AUTO_INCREMENT,
  `YearMonth` varchar(10) DEFAULT NULL,
  `Month` int(11) DEFAULT NULL,
  `N3SD` decimal(4,2) DEFAULT NULL,
  `N2SD` decimal(4,2) DEFAULT NULL,
  `N1SD` decimal(4,2) DEFAULT NULL,
  `P1SD` decimal(4,2) DEFAULT NULL,
  `P2SD` decimal(4,2) DEFAULT NULL,
  `P3SD` decimal(4,2) DEFAULT NULL,
  `Gender` varchar(10) NOT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) DEFAULT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`Bmiid`)
) ENGINE=InnoDB AUTO_INCREMENT=337 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_bpanddiabeticstatus`
--

DROP TABLE IF EXISTS `m_bpanddiabeticstatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_bpanddiabeticstatus` (
  `BPAndDiabeticStatusID` smallint(6) NOT NULL AUTO_INCREMENT,
  `BPAndDiabeticStatus` varchar(50) DEFAULT NULL,
  `BPAndDiabeticStatusDesc` varchar(50) DEFAULT NULL,
  `IsBPStatus` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`BPAndDiabeticStatusID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_breaktype`
--

DROP TABLE IF EXISTS `m_breaktype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_breaktype` (
  `BreakID` int(11) NOT NULL AUTO_INCREMENT,
  `BreakType` varchar(50) DEFAULT NULL,
  `BreakSubType` varchar(50) DEFAULT NULL,
  `MaxDuration` time DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`BreakID`),
  KEY `FK_Break_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_Break_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_calibration`
--

DROP TABLE IF EXISTS `m_calibration`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_calibration` (
  `calibrationID` bigint(20) NOT NULL AUTO_INCREMENT,
  `CalibrationStartAPI` varchar(300) NOT NULL,
  `CalibrationStatusAPI` varchar(300) NOT NULL,
  `CalibrationEndAPI` varchar(300) NOT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`calibrationID`),
  KEY `FK_m_calibration_ProviderServiceMapID` (`ProviderServiceMapID`),
  CONSTRAINT `FK_m_calibration_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_calibrationstrips`
--

DROP TABLE IF EXISTS `m_calibrationstrips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_calibrationstrips` (
  `calibrationStripID` bigint(20) NOT NULL AUTO_INCREMENT,
  `StripCode` varchar(50) NOT NULL,
  `ExpiryDate` datetime DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`calibrationStripID`),
  KEY `inx_providerservicemapid` (`ProviderServiceMapID`),
  CONSTRAINT `FK_m_calibrationStrips_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_callstatus`
--

DROP TABLE IF EXISTS `m_callstatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_callstatus` (
  `CallStatusID` int(11) NOT NULL AUTO_INCREMENT,
  `CallStatus` varchar(30) DEFAULT NULL,
  `CallStatusDesc` varchar(50) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CallStatusID`),
  KEY `FK_CallStatus_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_CallStatus_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_calltype`
--

DROP TABLE IF EXISTS `m_calltype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_calltype` (
  `CallTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `CallGroupType` varchar(30) DEFAULT NULL,
  `CallType` varchar(45) DEFAULT NULL,
  `CallTypeDesc` varchar(50) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `IsInbound` bit(1) DEFAULT NULL,
  `IsOutbound` bit(1) DEFAULT NULL,
  `FitToBlock` bit(1) DEFAULT b'0',
  `FitForFollowup` bit(1) DEFAULT b'0',
  `MaxRedial` int(11) DEFAULT '0',
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CallTypeID`),
  KEY `FK_CallType_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_CallType_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=501 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_cancerdiseasetype`
--

DROP TABLE IF EXISTS `m_cancerdiseasetype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_cancerdiseasetype` (
  `CancerDiseaseTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `CancerDiseaseType` varchar(30) DEFAULT NULL,
  `CancerDiseaseTypeDesc` varchar(50) DEFAULT NULL,
  `Gender` varchar(10) DEFAULT NULL,
  `Sctcode` varchar(30) DEFAULT NULL,
  `SctTerm` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CancerDiseaseTypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_cancerimage`
--

DROP TABLE IF EXISTS `m_cancerimage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_cancerimage` (
  `CancerImageID` smallint(6) NOT NULL AUTO_INCREMENT,
  `CancerImage` blob,
  `ImageDesc` varchar(50) DEFAULT NULL,
  `ImageFor` varchar(30) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CancerImageID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_cancerpersonalhabittype`
--

DROP TABLE IF EXISTS `m_cancerpersonalhabittype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_cancerpersonalhabittype` (
  `CancerPersonalHabitID` int(11) NOT NULL AUTO_INCREMENT,
  `HabitType` varchar(50) DEFAULT NULL,
  `HabitValue` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CancerPersonalHabitID`)
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_category`
--

DROP TABLE IF EXISTS `m_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_category` (
  `CategoryID` int(11) NOT NULL AUTO_INCREMENT,
  `CategoryName` varchar(100) DEFAULT NULL,
  `CategoryDesc` varchar(100) DEFAULT NULL,
  `104_CS_Type` bit(1) DEFAULT NULL,
  `FeedbackNatureID` int(11) DEFAULT NULL,
  `SubServiceID` smallint(6) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CategoryID`),
  KEY `FK_Category_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_Category_SubService_idx` (`SubServiceID`),
  KEY `FK_Category_FeedbackNature_idx` (`FeedbackNatureID`),
  CONSTRAINT `FK_Category_FeedbackNature` FOREIGN KEY (`FeedbackNatureID`) REFERENCES `m_feedbacknature` (`FeedbackNatureID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Category_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Category_SubService` FOREIGN KEY (`SubServiceID`) REFERENCES `m_subservice` (`SubServiceID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_cbacquestions`
--

DROP TABLE IF EXISTS `m_cbacquestions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_cbacquestions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(300) DEFAULT NULL,
  `Gender` varchar(100) DEFAULT NULL,
  `Range` varchar(50) DEFAULT NULL,
  `Cbac_Score` int(11) DEFAULT NULL,
  `questionid` int(11) DEFAULT NULL,
  `questiontype` varchar(30) DEFAULT NULL,
  `section` varchar(10) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=63 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_cdssdata`
--

DROP TABLE IF EXISTS `m_cdssdata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_cdssdata` (
  `SymptomId` int(11) NOT NULL AUTO_INCREMENT,
  `Symptom` varchar(100) NOT NULL,
  `Gender` varchar(45) NOT NULL,
  `AgeFrom` int(11) NOT NULL,
  `AgeTo` int(11) NOT NULL,
  `Data` longtext,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL DEFAULT 'System',
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`Symptom`,`Gender`,`AgeFrom`,`AgeTo`),
  UNIQUE KEY `SymptomId_UNIQUE` (`SymptomId`)
) ENGINE=InnoDB AUTO_INCREMENT=115 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_cervicallymphnodes`
--

DROP TABLE IF EXISTS `m_cervicallymphnodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_cervicallymphnodes` (
  `id` int(11) NOT NULL,
  `name` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_chiefcomplaint`
--

DROP TABLE IF EXISTS `m_chiefcomplaint`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_chiefcomplaint` (
  `ChiefComplaintID` int(11) NOT NULL AUTO_INCREMENT,
  `ChiefComplaint` varchar(100) DEFAULT NULL,
  `ChiefComplaintDesc` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ChiefComplaintID`)
) ENGINE=InnoDB AUTO_INCREMENT=446 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_childstagging`
--

DROP TABLE IF EXISTS `m_childstagging`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_childstagging` (
  `RowID` bigint(20) NOT NULL AUTO_INCREMENT,
  `Date_of_Entry` datetime DEFAULT NULL,
  `Entry_type` smallint(6) DEFAULT NULL,
  `MCTSID_no_ChildID` bigint(20) DEFAULT NULL,
  `Child_Name` varchar(50) DEFAULT NULL,
  `Father_Name` varchar(50) DEFAULT NULL,
  `Mother_Name` varchar(50) DEFAULT NULL,
  `Mother_ID` bigint(20) DEFAULT NULL,
  `DOB` datetime DEFAULT NULL,
  `Place_of_Birth` varchar(50) DEFAULT NULL,
  `Gender` varchar(50) DEFAULT NULL,
  `Caste` varchar(50) DEFAULT NULL,
  `BloodGroup` varchar(5) DEFAULT NULL,
  `Child_Aadhaar_No` varchar(50) DEFAULT NULL,
  `Weight_of_Child` decimal(5,2) DEFAULT NULL,
  `Child_EID` int(11) DEFAULT NULL,
  `Child_EID_Time` datetime DEFAULT NULL,
  `Emamta_Health_ID` int(11) DEFAULT NULL,
  `Emamta_Family_ID` int(11) DEFAULT NULL,
  `Phone_No_of` varchar(50) DEFAULT NULL,
  `Phone_No` varchar(12) DEFAULT NULL,
  `Registration_Date` datetime DEFAULT NULL,
  `Updated_Date` datetime DEFAULT NULL,
  `City` varchar(50) DEFAULT NULL,
  `State_ID` int(11) DEFAULT NULL,
  `State_Name` varchar(50) DEFAULT NULL,
  `District_ID` int(11) DEFAULT NULL,
  `District_Name` varchar(50) DEFAULT NULL,
  `Taluka_Name` varchar(50) DEFAULT NULL,
  `Taluka_ID` int(11) DEFAULT NULL,
  `Block_ID` int(11) DEFAULT NULL,
  `Block_Name` varchar(50) DEFAULT NULL,
  `PHC_ID` int(11) DEFAULT NULL,
  `PHC_Name` varchar(50) DEFAULT NULL,
  `SubCenter_ID` int(11) DEFAULT NULL,
  `SubCenter_Name` varchar(50) DEFAULT NULL,
  `SubCenter_Name1` varchar(50) DEFAULT NULL,
  `Village_ID` int(11) DEFAULT NULL,
  `Village_Name` varchar(50) DEFAULT NULL,
  `Address` varchar(100) DEFAULT NULL,
  `Year` datetime DEFAULT NULL,
  `ANM_ID` int(11) DEFAULT NULL,
  `ANM_Name` varchar(50) DEFAULT NULL,
  `ANM_Phone_No` varchar(12) DEFAULT NULL,
  `ASHA_ID` int(11) DEFAULT NULL,
  `ASHA_Name` varchar(50) DEFAULT NULL,
  `ASHA_Phone_No` varchar(12) DEFAULT NULL,
  `BCG_Date` datetime DEFAULT NULL,
  `OPV0_Date` datetime DEFAULT NULL,
  `Hepatitis_B1_Date` datetime DEFAULT NULL,
  `DPT1_Date` datetime DEFAULT NULL,
  `OPV1_Date` datetime DEFAULT NULL,
  `Hepatitis_B2_Date` datetime DEFAULT NULL,
  `DPT2_Date` datetime DEFAULT NULL,
  `OPV2_Date` datetime DEFAULT NULL,
  `Hepatitis_B3_Date` datetime DEFAULT NULL,
  `DPT3_Date` datetime DEFAULT NULL,
  `OPV3_Date` datetime DEFAULT NULL,
  `Hepatitis_B4_Date` datetime DEFAULT NULL,
  `Measles_Date` datetime DEFAULT NULL,
  `VitA_Dose1_Date` datetime DEFAULT NULL,
  `MR_Date` datetime DEFAULT NULL,
  `DPTBooster_Date` datetime DEFAULT NULL,
  `OPVBooster_Date` datetime DEFAULT NULL,
  `VitA_Dose2_Date` datetime DEFAULT NULL,
  `VitA_Dose3_Date` datetime DEFAULT NULL,
  `VitA_Dose99_Date` datetime DEFAULT NULL,
  `VitA_Dose5_Date` datetime DEFAULT NULL,
  `VitA_Dose6_Date` datetime DEFAULT NULL,
  `VitA_Dose7_Date` datetime DEFAULT NULL,
  `VitA_Dose8_Date` datetime DEFAULT NULL,
  `VitA_Dose9_Date` datetime DEFAULT NULL,
  `JE_Date` datetime DEFAULT NULL,
  `DT5_Date` datetime DEFAULT NULL,
  `TT10_Date` datetime DEFAULT NULL,
  `TT16_Date` datetime DEFAULT NULL,
  `Measles_2_Date` datetime DEFAULT NULL,
  `PentaValent1_Date` datetime DEFAULT NULL,
  `PentaValent2_Date` datetime DEFAULT NULL,
  `PentaValent3_Date` datetime DEFAULT NULL,
  `is_Upload` bit(1) DEFAULT NULL,
  `Status` int(11) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `Delete_Mother` bit(1) DEFAULT NULL,
  `Delete_Reason` varchar(100) DEFAULT NULL,
  `Deleted_ON` datetime DEFAULT NULL,
  `SMS_Status` tinyint(4) DEFAULT NULL,
  `Created_By` varchar(50) DEFAULT NULL,
  `Updated_By` varchar(50) DEFAULT NULL,
  `MDDS_StateID` int(11) DEFAULT NULL,
  `MDDS_District_ID` int(11) DEFAULT NULL,
  `MDDS_Taluka_ID` int(11) DEFAULT NULL,
  `MDDS_Village_ID` int(11) DEFAULT NULL,
  `BirthCertificateNo` varchar(20) DEFAULT NULL,
  `Rural_urban` varchar(10) DEFAULT NULL,
  `SNO` varchar(20) DEFAULT NULL,
  `Lead_ID` varchar(20) DEFAULT NULL,
  `My_ID` varchar(20) DEFAULT NULL,
  `CID_NO` int(11) DEFAULT NULL,
  `MID_NO` int(11) DEFAULT NULL,
  `Duplicate_Bit` bit(1) DEFAULT NULL,
  `FacilityType` varchar(30) DEFAULT NULL,
  `DueServices` varchar(50) DEFAULT NULL,
  `OverDueServices` varchar(50) DEFAULT NULL,
  `GivenServices` varchar(50) DEFAULT NULL,
  `Source` varchar(20) DEFAULT NULL,
  `Is_Valid` bit(1) DEFAULT NULL,
  `Is_Error` bit(1) DEFAULT NULL,
  `Error_Reason` varchar(50) DEFAULT NULL,
  `FileID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`RowID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_childvaccination`
--

DROP TABLE IF EXISTS `m_childvaccination`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_childvaccination` (
  `VaccinationID` smallint(6) NOT NULL AUTO_INCREMENT,
  `VaccinationTime` varchar(20) DEFAULT NULL,
  `VaccineName` varchar(50) DEFAULT NULL,
  `Sctcode` varchar(30) DEFAULT NULL,
  `SctTerm` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`VaccinationID`)
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_city`
--

DROP TABLE IF EXISTS `m_city`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_city` (
  `CityID` int(11) NOT NULL AUTO_INCREMENT,
  `CityName` varchar(30) NOT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `StateID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CityID`),
  KEY `FK_City_District_idx` (`DistrictID`),
  KEY `Fk_City_State_idx` (`StateID`),
  CONSTRAINT `FK_City_District` FOREIGN KEY (`DistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `Fk_City_State` FOREIGN KEY (`StateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_community`
--

DROP TABLE IF EXISTS `m_community`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_community` (
  `CommunityID` smallint(6) NOT NULL AUTO_INCREMENT,
  `CommunityType` varchar(10) DEFAULT NULL,
  `CommunityDesc` varchar(20) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CommunityID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_comorbidcondition`
--

DROP TABLE IF EXISTS `m_comorbidcondition`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_comorbidcondition` (
  `ComorbidConditionID` smallint(6) NOT NULL AUTO_INCREMENT,
  `ComorbidCondition` varchar(30) DEFAULT NULL,
  `ComorbidConditionDesc` varchar(50) DEFAULT NULL,
  `VisitCategoryID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ComorbidConditionID`),
  KEY `FK_ComorbidCondition_VisitCategory_idx` (`VisitCategoryID`),
  CONSTRAINT `FK_ComorbidCondition_VisitCategory` FOREIGN KEY (`VisitCategoryID`) REFERENCES `m_visitcategory` (`VisitCategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_compfeeds`
--

DROP TABLE IF EXISTS `m_compfeeds`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_compfeeds` (
  `FeedID` int(11) NOT NULL AUTO_INCREMENT,
  `Type` varchar(20) DEFAULT NULL,
  `Value` varchar(20) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`FeedID`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_complication`
--

DROP TABLE IF EXISTS `m_complication`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_complication` (
  `ComplicationID` smallint(6) NOT NULL AUTO_INCREMENT,
  `ComplicationValue` varchar(50) DEFAULT NULL,
  `ComplicationType` varchar(50) DEFAULT NULL,
  `ComplicationDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ComplicationID`)
) ENGINE=InnoDB AUTO_INCREMENT=111 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_component`
--

DROP TABLE IF EXISTS `m_component`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_component` (
  `ComponentID` int(11) NOT NULL AUTO_INCREMENT,
  `Component` varchar(50) DEFAULT NULL,
  `ComponentDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ComponentID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_componentresultmap`
--

DROP TABLE IF EXISTS `m_componentresultmap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_componentresultmap` (
  `ComponentResultMapID` int(11) NOT NULL AUTO_INCREMENT,
  `TestComponentID` int(11) DEFAULT NULL,
  `ResultValue` varchar(30) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ComponentResultMapID`),
  KEY `FK_ComponentResultMap_TestComponent_idx` (`TestComponentID`),
  KEY `FK_ComponentResultMap_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_ComponentResultMap_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ComponentResultMap_TestComponent` FOREIGN KEY (`TestComponentID`) REFERENCES `m_testcomponent` (`TestComponentID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_componenttype`
--

DROP TABLE IF EXISTS `m_componenttype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_componenttype` (
  `ComponentTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `ComponentType` varchar(50) DEFAULT NULL,
  `ComponentTypeDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ComponentTypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_congenitalanomalies`
--

DROP TABLE IF EXISTS `m_congenitalanomalies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_congenitalanomalies` (
  `CongenitalAnomaliesID` int(11) NOT NULL AUTO_INCREMENT,
  `CongenitalAnomalies` varchar(30) DEFAULT NULL,
  `CongenitalAnomaliesDesc` varchar(50) DEFAULT NULL,
  `ServiceID` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CongenitalAnomaliesID`),
  KEY `FK_CongenitalAnomalies_ServiceMaster_idx` (`ServiceID`),
  CONSTRAINT `FK_CongenitalAnomalies_ServiceMaster` FOREIGN KEY (`ServiceID`) REFERENCES `m_servicemaster` (`ServiceID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_counsellingprovided`
--

DROP TABLE IF EXISTS `m_counsellingprovided`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_counsellingprovided` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `VisitCategoryID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=97 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_counsellingtype`
--

DROP TABLE IF EXISTS `m_counsellingtype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_counsellingtype` (
  `CounsellingTypeID` smallint(6) NOT NULL AUTO_INCREMENT,
  `CounsellingType` varchar(30) DEFAULT NULL,
  `CounsellingTypeDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CounsellingTypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_country`
--

DROP TABLE IF EXISTS `m_country`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_country` (
  `CountryID` int(11) NOT NULL AUTO_INCREMENT,
  `CountryName` varchar(100) NOT NULL,
  `CountryCode` char(4) DEFAULT NULL,
  `Continent` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CountryID`)
) ENGINE=InnoDB AUTO_INCREMENT=257 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_countrycity`
--

DROP TABLE IF EXISTS `m_countrycity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_countrycity` (
  `CityID` int(11) NOT NULL AUTO_INCREMENT,
  `cityname` varchar(100) DEFAULT NULL,
  `CountryId` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CityID`),
  KEY `FK_City_CountryId_idx` (`CountryId`),
  CONSTRAINT `FK_City_Country` FOREIGN KEY (`CountryId`) REFERENCES `m_country` (`CountryID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=16384 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_countrycity_temp`
--

DROP TABLE IF EXISTS `m_countrycity_temp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_countrycity_temp` (
  `Countryid` int(11) DEFAULT NULL,
  `CityName` varchar(100) DEFAULT NULL,
  `CountryName` varchar(100) DEFAULT NULL,
  KEY `inx_1` (`Countryid`),
  KEY `inx_2` (`CityName`),
  KEY `inx_3` (`CountryName`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_covidcontacthistory`
--

DROP TABLE IF EXISTS `m_covidcontacthistory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_covidcontacthistory` (
  `CovidcontacthistoryID` int(11) NOT NULL AUTO_INCREMENT,
  `ContactHistory` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CovidcontacthistoryID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_coviddosetype`
--

DROP TABLE IF EXISTS `m_coviddosetype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_coviddosetype` (
  `CovidDoseTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `DoseType` varchar(50) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CovidDoseTypeID`),
  KEY `FK_CovidDose_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_CovidDose_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_covidmaster`
--

DROP TABLE IF EXISTS `m_covidmaster`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_covidmaster` (
  `CovidmasterID` int(11) NOT NULL AUTO_INCREMENT,
  `MasterType` varchar(100) DEFAULT NULL,
  `MasterValues` varchar(500) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CovidmasterID`),
  KEY `FK_m_covidmaster_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_m_covidmaster_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_covidrecommendation`
--

DROP TABLE IF EXISTS `m_covidrecommendation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_covidrecommendation` (
  `CovidrecommendationID` int(11) NOT NULL AUTO_INCREMENT,
  `Recommendation` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CovidrecommendationID`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_covidsymptoms`
--

DROP TABLE IF EXISTS `m_covidsymptoms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_covidsymptoms` (
  `CovidsymptomID` int(11) NOT NULL AUTO_INCREMENT,
  `Symptoms` varchar(300) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CovidsymptomID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_covidvaccinetype`
--

DROP TABLE IF EXISTS `m_covidvaccinetype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_covidvaccinetype` (
  `CovidVaccineTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `VaccineType` varchar(50) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CovidVaccineTypeID`),
  KEY `FK_CovidVaccineType_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_CovidVaccineType_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_currentimmunizationservice`
--

DROP TABLE IF EXISTS `m_currentimmunizationservice`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_currentimmunizationservice` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `VisitCategoryID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_dashboardurl`
--

DROP TABLE IF EXISTS `m_dashboardurl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_dashboardurl` (
  `DashboardURLID` int(11) NOT NULL AUTO_INCREMENT,
  `StateID` int(11) DEFAULT NULL,
  `StateName` varchar(100) DEFAULT NULL,
  `URL` varchar(300) DEFAULT NULL,
  `ServerIP` varchar(30) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DashboardURLID`),
  KEY `FK_DashboardURL_State_idx` (`StateID`),
  CONSTRAINT `FK_DashboardURL_State` FOREIGN KEY (`StateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_deliveryconductedby`
--

DROP TABLE IF EXISTS `m_deliveryconductedby`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_deliveryconductedby` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_deliveryplace`
--

DROP TABLE IF EXISTS `m_deliveryplace`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_deliveryplace` (
  `DeliveryPlaceID` smallint(6) NOT NULL AUTO_INCREMENT,
  `DeliveryPlace` varchar(20) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DeliveryPlaceID`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_deliverytype`
--

DROP TABLE IF EXISTS `m_deliverytype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_deliverytype` (
  `DeliveryTypeID` smallint(6) NOT NULL AUTO_INCREMENT,
  `DeliveryType` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DeliveryTypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_designation`
--

DROP TABLE IF EXISTS `m_designation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_designation` (
  `DesignationID` int(11) NOT NULL AUTO_INCREMENT,
  `DesignationName` varchar(50) DEFAULT NULL,
  `DesignationDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DesignationID`)
) ENGINE=InnoDB AUTO_INCREMENT=31 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_developmentproblem`
--

DROP TABLE IF EXISTS `m_developmentproblem`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_developmentproblem` (
  `ID` smallint(6) NOT NULL AUTO_INCREMENT,
  `DevelopmentProblem` varchar(50) DEFAULT NULL,
  `ProblemDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_diseasetype`
--

DROP TABLE IF EXISTS `m_diseasetype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_diseasetype` (
  `DiseaseTypeID` smallint(6) NOT NULL AUTO_INCREMENT,
  `DiseaseType` varchar(30) DEFAULT NULL,
  `DiseaseTypeDesc` varchar(50) DEFAULT NULL,
  `Gender` varchar(30) DEFAULT NULL,
  `Sctcode` varchar(30) DEFAULT NULL,
  `SctTerm` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DiseaseTypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_dispositionstatus`
--

DROP TABLE IF EXISTS `m_dispositionstatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_dispositionstatus` (
  `DispositionStatusID` int(11) NOT NULL AUTO_INCREMENT,
  `DispositionStatus` varchar(15) DEFAULT NULL,
  `DispositionStatusDesc` varchar(30) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DispositionStatusID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_district`
--

DROP TABLE IF EXISTS `m_district`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_district` (
  `DistrictID` int(11) NOT NULL AUTO_INCREMENT,
  `DistrictName` varchar(50) NOT NULL,
  `GovtDistrictID` int(11) DEFAULT NULL,
  `GovtStateID` int(11) DEFAULT NULL,
  `StateID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL DEFAULT 'Admin',
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DistrictID`),
  KEY `FK_StateId_district_state_idx` (`StateID`),
  CONSTRAINT `FK_StateId_district_state` FOREIGN KEY (`StateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=781 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_districtblock`
--

DROP TABLE IF EXISTS `m_districtblock`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_districtblock` (
  `BlockID` int(11) NOT NULL AUTO_INCREMENT,
  `DistrictID` int(11) DEFAULT NULL,
  `BlockName` varchar(50) NOT NULL,
  `GovSubDistrictID` int(11) DEFAULT NULL,
  `GovDistrictID` int(11) DEFAULT NULL,
  `StateID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL DEFAULT 'Admin',
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`BlockID`),
  KEY `FK_districtblock_district_idx` (`DistrictID`),
  KEY `FK_DistrictBlock_State_idx` (`StateID`),
  CONSTRAINT `FK_DistrictBlock_District` FOREIGN KEY (`DistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_DistrictBlock_State` FOREIGN KEY (`StateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=6409 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_districtbranchmapping`
--

DROP TABLE IF EXISTS `m_districtbranchmapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_districtbranchmapping` (
  `DistrictBranchID` int(11) NOT NULL AUTO_INCREMENT,
  `BlockID` int(11) DEFAULT NULL,
  `PanchayatName` varchar(30) DEFAULT NULL,
  `VillageName` varchar(100) DEFAULT NULL,
  `Habitat` varchar(30) DEFAULT NULL,
  `PinCode` varchar(10) DEFAULT NULL,
  `GovVillageID` int(11) DEFAULT NULL,
  `GovSubDistrictID` int(11) DEFAULT NULL,
  `Isrural` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL DEFAULT 'Admin',
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DistrictBranchID`),
  KEY `FK_DistrictBMapping_DistrictBlock_idx` (`BlockID`),
  KEY `inx_Govvillageid` (`GovVillageID`),
  KEY `inx_ISRural` (`Isrural`),
  CONSTRAINT `FK_DistrictBMapping_DistrictBlock` FOREIGN KEY (`BlockID`) REFERENCES `m_districtblock` (`BlockID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=656275 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_donatableorgan`
--

DROP TABLE IF EXISTS `m_donatableorgan`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_donatableorgan` (
  `DonatableOrganID` int(11) NOT NULL AUTO_INCREMENT,
  `DonatableOrgan` varchar(50) DEFAULT NULL,
  `DonatableOrganDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DonatableOrganID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_donationtype`
--

DROP TABLE IF EXISTS `m_donationtype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_donationtype` (
  `DonationTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `DonationType` varchar(20) DEFAULT NULL,
  `DonationTypeDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DonationTypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_downloadmastertable`
--

DROP TABLE IF EXISTS `m_downloadmastertable`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_downloadmastertable` (
  `DownloadMasterTableID` int(11) NOT NULL AUTO_INCREMENT,
  `SchemaName` varchar(50) DEFAULT NULL,
  `TableName` varchar(50) DEFAULT NULL,
  `ServerColumnName` text,
  `VanColumnName` text,
  `AutoIncColumnName` varchar(50) DEFAULT NULL,
  `MasterType` varchar(50) DEFAULT NULL,
  `LastDownloadDate` datetime DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DownloadMasterTableID`)
) ENGINE=InnoDB AUTO_INCREMENT=131 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_drugcompliance`
--

DROP TABLE IF EXISTS `m_drugcompliance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_drugcompliance` (
  `DrugComplianceID` smallint(6) NOT NULL AUTO_INCREMENT,
  `Name` varchar(20) DEFAULT NULL,
  `DrugComplianceDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DrugComplianceID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_drugdose`
--

DROP TABLE IF EXISTS `m_drugdose`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_drugdose` (
  `DrugDoseID` int(11) NOT NULL AUTO_INCREMENT,
  `DrugDose` varchar(30) DEFAULT NULL,
  `DrugDoseDesc` varchar(50) DEFAULT NULL,
  `ItemFormID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DrugDoseID`),
  KEY `FK_DrugDose_ItemForm_idx` (`ItemFormID`),
  CONSTRAINT `FK_DrugDose_ItemForm` FOREIGN KEY (`ItemFormID`) REFERENCES `m_itemform` (`ItemFormID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=48 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_drugduration`
--

DROP TABLE IF EXISTS `m_drugduration`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_drugduration` (
  `DrugDurationID` int(11) NOT NULL AUTO_INCREMENT,
  `DrugDuration` varchar(30) DEFAULT NULL,
  `DrugDurationDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DrugDurationID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_drugform`
--

DROP TABLE IF EXISTS `m_drugform`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_drugform` (
  `DrugFormID` int(11) NOT NULL AUTO_INCREMENT,
  `DrugForm` varchar(30) DEFAULT NULL,
  `DrugFormDecs` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DrugFormID`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_drugfrequency`
--

DROP TABLE IF EXISTS `m_drugfrequency`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_drugfrequency` (
  `DrugFrequencyID` int(11) NOT NULL AUTO_INCREMENT,
  `Frequency` varchar(30) DEFAULT NULL,
  `FrequencyDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DrugFrequencyID`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_drugroute`
--

DROP TABLE IF EXISTS `m_drugroute`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_drugroute` (
  `DrugRouteID` int(11) NOT NULL AUTO_INCREMENT,
  `DrugRoute` varchar(30) DEFAULT NULL,
  `DrugRouteDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DrugRouteID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_ecgabnormalities`
--

DROP TABLE IF EXISTS `m_ecgabnormalities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_ecgabnormalities` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(300) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_emailparameter`
--

DROP TABLE IF EXISTS `m_emailparameter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_emailparameter` (
  `EmailParameterID` int(11) NOT NULL AUTO_INCREMENT,
  `EmailParamSource` varchar(250) DEFAULT NULL,
  `EmailParamName` varchar(250) DEFAULT NULL,
  `DataClassName` varchar(250) DEFAULT NULL,
  `DataVariableName` varchar(250) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`EmailParameterID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_emailparametermapping`
--

DROP TABLE IF EXISTS `m_emailparametermapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_emailparametermapping` (
  `EmailParameterMapID` int(11) NOT NULL AUTO_INCREMENT,
  `EmailTemplateID` int(11) DEFAULT NULL,
  `EmailParameterID` int(11) DEFAULT NULL,
  `UserParameterName` varchar(50) DEFAULT NULL,
  `EmailTypeID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`EmailParameterMapID`),
  KEY `FK_EmailParamMap_EmailTemplate_idx` (`EmailTemplateID`),
  KEY `FK_EmailParamMap_EmailParameter_idx` (`EmailParameterID`),
  KEY `FK_EmailParamMap_EmailType_idx` (`EmailTypeID`),
  CONSTRAINT `FK_EmailParamMap_EmailParameter` FOREIGN KEY (`EmailParameterID`) REFERENCES `m_emailparameter` (`EmailParameterID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_EmailParamMap_EmailTemplate` FOREIGN KEY (`EmailTemplateID`) REFERENCES `m_emailtemplate` (`EmailTemplateID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_EmailParamMap_EmailType` FOREIGN KEY (`EmailTypeID`) REFERENCES `m_emailtype` (`EmailTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_emailstatus`
--

DROP TABLE IF EXISTS `m_emailstatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_emailstatus` (
  `EmailStatusID` int(11) NOT NULL AUTO_INCREMENT,
  `EmailStatus` varchar(20) DEFAULT NULL,
  `EmailStatusDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`EmailStatusID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_emailtemplate`
--

DROP TABLE IF EXISTS `m_emailtemplate`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_emailtemplate` (
  `EmailTemplateID` int(11) NOT NULL AUTO_INCREMENT,
  `EmailTemplateName` varchar(50) DEFAULT NULL,
  `EmailTemplate` text,
  `EmailSenderName` varchar(50) DEFAULT NULL,
  `EmailTypeID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`EmailTemplateID`),
  KEY `FK_EmailTemplate_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_EmailTemplate_EmailType_idx` (`EmailTypeID`),
  CONSTRAINT `FK_EmailTemplate_EmailType` FOREIGN KEY (`EmailTypeID`) REFERENCES `m_emailtype` (`EmailTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_EmailTemplate_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_emailtype`
--

DROP TABLE IF EXISTS `m_emailtype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_emailtype` (
  `EmailTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `EmailType` varchar(50) DEFAULT NULL,
  `EmailTypeDesc` varchar(50) DEFAULT NULL,
  `ServiceID` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`EmailTypeID`),
  KEY `FK_EmailType_ServiceMaster_idx` (`ServiceID`),
  CONSTRAINT `FK_EmailType_ServiceMaster` FOREIGN KEY (`ServiceID`) REFERENCES `m_servicemaster` (`ServiceID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_emergencycontacts`
--

DROP TABLE IF EXISTS `m_emergencycontacts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_emergencycontacts` (
  `EmergContactID` int(11) NOT NULL AUTO_INCREMENT,
  `EmergContactName` varchar(50) DEFAULT NULL,
  `DesignationID` int(11) DEFAULT NULL,
  `EmergContactNo` varchar(15) DEFAULT NULL,
  `EmergContactDesc` varchar(50) DEFAULT NULL,
  `Location` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `NotificationTypeID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`EmergContactID`),
  KEY `FK_EmergencyContacts_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_EmergencyContacts_Designation_idx` (`DesignationID`),
  KEY `FK_EmergencyContacts_NotificationType_idx` (`NotificationTypeID`),
  CONSTRAINT `FK_EmergencyContacts_Designation` FOREIGN KEY (`DesignationID`) REFERENCES `m_designation` (`DesignationID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_EmergencyContacts_NotificationType` FOREIGN KEY (`NotificationTypeID`) REFERENCES `m_notificationtype` (`NotificationTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_EmergencyContacts_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_everwellguidelines`
--

DROP TABLE IF EXISTS `m_everwellguidelines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_everwellguidelines` (
  `egid` int(11) NOT NULL AUTO_INCREMENT,
  `GuidelineName` varchar(200) NOT NULL,
  `GuidelineDesc` varchar(200) NOT NULL,
  `fileName` varchar(300) DEFAULT NULL,
  `fileExtension` varchar(10) DEFAULT NULL,
  `fileContent` longtext,
  `validFrom` datetime DEFAULT NULL,
  `validTill` datetime DEFAULT NULL,
  `userID` int(11) DEFAULT NULL,
  `Category` varchar(50) NOT NULL,
  `providerServiceMapID` int(11) DEFAULT NULL,
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `Deleted` bit(1) DEFAULT b'0',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`egid`),
  KEY `inx_providerservicemapid` (`providerServiceMapID`),
  KEY `inx_deleted` (`Deleted`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_facility`
--

DROP TABLE IF EXISTS `m_facility`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_facility` (
  `FacilityID` int(11) NOT NULL AUTO_INCREMENT,
  `FacilityName` varchar(100) DEFAULT NULL,
  `FacilityDesc` varchar(100) DEFAULT NULL,
  `FacilityCode` varchar(20) DEFAULT NULL,
  `FacilityTypeID` int(11) DEFAULT NULL,
  `Location` varchar(100) DEFAULT NULL,
  `PhysicalLocation` varchar(100) DEFAULT NULL,
  `StoreType` varchar(50) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `IsMainFacility` bit(1) DEFAULT NULL,
  `MainFacilityID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `eaushadi_facilityid` int(11) DEFAULT NULL,
  PRIMARY KEY (`FacilityID`),
  KEY `FK_Facility_Facility_idx` (`MainFacilityID`),
  KEY `FK_Facility_FacilityType_idx` (`FacilityTypeID`),
  KEY `FK_Facility_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_Facility_Facility` FOREIGN KEY (`MainFacilityID`) REFERENCES `m_facility` (`FacilityID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Facility_FacilityType` FOREIGN KEY (`FacilityTypeID`) REFERENCES `m_facilitytype` (`FacilityTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Facility_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_facilitytype`
--

DROP TABLE IF EXISTS `m_facilitytype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_facilitytype` (
  `FacilityTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `FacilityTypeName` varchar(100) DEFAULT NULL,
  `FacilityTypeDesc` varchar(100) DEFAULT NULL,
  `FacilityTypeCode` varchar(20) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`FacilityTypeID`),
  KEY `FK_FacilityType_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_FacilityType_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_feedbacknature`
--

DROP TABLE IF EXISTS `m_feedbacknature`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_feedbacknature` (
  `FeedbackNatureID` int(11) NOT NULL AUTO_INCREMENT,
  `FeedbackNature` varchar(50) DEFAULT NULL,
  `FeedbackNatureDesc` varchar(100) DEFAULT NULL,
  `FeedbackTypeID` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FeedbackTypeName` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`FeedbackNatureID`),
  KEY `FK_FeedbackNature_FeedbackType_idx` (`FeedbackTypeID`),
  CONSTRAINT `FK_FeedbackNature_FeedbackType` FOREIGN KEY (`FeedbackTypeID`) REFERENCES `m_feedbacktype` (`FeedbackTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_feedbackstatus`
--

DROP TABLE IF EXISTS `m_feedbackstatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_feedbackstatus` (
  `FeedbackStatusID` smallint(6) NOT NULL AUTO_INCREMENT,
  `FeedbackStatus` varchar(20) DEFAULT NULL,
  `FeedbackStatusDesc` varchar(50) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`FeedbackStatusID`),
  KEY `FK_FeedbackStatus_ProviderServiceMapID_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_FeedbackStatus_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=684 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_feedbacktype`
--

DROP TABLE IF EXISTS `m_feedbacktype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_feedbacktype` (
  `FeedbackTypeID` smallint(6) NOT NULL AUTO_INCREMENT,
  `FeedbackTypeName` varchar(50) DEFAULT NULL,
  `FeedbackDesc` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `FeedbackTypeCode` varchar(10) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`FeedbackTypeID`),
  KEY `FK_FeedbackType_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_FeedbackType_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_fertilitystatus`
--

DROP TABLE IF EXISTS `m_fertilitystatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_fertilitystatus` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_fetosensetests`
--

DROP TABLE IF EXISTS `m_fetosensetests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_fetosensetests` (
  `fetosensetestid` int(11) NOT NULL AUTO_INCREMENT,
  `TestName` varchar(100) DEFAULT NULL,
  `TestDesc` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`fetosensetestid`),
  KEY `Inx_ProviderServiceMapID` (`ProviderServiceMapID`),
  CONSTRAINT `FK_fetosensetests_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_fileeventseq`
--

DROP TABLE IF EXISTS `m_fileeventseq`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_fileeventseq` (
  `FileEventSeqID` int(11) NOT NULL AUTO_INCREMENT,
  `FileTypeID` int(11) DEFAULT NULL,
  `SequenceName` varchar(30) DEFAULT NULL,
  `Sequence` smallint(6) DEFAULT NULL,
  `StoredProcName` varchar(30) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`FileEventSeqID`),
  KEY `FK_FileEventSeq_FileType_idx` (`FileTypeID`),
  CONSTRAINT `FK_FileEventSeq_FileType` FOREIGN KEY (`FileTypeID`) REFERENCES `m_filetype` (`FileTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_fileprocessstatus`
--

DROP TABLE IF EXISTS `m_fileprocessstatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_fileprocessstatus` (
  `FileProcessStatusID` smallint(6) NOT NULL AUTO_INCREMENT,
  `ProcessStatus` varchar(15) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`FileProcessStatusID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_filestatus`
--

DROP TABLE IF EXISTS `m_filestatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_filestatus` (
  `FileStatusID` smallint(6) NOT NULL AUTO_INCREMENT,
  `FileStatus` varchar(20) DEFAULT NULL,
  `FileStatusDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`FileStatusID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_filetaskstatus`
--

DROP TABLE IF EXISTS `m_filetaskstatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_filetaskstatus` (
  `FileTaskStatusID` smallint(6) NOT NULL AUTO_INCREMENT,
  `TaskStatus` varchar(15) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`FileTaskStatusID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_filetype`
--

DROP TABLE IF EXISTS `m_filetype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_filetype` (
  `FileTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `FileTypeName` varchar(30) DEFAULT NULL,
  `ReadFilePath` varchar(100) DEFAULT NULL,
  `FileExtensionType` varchar(10) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`FileTypeID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_foodintolerancestatus`
--

DROP TABLE IF EXISTS `m_foodintolerancestatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_foodintolerancestatus` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `IntoleranceStatus` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_fpcounselledon`
--

DROP TABLE IF EXISTS `m_fpcounselledon`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_fpcounselledon` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_fpmethodfollowup`
--

DROP TABLE IF EXISTS `m_fpmethodfollowup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_fpmethodfollowup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `Gender` varchar(10) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_fpsideeffects`
--

DROP TABLE IF EXISTS `m_fpsideeffects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_fpsideeffects` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_fundalheight`
--

DROP TABLE IF EXISTS `m_fundalheight`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_fundalheight` (
  `FundalHeightID` smallint(6) NOT NULL AUTO_INCREMENT,
  `FundalHeight` varchar(30) DEFAULT NULL,
  `FundalHeightDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`FundalHeightID`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_gender`
--

DROP TABLE IF EXISTS `m_gender`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_gender` (
  `GenderID` smallint(6) NOT NULL AUTO_INCREMENT,
  `GenderName` char(15) NOT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`GenderID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_gestation`
--

DROP TABLE IF EXISTS `m_gestation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_gestation` (
  `GestationID` smallint(6) NOT NULL AUTO_INCREMENT,
  `Name` varchar(20) DEFAULT NULL,
  `GestationDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`GestationID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_govtidentitytype`
--

DROP TABLE IF EXISTS `m_govtidentitytype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_govtidentitytype` (
  `GovtIdentityTypeID` smallint(6) NOT NULL AUTO_INCREMENT,
  `IdentityType` varchar(50) DEFAULT NULL,
  `IsGovtID` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`GovtIdentityTypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_grossmotormilestone`
--

DROP TABLE IF EXISTS `m_grossmotormilestone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_grossmotormilestone` (
  `GMMilestoneID` smallint(6) NOT NULL AUTO_INCREMENT,
  `GMMilestone` varchar(30) DEFAULT NULL,
  `GMMilestoneDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`GMMilestoneID`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_healthcareworker`
--

DROP TABLE IF EXISTS `m_healthcareworker`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_healthcareworker` (
  `HealthCareWorkerID` smallint(6) NOT NULL AUTO_INCREMENT,
  `HealthCareWorkerType` varchar(30) DEFAULT NULL,
  `HealthCareWorkerDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`HealthCareWorkerID`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_highriskpregreason`
--

DROP TABLE IF EXISTS `m_highriskpregreason`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_highriskpregreason` (
  `HighRiskPregReasonID` smallint(6) NOT NULL AUTO_INCREMENT,
  `HighRiskPregReason` varchar(50) DEFAULT NULL,
  `HighRiskPregReasonDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`HighRiskPregReasonID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_idrsscreenquestions`
--

DROP TABLE IF EXISTS `m_idrsscreenquestions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_idrsscreenquestions` (
  `IDRSQuestionID` int(11) NOT NULL AUTO_INCREMENT,
  `Question` varchar(500) DEFAULT NULL,
  `DiseaseQuestionType` varchar(50) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`IDRSQuestionID`),
  KEY `INX_Questionnaire_DiseaseQuestionType` (`DiseaseQuestionType`),
  KEY `FK_Questionnaire_ProviderServicewMapID_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_m_IDRSscreenQuestions_ProviderServicewMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_illness`
--

DROP TABLE IF EXISTS `m_illness`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_illness` (
  `IllnessID` int(11) NOT NULL AUTO_INCREMENT,
  `IllnessType` varchar(30) DEFAULT NULL,
  `isAcute` bit(1) DEFAULT NULL,
  `isChronic` bit(1) DEFAULT NULL,
  `VisitCategoryID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`IllnessID`),
  KEY `FK_Illness_VisitCategory_idx` (`VisitCategoryID`),
  CONSTRAINT `FK_Illness_VisitCategory` FOREIGN KEY (`VisitCategoryID`) REFERENCES `m_visitcategory` (`VisitCategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_immunizationservicedose`
--

DROP TABLE IF EXISTS `m_immunizationservicedose`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_immunizationservicedose` (
  `Doseid` smallint(6) NOT NULL AUTO_INCREMENT,
  `VaccinationID` smallint(6) NOT NULL,
  `VaccinationName` varchar(100) DEFAULT NULL,
  `Dose` varchar(20) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`Doseid`),
  KEY `FK_isd` (`VaccinationID`),
  CONSTRAINT `FK_isd` FOREIGN KEY (`VaccinationID`) REFERENCES `m_immunizationservicevaccination` (`VaccinationID`)
) ENGINE=InnoDB AUTO_INCREMENT=78 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_immunizationserviceroute`
--

DROP TABLE IF EXISTS `m_immunizationserviceroute`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_immunizationserviceroute` (
  `Routeid` smallint(6) NOT NULL AUTO_INCREMENT,
  `VaccinationID` smallint(6) NOT NULL,
  `VaccinationName` varchar(100) DEFAULT NULL,
  `Route` varchar(100) DEFAULT NULL,
  `Sctcode` varchar(30) DEFAULT NULL,
  `SctTerm` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`Routeid`),
  KEY `FK_isr` (`VaccinationID`),
  CONSTRAINT `FK_isr` FOREIGN KEY (`VaccinationID`) REFERENCES `m_immunizationservicevaccination` (`VaccinationID`)
) ENGINE=InnoDB AUTO_INCREMENT=76 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_immunizationservicestype`
--

DROP TABLE IF EXISTS `m_immunizationservicestype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_immunizationservicestype` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_immunizationservicevaccination`
--

DROP TABLE IF EXISTS `m_immunizationservicevaccination`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_immunizationservicevaccination` (
  `VaccinationID` smallint(6) NOT NULL AUTO_INCREMENT,
  `Currentimmunizationserviceid` smallint(6) NOT NULL,
  `Currentimmunizationservice` varchar(100) DEFAULT NULL,
  `VisitCategoryID` int(11) DEFAULT NULL,
  `VaccineName` varchar(50) DEFAULT NULL,
  `Sctcode` varchar(30) DEFAULT NULL,
  `SctTerm` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`VaccinationID`),
  KEY `FK_csid` (`Currentimmunizationserviceid`),
  CONSTRAINT `FK_csid` FOREIGN KEY (`Currentimmunizationserviceid`) REFERENCES `m_currentimmunizationservice` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=65 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_imrmmrbasecommunity`
--

DROP TABLE IF EXISTS `m_imrmmrbasecommunity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_imrmmrbasecommunity` (
  `imrmmrcommunityID` int(11) NOT NULL AUTO_INCREMENT,
  `CommunityType` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`imrmmrcommunityID`),
  KEY `FK_m_imrmmrbasecommunity_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_m_imrmmrbasecommunity_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_imrmmrfacility`
--

DROP TABLE IF EXISTS `m_imrmmrfacility`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_imrmmrfacility` (
  `ImrmmrfacilityID` int(11) NOT NULL AUTO_INCREMENT,
  `facilityName` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ImrmmrfacilityID`),
  KEY `FK_m_imrmmrFacility_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_m_imrmmrFacility_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_imrmmrhealthworker`
--

DROP TABLE IF EXISTS `m_imrmmrhealthworker`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_imrmmrhealthworker` (
  `imrmmrhwID` int(11) NOT NULL AUTO_INCREMENT,
  `HealthWorkerType` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`imrmmrhwID`),
  KEY `FK_m_imrmmrhealthworker_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_m_imrmmrhealthworker_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_imrmmrsupportservices`
--

DROP TABLE IF EXISTS `m_imrmmrsupportservices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_imrmmrsupportservices` (
  `supportServiceID` int(11) NOT NULL AUTO_INCREMENT,
  `supportServiceName` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`supportServiceID`),
  KEY `FK_m_imrmmrSupportServices_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_m_imrmmrSupportServices_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_imrmmrtransittype`
--

DROP TABLE IF EXISTS `m_imrmmrtransittype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_imrmmrtransittype` (
  `imrmmrtransitID` int(11) NOT NULL AUTO_INCREMENT,
  `TransitType` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`imrmmrtransitID`),
  KEY `FK_m_imrmmrduringtransit_ProviderServiceMapping_idx1` (`ProviderServiceMapID`),
  CONSTRAINT `FK_m_imrmmrduringtransit_ProviderServiceMapping1` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_inspectionbreasts`
--

DROP TABLE IF EXISTS `m_inspectionbreasts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_inspectionbreasts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_institutedirectory`
--

DROP TABLE IF EXISTS `m_institutedirectory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_institutedirectory` (
  `InstituteDirectoryID` int(11) NOT NULL AUTO_INCREMENT,
  `InstituteDirectoryName` varchar(50) DEFAULT NULL,
  `InstituteDirectoryDesc` varchar(100) DEFAULT NULL,
  `ProviderServiceMapId` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`InstituteDirectoryID`),
  KEY `FK_InstituteDirectory_ProviderServiceMapping_idx` (`ProviderServiceMapId`),
  CONSTRAINT `FK_InstituteDirectory_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapId`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_institutedirectorymapping`
--

DROP TABLE IF EXISTS `m_institutedirectorymapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_institutedirectorymapping` (
  `InstituteDirMapID` bigint(20) NOT NULL AUTO_INCREMENT,
  `InstitutionID` int(11) DEFAULT NULL,
  `InstituteDirectoryID` int(11) DEFAULT NULL,
  `InstituteSubDirectoryID` int(11) DEFAULT NULL,
  `InstituteRouteDirectoryID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`InstituteDirMapID`),
  KEY `FK_InstituteDirectoryMapping_Institution_idx` (`InstitutionID`),
  KEY `FK_InstituteDirectoryMapping_InstituteDirectory_idx` (`InstituteDirectoryID`),
  KEY `FK_InstituteDirectoryMapping_InstituteSubDirectory_idx` (`InstituteSubDirectoryID`),
  KEY `FK_InstituteDirectoryMapping_InstituteRouteDirectory_idx` (`InstituteRouteDirectoryID`),
  KEY `FK_InstituteDirectoryMapping_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_InstituteDirectoryMapping_InstituteDirectory` FOREIGN KEY (`InstituteDirectoryID`) REFERENCES `m_institutedirectory` (`InstituteDirectoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_InstituteDirectoryMapping_InstituteRouteDirectory` FOREIGN KEY (`InstituteRouteDirectoryID`) REFERENCES `m_instituteroutedirectory` (`InstituteRouteDirectoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_InstituteDirectoryMapping_InstituteSubDirectory` FOREIGN KEY (`InstituteSubDirectoryID`) REFERENCES `m_institutesubdirectory` (`InstituteSubDirectoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_InstituteDirectoryMapping_Institution` FOREIGN KEY (`InstitutionID`) REFERENCES `m_institution` (`InstitutionID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_InstituteDirectoryMapping_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_instituteroutedirectory`
--

DROP TABLE IF EXISTS `m_instituteroutedirectory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_instituteroutedirectory` (
  `InstituteRouteDirectoryID` int(11) NOT NULL AUTO_INCREMENT,
  `InstituteSubDirectoryID` int(11) DEFAULT NULL,
  `InstituteRouteDirectoryName` varchar(50) DEFAULT NULL,
  `InstituteRouteDirectoryDesc` varchar(50) DEFAULT NULL,
  `ProviderServiceMapId` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`InstituteRouteDirectoryID`),
  KEY `FK_InstituteRouteDirectory_InstituteSubDirectory_idx` (`InstituteSubDirectoryID`),
  KEY `FK_InstituteRouteDirectory_ProviderServiceMapping_idx` (`ProviderServiceMapId`),
  CONSTRAINT `FK_InstituteRouteDirectory_InstituteSubDirectory` FOREIGN KEY (`InstituteSubDirectoryID`) REFERENCES `m_institutesubdirectory` (`InstituteSubDirectoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_institutesubdirectory`
--

DROP TABLE IF EXISTS `m_institutesubdirectory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_institutesubdirectory` (
  `InstituteSubDirectoryID` int(11) NOT NULL AUTO_INCREMENT,
  `InstituteDirectoryID` int(11) DEFAULT NULL,
  `InstituteSubDirectoryName` varchar(50) DEFAULT NULL,
  `InstituteSubDirectoryDesc` varchar(100) DEFAULT NULL,
  `ProviderServiceMapId` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `InstituteDirectoryName` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`InstituteSubDirectoryID`),
  KEY `FK_InstituteSubDirectory_InstituteDirectory_idx` (`InstituteDirectoryID`),
  KEY `FK_InstituteSubDirectory_ProviderServiceMapping_idx` (`ProviderServiceMapId`),
  CONSTRAINT `FK_InstituteSubDirectory_InstituteDirectory` FOREIGN KEY (`InstituteDirectoryID`) REFERENCES `m_institutedirectory` (`InstituteDirectoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_institution`
--

DROP TABLE IF EXISTS `m_institution`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_institution` (
  `InstitutionID` int(11) NOT NULL AUTO_INCREMENT,
  `GovtInstituteID` varchar(20) DEFAULT NULL,
  `InstitutionName` varchar(100) DEFAULT NULL,
  `StateID` int(11) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `BlockID` int(11) DEFAULT NULL,
  `DistrictBranchMappingID` int(11) DEFAULT NULL,
  `Address` varchar(300) DEFAULT NULL,
  `ContactPerson1` varchar(50) DEFAULT NULL,
  `ContactPerson1_Email` varchar(30) DEFAULT NULL,
  `ContactNo1` varchar(15) DEFAULT NULL,
  `ContactPerson2` varchar(50) DEFAULT NULL,
  `ContactPerson2_Email` varchar(30) DEFAULT NULL,
  `ContactNo2` varchar(15) DEFAULT NULL,
  `ContactPerson3` varchar(50) DEFAULT NULL,
  `ContactPerson3_Email` varchar(30) DEFAULT NULL,
  `ContactNo3` varchar(15) DEFAULT NULL,
  `Website` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `villageid` int(11) DEFAULT NULL,
  `InstituteTypeId` int(11) DEFAULT NULL,
  PRIMARY KEY (`InstitutionID`),
  KEY `FK_Institution_State_idx` (`StateID`),
  KEY `FK_Institution_District_idx` (`DistrictID`),
  KEY `FK_Institution_DistrictBranchMapping_idx` (`DistrictBranchMappingID`),
  KEY `FK_Institution_DistrictBlock_idx` (`BlockID`),
  KEY `FK_Institution_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_Institution_District` FOREIGN KEY (`DistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Institution_DistrictBlock` FOREIGN KEY (`BlockID`) REFERENCES `m_districtblock` (`BlockID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Institution_DistrictBranchMapping` FOREIGN KEY (`DistrictBranchMappingID`) REFERENCES `m_districtbranchmapping` (`DistrictBranchID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Institution_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Institution_State` FOREIGN KEY (`StateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_institutiontype`
--

DROP TABLE IF EXISTS `m_institutiontype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_institutiontype` (
  `InstitutionTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `InstitutionType` varchar(300) DEFAULT NULL,
  `InstitutionTypeDesc` varchar(300) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `Districtid` int(11) DEFAULT NULL,
  `SubDistrictid` int(11) DEFAULT NULL,
  `Villageid` int(11) DEFAULT NULL,
  PRIMARY KEY (`InstitutionTypeID`),
  KEY `FK_InstitutionType_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_InstitutionType_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_interaction`
--

DROP TABLE IF EXISTS `m_interaction`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_interaction` (
  `InteractionID` int(11) NOT NULL AUTO_INCREMENT,
  `Interaction` text,
  `InteractionDesc` varchar(50) DEFAULT NULL,
  `SubServiceID` smallint(6) DEFAULT NULL,
  `OutboundCallType` varchar(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`InteractionID`),
  KEY `FK_Interaction_SubService_idx` (`SubServiceID`),
  KEY `FK_Interaction_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_Interaction_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Interaction_SubService` FOREIGN KEY (`SubServiceID`) REFERENCES `m_subservice` (`SubServiceID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_iotcomponent`
--

DROP TABLE IF EXISTS `m_iotcomponent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_iotcomponent` (
  `IOTComponentId` int(11) NOT NULL AUTO_INCREMENT,
  `ComponentName` varchar(50) DEFAULT NULL,
  `ComponentCode` varchar(50) DEFAULT NULL,
  `IOTProcedureID` int(11) DEFAULT NULL,
  `ComponentUnit` varchar(50) DEFAULT NULL,
  `InputType` varchar(50) DEFAULT NULL,
  `IsDecimal` bit(1) DEFAULT NULL,
  `Options` varchar(300) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`IOTComponentId`),
  KEY `FK_IOTComponent_IOTProcedure_idx` (`IOTProcedureID`),
  CONSTRAINT `FK_IOTComponent_IOTProcedure` FOREIGN KEY (`IOTProcedureID`) REFERENCES `m_iotprocedure` (`IOTProcedureID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_iotprocedure`
--

DROP TABLE IF EXISTS `m_iotprocedure`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_iotprocedure` (
  `IOTProcedureID` int(11) NOT NULL AUTO_INCREMENT,
  `ProcedureName` varchar(50) DEFAULT NULL,
  `ProcedureCode` varchar(50) DEFAULT NULL,
  `ProcedureStartAPI` varchar(300) DEFAULT NULL,
  `ProcedureEndAPI` varchar(300) DEFAULT NULL,
  `ProcedureStatusAPI` varchar(300) DEFAULT NULL,
  `CalibrationStartAPI` varchar(300) DEFAULT NULL,
  `CalibrationStatusAPI` varchar(300) DEFAULT NULL,
  `CalibrationEndAPI` varchar(300) DEFAULT NULL,
  `isLabProcedure` bit(1) DEFAULT NULL,
  `CalibrationCode` varchar(20) DEFAULT NULL,
  `DiscoveryCode` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`IOTProcedureID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_item`
--

DROP TABLE IF EXISTS `m_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_item` (
  `ItemID` int(11) NOT NULL AUTO_INCREMENT,
  `ItemName` varchar(100) DEFAULT NULL,
  `ItemDesc` varchar(100) DEFAULT NULL,
  `ItemCode` varchar(20) DEFAULT NULL,
  `ItemCategoryID` int(11) DEFAULT NULL,
  `IsMedical` bit(1) DEFAULT NULL,
  `ItemFormID` int(11) DEFAULT NULL,
  `PharmacologyCategoryID` int(11) DEFAULT NULL,
  `ManufacturerID` int(11) DEFAULT NULL,
  `Strength` varchar(10) DEFAULT NULL,
  `UOMID` int(11) DEFAULT NULL,
  `IsScheduledDrug` bit(1) DEFAULT NULL,
  `Composition` varchar(300) DEFAULT NULL,
  `ExpiryDate` datetime DEFAULT NULL,
  `Max_Stock` int(11) DEFAULT NULL,
  `Min_Stock` int(11) DEFAULT NULL,
  `RouteID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `Discontinued` bit(1) DEFAULT b'0',
  `Sctcode` varchar(30) DEFAULT NULL,
  `SctTerm` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `isEDL` bit(1) DEFAULT NULL,
  `isEaushadi` bit(1) DEFAULT NULL,
  PRIMARY KEY (`ItemID`),
  KEY `FK_Item_ItemCategory_idx` (`ItemCategoryID`),
  KEY `FK_Item_PharmaCategory_idx` (`PharmacologyCategoryID`),
  KEY `FK_Item_Manufacturer_idx` (`ManufacturerID`),
  KEY `FK_Item_ProviderServiceMapID_idx` (`ProviderServiceMapID`),
  KEY `FK_Item_ItemForm_idx` (`ItemFormID`),
  KEY `FK_Item_UOM_idx` (`UOMID`),
  KEY `FK_Item_RouteOfAdmin_idx` (`RouteID`),
  CONSTRAINT `FK_Item_ItemCategory` FOREIGN KEY (`ItemCategoryID`) REFERENCES `m_itemcategory` (`ItemCategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Item_ItemForm` FOREIGN KEY (`ItemFormID`) REFERENCES `m_itemform` (`ItemFormID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Item_Manufacturer` FOREIGN KEY (`ManufacturerID`) REFERENCES `m_manufacturer` (`ManufacturerID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Item_PharmaCategory` FOREIGN KEY (`PharmacologyCategoryID`) REFERENCES `m_pharmacologicalcategory` (`PharmCategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Item_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Item_RouteOfAdmin` FOREIGN KEY (`RouteID`) REFERENCES `m_routeofadmin` (`RouteID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Item_UOM` FOREIGN KEY (`UOMID`) REFERENCES `m_uom` (`UOMID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_itemcategory`
--

DROP TABLE IF EXISTS `m_itemcategory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_itemcategory` (
  `ItemCategoryID` int(11) NOT NULL AUTO_INCREMENT,
  `ItemCategoryName` varchar(100) DEFAULT NULL,
  `ItemCategoryDesc` varchar(100) DEFAULT NULL,
  `ItemCategoryCode` varchar(20) DEFAULT NULL,
  `AlertBeforeDays` int(11) DEFAULT NULL,
  `IssueType` varchar(50) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ItemCategoryID`),
  KEY `FK_ItemCategory_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_ItemCategory_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_itemfacilitymapping`
--

DROP TABLE IF EXISTS `m_itemfacilitymapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_itemfacilitymapping` (
  `ItemFacilityMapID` int(11) NOT NULL AUTO_INCREMENT,
  `FacilityID` int(11) DEFAULT NULL,
  `ItemID` int(11) DEFAULT NULL,
  `MappingType` varchar(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ItemFacilityMapID`),
  KEY `FK_ItemStoreMapping_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_ItemStoreMapping_Item_idx` (`ItemID`),
  CONSTRAINT `FK_ItemStoreMapping_Item` FOREIGN KEY (`ItemID`) REFERENCES `m_item` (`ItemID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ItemStoreMapping_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_itemform`
--

DROP TABLE IF EXISTS `m_itemform`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_itemform` (
  `ItemFormID` int(11) NOT NULL AUTO_INCREMENT,
  `ItemFormName` varchar(100) DEFAULT NULL,
  `ItemFormDesc` varchar(100) DEFAULT NULL,
  `ItemFormCode` varchar(100) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ItemFormID`),
  KEY `FK_DrugType_ProviderServiceMapping_idx` (`ProviderServiceMapID`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_itemissueconfig`
--

DROP TABLE IF EXISTS `m_itemissueconfig`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_itemissueconfig` (
  `ItemIssueConfigID` int(11) NOT NULL AUTO_INCREMENT,
  `ItemCategoryID` int(11) DEFAULT NULL,
  `IssueType` varchar(50) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ItemIssueConfigID`),
  KEY `FK_ItemIssueConfig_ItemCategory_idx` (`ItemCategoryID`),
  KEY `FK_ItemIssueConfig_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_ItemIssueConfig_ItemCategory` FOREIGN KEY (`ItemCategoryID`) REFERENCES `m_itemcategory` (`ItemCategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ItemIssueConfig_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_iucdinsertiondoneby`
--

DROP TABLE IF EXISTS `m_iucdinsertiondoneby`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_iucdinsertiondoneby` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_jointtype`
--

DROP TABLE IF EXISTS `m_jointtype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_jointtype` (
  `JointID` smallint(6) NOT NULL AUTO_INCREMENT,
  `JointType` varchar(30) DEFAULT NULL,
  `JointTypeDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`JointID`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_labtests`
--

DROP TABLE IF EXISTS `m_labtests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_labtests` (
  `TestID` int(11) NOT NULL AUTO_INCREMENT,
  `TestName` varchar(50) DEFAULT NULL,
  `TestDesc` varchar(50) DEFAULT NULL,
  `TestFor` varchar(30) DEFAULT NULL,
  `IsRadiologyImaging` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`TestID`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_language`
--

DROP TABLE IF EXISTS `m_language`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_language` (
  `LanguageID` int(11) NOT NULL AUTO_INCREMENT,
  `LanguageName` varchar(15) DEFAULT NULL,
  `LanguageDesc` varchar(50) DEFAULT NULL,
  `PropertyFilePath` varchar(100) DEFAULT NULL,
  `IVRFilePath` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`LanguageID`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_literacystatus`
--

DROP TABLE IF EXISTS `m_literacystatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_literacystatus` (
  `LiteracystatusID` smallint(6) NOT NULL AUTO_INCREMENT,
  `Literacystatus` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`LiteracystatusID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_locationofnextimmunization`
--

DROP TABLE IF EXISTS `m_locationofnextimmunization`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_locationofnextimmunization` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_loginsecurityquestions`
--

DROP TABLE IF EXISTS `m_loginsecurityquestions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_loginsecurityquestions` (
  `QuestionID` smallint(6) NOT NULL AUTO_INCREMENT,
  `Question` varchar(100) NOT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL DEFAULT 'Admin',
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`QuestionID`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_loinc`
--

DROP TABLE IF EXISTS `m_loinc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_loinc` (
  `loinc_num` varchar(10) NOT NULL,
  `component` varchar(255) DEFAULT NULL,
  `property` varchar(255) DEFAULT NULL,
  `time_aspct` varchar(255) DEFAULT NULL,
  `system` varchar(255) DEFAULT NULL,
  `scale_typ` varchar(255) DEFAULT NULL,
  `method_typ` varchar(255) DEFAULT NULL,
  `class` varchar(255) DEFAULT NULL,
  `VersionLastChanged` varchar(255) DEFAULT NULL,
  `chng_type` varchar(255) DEFAULT NULL,
  `DefinitionDescription` text,
  `status` varchar(255) DEFAULT NULL,
  `consumer_name` varchar(255) DEFAULT NULL,
  `classtype` int(11) DEFAULT NULL,
  `formula` text,
  `species` varchar(20) DEFAULT NULL,
  `exmpl_answers` text,
  `survey_quest_text` text,
  `survey_quest_src` varchar(50) DEFAULT NULL,
  `unitsrequired` varchar(1) DEFAULT NULL,
  `submitted_units` varchar(30) DEFAULT NULL,
  `relatednames2` text,
  `shortname` varchar(255) DEFAULT NULL,
  `order_obs` varchar(15) DEFAULT NULL,
  `cdisc_common_tests` varchar(1) DEFAULT NULL,
  `hl7_field_subfield_id` varchar(50) DEFAULT NULL,
  `external_copyright_notice` text,
  `example_units` varchar(255) DEFAULT NULL,
  `long_common_name` varchar(255) DEFAULT NULL,
  `UnitsAndRange` text,
  `example_ucum_units` varchar(255) DEFAULT NULL,
  `example_si_ucum_units` varchar(255) DEFAULT NULL,
  `status_reason` varchar(9) DEFAULT NULL,
  `status_text` text,
  `change_reason_public` text,
  `common_test_rank` int(11) DEFAULT NULL,
  `common_order_rank` int(11) DEFAULT NULL,
  `common_si_test_rank` int(11) DEFAULT NULL,
  `hl7_attachment_structure` varchar(15) DEFAULT NULL,
  `ExternalCopyrightLink` varchar(255) DEFAULT NULL,
  `PanelType` varchar(50) DEFAULT NULL,
  `AskAtOrderEntry` varchar(255) DEFAULT NULL,
  `AssociatedObservations` varchar(255) DEFAULT NULL,
  `VersionFirstReleased` varchar(255) DEFAULT NULL,
  `ValidHL7AttachmentRequest` varchar(50) DEFAULT NULL,
  `DisplayName` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`loinc_num`),
  KEY `inx_COMPONENT` (`component`),
  KEY `inx_SYSTEM` (`system`),
  KEY `inx_CLASS` (`class`),
  KEY `inx_LONG_COMMON_NAME` (`long_common_name`),
  KEY `inx_LOINC_NUM` (`loinc_num`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_manufacturer`
--

DROP TABLE IF EXISTS `m_manufacturer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_manufacturer` (
  `ManufacturerID` int(11) NOT NULL AUTO_INCREMENT,
  `ManufacturerName` varchar(100) DEFAULT NULL,
  `ManufacturerDesc` varchar(100) DEFAULT NULL,
  `ManufacturerCode` varchar(20) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `ContactPerson` varchar(20) DEFAULT NULL,
  `CST_GST_No` varchar(20) DEFAULT NULL,
  `AddressLine1` varchar(100) DEFAULT NULL,
  `AddressLine2` varchar(100) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `StateID` int(11) DEFAULT NULL,
  `CountryID` int(11) DEFAULT NULL,
  `PinCode` varchar(10) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ManufacturerID`),
  KEY `FK_Manufacturer_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_Manufacturer_District` (`DistrictID`),
  KEY `FK_Manufacturer_State_idx` (`StateID`),
  KEY `FK_Manufacturer_Country_idx` (`CountryID`),
  CONSTRAINT `FK_Manufacturer_Country` FOREIGN KEY (`CountryID`) REFERENCES `m_country` (`CountryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Manufacturer_District` FOREIGN KEY (`DistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Manufacturer_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Manufacturer_State` FOREIGN KEY (`StateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_maritalstatus`
--

DROP TABLE IF EXISTS `m_maritalstatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_maritalstatus` (
  `MaritalStatusID` smallint(6) NOT NULL AUTO_INCREMENT,
  `Status` varchar(15) DEFAULT NULL,
  `StatusDesc` varchar(30) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`MaritalStatusID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_mctscallconfiguration`
--

DROP TABLE IF EXISTS `m_mctscallconfiguration`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_mctscallconfiguration` (
  `MCTSCallConfigID` int(11) NOT NULL AUTO_INCREMENT,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `OutboundCallType` varchar(30) DEFAULT NULL,
  `DisplayOBCallType` varchar(30) DEFAULT NULL,
  `NoOfAttempts` smallint(6) DEFAULT NULL,
  `NextAttemptPeriod` varchar(30) DEFAULT NULL,
  `FromTerm` varchar(30) DEFAULT NULL,
  `ToTerm` varchar(30) DEFAULT NULL,
  `NoOfAgents` bigint(20) DEFAULT NULL,
  `TotalCallsPerDay` bigint(20) DEFAULT NULL,
  `EffectiveFrom` datetime DEFAULT NULL,
  `EffectiveUpto` datetime DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`MCTSCallConfigID`),
  KEY `FK_MCTSCallConfiguration_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_MCTSCallConfiguration_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_mctsfieldsstatewise`
--

DROP TABLE IF EXISTS `m_mctsfieldsstatewise`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_mctsfieldsstatewise` (
  `SlNo` int(11) NOT NULL AUTO_INCREMENT,
  `StateID` int(11) DEFAULT NULL,
  `DataFields` longtext,
  `FieldsFor` varchar(50) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SlNo`),
  KEY `FK_MctsFieldsStatewise_State_idx` (`StateID`),
  KEY `FK_MctsFieldsStatewise_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_MctsFieldsStatewise_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_MctsFieldsStatewise_State` FOREIGN KEY (`StateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_mctsqamapping`
--

DROP TABLE IF EXISTS `m_mctsqamapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_mctsqamapping` (
  `MctsQAMapID` int(11) NOT NULL AUTO_INCREMENT,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `OutboundCallType` varchar(20) DEFAULT NULL,
  `DisplayOBCallType` varchar(30) DEFAULT NULL,
  `QuestionID` int(11) DEFAULT NULL,
  `Interaction` varchar(750) DEFAULT NULL,
  `VariableName` varchar(30) DEFAULT NULL,
  `VariableDataType` varchar(25) DEFAULT NULL,
  `EffectiveFrom` datetime DEFAULT NULL,
  `EffectiveUpto` datetime DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`MctsQAMapID`),
  KEY `FK_MctsQAMapping_MctsQuestioner_idx` (`QuestionID`),
  KEY `FK_MctsQAMapping_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_MctsQAMapping_MctsQuestioner` FOREIGN KEY (`QuestionID`) REFERENCES `m_questionnaire` (`QuestionID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_MctsQAMapping_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_menstrualcyclerange`
--

DROP TABLE IF EXISTS `m_menstrualcyclerange`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_menstrualcyclerange` (
  `MenstrualRangeID` smallint(6) NOT NULL AUTO_INCREMENT,
  `RangeType` varchar(20) DEFAULT NULL,
  `MenstrualCycleRange` varchar(15) DEFAULT NULL,
  `MenstrualCycleRangeDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`MenstrualRangeID`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_menstrualcyclestatus`
--

DROP TABLE IF EXISTS `m_menstrualcyclestatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_menstrualcyclestatus` (
  `MenstrualCycleStatusID` smallint(6) NOT NULL AUTO_INCREMENT,
  `Name` varchar(50) DEFAULT NULL,
  `MenstrualCycleStatusDesc` varchar(50) DEFAULT NULL,
  `VisitCategoryID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`MenstrualCycleStatusID`),
  KEY `FK_MenstrualCycleStatus_VisitCategory_idx` (`VisitCategoryID`),
  CONSTRAINT `FK_MenstrualCycleStatus_VisitCategory` FOREIGN KEY (`VisitCategoryID`) REFERENCES `m_visitcategory` (`VisitCategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_menstrualproblem`
--

DROP TABLE IF EXISTS `m_menstrualproblem`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_menstrualproblem` (
  `MenstrualProblemID` smallint(6) NOT NULL AUTO_INCREMENT,
  `Name` varchar(50) DEFAULT NULL,
  `MenstrualProblemDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`MenstrualProblemID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_module`
--

DROP TABLE IF EXISTS `m_module`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_module` (
  `ModuleID` smallint(6) NOT NULL AUTO_INCREMENT,
  `ModuleName` varchar(30) DEFAULT NULL,
  `ScreenName` varchar(50) DEFAULT NULL,
  `HomepageName` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ModuleID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_motherdatastatewise`
--

DROP TABLE IF EXISTS `m_motherdatastatewise`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_motherdatastatewise` (
  `SlNo` int(11) NOT NULL AUTO_INCREMENT,
  `MasterFields` varchar(30) DEFAULT NULL,
  `AssamFields` varchar(30) DEFAULT NULL,
  `AssamFieldsUpload` varchar(30) DEFAULT NULL,
  `HimachalFields` varchar(30) DEFAULT NULL,
  `HimachalFieldsUpload` varchar(30) DEFAULT NULL,
  `KarnatakaFields` varchar(30) DEFAULT NULL,
  `KarnatakaFieldsUpload` varchar(30) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SlNo`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_motherstaging`
--

DROP TABLE IF EXISTS `m_motherstaging`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_motherstaging` (
  `RowID` bigint(20) NOT NULL AUTO_INCREMENT,
  `Date_of_Entry` datetime DEFAULT NULL,
  `Entry_type` smallint(6) DEFAULT NULL,
  `MCTSID_no` bigint(20) DEFAULT NULL,
  `Name` varchar(50) DEFAULT NULL,
  `Husband_Name` varchar(50) DEFAULT NULL,
  `PhoneNo_Of_Whom` varchar(50) DEFAULT NULL,
  `Whom_PhoneNo` varchar(50) DEFAULT NULL,
  `Birth_Date` datetime DEFAULT NULL,
  `Age` tinyint(4) DEFAULT NULL,
  `Blood_Group` varchar(5) DEFAULT NULL,
  `Caste` varchar(20) DEFAULT NULL,
  `Aadhar_no` varchar(20) DEFAULT NULL,
  `State_ID` int(11) DEFAULT NULL,
  `State_Name` varchar(20) DEFAULT NULL,
  `District_ID` int(11) DEFAULT NULL,
  `District_Name` varchar(20) DEFAULT NULL,
  `Taluka_Name` varchar(20) DEFAULT NULL,
  `Taluka_ID` int(11) DEFAULT NULL,
  `Block_ID` int(11) DEFAULT NULL,
  `Block_Name` varchar(20) DEFAULT NULL,
  `SubCenter_ID` int(11) DEFAULT NULL,
  `SubCenter_Name` varchar(20) DEFAULT NULL,
  `Village_ID` int(11) DEFAULT NULL,
  `Village_Name` varchar(20) DEFAULT NULL,
  `City_ID` int(11) DEFAULT NULL,
  `City_Name` varchar(20) DEFAULT NULL,
  `SubCenter_Name1` varchar(20) DEFAULT NULL,
  `ANM_ID` int(11) DEFAULT NULL,
  `ANM_Name` varchar(30) DEFAULT NULL,
  `ANM_Ph` varchar(20) DEFAULT NULL,
  `ASHA_ID` int(11) DEFAULT NULL,
  `ASHA_Name` varchar(30) DEFAULT NULL,
  `ASHA_Ph` varchar(20) DEFAULT NULL,
  `PHC_ID` varchar(20) DEFAULT NULL,
  `PHC_Name` varchar(30) DEFAULT NULL,
  `SUBPHC_ID` varchar(20) DEFAULT NULL,
  `SUBPHC_Name` varchar(30) DEFAULT NULL,
  `YR` char(4) DEFAULT NULL,
  `GP_Village` varchar(30) DEFAULT NULL,
  `Address` varchar(100) DEFAULT NULL,
  `LMP_Date` datetime DEFAULT NULL,
  `ANC1_Date` datetime DEFAULT NULL,
  `ANC2_Date` datetime DEFAULT NULL,
  `ANC3_Date` datetime DEFAULT NULL,
  `ANC4_Date` datetime DEFAULT NULL,
  `ANC_Complication` varchar(20) DEFAULT NULL,
  `TT1_Date` datetime DEFAULT NULL,
  `TT2_Date` datetime DEFAULT NULL,
  `TTBooster_Date` datetime DEFAULT NULL,
  `IFA100_Given_Date` datetime DEFAULT NULL,
  `EDD` datetime DEFAULT NULL,
  `Anemia` varchar(15) DEFAULT NULL,
  `RTI_STI` char(4) DEFAULT NULL,
  `Delivery_Lnk_Facility` varchar(20) DEFAULT NULL,
  `Facility_Name` varchar(20) DEFAULT NULL,
  `Delivery_Date` datetime DEFAULT NULL,
  `Delivery_Place_home_type` varchar(100) DEFAULT NULL,
  `Delivery_Place_Public` varchar(100) DEFAULT NULL,
  `Delivery_Place_Private` varchar(100) DEFAULT NULL,
  `Delivery_type` varchar(20) DEFAULT NULL,
  `Delivery_Complications` varchar(100) DEFAULT NULL,
  `Discharge_Date` datetime DEFAULT NULL,
  `Abortion` varchar(50) DEFAULT NULL,
  `PNC_Home_Visit` varchar(20) DEFAULT NULL,
  `PNC_Complication` varchar(20) DEFAULT NULL,
  `PPC_Method` varchar(20) DEFAULT NULL,
  `PNC_Checkup` varchar(20) DEFAULT NULL,
  `Outcome_Nos` tinyint(4) DEFAULT NULL,
  `Child1_ID` bigint(20) DEFAULT NULL,
  `Child1_Name` varchar(50) DEFAULT NULL,
  `Child1_Gender` varchar(10) DEFAULT NULL,
  `Child1_Weight` decimal(5,2) DEFAULT NULL,
  `Child1_BreastFeeding` char(4) DEFAULT NULL,
  `Child2_ID` bigint(20) DEFAULT NULL,
  `Child2_Name` varchar(50) DEFAULT NULL,
  `Child2_Gender` varchar(10) DEFAULT NULL,
  `Child2_weight` decimal(5,2) DEFAULT NULL,
  `Child2_Breastfeeding` char(4) DEFAULT NULL,
  `Child3_ID` bigint(20) DEFAULT NULL,
  `Child3_Name` varchar(50) DEFAULT NULL,
  `Child3_Gender` varchar(10) DEFAULT NULL,
  `Child3_Weight` decimal(5,2) DEFAULT NULL,
  `Child3_Breastfeeding` char(4) DEFAULT NULL,
  `Child4_ID` bigint(20) DEFAULT NULL,
  `Child4_Name` varchar(50) DEFAULT NULL,
  `Child4_Gender` varchar(10) DEFAULT NULL,
  `Child4_Weight` decimal(5,2) DEFAULT NULL,
  `Child4_Breastfeeding` char(4) DEFAULT NULL,
  `Mother_Reg_Date` datetime DEFAULT NULL,
  `Last_Update_Date` datetime DEFAULT NULL,
  `EID` varchar(20) DEFAULT NULL,
  `EID_time` datetime DEFAULT NULL,
  `CPSMS_Flag` bit(1) DEFAULT NULL,
  `JSY_Beneficiary` char(4) DEFAULT NULL,
  `JSY_Paid_Date` datetime DEFAULT NULL,
  `Bank_Name` varchar(20) DEFAULT NULL,
  `Bank_Branch_Name` varchar(20) DEFAULT NULL,
  `Acc_No` varchar(20) DEFAULT NULL,
  `IFSC_Code` varchar(20) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `Referred_By_Telecaller` bit(1) DEFAULT NULL,
  `Referred_Date` datetime DEFAULT NULL,
  `No_of_Try` tinyint(4) DEFAULT NULL,
  `Call_Answered` bit(1) DEFAULT NULL,
  `Status` varchar(20) DEFAULT NULL,
  `High_Risk` bit(1) DEFAULT b'0',
  `Call_Verified` bit(1) DEFAULT NULL,
  `Associate` varchar(20) DEFAULT NULL,
  `Call_Date` datetime DEFAULT NULL,
  `Due_Services` varchar(50) DEFAULT NULL,
  `Due_Services_Response` varchar(50) DEFAULT NULL,
  `Overdue_Services` varchar(50) DEFAULT NULL,
  `Overdue_Services_Response` varchar(50) DEFAULT NULL,
  `Given_Services` varchar(50) DEFAULT NULL,
  `Given_Services_Response` varchar(50) DEFAULT NULL,
  `Miscarriage` bit(1) DEFAULT NULL,
  `Baby_Died` bit(1) DEFAULT NULL,
  `Call_No` varchar(50) DEFAULT NULL,
  `Questions_Asked` varchar(50) DEFAULT NULL,
  `Asnwer_Given_by_Benificary` varchar(50) DEFAULT NULL,
  `Source` varchar(50) DEFAULT NULL,
  `NoCall_Reason` varchar(50) DEFAULT NULL,
  `NoPhone_Reason` varchar(50) DEFAULT NULL,
  `Created_By` varchar(50) DEFAULT NULL,
  `Updated_By` varchar(50) DEFAULT NULL,
  `BPL_APL` varchar(50) DEFAULT NULL,
  `MDDS_StateID` varchar(50) DEFAULT NULL,
  `MDDS_District_ID` varchar(50) DEFAULT NULL,
  `MDDS_Taluka_ID` varchar(50) DEFAULT NULL,
  `MDDS_Village_ID` varchar(50) DEFAULT NULL,
  `Is_Valid` bit(1) DEFAULT NULL,
  `InValid_Reason` varchar(45) DEFAULT NULL,
  `Is_Error` bit(1) DEFAULT NULL,
  `Error_Reason` varchar(100) DEFAULT NULL,
  `FileID` int(11) DEFAULT NULL,
  `IsAllocated` bit(1) DEFAULT b'0',
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) DEFAULT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`RowID`),
  UNIQUE KEY `MCTSID_no_UNIQUE` (`MCTSID_no`),
  KEY `FK_MotherStaging_FileManager_idx` (`FileID`),
  CONSTRAINT `FK_MotherStaging_FileManager` FOREIGN KEY (`FileID`) REFERENCES `t_filemanager` (`FileID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_mouthopening`
--

DROP TABLE IF EXISTS `m_mouthopening`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_mouthopening` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_musculoskeletal`
--

DROP TABLE IF EXISTS `m_musculoskeletal`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_musculoskeletal` (
  `ID` smallint(6) NOT NULL AUTO_INCREMENT,
  `Type` varchar(15) DEFAULT NULL,
  `Value` varchar(15) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_ncdcaretype`
--

DROP TABLE IF EXISTS `m_ncdcaretype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_ncdcaretype` (
  `NCDCareTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `NCDCareType` varchar(50) DEFAULT NULL,
  `NCDCareTypeDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`NCDCareTypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_ncdscreeningcondition`
--

DROP TABLE IF EXISTS `m_ncdscreeningcondition`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_ncdscreeningcondition` (
  `NCDScreeningConditionID` int(11) NOT NULL AUTO_INCREMENT,
  `NCDScreeningCondition` varchar(100) DEFAULT NULL,
  `NCDScreeningConditionDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`NCDScreeningConditionID`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_ncdscreeningreason`
--

DROP TABLE IF EXISTS `m_ncdscreeningreason`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_ncdscreeningreason` (
  `NCDScreeningReasonID` int(11) NOT NULL AUTO_INCREMENT,
  `NCDScreeningReason` varchar(30) DEFAULT NULL,
  `NCDScreeningReasonDesc` varchar(50) DEFAULT NULL,
  `NCDScreeningConditionID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`NCDScreeningReasonID`),
  KEY `FK_NCDScreeningReason_NCDScreeingCondition_idx` (`NCDScreeningConditionID`),
  CONSTRAINT `FK_NCDScreeningReason_NCDScreeingCondition` FOREIGN KEY (`NCDScreeningConditionID`) REFERENCES `m_ncdscreeningcondition` (`NCDScreeningConditionID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_newbornhealthstatus`
--

DROP TABLE IF EXISTS `m_newbornhealthstatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_newbornhealthstatus` (
  `NewBornHealthStatusID` int(11) NOT NULL AUTO_INCREMENT,
  `NewBornHealthStatus` varchar(30) DEFAULT NULL,
  `NewBornHealthStatusDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`NewBornHealthStatusID`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_nextduevaccines`
--

DROP TABLE IF EXISTS `m_nextduevaccines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_nextduevaccines` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_notification`
--

DROP TABLE IF EXISTS `m_notification`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_notification` (
  `NotificationID` int(11) NOT NULL AUTO_INCREMENT,
  `Notification` varchar(300) DEFAULT NULL,
  `NotificationDesc` varchar(300) DEFAULT NULL,
  `NotificationTypeID` int(11) DEFAULT NULL,
  `KmFileManagerID` int(11) DEFAULT NULL,
  `RoleID` int(11) DEFAULT NULL,
  `UserID` int(11) DEFAULT NULL,
  `LanguageID` int(11) DEFAULT NULL,
  `WorkingLocationID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `ValidFrom` datetime DEFAULT NULL,
  `ValidTill` datetime DEFAULT NULL,
  `Deleted` bit(1) NOT NULL DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`NotificationID`),
  KEY `FK_Notification_Role_idx` (`RoleID`),
  KEY `FK_Notification_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_Notification_NotificationType_idx` (`NotificationTypeID`),
  KEY `FK_Notification_KMFileManager_idx` (`KmFileManagerID`),
  KEY `FK_Notification_Language_idx` (`LanguageID`),
  KEY `FK_Notification_ProviderServiceAddMapping_idx` (`WorkingLocationID`),
  KEY `FK_Notification_User_idx` (`UserID`),
  CONSTRAINT `FK_Notification_KMFileManager` FOREIGN KEY (`KmFileManagerID`) REFERENCES `t_kmfilemanager` (`KmFileManagerID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Notification_Language` FOREIGN KEY (`LanguageID`) REFERENCES `m_language` (`LanguageID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Notification_NotificationType` FOREIGN KEY (`NotificationTypeID`) REFERENCES `m_notificationtype` (`NotificationTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Notification_ProviderServiceAddMapping` FOREIGN KEY (`WorkingLocationID`) REFERENCES `m_providerserviceaddmapping` (`PSAddMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Notification_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Notification_Role` FOREIGN KEY (`RoleID`) REFERENCES `m_role` (`RoleID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Notification_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'REAL_AS_FLOAT,PIPES_AS_CONCAT,ANSI_QUOTES,IGNORE_SPACE,ONLY_FULL_GROUP_BY,ANSI' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER="masteruser"@"%"*/ /*!50003 trigger InsertNotificationMapping after insert on m_notification
for each row
begin
call db_iemr.PR_InsertInNotificationMap(new.RoleID, new.NotificationID, new.ProviderServiceMapID,new.NotificationTypeID,new.CreatedBy,new.ValidFrom, new.WorkingLocationID);
end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'REAL_AS_FLOAT,PIPES_AS_CONCAT,ANSI_QUOTES,IGNORE_SPACE,ONLY_FULL_GROUP_BY,ANSI' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER="masteruser"@"%"*/ /*!50003 trigger UpdateNotificationMapping after update on m_notification
for each row
begin
call db_iemr.PR_UpdateNotificationMap(new.NotificationID, new.ModifiedBy,new.ValidFrom, new.Deleted);
end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `m_notificationtype`
--

DROP TABLE IF EXISTS `m_notificationtype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_notificationtype` (
  `NotificationTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `NotificationType` varchar(100) DEFAULT NULL,
  `NotificationTypeDesc` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`NotificationTypeID`),
  KEY `FK_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_optionalvaccination`
--

DROP TABLE IF EXISTS `m_optionalvaccination`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_optionalvaccination` (
  `OptionalVaccinationID` smallint(6) NOT NULL AUTO_INCREMENT,
  `OptionalVaccinationTime` varchar(20) DEFAULT NULL,
  `OptionalVaccineName` varchar(50) DEFAULT NULL,
  `OptionalVaccineDesc` varchar(50) DEFAULT NULL,
  `Sctcode` varchar(30) DEFAULT NULL,
  `SctTerm` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`OptionalVaccinationID`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_oralcavityfinding`
--

DROP TABLE IF EXISTS `m_oralcavityfinding`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_oralcavityfinding` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_oralvitaminnumberofdose`
--

DROP TABLE IF EXISTS `m_oralvitaminnumberofdose`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_oralvitaminnumberofdose` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_outreachfeature`
--

DROP TABLE IF EXISTS `m_outreachfeature`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_outreachfeature` (
  `OutreachFeatureID` int(11) NOT NULL AUTO_INCREMENT,
  `Type` varchar(50) DEFAULT NULL,
  `Category` varchar(50) DEFAULT NULL,
  `Tasks` varchar(50) DEFAULT NULL,
  `MCC` char(4) DEFAULT NULL,
  `CancerScreening` char(4) DEFAULT NULL,
  `NCDScreening` char(4) DEFAULT NULL,
  `NCDCare` char(4) DEFAULT NULL,
  `ANC` char(4) DEFAULT NULL,
  `PNC` char(4) DEFAULT NULL,
  `GeneralOPD` char(4) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL DEFAULT 'Admin',
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`OutreachFeatureID`)
) ENGINE=InnoDB AUTO_INCREMENT=164 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_palpationbreasts`
--

DROP TABLE IF EXISTS `m_palpationbreasts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_palpationbreasts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_palpationlymphnodes`
--

DROP TABLE IF EXISTS `m_palpationlymphnodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_palpationlymphnodes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_palpationoforalcavity`
--

DROP TABLE IF EXISTS `m_palpationoforalcavity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_palpationoforalcavity` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_parkingplace`
--

DROP TABLE IF EXISTS `m_parkingplace`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_parkingplace` (
  `ParkingPlaceID` int(11) NOT NULL AUTO_INCREMENT,
  `ParkingPlaceName` varchar(50) DEFAULT NULL,
  `ParkingPlaceDesc` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CountryID` int(11) DEFAULT NULL,
  `StateID` int(11) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `DistrictBlockID` int(11) DEFAULT NULL,
  `DistrictBranchID` int(11) DEFAULT NULL,
  `AreaHQAddress` varchar(300) DEFAULT NULL,
  `IsFacility` bit(1) DEFAULT NULL,
  `FacilityID` int(11) DEFAULT NULL,
  `ZoneID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ParkingPlaceID`),
  UNIQUE KEY `FacilityID_UNIQUE` (`FacilityID`),
  KEY `FK_Area_ProviderServiceMapping` (`ProviderServiceMapID`),
  KEY `FK_Area_Country` (`CountryID`),
  KEY `FK_Area_State` (`StateID`),
  KEY `FK_Area_District` (`DistrictID`),
  KEY `FK_Area_DistrictBlock` (`DistrictBlockID`),
  KEY `FK_Area_DistrictBranchMapping` (`DistrictBranchID`),
  KEY `FK_ParkingPlace_Zone_idx` (`ZoneID`),
  CONSTRAINT `FK_Area_Country` FOREIGN KEY (`CountryID`) REFERENCES `m_country` (`CountryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Area_District` FOREIGN KEY (`DistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Area_DistrictBlock` FOREIGN KEY (`DistrictBlockID`) REFERENCES `m_districtblock` (`BlockID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Area_DistrictBranchMapping` FOREIGN KEY (`DistrictBranchID`) REFERENCES `m_districtbranchmapping` (`DistrictBranchID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Area_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Area_State` FOREIGN KEY (`StateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ParkingPlace_Facility` FOREIGN KEY (`FacilityID`) REFERENCES `m_facility` (`FacilityID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ParkingPlace_Zone` FOREIGN KEY (`ZoneID`) REFERENCES `m_zone` (`ZoneID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_parkingplacesubdistrictmap`
--

DROP TABLE IF EXISTS `m_parkingplacesubdistrictmap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_parkingplacesubdistrictmap` (
  `PPSubDistrictMapID` int(11) NOT NULL AUTO_INCREMENT,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `DistrictBlockID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`PPSubDistrictMapID`),
  KEY `FK_PPSubDistMap_ParkingPlace_idx` (`ParkingPlaceID`),
  KEY `FK_PPSubDistMap_District_idx` (`DistrictID`),
  KEY `FK_PPSubDistMap_DistrictBlock_idx` (`DistrictBlockID`),
  KEY `FK_PPSubDistMap_ProviderServiceMap_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_PPSubDistMap_District` FOREIGN KEY (`DistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PPSubDistMap_DistrictBlock` FOREIGN KEY (`DistrictBlockID`) REFERENCES `m_districtblock` (`BlockID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PPSubDistMap_ParkingPlace` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PPSubDistMap_ProviderServiceMap` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_personalhabittype`
--

DROP TABLE IF EXISTS `m_personalhabittype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_personalhabittype` (
  `PersonalHabitTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `HabitType` varchar(50) DEFAULT NULL,
  `HabitValue` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`PersonalHabitTypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_pharmacologicalcategory`
--

DROP TABLE IF EXISTS `m_pharmacologicalcategory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_pharmacologicalcategory` (
  `PharmCategoryID` int(11) NOT NULL AUTO_INCREMENT,
  `PharmCategoryName` varchar(100) DEFAULT NULL,
  `PharmCategoryDesc` varchar(100) DEFAULT NULL,
  `PharmCategoryCode` varchar(20) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`PharmCategoryID`),
  KEY `FK_PharmacologicalCategory_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_PharmacologicalCategory_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_phonetype`
--

DROP TABLE IF EXISTS `m_phonetype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_phonetype` (
  `PhoneTypeID` smallint(6) NOT NULL AUTO_INCREMENT,
  `PhoneType` varchar(20) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`PhoneTypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_physicalactivity`
--

DROP TABLE IF EXISTS `m_physicalactivity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_physicalactivity` (
  `PAID` int(11) NOT NULL AUTO_INCREMENT,
  `ActivityType` varchar(200) DEFAULT NULL,
  `Score` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`PAID`),
  KEY `FK_m_physicalactivity_ProviderServicewMapID` (`ProviderServiceMapID`),
  CONSTRAINT `FK_m_physicalactivity_ProviderServicewMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_pregduration`
--

DROP TABLE IF EXISTS `m_pregduration`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_pregduration` (
  `PregDurationID` smallint(6) NOT NULL AUTO_INCREMENT,
  `DurationType` varchar(20) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`PregDurationID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_pregoutcome`
--

DROP TABLE IF EXISTS `m_pregoutcome`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_pregoutcome` (
  `PregOutcomeID` smallint(6) NOT NULL AUTO_INCREMENT,
  `PregOutcome` varchar(20) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`PregOutcomeID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_premalignantlesion`
--

DROP TABLE IF EXISTS `m_premalignantlesion`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_premalignantlesion` (
  `PreMalignantLesionID` int(11) NOT NULL AUTO_INCREMENT,
  `PreMalignantLesionType` varchar(50) DEFAULT NULL,
  `PreMalignantLesionDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`PreMalignantLesionID`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_procedure`
--

DROP TABLE IF EXISTS `m_procedure`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_procedure` (
  `ProcedureID` int(11) NOT NULL AUTO_INCREMENT,
  `ProcedureName` varchar(100) DEFAULT NULL,
  `ProcedureDesc` varchar(100) DEFAULT NULL,
  `ProcedureType` varchar(30) DEFAULT NULL,
  `Gender` varchar(10) DEFAULT NULL,
  `IOTProcedureID` int(11) DEFAULT NULL,
  `isMandatory` bit(1) DEFAULT NULL,
  `isCalibration` bit(1) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ProcedureID`),
  KEY `FK_Procedure_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_Procedure_IOTProcedure_idx` (`IOTProcedureID`),
  CONSTRAINT `FK_Procedure_IOTProcedure` FOREIGN KEY (`IOTProcedureID`) REFERENCES `m_iotprocedure` (`IOTProcedureID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Procedure_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=115 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_procedurecomponentmap`
--

DROP TABLE IF EXISTS `m_procedurecomponentmap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_procedurecomponentmap` (
  `ProcedureComponentMapID` int(11) NOT NULL AUTO_INCREMENT,
  `ProcedureID` int(11) DEFAULT NULL,
  `TestComponentID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ProcedureComponentMapID`),
  KEY `FK_ProcedureComponentMap_Proceduer_idx` (`ProcedureID`),
  KEY `FK_ProcedureCoponentMap_TestComponent_idx` (`TestComponentID`),
  KEY `FK_ProcedureComponentMap_PSMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_ProcedureComponentMap_PSMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ProcedureComponentMap_Proceduer` FOREIGN KEY (`ProcedureID`) REFERENCES `m_procedure` (`ProcedureID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ProcedureCoponentMap_TestComponent` FOREIGN KEY (`TestComponentID`) REFERENCES `m_testcomponent` (`TestComponentID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_providerconfiguration`
--

DROP TABLE IF EXISTS `m_providerconfiguration`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_providerconfiguration` (
  `ConfigurationID` int(11) NOT NULL AUTO_INCREMENT,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `KeyName` varchar(50) DEFAULT NULL,
  `KeyValue` varchar(20) DEFAULT NULL,
  `KeyType` varchar(20) DEFAULT NULL,
  `KeyDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ConfigurationID`),
  KEY `FK_ProviderConfiguration_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_ProviderConfiguration_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_providerserviceaddmapping`
--

DROP TABLE IF EXISTS `m_providerserviceaddmapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_providerserviceaddmapping` (
  `PSAddMapID` int(11) NOT NULL AUTO_INCREMENT,
  `LocationName` varchar(45) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `Address` varchar(300) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`PSAddMapID`),
  KEY `FK_PSAddMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_PSAddMapping_District_idx` (`DistrictID`),
  CONSTRAINT `FK_PSAddMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PSAddMapping_District` FOREIGN KEY (`DistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_providerservicelangmapping`
--

DROP TABLE IF EXISTS `m_providerservicelangmapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_providerservicelangmapping` (
  `PSLangMapID` int(11) NOT NULL AUTO_INCREMENT,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `LanguageID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`PSLangMapID`),
  KEY `FK_ProviderServiceLangMapping_PSMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_ProviderServiceLangMapping_Language_idx` (`LanguageID`),
  CONSTRAINT `FK_ProviderServiceLangMapping_Language` FOREIGN KEY (`LanguageID`) REFERENCES `m_language` (`LanguageID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ProviderServiceLangMapping_PSMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_providerservicemapping`
--

DROP TABLE IF EXISTS `m_providerservicemapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_providerservicemapping` (
  `ProviderServiceMapID` int(11) NOT NULL AUTO_INCREMENT,
  `ServiceProviderID` smallint(6) DEFAULT NULL,
  `ServiceID` smallint(6) DEFAULT NULL,
  `CountryID` int(11) DEFAULT NULL,
  `StateID` int(11) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `CityID` int(11) DEFAULT NULL,
  `DistrictBlockID` int(11) DEFAULT NULL,
  `Address` varchar(100) DEFAULT NULL,
  `StatusID` smallint(6) DEFAULT NULL,
  `CTI_CampaignName` varchar(45) DEFAULT NULL,
  `ValidFrom` datetime DEFAULT NULL,
  `ValidTill` datetime DEFAULT NULL,
  `IsDialPreferenceManual` bit(1) DEFAULT b'1',
  `PreviewWindowTime` int(11) DEFAULT NULL,
  `APIMANClientID` varchar(100) DEFAULT NULL,
  `APIMANClientKey` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ProviderServiceMapID`),
  KEY `FK_providerservicemapping_ServiceProvider_idx` (`ServiceProviderID`),
  KEY `FK_ProviderServiceMapping_ServiceMaster_idx` (`ServiceID`),
  KEY `FK_ProviderServiceMapping_State_idx` (`StateID`),
  KEY `FK_ProviderServiceMapping_Country_idx` (`CountryID`),
  KEY `FK_ProviderServiceMapping_District_idx` (`DistrictID`),
  KEY `FK_ProviderServiceMapping__City_idx` (`CityID`),
  KEY `FK_ProviderServiceMapping_DistrictBlockMapping_idx` (`DistrictBlockID`),
  KEY `FK_ProviderServiceMapping_Status_idx` (`StatusID`),
  CONSTRAINT `FK_ProviderServiceMapping_Country` FOREIGN KEY (`CountryID`) REFERENCES `m_country` (`CountryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ProviderServiceMapping_District` FOREIGN KEY (`DistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ProviderServiceMapping_DistrictBlockMapping` FOREIGN KEY (`DistrictBlockID`) REFERENCES `m_districtbranchmapping` (`DistrictBranchID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ProviderServiceMapping_ServiceMaster` FOREIGN KEY (`ServiceID`) REFERENCES `m_servicemaster` (`ServiceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ProviderServiceMapping_Status` FOREIGN KEY (`StatusID`) REFERENCES `m_status` (`StatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ProviderServiceMapping__City` FOREIGN KEY (`CityID`) REFERENCES `m_city` (`CityID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ProviderServiceMapping__State` FOREIGN KEY (`StateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_providerservicemapping_ServiceProvider` FOREIGN KEY (`ServiceProviderID`) REFERENCES `m_serviceprovider` (`ServiceProviderID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'REAL_AS_FLOAT,PIPES_AS_CONCAT,ANSI_QUOTES,IGNORE_SPACE,ONLY_FULL_GROUP_BY,ANSI' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER="masteruser"@"%"*/ /*!50003 trigger MCTSExcelMapping after insert on m_providerservicemapping
for each row
begin
call db_iemr.PR_InsertMCTSFieldsStatewise(new.ProviderServiceMapID);
end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'REAL_AS_FLOAT,PIPES_AS_CONCAT,ANSI_QUOTES,IGNORE_SPACE,ONLY_FULL_GROUP_BY,ANSI' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER="masteruser"@"%"*/ /*!50003 trigger InsertCallType after insert on m_providerservicemapping
for each row
begin

call PR_InsertCallType(new.ProviderServiceMapID);

end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `m_qareporttype`
--

DROP TABLE IF EXISTS `m_qareporttype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_qareporttype` (
  `QAreportTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `ReportType` varchar(100) DEFAULT NULL,
  `ReportTypeDesc` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`QAreportTypeID`),
  KEY `FK_QAreportType_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_QAreportType_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_questionnaire`
--

DROP TABLE IF EXISTS `m_questionnaire`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_questionnaire` (
  `QuestionID` int(11) NOT NULL AUTO_INCREMENT,
  `Question` varchar(1000) DEFAULT NULL,
  `Interaction` varchar(200) DEFAULT NULL,
  `QuestionDesc` varchar(200) DEFAULT NULL,
  `QuestionTypeID` int(11) DEFAULT NULL,
  `AnswerType` varchar(30) DEFAULT NULL,
  `isMandatory` bit(1) DEFAULT NULL,
  `parentQuestionID` int(11) DEFAULT NULL,
  `parentAnswer` varchar(300) DEFAULT NULL,
  `isChild` bit(1) DEFAULT NULL,
  `TriggerFeedback` bit(1) DEFAULT NULL,
  `TriggerFeedbackFor` varchar(50) DEFAULT NULL,
  `ShowText` bit(1) DEFAULT NULL,
  `ShowTextFor` varchar(50) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `QuestionType` varchar(45) DEFAULT NULL,
  `QuestionRank` int(11) DEFAULT NULL,
  `QuestionWeightage` int(11) DEFAULT NULL,
  PRIMARY KEY (`QuestionID`),
  KEY `FK_Questionnaire_QuestionType_idx` (`QuestionTypeID`),
  KEY `FK_Questionnaire_ProviderServicewMapID_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_Questionnaire_ProviderServicewMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Questionnaire_QuestionType` FOREIGN KEY (`QuestionTypeID`) REFERENCES `m_questiontype` (`QuestionTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_questionnairevalues`
--

DROP TABLE IF EXISTS `m_questionnairevalues`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_questionnairevalues` (
  `QuestionValuesID` int(11) NOT NULL AUTO_INCREMENT,
  `QuestionValues` varchar(500) DEFAULT NULL,
  `QuestionID` int(11) DEFAULT NULL,
  `QuestionValuesWeightage` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`QuestionValuesID`),
  KEY `FK_m_questionnaireValues_ProviderServicewMapID` (`ProviderServiceMapID`),
  KEY `FK_m_questionnairevalues_QuestionID` (`QuestionID`),
  CONSTRAINT `FK_m_questionnaireValues_ProviderServicewMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_m_questionnairevalues_QuestionID` FOREIGN KEY (`QuestionID`) REFERENCES `m_questionnaire` (`QuestionID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_questiontype`
--

DROP TABLE IF EXISTS `m_questiontype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_questiontype` (
  `QuestionTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `QuestionType` varchar(30) DEFAULT NULL,
  `QuestionTypeDesc` varchar(50) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`QuestionTypeID`),
  KEY `FK_QuestionType_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_QuestionType_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_quickblox`
--

DROP TABLE IF EXISTS `m_quickblox`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_quickblox` (
  `QuickbloxID` int(11) NOT NULL AUTO_INCREMENT,
  `specialistUserID` int(11) DEFAULT NULL,
  `specialistQuickbloxID` int(11) DEFAULT NULL,
  `specialistBenQuickbloxID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `providerServiceMapID` int(11) DEFAULT NULL,
  `specialistBenQuickBloxPass` varchar(50) DEFAULT NULL,
  `specialistQuickbloxpass` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`QuickbloxID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_referralreason`
--

DROP TABLE IF EXISTS `m_referralreason`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_referralreason` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `VisitCategoryId` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_religion`
--

DROP TABLE IF EXISTS `m_religion`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_religion` (
  `ReligionID` smallint(6) NOT NULL AUTO_INCREMENT,
  `ReligionType` varchar(20) DEFAULT NULL,
  `ReligionDesc` varchar(20) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ReligionID`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_role`
--

DROP TABLE IF EXISTS `m_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_role` (
  `RoleID` int(11) NOT NULL AUTO_INCREMENT,
  `RoleName` varchar(50) NOT NULL,
  `RoleDesc` varchar(100) DEFAULT NULL,
  `RoleFor` smallint(6) DEFAULT NULL,
  `Feature` varchar(30) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `isWrapUpTime` bit(1) DEFAULT NULL,
  `Wrapuptime` int(11) DEFAULT NULL,
  PRIMARY KEY (`RoleID`),
  KEY `FK_Role_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_Role_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_routeofadmin`
--

DROP TABLE IF EXISTS `m_routeofadmin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_routeofadmin` (
  `RouteID` int(11) NOT NULL AUTO_INCREMENT,
  `RouteName` varchar(100) DEFAULT NULL,
  `RouteDesc` varchar(100) DEFAULT NULL,
  `RouteCode` varchar(100) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`RouteID`),
  KEY `Fk_RouteOfAdmin_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `Fk_RouteOfAdmin_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_sadraftitemmapping`
--

DROP TABLE IF EXISTS `m_sadraftitemmapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_sadraftitemmapping` (
  `SADraftItemMapID` int(11) NOT NULL AUTO_INCREMENT,
  `StockAdjustmentDraftID` int(11) DEFAULT NULL,
  `ItemStockEntryID` int(11) DEFAULT NULL,
  `IsAdded` bit(1) DEFAULT NULL,
  `AdjustedQuantity` int(11) DEFAULT NULL,
  `Reason` varchar(30) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SADraftItemMapID`),
  KEY `FK_SADraftItemMap_StockAdjDraft_idx` (`StockAdjustmentDraftID`),
  KEY `FK_SADraftItemMap_ItemStockEntry_idx` (`ItemStockEntryID`),
  KEY `FK_SADraftItemMap_ProviderServiceMap_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_SADraftItemMap_ItemStockEntry` FOREIGN KEY (`ItemStockEntryID`) REFERENCES `t_itemstockentry` (`ItemStockEntryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SADraftItemMap_ProviderServiceMap` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SADraftItemMap_StockAdjDraft` FOREIGN KEY (`StockAdjustmentDraftID`) REFERENCES `m_stockadjustmentdraft` (`StockAdjustmentDraftID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_scheme`
--

DROP TABLE IF EXISTS `m_scheme`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_scheme` (
  `SchemeID` int(11) NOT NULL AUTO_INCREMENT,
  `SchemeName` varchar(100) DEFAULT NULL,
  `SchemeDesc` varchar(300) DEFAULT NULL,
  `KmFileManagerID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SchemeID`),
  KEY `FK_Scheme_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_Scheme_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_screen`
--

DROP TABLE IF EXISTS `m_screen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_screen` (
  `ScreenID` int(11) NOT NULL AUTO_INCREMENT,
  `ScreenName` varchar(45) NOT NULL,
  `ApiUsed` text,
  `WorkflowName` varchar(20) DEFAULT NULL,
  `ScreenDesc` varchar(100) DEFAULT NULL,
  `ProviderServiceMapId` int(11) DEFAULT NULL,
  `ServiceID` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL DEFAULT 'Diamond',
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ScreenID`),
  KEY `FK_Screen_ServiceMaster_idx` (`ServiceID`),
  CONSTRAINT `FK_Screen_ServiceMaster` FOREIGN KEY (`ServiceID`) REFERENCES `m_servicemaster` (`ServiceID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=70 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_screeningcondition`
--

DROP TABLE IF EXISTS `m_screeningcondition`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_screeningcondition` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_servicefacility`
--

DROP TABLE IF EXISTS `m_servicefacility`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_servicefacility` (
  `ServiceFacilityID` int(11) NOT NULL AUTO_INCREMENT,
  `FacilityName` varchar(100) DEFAULT NULL,
  `FacilityDesc` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ServiceFacilityID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_servicemaster`
--

DROP TABLE IF EXISTS `m_servicemaster`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_servicemaster` (
  `ServiceID` smallint(6) NOT NULL AUTO_INCREMENT,
  `ServiceName` varchar(20) DEFAULT NULL,
  `ServiceDesc` varchar(50) DEFAULT NULL,
  `IsNational` bit(1) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ServiceID`),
  KEY `FK_ServiceMaster_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_ServiceMaster_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_servicepoint`
--

DROP TABLE IF EXISTS `m_servicepoint`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_servicepoint` (
  `ServicePointID` int(11) NOT NULL AUTO_INCREMENT,
  `ServicePointName` varchar(50) DEFAULT NULL,
  `ServicePointDesc` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CountryID` int(11) DEFAULT NULL,
  `StateID` int(11) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `DistrictBlockID` int(11) DEFAULT NULL,
  `DistrictBranchID` int(11) DEFAULT NULL,
  `ServicePointHQAddress` varchar(300) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ServicePointID`),
  KEY `FK_ServicePoint_ProviderServiceMapping` (`ProviderServiceMapID`),
  KEY `FK_ServicePoint_Country` (`CountryID`),
  KEY `FK_ServicePoint_State` (`StateID`),
  KEY `FK_ServicePoint_District` (`DistrictID`),
  KEY `FK_ServicePoint_DistrictBlock` (`DistrictBlockID`),
  KEY `FK_ServicePoint_DistrictBranchMapping` (`DistrictBranchID`),
  KEY `FK_ServicePoint_ParkingPlace_idx` (`ParkingPlaceID`),
  CONSTRAINT `FK_ServicePoint_Country` FOREIGN KEY (`CountryID`) REFERENCES `m_country` (`CountryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ServicePoint_District` FOREIGN KEY (`DistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ServicePoint_DistrictBlock` FOREIGN KEY (`DistrictBlockID`) REFERENCES `m_districtblock` (`BlockID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ServicePoint_DistrictBranchMapping` FOREIGN KEY (`DistrictBranchID`) REFERENCES `m_districtbranchmapping` (`DistrictBranchID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ServicePoint_ParkingPlace` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ServicePoint_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ServicePoint_State` FOREIGN KEY (`StateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_servicepointvillagemap`
--

DROP TABLE IF EXISTS `m_servicepointvillagemap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_servicepointvillagemap` (
  `ServicePointVillageMapID` int(11) NOT NULL AUTO_INCREMENT,
  `ServicePointID` int(11) DEFAULT NULL,
  `DistrictBranchID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ServicePointVillageMapID`),
  KEY `FK_ServicePointVillageMap_ServicePoint_idx` (`ServicePointID`),
  KEY `FK_ServicePointVillageMap_DistrictBranchMapping_idx` (`DistrictBranchID`),
  KEY `FK_ServicePointVillageMap_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_ServicePointVillageMap_DistrictBranchMapping` FOREIGN KEY (`DistrictBranchID`) REFERENCES `m_districtbranchmapping` (`DistrictBranchID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ServicePointVillageMap_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ServicePointVillageMap_ServicePoint` FOREIGN KEY (`ServicePointID`) REFERENCES `m_servicepoint` (`ServicePointID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_serviceprovider`
--

DROP TABLE IF EXISTS `m_serviceprovider`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_serviceprovider` (
  `ServiceProviderID` smallint(6) NOT NULL AUTO_INCREMENT,
  `ServiceProviderName` varchar(50) NOT NULL,
  `JoiningDate` datetime DEFAULT NULL,
  `StateID` int(11) DEFAULT NULL,
  `LogoFileName` varchar(20) DEFAULT NULL,
  `LogoFilePath` varchar(100) DEFAULT NULL,
  `PrimaryContactName` varchar(30) DEFAULT NULL,
  `PrimaryContactNo` varchar(30) DEFAULT NULL,
  `PrimaryContactEmailID` varchar(30) DEFAULT NULL,
  `PrimaryContactAddress` varchar(100) DEFAULT NULL,
  `PrimaryContactValidityTillDate` datetime DEFAULT NULL,
  `SecondaryContactName` varchar(30) DEFAULT NULL,
  `SecondaryContactNo` varchar(30) DEFAULT NULL,
  `SecondaryContactEmailID` varchar(30) DEFAULT NULL,
  `SecondaryContactAddress` varchar(100) DEFAULT NULL,
  `SecondaryContactValidityTillDate` datetime DEFAULT NULL,
  `StatusID` smallint(6) DEFAULT NULL,
  `ValidFrom` datetime DEFAULT NULL,
  `ValidTill` datetime DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ServiceProviderID`),
  KEY `FK_ServiceProvider_State_idx` (`StateID`),
  KEY `FK_ServiceProvider_Status_idx` (`StatusID`),
  CONSTRAINT `FK_ServiceProvider_State` FOREIGN KEY (`StateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ServiceProvider_Status` FOREIGN KEY (`StatusID`) REFERENCES `m_status` (`StatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_servicerolescreenmapping`
--

DROP TABLE IF EXISTS `m_servicerolescreenmapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_servicerolescreenmapping` (
  `SRSMappingID` int(11) NOT NULL AUTO_INCREMENT,
  `ScreenID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `RoleID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SRSMappingID`),
  KEY `FK_ServiceRoleScreenMapping_Screen_idx` (`ScreenID`),
  KEY `FK_ServiceRoleScreenMapping_Role_idx` (`RoleID`),
  KEY `FK_ServiceRoleScreenMapping_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_ServiceRoleScreenMapping_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ServiceRoleScreenMapping_Role` FOREIGN KEY (`RoleID`) REFERENCES `m_role` (`RoleID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ServiceRoleScreenMapping_Screen` FOREIGN KEY (`ScreenID`) REFERENCES `m_screen` (`ScreenID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_severity`
--

DROP TABLE IF EXISTS `m_severity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_severity` (
  `SeverityID` smallint(6) NOT NULL AUTO_INCREMENT,
  `SeverityTypeName` varchar(20) DEFAULT NULL,
  `SeverityDesc` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SeverityID`),
  KEY `FK_Severity_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_Severity_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_sexualorientation`
--

DROP TABLE IF EXISTS `m_sexualorientation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_sexualorientation` (
  `SexualOrientationId` smallint(6) NOT NULL AUTO_INCREMENT,
  `SexualOrientation` varchar(20) DEFAULT NULL,
  `SexualOrientationDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SexualOrientationId`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_siteofinjection`
--

DROP TABLE IF EXISTS `m_siteofinjection`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_siteofinjection` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `VaccinationID` smallint(6) NOT NULL,
  `VaccinationName` varchar(100) DEFAULT NULL,
  `Siteofinjection` varchar(100) DEFAULT NULL,
  `Sctcode` varchar(30) DEFAULT NULL,
  `SctTerm` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_issi` (`VaccinationID`),
  CONSTRAINT `FK_issi` FOREIGN KEY (`VaccinationID`) REFERENCES `m_immunizationservicevaccination` (`VaccinationID`)
) ENGINE=InnoDB AUTO_INCREMENT=137 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_smsparameter`
--

DROP TABLE IF EXISTS `m_smsparameter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_smsparameter` (
  `SMSParameterID` int(11) NOT NULL AUTO_INCREMENT,
  `SMSParamSource` varchar(250) DEFAULT NULL,
  `SMSParamName` varchar(250) DEFAULT NULL,
  `DataClassName` varchar(250) DEFAULT NULL,
  `DataVariableName` varchar(250) DEFAULT NULL,
  `ServiceID` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SMSParameterID`),
  KEY `FK_SMSParameter_ServiceMaster_idx` (`ServiceID`),
  CONSTRAINT `FK_SMSParameter_ServiceMaster` FOREIGN KEY (`ServiceID`) REFERENCES `m_servicemaster` (`ServiceID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=84 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_smsparametermapping`
--

DROP TABLE IF EXISTS `m_smsparametermapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_smsparametermapping` (
  `SMSParameterMapID` int(11) NOT NULL AUTO_INCREMENT,
  `SMSTemplateID` int(11) DEFAULT NULL,
  `SMSParameterID` int(11) DEFAULT NULL,
  `UserParameterName` varchar(50) DEFAULT NULL,
  `SMSTypeID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SMSParameterMapID`),
  KEY `FK_SMSParamMap_SMSTemplate_idx` (`SMSTemplateID`),
  KEY `FK_SMSParamMap_SMSParameter_idx` (`SMSParameterID`),
  KEY `FK_SMSParamMap_SMSType_idx` (`SMSTypeID`),
  CONSTRAINT `FK_SMSParamMap_SMSParameter` FOREIGN KEY (`SMSParameterID`) REFERENCES `m_smsparameter` (`SMSParameterID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SMSParamMap_SMSTemplate` FOREIGN KEY (`SMSTemplateID`) REFERENCES `m_smstemplate` (`SMSTemplateID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SMSParamMap_SMSType` FOREIGN KEY (`SMSTypeID`) REFERENCES `m_smstype` (`SMSTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_smstemplate`
--

DROP TABLE IF EXISTS `m_smstemplate`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_smstemplate` (
  `SMSTemplateID` int(11) NOT NULL AUTO_INCREMENT,
  `SMSTemplateName` varchar(50) DEFAULT NULL,
  `SMSTemplate` text,
  `SMSSenderName` varchar(50) DEFAULT NULL,
  `SMSTypeID` int(11) DEFAULT NULL,
  `dltTemplateId` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SMSTemplateID`),
  KEY `FK_SMSTemplate_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_SMSTemplate_SMSType_idx` (`SMSTypeID`),
  CONSTRAINT `FK_SMSTemplate_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SMSTemplate_SMSType` FOREIGN KEY (`SMSTypeID`) REFERENCES `m_smstype` (`SMSTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_smstype`
--

DROP TABLE IF EXISTS `m_smstype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_smstype` (
  `SMSTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `SMSType` varchar(50) DEFAULT NULL,
  `SMSTypeDesc` varchar(100) DEFAULT NULL,
  `ServiceID` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SMSTypeID`),
  KEY `FK_SMSType_ServiceMaster_idx` (`ServiceID`),
  CONSTRAINT `FK_SMSType_ServiceMaster` FOREIGN KEY (`ServiceID`) REFERENCES `m_servicemaster` (`ServiceID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_specialization`
--

DROP TABLE IF EXISTS `m_specialization`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_specialization` (
  `SpecializationID` int(11) NOT NULL AUTO_INCREMENT,
  `Specialization` varchar(50) DEFAULT NULL,
  `SpecializationDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SpecializationID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_state`
--

DROP TABLE IF EXISTS `m_state`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_state` (
  `StateID` int(11) NOT NULL AUTO_INCREMENT,
  `StateName` varchar(100) NOT NULL,
  `StateCode` char(4) DEFAULT NULL,
  `GovtStateID` int(11) DEFAULT NULL,
  `CountryID` int(11) DEFAULT NULL,
  `Language` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`StateID`),
  KEY `FK_State_Country_idx` (`CountryID`),
  CONSTRAINT `FK_State_Country` FOREIGN KEY (`CountryID`) REFERENCES `m_country` (`CountryID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_status`
--

DROP TABLE IF EXISTS `m_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_status` (
  `StatusID` smallint(6) NOT NULL AUTO_INCREMENT,
  `Status` varchar(20) DEFAULT NULL,
  `StatusDesc` varchar(30) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `StatusFor` varchar(30) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`StatusID`),
  KEY `FK_Status_ProviderServiceMapID_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_Status_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_stockadjustmentdraft`
--

DROP TABLE IF EXISTS `m_stockadjustmentdraft`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_stockadjustmentdraft` (
  `StockAdjustmentDraftID` int(11) NOT NULL AUTO_INCREMENT,
  `DraftName` varchar(30) DEFAULT NULL,
  `DraftDesc` varchar(50) DEFAULT NULL,
  `RefNo` varchar(30) DEFAULT NULL,
  `FacilityID` int(11) DEFAULT NULL,
  `IsCompleted` bit(1) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`StockAdjustmentDraftID`),
  KEY `FK_StockAdjustmentDraft_Facility_idx` (`FacilityID`),
  KEY `FK_StockAdjustmentDraft_ProviderServiceMap_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_StockAdjustmentDraft_Facility` FOREIGN KEY (`FacilityID`) REFERENCES `m_facility` (`FacilityID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_StockAdjustmentDraft_ProviderServiceMap` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_stratum`
--

DROP TABLE IF EXISTS `m_stratum`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_stratum` (
  `StratumID` int(11) NOT NULL AUTO_INCREMENT,
  `CategoryName` varchar(200) DEFAULT NULL,
  `SeqNo` int(11) DEFAULT NULL,
  `AttributeName` varchar(10) DEFAULT NULL,
  `FieldName` varchar(200) DEFAULT NULL,
  `FieldValueText` varchar(200) DEFAULT NULL,
  `FieldValueMin` int(11) DEFAULT NULL,
  `FieldValueMax` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`StratumID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_subcategory`
--

DROP TABLE IF EXISTS `m_subcategory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_subcategory` (
  `SubCategoryID` int(11) NOT NULL AUTO_INCREMENT,
  `CategoryID` int(11) DEFAULT NULL,
  `SubCategoryName` varchar(100) DEFAULT NULL,
  `SubCategoryDesc` varchar(100) DEFAULT NULL,
  `SubCatFilePath` varchar(300) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SubCategoryID`),
  KEY `FK_SubCategory_Category_idx` (`CategoryID`),
  CONSTRAINT `FK_SubCategory_Category` FOREIGN KEY (`CategoryID`) REFERENCES `m_category` (`CategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_subservice`
--

DROP TABLE IF EXISTS `m_subservice`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_subservice` (
  `SubServiceID` smallint(6) NOT NULL AUTO_INCREMENT,
  `SubServiceName` varchar(30) DEFAULT NULL,
  `SubServiceDesc` varchar(50) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SubServiceID`),
  KEY `FK_SubService_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_SubService_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'REAL_AS_FLOAT,PIPES_AS_CONCAT,ANSI_QUOTES,IGNORE_SPACE,ONLY_FULL_GROUP_BY,ANSI' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER="masteruser"@"%"*/ /*!50003 trigger Insert104BRCategory after insert on db_iemr.m_subservice
for each row
begin
if(new.SubServiceName = "Blood Request")
THEN

call db_iemr.PR_Insert104BRCategory(new.SubServiceID, new.ProviderServiceMapID);
end if;

end */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `m_subservicemaster`
--

DROP TABLE IF EXISTS `m_subservicemaster`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_subservicemaster` (
  `SubServiceMasterID` int(11) NOT NULL AUTO_INCREMENT,
  `SubServiceName` varchar(50) DEFAULT NULL,
  `SubServiceDesc` varchar(50) DEFAULT NULL,
  `ServiceID` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SubServiceMasterID`),
  KEY `FK_SubServiceMaster_ServiceMaster_idx` (`ServiceID`),
  CONSTRAINT `FK_SubServiceMaster_ServiceMaster` FOREIGN KEY (`ServiceID`) REFERENCES `m_servicemaster` (`ServiceID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_subvisitcategory`
--

DROP TABLE IF EXISTS `m_subvisitcategory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_subvisitcategory` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_supplier`
--

DROP TABLE IF EXISTS `m_supplier`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_supplier` (
  `SupplierID` int(11) NOT NULL AUTO_INCREMENT,
  `SupplierName` varchar(200) DEFAULT NULL,
  `SupplierDesc` varchar(100) DEFAULT NULL,
  `SupplierCode` varchar(20) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `ContactPerson` varchar(50) DEFAULT NULL,
  `DrugLicenseNo` varchar(50) DEFAULT NULL,
  `CST_GST_No` varchar(50) DEFAULT NULL,
  `TIN_No` varchar(50) DEFAULT NULL,
  `Email` varchar(50) DEFAULT NULL,
  `PhoneNo1` varchar(20) DEFAULT NULL,
  `PhoneNo2` varchar(20) DEFAULT NULL,
  `AddressLine1` varchar(100) DEFAULT NULL,
  `AddressLine2` varchar(100) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `StateID` int(11) DEFAULT NULL,
  `CountryID` int(11) DEFAULT NULL,
  `PinCode` varchar(10) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SupplierID`),
  KEY `FK_Supplier_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_Supplier_District` (`DistrictID`),
  KEY `FK_Supplier_State_idx` (`StateID`),
  KEY `FK_Supplier_Country_idx` (`CountryID`),
  CONSTRAINT `FK_Supplier_Country` FOREIGN KEY (`CountryID`) REFERENCES `m_country` (`CountryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Supplier_District` FOREIGN KEY (`DistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Supplier_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Supplier_State` FOREIGN KEY (`StateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_surgery`
--

DROP TABLE IF EXISTS `m_surgery`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_surgery` (
  `SurgeryID` int(11) NOT NULL AUTO_INCREMENT,
  `SurgeryType` varchar(50) DEFAULT NULL,
  `Gender` varchar(30) DEFAULT NULL,
  `Age` varchar(30) DEFAULT NULL,
  `VisitCategoryID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SurgeryID`),
  KEY `FK_Surgery_VisitCategory_idx` (`VisitCategoryID`),
  CONSTRAINT `FK_Surgery_VisitCategory` FOREIGN KEY (`VisitCategoryID`) REFERENCES `m_visitcategory` (`VisitCategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_swymeddomain`
--

DROP TABLE IF EXISTS `m_swymeddomain`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_swymeddomain` (
  `SwymedDomainID` int(11) NOT NULL AUTO_INCREMENT,
  `SwymedDoamin` varchar(100) DEFAULT NULL,
  `ServiceProviderID` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SwymedDomainID`),
  KEY `FK_SwymedDomain_ServiceProvider_idx` (`ServiceProviderID`),
  CONSTRAINT `FK_SwymedDomain_ServiceProvider` FOREIGN KEY (`ServiceProviderID`) REFERENCES `m_serviceprovider` (`ServiceProviderID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_synctabledetail`
--

DROP TABLE IF EXISTS `m_synctabledetail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_synctabledetail` (
  `SyncTableDetailID` int(11) NOT NULL AUTO_INCREMENT,
  `SchemaName` varchar(45) DEFAULT NULL,
  `TableName` varchar(50) DEFAULT NULL,
  `DataClassName` varchar(300) DEFAULT NULL,
  `ServerColumnName` text,
  `VanColumnName` text,
  `VanAutoIncColumnName` varchar(45) DEFAULT NULL,
  `IsMaster` bit(1) DEFAULT b'0',
  `SyncTableGroupID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SyncTableDetailID`)
) ENGINE=InnoDB AUTO_INCREMENT=86 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_synctablegroup`
--

DROP TABLE IF EXISTS `m_synctablegroup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_synctablegroup` (
  `SyncTableGroupID` int(11) NOT NULL AUTO_INCREMENT,
  `SyncTableGroupName` varchar(50) DEFAULT NULL,
  `SyncTableGroupDesc` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SyncTableGroupID`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_temporomandibularjoint`
--

DROP TABLE IF EXISTS `m_temporomandibularjoint`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_temporomandibularjoint` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_testcomponent`
--

DROP TABLE IF EXISTS `m_testcomponent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_testcomponent` (
  `TestComponentID` int(11) NOT NULL AUTO_INCREMENT,
  `TestComponentName` varchar(100) DEFAULT NULL,
  `TestComponentDesc` varchar(100) DEFAULT NULL,
  `Loinc_Num` varchar(10) DEFAULT NULL,
  `loinc_Component` varchar(255) DEFAULT NULL,
  `InputType` varchar(30) DEFAULT NULL,
  `MeasurementUnit` varchar(30) DEFAULT NULL,
  `isDecimal` bit(1) DEFAULT NULL,
  `Range_min` decimal(7,2) DEFAULT NULL,
  `Range_normal_min` decimal(7,2) DEFAULT NULL,
  `Range_normal_max` decimal(7,2) DEFAULT NULL,
  `Range_max` decimal(7,2) DEFAULT NULL,
  `IOTComponentID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`TestComponentID`),
  KEY `FK_TestComponent_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_TestComponent_IOTComponent_idx` (`IOTComponentID`),
  CONSTRAINT `FK_TestComponent_IOTComponent` FOREIGN KEY (`IOTComponentID`) REFERENCES `m_iotcomponent` (`IOTComponentId`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_TestComponent_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_title`
--

DROP TABLE IF EXISTS `m_title`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_title` (
  `TitleID` smallint(6) NOT NULL AUTO_INCREMENT,
  `TitleName` char(10) NOT NULL,
  `TitleDesc` varchar(20) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`TitleID`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_typeofiucdinserted`
--

DROP TABLE IF EXISTS `m_typeofiucdinserted`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_typeofiucdinserted` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_unansweredcallreason`
--

DROP TABLE IF EXISTS `m_unansweredcallreason`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_unansweredcallreason` (
  `UnansweredCallReasonID` int(11) NOT NULL AUTO_INCREMENT,
  `UnansweredCallReason` varchar(50) DEFAULT NULL,
  `UnansweredCallReasonDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`UnansweredCallReasonID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_uom`
--

DROP TABLE IF EXISTS `m_uom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_uom` (
  `UOMID` int(11) NOT NULL AUTO_INCREMENT,
  `UOMName` varchar(100) DEFAULT NULL,
  `UOMDesc` varchar(100) DEFAULT NULL,
  `UOMCode` varchar(20) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`UOMID`),
  KEY `FK_UOM_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_UOM_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_user`
--

DROP TABLE IF EXISTS `m_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_user` (
  `UserID` int(11) NOT NULL AUTO_INCREMENT,
  `TitleID` smallint(6) DEFAULT NULL,
  `FirstName` varchar(50) DEFAULT NULL,
  `MiddleName` varchar(50) DEFAULT NULL,
  `LastName` varchar(50) DEFAULT NULL,
  `GenderID` smallint(6) DEFAULT NULL,
  `MaritalStatusID` smallint(6) DEFAULT NULL,
  `AadhaarNo` varchar(20) DEFAULT NULL,
  `PAN` varchar(20) DEFAULT NULL,
  `DOB` datetime DEFAULT NULL,
  `DOJ` datetime DEFAULT NULL,
  `QualificationID` int(11) DEFAULT NULL,
  `DesignationID` int(11) DEFAULT NULL,
  `EmployeeID` varchar(20) DEFAULT NULL,
  `UserName` varchar(20) DEFAULT NULL,
  `Password` varchar(250) DEFAULT NULL,
  `CZUserID` varchar(20) DEFAULT NULL,
  `CZPassword` varchar(250) DEFAULT NULL,
  `AgentID` varchar(20) DEFAULT NULL,
  `AgentPassword` varchar(250) DEFAULT NULL,
  `CZRole` varchar(30) DEFAULT NULL,
  `ContactNo` varchar(12) DEFAULT NULL,
  `EmailID` varchar(100) DEFAULT NULL,
  `StatusID` smallint(6) DEFAULT NULL,
  `ServiceProviderID` smallint(6) DEFAULT NULL,
  `EmergencyContactPerson` varchar(50) DEFAULT NULL,
  `EmergencyContactNo` varchar(15) DEFAULT NULL,
  `IsExternal` bit(1) DEFAULT NULL,
  `IsSupervisor` bit(1) DEFAULT b'0',
  `IsProviderAdmin` bit(1) DEFAULT b'0',
  `Remarks` varchar(100) DEFAULT NULL,
  `HealthProfessionalID` varchar(30) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `failed_attempt` smallint(6) DEFAULT '0',
  PRIMARY KEY (`UserID`),
  UNIQUE KEY `UserName_UNIQUE` (`UserName`),
  UNIQUE KEY `AadhaarNo_UNIQUE` (`AadhaarNo`),
  UNIQUE KEY `CZUserID_UNIQUE` (`CZUserID`),
  UNIQUE KEY `EmployeeID_UNIQUE` (`EmployeeID`),
  KEY `FK_User_Title_idx` (`TitleID`),
  KEY `FK_User_Gender_idx` (`GenderID`),
  KEY `FK_User_MaritalStatusId_idx` (`MaritalStatusID`),
  KEY `FK_User_UserQualification_idx` (`QualificationID`),
  KEY `FK_User_Status_idx` (`StatusID`),
  KEY `FK_User_Designation_idx` (`DesignationID`),
  KEY `FK_User_ServiceProvider_idx` (`ServiceProviderID`),
  CONSTRAINT `FK_User_Designation` FOREIGN KEY (`DesignationID`) REFERENCES `m_designation` (`DesignationID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_User_Gender` FOREIGN KEY (`GenderID`) REFERENCES `m_gender` (`GenderID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_User_MaritalStatusId` FOREIGN KEY (`MaritalStatusID`) REFERENCES `m_maritalstatus` (`MaritalStatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_User_ServiceProvider` FOREIGN KEY (`ServiceProviderID`) REFERENCES `m_serviceprovider` (`ServiceProviderID`),
  CONSTRAINT `FK_User_Status` FOREIGN KEY (`StatusID`) REFERENCES `m_status` (`StatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_User_Title` FOREIGN KEY (`TitleID`) REFERENCES `m_title` (`TitleID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_User_UserQualification` FOREIGN KEY (`QualificationID`) REFERENCES `m_userqualification` (`QualificationID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_user_bkp_14092023`
--

DROP TABLE IF EXISTS `m_user_bkp_14092023`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_user_bkp_14092023` (
  `UserID` int(11) NOT NULL DEFAULT '0',
  `TitleID` smallint(6) DEFAULT NULL,
  `FirstName` varchar(50) DEFAULT NULL,
  `MiddleName` varchar(50) DEFAULT NULL,
  `LastName` varchar(50) DEFAULT NULL,
  `GenderID` smallint(6) DEFAULT NULL,
  `MaritalStatusID` smallint(6) DEFAULT NULL,
  `AadhaarNo` varchar(20) DEFAULT NULL,
  `PAN` varchar(20) DEFAULT NULL,
  `DOB` datetime DEFAULT NULL,
  `DOJ` datetime DEFAULT NULL,
  `QualificationID` int(11) DEFAULT NULL,
  `DesignationID` int(11) DEFAULT NULL,
  `EmployeeID` varchar(20) DEFAULT NULL,
  `UserName` varchar(20) DEFAULT NULL,
  `Password` varchar(250) DEFAULT NULL,
  `CZUserID` varchar(20) DEFAULT NULL,
  `CZPassword` varchar(250) DEFAULT NULL,
  `AgentID` varchar(20) DEFAULT NULL,
  `AgentPassword` varchar(250) DEFAULT NULL,
  `CZRole` varchar(30) DEFAULT NULL,
  `ContactNo` varchar(12) DEFAULT NULL,
  `EmailID` varchar(100) DEFAULT NULL,
  `StatusID` smallint(6) DEFAULT NULL,
  `ServiceProviderID` smallint(6) DEFAULT NULL,
  `EmergencyContactPerson` varchar(50) DEFAULT NULL,
  `EmergencyContactNo` varchar(15) DEFAULT NULL,
  `IsExternal` bit(1) DEFAULT NULL,
  `IsSupervisor` bit(1) DEFAULT b'0',
  `IsProviderAdmin` bit(1) DEFAULT b'0',
  `Remarks` varchar(100) DEFAULT NULL,
  `HealthProfessionalID` varchar(30) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `failed_attempt` smallint(6) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_user_signature`
--

DROP TABLE IF EXISTS `m_user_signature`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_user_signature` (
  `UserSignatureID` int(11) NOT NULL AUTO_INCREMENT,
  `UserID` int(11) DEFAULT NULL,
  `Signature` blob,
  `FileName` varchar(300) DEFAULT NULL,
  `FileType` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`UserSignatureID`),
  KEY `UserID` (`UserID`),
  CONSTRAINT `m_user_signature_ibfk_1` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`),
  CONSTRAINT `m_user_signature_ibfk_2` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_userbankaccount`
--

DROP TABLE IF EXISTS `m_userbankaccount`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_userbankaccount` (
  `BankAccountID` int(11) NOT NULL AUTO_INCREMENT,
  `BankAccountType` varchar(10) DEFAULT NULL,
  `BankAccountNumber` varchar(20) NOT NULL,
  `BankName` varchar(20) DEFAULT NULL,
  `IFSC` varchar(15) NOT NULL,
  `MICR` varchar(15) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`BankAccountID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_userbiometricmapping`
--

DROP TABLE IF EXISTS `m_userbiometricmapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_userbiometricmapping` (
  `UserBiometricMapID` int(11) NOT NULL AUTO_INCREMENT,
  `UserID` int(11) DEFAULT NULL,
  `FirstName` varchar(50) DEFAULT NULL,
  `LastName` varchar(50) DEFAULT NULL,
  `UserName` varchar(20) DEFAULT NULL,
  `GUID_LeftFinger` varchar(100) DEFAULT NULL,
  `GUID_RightFinger` varchar(100) DEFAULT NULL,
  `IsCompleted` bit(1) DEFAULT b'0',
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`UserBiometricMapID`),
  UNIQUE KEY `FK_UserBiometricMapping_User_idx` (`UserID`),
  CONSTRAINT `FK_UserBiometricMapping_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_userdemographics`
--

DROP TABLE IF EXISTS `m_userdemographics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_userdemographics` (
  `DemographicID` int(11) NOT NULL AUTO_INCREMENT,
  `UserID` int(11) NOT NULL,
  `FathersName` varchar(30) DEFAULT NULL,
  `MothersName` varchar(30) DEFAULT NULL,
  `CommunityID` smallint(6) DEFAULT NULL,
  `ReligionID` smallint(6) DEFAULT NULL,
  `AddressLine1` varchar(50) DEFAULT NULL,
  `AddressLine2` varchar(50) DEFAULT NULL,
  `PermAddressLine1` varchar(50) DEFAULT NULL,
  `PermAddressLine2` varchar(50) DEFAULT NULL,
  `PermStateID` int(11) DEFAULT NULL,
  `PermDistrictID` int(11) DEFAULT NULL,
  `PermPinCode` varchar(8) DEFAULT NULL,
  `PermanentAddress` varchar(500) DEFAULT NULL,
  `CityID` int(11) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `StateID` int(11) DEFAULT NULL,
  `CountryID` int(11) DEFAULT NULL,
  `PinCode` varchar(8) DEFAULT NULL,
  `IsPresent` bit(1) DEFAULT NULL,
  `IsPermanent` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DemographicID`),
  KEY `FK_UserDemographics_User_idx` (`UserID`),
  KEY `FK_UserDemographics_City_idx` (`CityID`),
  KEY `FK_UserDemographics_State_idx` (`StateID`),
  KEY `FK_UserDemographics_Community_idx` (`CommunityID`),
  KEY `FK_UserDemographics_Religion_idx` (`ReligionID`),
  KEY `FK_UserDemographics_Countyr_idx` (`CountryID`),
  KEY `FK_UserDemographics_District_idx` (`DistrictID`),
  KEY `FK_UserDemographics_State1_idx` (`PermStateID`),
  KEY `FK_UserDemographics_District1_idx` (`PermDistrictID`),
  CONSTRAINT `FK_UserDemographics_City` FOREIGN KEY (`CityID`) REFERENCES `m_city` (`CityID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserDemographics_Community` FOREIGN KEY (`CommunityID`) REFERENCES `m_community` (`CommunityID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserDemographics_Country` FOREIGN KEY (`CountryID`) REFERENCES `m_country` (`CountryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserDemographics_District` FOREIGN KEY (`DistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserDemographics_District1` FOREIGN KEY (`PermDistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserDemographics_Religion` FOREIGN KEY (`ReligionID`) REFERENCES `m_religion` (`ReligionID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserDemographics_State` FOREIGN KEY (`StateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserDemographics_State1` FOREIGN KEY (`PermStateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserDemographics_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_userlangmapping`
--

DROP TABLE IF EXISTS `m_userlangmapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_userlangmapping` (
  `UserLangID` int(11) NOT NULL AUTO_INCREMENT,
  `UserID` int(11) DEFAULT NULL,
  `LanguageID` int(11) DEFAULT NULL,
  `Weightage` int(11) DEFAULT NULL,
  `CanRead` bit(1) DEFAULT NULL,
  `Weightage_Read` int(11) DEFAULT NULL,
  `CanWrite` bit(1) DEFAULT NULL,
  `Weightage_Write` int(11) DEFAULT NULL,
  `CanSpeak` bit(1) DEFAULT NULL,
  `Weightage_Speak` int(11) DEFAULT NULL,
  `ServiceProviderID` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`UserLangID`),
  KEY `FK_UserLangMapping_User_idx` (`UserID`),
  KEY `FK_UserLangMapping_Language_idx` (`LanguageID`),
  KEY `FK_ServiceProviderID_m_userlangmapping` (`ServiceProviderID`),
  CONSTRAINT `FK_ServiceProviderID_m_userlangmapping` FOREIGN KEY (`ServiceProviderID`) REFERENCES `m_serviceprovider` (`ServiceProviderID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserLangMapping_Language` FOREIGN KEY (`LanguageID`) REFERENCES `m_language` (`LanguageID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserLangMapping_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_userloginmodulemapping`
--

DROP TABLE IF EXISTS `m_userloginmodulemapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_userloginmodulemapping` (
  `UserLoginModuleID` int(11) NOT NULL AUTO_INCREMENT,
  `UserID` int(11) DEFAULT NULL,
  `ModuleID` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`UserLoginModuleID`),
  KEY `FK_UserLoginModuleMapping_User_idx` (`UserID`),
  KEY `FK_UserLoginModuleMapping_Module_idx` (`ModuleID`),
  CONSTRAINT `FK_UserLoginModuleMapping_Module` FOREIGN KEY (`ModuleID`) REFERENCES `m_module` (`ModuleID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserLoginModuleMapping_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_usernotificationmap`
--

DROP TABLE IF EXISTS `m_usernotificationmap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_usernotificationmap` (
  `UserNotificationMapID` int(11) NOT NULL AUTO_INCREMENT,
  `NotificationID` int(11) DEFAULT NULL,
  `UserID` int(11) DEFAULT NULL,
  `RoleID` int(11) DEFAULT NULL,
  `NotificationState` varchar(30) DEFAULT NULL,
  `NotificationTypeID` int(11) DEFAULT NULL,
  `NotificationType` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `WorkingLocationID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`UserNotificationMapID`),
  KEY `FK_UserNotificationMap_Notification_idx` (`NotificationID`),
  KEY `FK_UserNotificationMap_User_idx` (`UserID`),
  KEY `FK_UserNotificationMap_Role_idx` (`RoleID`),
  KEY `FK_UserNotificationMap_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_UserNotificationMap_NotificationType_idx` (`NotificationTypeID`),
  CONSTRAINT `FK_UserNotificationMap_Notification` FOREIGN KEY (`NotificationID`) REFERENCES `m_notification` (`NotificationID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserNotificationMap_NotificationType` FOREIGN KEY (`NotificationTypeID`) REFERENCES `m_notificationtype` (`NotificationTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserNotificationMap_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserNotificationMap_Role` FOREIGN KEY (`RoleID`) REFERENCES `m_role` (`RoleID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserNotificationMap_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_userparkingplacemap`
--

DROP TABLE IF EXISTS `m_userparkingplacemap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_userparkingplacemap` (
  `UserParkingPlaceMapID` int(11) NOT NULL AUTO_INCREMENT,
  `UserID` int(11) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `StateID` int(11) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `ProviderServiceMapId` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`UserParkingPlaceMapID`),
  KEY `FK_UserParkingPlaceMap_User_idx` (`UserID`),
  KEY `FK_UserParkingPlaceMap_ParkingPlace_idx` (`ParkingPlaceID`),
  KEY `FK_UserParkingPlaceMap_StateID_idx` (`StateID`),
  KEY `FK_UserParkingPlaceMap_District_idx` (`DistrictID`),
  KEY `FK_UserParkingPlaceMap_ProviderServiceMapping_idx` (`ProviderServiceMapId`),
  CONSTRAINT `FK_UserParkingPlaceMap_District` FOREIGN KEY (`DistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserParkingPlaceMap_ParkingPlace` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserParkingPlaceMap_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapId`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserParkingPlaceMap_StateID` FOREIGN KEY (`StateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserParkingPlaceMap_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_userqualification`
--

DROP TABLE IF EXISTS `m_userqualification`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_userqualification` (
  `QualificationID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(50) NOT NULL,
  `UserQualificationDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`QualificationID`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_usersecurityqamapping`
--

DROP TABLE IF EXISTS `m_usersecurityqamapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_usersecurityqamapping` (
  `UserSecurityQAID` int(11) NOT NULL AUTO_INCREMENT,
  `UserID` int(11) NOT NULL,
  `QuestionID` smallint(6) DEFAULT NULL,
  `Answers` varchar(50) NOT NULL,
  `MobileNumber` varchar(10) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`UserSecurityQAID`),
  KEY `FK_QuestionId_usersecurityqamapping_loginsecurityquestions_idx` (`QuestionID`),
  CONSTRAINT `FK_QuestionId_usersecurityqamapping_loginsecurityquestions` FOREIGN KEY (`QuestionID`) REFERENCES `m_loginsecurityquestions` (`QuestionID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_userservicerolemapping`
--

DROP TABLE IF EXISTS `m_userservicerolemapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_userservicerolemapping` (
  `USRMappingID` int(11) NOT NULL AUTO_INCREMENT,
  `UserID` int(11) DEFAULT NULL,
  `RoleID` int(11) DEFAULT NULL,
  `AgentID` varchar(20) DEFAULT NULL,
  `AgentPassword` varchar(20) DEFAULT NULL,
  `CZRole` varchar(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `WorkingLocationID` int(11) DEFAULT NULL,
  `Blockid` int(11) DEFAULT NULL,
  `BlockName` varchar(100) DEFAULT NULL,
  `Villageid` varchar(100) DEFAULT NULL,
  `VillageName` varchar(500) DEFAULT NULL,
  `ServiceProviderID` smallint(6) DEFAULT NULL,
  `isInbound` bit(1) DEFAULT NULL,
  `isOutbound` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `isAutoPreviewDial` bit(1) DEFAULT NULL,
  `isSanjeevani` bit(1) DEFAULT NULL,
  `PreviewWindowTime` int(11) DEFAULT NULL,
  PRIMARY KEY (`USRMappingID`),
  KEY `FK_UserServiceRoleMapping_User_idx` (`UserID`),
  KEY `FK_UserServiceRoleMapping__Role_idx` (`RoleID`),
  KEY `FK_UserServiceRoleMapping_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_UserServiceRoleMapping_idx` (`WorkingLocationID`),
  KEY `FK_ServiceProviderID_m_userservicerolemapping` (`ServiceProviderID`),
  CONSTRAINT `FK_ServiceProviderID_m_userservicerolemapping` FOREIGN KEY (`ServiceProviderID`) REFERENCES `m_serviceprovider` (`ServiceProviderID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserServiceRoleMapping` FOREIGN KEY (`WorkingLocationID`) REFERENCES `m_providerserviceaddmapping` (`PSAddMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserServiceRoleMapping_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserServiceRoleMapping_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserServiceRoleMapping__Role` FOREIGN KEY (`RoleID`) REFERENCES `m_role` (`RoleID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_userspecializationmapping`
--

DROP TABLE IF EXISTS `m_userspecializationmapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_userspecializationmapping` (
  `UserSpecializationMapID` int(11) NOT NULL AUTO_INCREMENT,
  `UserID` int(11) DEFAULT NULL,
  `SpecializationID` int(11) DEFAULT NULL,
  `SlotTime_Minute` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`UserSpecializationMapID`),
  KEY `FK_UsrSpecializationMap_User_idx` (`UserID`),
  KEY `FK_UserSpecializationMap_Specialization_idx` (`SpecializationID`),
  CONSTRAINT `FK_UserSpecializationMap_Specialization` FOREIGN KEY (`SpecializationID`) REFERENCES `m_specialization` (`SpecializationID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserSpecializationMap_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_userstatelanguagemapping`
--

DROP TABLE IF EXISTS `m_userstatelanguagemapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_userstatelanguagemapping` (
  `USLMappingID` int(11) NOT NULL AUTO_INCREMENT,
  `USRMappingID` int(11) DEFAULT NULL,
  `LanguageID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`USLMappingID`),
  KEY `FK_UserStateLanguageMapping_USR_idx` (`USRMappingID`),
  KEY `FK_UserStateLanguageMapping_Language_idx` (`LanguageID`),
  CONSTRAINT `FK_UserStateLanguageMapping_Language` FOREIGN KEY (`LanguageID`) REFERENCES `m_language` (`LanguageID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserStateLanguageMapping_USR` FOREIGN KEY (`USRMappingID`) REFERENCES `m_userservicerolemapping` (`USRMappingID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_userswymedmapping`
--

DROP TABLE IF EXISTS `m_userswymedmapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_userswymedmapping` (
  `UserSwymedMapID` int(11) NOT NULL AUTO_INCREMENT,
  `UserID` int(11) DEFAULT NULL,
  `SwymedID` int(11) DEFAULT NULL,
  `SwymedPassword` varchar(250) DEFAULT NULL,
  `SwymedEmailID` varchar(30) DEFAULT NULL,
  `SwymedDomain` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`UserSwymedMapID`),
  UNIQUE KEY `UserID_UNIQUE` (`UserID`),
  CONSTRAINT `FK_USRSwymedMap_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_uservanmapping`
--

DROP TABLE IF EXISTS `m_uservanmapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_uservanmapping` (
  `UserVanMapID` int(11) NOT NULL AUTO_INCREMENT,
  `UserParkingPlaceMapID` int(11) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`UserVanMapID`),
  KEY `FK_UserVanMap_UserParkMap_idx` (`UserParkingPlaceMapID`),
  KEY `FK_UserVanMap_Van_idx` (`VanID`),
  KEY `FK_UserVanMap_ProviderServiceMap_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_UserVanMap_ProviderServiceMap` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserVanMap_UserParkMap` FOREIGN KEY (`UserParkingPlaceMapID`) REFERENCES `m_userparkingplacemap` (`UserParkingPlaceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserVanMap_Van` FOREIGN KEY (`VanID`) REFERENCES `m_van` (`VanID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_usragentmapping`
--

DROP TABLE IF EXISTS `m_usragentmapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_usragentmapping` (
  `USRAgentMappingID` int(11) NOT NULL AUTO_INCREMENT,
  `USRMappingID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `AgentID` varchar(20) DEFAULT NULL,
  `AgentPassword` varchar(250) DEFAULT NULL,
  `CTI_CampaignName` varchar(22) DEFAULT NULL,
  `IsAvailable` bit(1) DEFAULT b'1',
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`USRAgentMappingID`),
  KEY `FK_USRAgentMapping_UserServiceRoleMapping_idx` (`USRMappingID`),
  KEY `FK_USRAgentMapping_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_USRAgentMapping_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_USRAgentMapping_UserServiceRoleMapping` FOREIGN KEY (`USRMappingID`) REFERENCES `m_userservicerolemapping` (`USRMappingID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_van`
--

DROP TABLE IF EXISTS `m_van`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_van` (
  `VanID` int(11) NOT NULL AUTO_INCREMENT,
  `VanName` varchar(30) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `VanTypeID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CountryID` int(11) DEFAULT NULL,
  `StateID` int(11) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `IsFacility` bit(1) DEFAULT NULL,
  `FacilityID` int(11) DEFAULT NULL,
  `SwymedDomain` varchar(100) DEFAULT NULL,
  `SwymedID` varchar(100) DEFAULT NULL,
  `SwymedEmailID` varchar(100) DEFAULT NULL,
  `vanSpokeMapped` bit(1) DEFAULT b'0',
  `vanfetosenseIDmapped` bit(1) DEFAULT b'0',
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`VanID`),
  UNIQUE KEY `FacilityID_UNIQUE` (`FacilityID`),
  KEY `FK_Van_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_Van_Country_idx` (`CountryID`),
  KEY `FK_Van_State_idx` (`StateID`),
  KEY `FK_Van_District_idx` (`DistrictID`),
  KEY `FK_Van_ParkingPlace_idx` (`ParkingPlaceID`),
  KEY `FK_Van_VanType_idx` (`VanTypeID`),
  CONSTRAINT `FK_Van_Country` FOREIGN KEY (`CountryID`) REFERENCES `m_country` (`CountryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Van_District` FOREIGN KEY (`DistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Van_Facility` FOREIGN KEY (`FacilityID`) REFERENCES `m_facility` (`FacilityID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Van_ParkingPlace` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Van_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Van_State` FOREIGN KEY (`StateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Van_VanType` FOREIGN KEY (`VanTypeID`) REFERENCES `m_vantype` (`VanTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_vanfetosensedeviceidmapping`
--

DROP TABLE IF EXISTS `m_vanfetosensedeviceidmapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_vanfetosensedeviceidmapping` (
  `VfdID` bigint(20) NOT NULL AUTO_INCREMENT,
  `deviceId` varchar(100) NOT NULL,
  `devicename` varchar(100) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `vanTypeID` int(11) DEFAULT NULL,
  `vanName` varchar(30) DEFAULT NULL,
  `parkingplaceID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) NOT NULL,
  `deactivated` bit(1) DEFAULT b'0',
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`VfdID`),
  KEY `inx_deviceId` (`deviceId`),
  KEY `inx_providerservicemapid` (`ProviderServiceMapID`),
  CONSTRAINT `FK_Vfdidmapping_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_vanservicepointmap`
--

DROP TABLE IF EXISTS `m_vanservicepointmap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_vanservicepointmap` (
  `VanServicePointMapID` int(11) NOT NULL AUTO_INCREMENT,
  `VanID` int(11) DEFAULT NULL,
  `ServicePointID` int(11) DEFAULT NULL,
  `VanSession` smallint(6) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`VanServicePointMapID`),
  KEY `FK_VanServicePointMap_Van_idx` (`VanID`),
  KEY `FK_VanServicePointMap_ServicePoint_idx` (`ServicePointID`),
  KEY `FK_VanServicePointMap_ProviderServiceMapID_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_VanServicePointMap_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_VanServicePointMap_ServicePoint` FOREIGN KEY (`ServicePointID`) REFERENCES `m_servicepoint` (`ServicePointID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_VanServicePointMap_Van` FOREIGN KEY (`VanID`) REFERENCES `m_van` (`VanID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_vanspokemapping`
--

DROP TABLE IF EXISTS `m_vanspokemapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_vanspokemapping` (
  `VanspokeID` int(11) NOT NULL AUTO_INCREMENT,
  `tm_StateID` int(11) DEFAULT NULL,
  `tm_ZoneID` int(11) DEFAULT NULL,
  `tm_HubID` int(11) DEFAULT NULL,
  `tm_servicePointID` int(11) DEFAULT NULL,
  `tm_servicepointname` varchar(100) DEFAULT NULL,
  `tm_SpokeID` int(11) DEFAULT NULL,
  `tm_spokeName` varchar(50) DEFAULT NULL,
  `tm_ProviderServiceMapID` int(11) DEFAULT NULL,
  `tm_StateName` varchar(100) DEFAULT NULL,
  `tm_ZoneName` varchar(100) DEFAULT NULL,
  `tm_HubName` varchar(100) DEFAULT NULL,
  `tm_vanTypeID` int(11) DEFAULT NULL,
  `mmu_ZoneName` varchar(100) DEFAULT NULL,
  `mmu_parkingPlaceName` varchar(100) DEFAULT NULL,
  `mmu_servicePointName` varchar(100) DEFAULT NULL,
  `mmu_StateID` int(11) DEFAULT NULL,
  `mmu_ZoneID` int(11) DEFAULT NULL,
  `mmu_parkingPlaceID` int(11) DEFAULT NULL,
  `mmu_servicePointID` int(11) DEFAULT NULL,
  `mmu_VanID` int(11) DEFAULT NULL,
  `mmu_vanName` varchar(50) DEFAULT NULL,
  `mmu_vantypeID` varchar(100) DEFAULT NULL,
  `mmu_ProviderServiceMapID` int(11) DEFAULT NULL,
  `mmu_StateName` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`VanspokeID`),
  KEY `fk_tm_providerservicemapid` (`tm_ProviderServiceMapID`),
  KEY `fk_mmu_providerservicemapid` (`mmu_ProviderServiceMapID`),
  KEY `inx_mmu_VanID` (`mmu_VanID`),
  KEY `inx_deleted` (`Deleted`),
  CONSTRAINT `fk_mmu_providerservicemapid` FOREIGN KEY (`mmu_ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`),
  CONSTRAINT `fk_tm_providerservicemapid` FOREIGN KEY (`tm_ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_vantype`
--

DROP TABLE IF EXISTS `m_vantype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_vantype` (
  `VanTypeID` int(11) NOT NULL AUTO_INCREMENT,
  `VanType` varchar(20) DEFAULT NULL,
  `VanTypeDesc` varchar(30) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`VanTypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_visitcategory`
--

DROP TABLE IF EXISTS `m_visitcategory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_visitcategory` (
  `VisitCategoryID` int(11) NOT NULL AUTO_INCREMENT,
  `visitcategory` varchar(100) DEFAULT NULL,
  `VisitCategoryDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`VisitCategoryID`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_visitreason`
--

DROP TABLE IF EXISTS `m_visitreason`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_visitreason` (
  `VisitReasonID` smallint(6) NOT NULL AUTO_INCREMENT,
  `VisitReason` varchar(20) DEFAULT NULL,
  `VisitReasonDesc` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`VisitReasonID`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_visualexaminationvia`
--

DROP TABLE IF EXISTS `m_visualexaminationvia`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_visualexaminationvia` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_zone`
--

DROP TABLE IF EXISTS `m_zone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_zone` (
  `ZoneID` int(11) NOT NULL AUTO_INCREMENT,
  `ZoneName` varchar(50) DEFAULT NULL,
  `ZoneDesc` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CountryID` int(11) DEFAULT NULL,
  `StateID` int(11) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `DistrictBlockID` int(11) DEFAULT NULL,
  `DistrictBranchID` int(11) DEFAULT NULL,
  `ZoneHQAddress` varchar(300) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ZoneID`),
  KEY `FK_Zone_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_Zone_Country_idx` (`CountryID`),
  KEY `FK_Zone_State_idx` (`StateID`),
  KEY `FK_Zone_District_idx` (`DistrictID`),
  KEY `FK_Zone_DistrictBlock_idx` (`DistrictBlockID`),
  KEY `FK_Zone_DistrictBranchMapping_idx` (`DistrictBranchID`),
  CONSTRAINT `FK_Zone_Country` FOREIGN KEY (`CountryID`) REFERENCES `m_country` (`CountryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Zone_District` FOREIGN KEY (`DistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Zone_DistrictBlock` FOREIGN KEY (`DistrictBlockID`) REFERENCES `m_districtblock` (`BlockID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Zone_DistrictBranchMapping` FOREIGN KEY (`DistrictBranchID`) REFERENCES `m_districtbranchmapping` (`DistrictBranchID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Zone_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Zone_State` FOREIGN KEY (`StateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `m_zonedistrictmap`
--

DROP TABLE IF EXISTS `m_zonedistrictmap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `m_zonedistrictmap` (
  `ZoneDistrictMapID` int(11) NOT NULL AUTO_INCREMENT,
  `ZoneID` int(11) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ZoneDistrictMapID`),
  KEY `FK_ZoneDistrictMap_ZoneMaster_idx` (`ZoneID`),
  KEY `FK_ZoneDistrictMap_District_idx` (`DistrictID`),
  KEY `FK_ZoneDistrictMap_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_ZoneDistrictMap_District` FOREIGN KEY (`DistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ZoneDistrictMap_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ZoneDistrictMap_ZoneMaster` FOREIGN KEY (`ZoneID`) REFERENCES `m_zone` (`ZoneID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ndhm_trg_visitdata`
--

DROP TABLE IF EXISTS `ndhm_trg_visitdata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ndhm_trg_visitdata` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `benflowid` bigint(20) DEFAULT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `beneficiary_id` bigint(20) DEFAULT NULL,
  `visit_reason` varchar(45) DEFAULT NULL,
  `visit_category` varchar(45) DEFAULT NULL,
  `visitid` bigint(20) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `visitdate` datetime DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `Processed_Flag` bit(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `sct_description`
--

DROP TABLE IF EXISTS `sct_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sct_description` (
  `sctDesID` int(11) NOT NULL AUTO_INCREMENT,
  `sctCode` varchar(30) DEFAULT NULL,
  `EffectiveTime` varchar(30) DEFAULT NULL,
  `Active` varchar(30) DEFAULT NULL,
  `ModuleID` varchar(30) DEFAULT NULL,
  `ConceptID` varchar(30) DEFAULT NULL,
  `LanguageCode` varchar(30) DEFAULT NULL,
  `TypeID` varchar(30) DEFAULT NULL,
  `Term` varchar(500) DEFAULT NULL,
  `CaseSignificanceID` varchar(30) DEFAULT NULL,
  `Deleted` bit(1) NOT NULL DEFAULT b'0',
  `Processed` char(4) DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL DEFAULT 'Admin',
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(45) DEFAULT NULL,
  `LastModDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`sctDesID`),
  KEY `IX_Term_Search` (`Term`)
) ENGINE=InnoDB AUTO_INCREMENT=2414579 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary view structure for view `showofficedetails`
--

DROP TABLE IF EXISTS `showofficedetails`;
/*!50001 DROP VIEW IF EXISTS `showofficedetails`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `showofficedetails` AS SELECT 
 1 AS `PSAddMapID`,
 1 AS `ProviderServiceMapID`,
 1 AS `ServiceProviderID`,
 1 AS `ServiceProviderName`,
 1 AS `StateID`,
 1 AS `StateName`,
 1 AS `ServiceID`,
 1 AS `ServiceName`,
 1 AS `IsNational`,
 1 AS `DistrictID`,
 1 AS `DistrictName`,
 1 AS `LocationName`,
 1 AS `Address`,
 1 AS `Deleted`,
 1 AS `CreatedBy`,
 1 AS `CreatedDate`,
 1 AS `ModifiedBy`,
 1 AS `LastModDate`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `showuserdetailsfromuserservicerolemapping`
--

DROP TABLE IF EXISTS `showuserdetailsfromuserservicerolemapping`;
/*!50001 DROP VIEW IF EXISTS `showuserdetailsfromuserservicerolemapping`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `showuserdetailsfromuserservicerolemapping` AS SELECT 
 1 AS `USRMappingID`,
 1 AS `ProviderServiceMapID`,
 1 AS `UserID`,
 1 AS `RoleID`,
 1 AS `RoleName`,
 1 AS `TitleID`,
 1 AS `TitleName`,
 1 AS `FirstName`,
 1 AS `MiddleName`,
 1 AS `LastName`,
 1 AS `GenderID`,
 1 AS `GenderName`,
 1 AS `MaritalStatusID`,
 1 AS `MaritalStatus`,
 1 AS `AadhaarNo`,
 1 AS `PAN`,
 1 AS `DOB`,
 1 AS `DOJ`,
 1 AS `QualificationID`,
 1 AS `Qualification`,
 1 AS `UserName`,
 1 AS `Password`,
 1 AS `AgentID`,
 1 AS `AgentPassword`,
 1 AS `CZRole`,
 1 AS `EmailID`,
 1 AS `Languages`,
 1 AS `StatusID`,
 1 AS `UserStatus`,
 1 AS `EmergencyContactPerson`,
 1 AS `EmergencyContactNo`,
 1 AS `IsSupervisor`,
 1 AS `UserDeleted`,
 1 AS `DemographicID`,
 1 AS `FathersName`,
 1 AS `MothersName`,
 1 AS `CommunityID`,
 1 AS `CommunityType`,
 1 AS `ReligionID`,
 1 AS `ReligionType`,
 1 AS `UserAddressLine1`,
 1 AS `UserAddressLine2`,
 1 AS `PermAddressLine1`,
 1 AS `PermAddressLine2`,
 1 AS `PermStateID`,
 1 AS `PermDistrictID`,
 1 AS `PermPinCode`,
 1 AS `UserPremanentAddress`,
 1 AS `UserCityID`,
 1 AS `UserCity`,
 1 AS `UserStateID`,
 1 AS `UserState`,
 1 AS `UserCountryID`,
 1 AS `UserCountry`,
 1 AS `PinCode`,
 1 AS `IsPresent`,
 1 AS `IsPermanent`,
 1 AS `ServiceProviderID`,
 1 AS `ServiceProviderName`,
 1 AS `ServiceID`,
 1 AS `ServiceName`,
 1 AS `IsNational`,
 1 AS `PSMStateID`,
 1 AS `PSMStateName`,
 1 AS `WorkingLocationID`,
 1 AS `WorkingLocationName`,
 1 AS `WorkingDistrictID`,
 1 AS `WorkingDistrictName`,
 1 AS `WorkingAddress`,
 1 AS `USRMDeleted`*/;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `t_104appointmentdetails`
--

DROP TABLE IF EXISTS `t_104appointmentdetails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_104appointmentdetails` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `BlockName` varchar(100) DEFAULT NULL,
  `FacilityName` varchar(100) DEFAULT NULL,
  `FacilityCode` varchar(50) DEFAULT NULL,
  `ChoName` varchar(50) DEFAULT NULL,
  `Employee_Code` varchar(50) DEFAULT NULL,
  `HFRID` varchar(50) DEFAULT NULL,
  `FacilityPhoneNo` varchar(30) DEFAULT NULL,
  `AppointmentDate` datetime DEFAULT NULL,
  `BenRegId` bigint(20) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `AlternateMobileNo` varchar(30) DEFAULT NULL,
  `RefferedFlag` bit(1) DEFAULT b'0',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`Id`),
  KEY `FK_104appointmentdetails_BenCall` (`BenCallID`),
  CONSTRAINT `FK_104appointmentdetails_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_104bencdiresponse`
--

DROP TABLE IF EXISTS `t_104bencdiresponse`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_104bencdiresponse` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `CallerID` varchar(30) DEFAULT NULL,
  `QuestionID` int(11) DEFAULT NULL,
  `Answer` varchar(500) DEFAULT NULL,
  `Score` int(11) DEFAULT NULL,
  `TotalScore` int(11) DEFAULT NULL,
  `Remarks` varchar(300) DEFAULT NULL,
  `reasonIfNo` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ID`),
  KEY `FK_104callqamapping_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_104CallQAMapping_Questionnaire_idx` (`QuestionID`),
  KEY `FK_104bencdiresponse_BenCall_idx` (`BenCallID`),
  KEY `FK_104bencdiresponse_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `IX_CreatedDate` (`CreatedDate`),
  CONSTRAINT `FK_104CallQAMapping_Questionnaire` FOREIGN KEY (`QuestionID`) REFERENCES `m_questionnaire` (`QuestionID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_104bencdiresponse_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_104bencdiresponse_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_104benimrmmr`
--

DROP TABLE IF EXISTS `t_104benimrmmr`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_104benimrmmr` (
  `Benimrmmrid` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `Bencallid` bigint(20) NOT NULL,
  `requestID` varchar(50) DEFAULT NULL,
  `victimName` varchar(100) NOT NULL,
  `victimAge` int(11) DEFAULT NULL,
  `victimguardian` varchar(100) DEFAULT NULL,
  `victimDistrictid` int(11) NOT NULL,
  `victimTalukid` int(11) NOT NULL,
  `victimVillageid` int(11) DEFAULT NULL,
  `victimAddress` varchar(300) DEFAULT NULL,
  `relativeMobileNumber` varchar(15) DEFAULT NULL,
  `relationshipType` int(11) DEFAULT NULL,
  `referenceDate` datetime DEFAULT NULL,
  `reasonOfDeath` varchar(100) DEFAULT NULL,
  `deathConfirmed` bit(1) DEFAULT NULL,
  `duringPregnancy` varchar(100) DEFAULT NULL,
  `duringDelivery` varchar(100) DEFAULT NULL,
  `within42daysOfDelivery` varchar(100) DEFAULT NULL,
  `above42daysOfDelivery` varchar(50) DEFAULT NULL,
  `noofDelivery` int(11) DEFAULT NULL,
  `supportServicesName` varchar(100) DEFAULT NULL,
  `facilityName` varchar(100) NOT NULL,
  `duringTransit` varchar(100) DEFAULT NULL,
  `transitTypeId` int(11) DEFAULT NULL,
  `TypeOfDelivery` varchar(100) DEFAULT NULL,
  `typeOfInfromation` varchar(100) NOT NULL,
  `informerCategory` varchar(50) NOT NULL,
  `selectedCategory` varchar(50) DEFAULT NULL,
  `informerName` varchar(100) NOT NULL,
  `informerMobileNumber` varchar(15) NOT NULL,
  `informerDistrictid` int(11) NOT NULL,
  `informerTalukid` int(11) NOT NULL,
  `informerVillageid` int(11) DEFAULT NULL,
  `informerAddress` varchar(300) NOT NULL,
  `baseCommunityID` int(11) DEFAULT NULL,
  `baseCommunityname` varchar(100) DEFAULT NULL,
  `identityType` varchar(50) DEFAULT NULL,
  `informerIdNo` varchar(50) DEFAULT NULL,
  `userID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `facilityid` int(11) DEFAULT NULL,
  `supportServicesID` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`Benimrmmrid`),
  KEY `inx_beneficiaryRegID` (`BeneficiaryRegID`),
  KEY `FK_104104benimrmmr_BenCall` (`Bencallid`),
  KEY `FK_104104benimrmmr_ProviderServiceMapping` (`ProviderServiceMapID`),
  KEY `victimDistrictid` (`victimDistrictid`),
  KEY `victimTalukid` (`victimTalukid`),
  KEY `victimVillageid` (`victimVillageid`),
  CONSTRAINT `FK_104104benimrmmr_BenCall` FOREIGN KEY (`Bencallid`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_104104benimrmmr_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `t_104benimrmmr_ibfk_1` FOREIGN KEY (`victimDistrictid`) REFERENCES `m_district` (`DistrictID`),
  CONSTRAINT `t_104benimrmmr_ibfk_2` FOREIGN KEY (`victimTalukid`) REFERENCES `m_districtblock` (`BlockID`),
  CONSTRAINT `t_104benimrmmr_ibfk_3` FOREIGN KEY (`victimVillageid`) REFERENCES `m_districtbranchmapping` (`DistrictBranchID`),
  CONSTRAINT `t_104benimrmmr_ibfk_4` FOREIGN KEY (`victimDistrictid`) REFERENCES `m_district` (`DistrictID`),
  CONSTRAINT `t_104benimrmmr_ibfk_5` FOREIGN KEY (`victimTalukid`) REFERENCES `m_districtblock` (`BlockID`),
  CONSTRAINT `t_104benimrmmr_ibfk_6` FOREIGN KEY (`victimVillageid`) REFERENCES `m_districtbranchmapping` (`DistrictBranchID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_104benmedhistory`
--

DROP TABLE IF EXISTS `t_104benmedhistory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_104benmedhistory` (
  `BenHistoryID` bigint(20) NOT NULL AUTO_INCREMENT,
  `RequestID` varchar(30) DEFAULT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `PatientName` varchar(50) DEFAULT NULL,
  `PatientAge` int(11) DEFAULT NULL,
  `PatientGenderID` smallint(6) DEFAULT NULL,
  `SymptomID` varchar(100) DEFAULT NULL,
  `Algorithm` varchar(300) DEFAULT NULL,
  `DiseaseSummaryID` varchar(30) DEFAULT NULL,
  `DiseaseSummary` varchar(800) DEFAULT NULL,
  `Allergies` varchar(300) DEFAULT NULL,
  `SelecteDiagnosisID` varchar(100) DEFAULT NULL,
  `SelecteDiagnosis` varchar(100) DEFAULT NULL,
  `CategoryID` int(11) DEFAULT NULL,
  `SubCategoryID` int(11) DEFAULT NULL,
  `AddedAdvice` varchar(7000) DEFAULT NULL,
  `PrescriptionID` bigint(20) DEFAULT NULL,
  `ActionByHAO` varchar(200) DEFAULT NULL,
  `ActionByCO` varchar(200) DEFAULT NULL,
  `ActionByMO` varchar(200) DEFAULT NULL,
  `ActionByPD` varchar(200) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `IsSelf` bit(1) DEFAULT NULL,
  `RiskLevel` varchar(50) DEFAULT NULL,
  `TreatmentRecommendation` varchar(900) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `IsChiefComplaint` bit(1) DEFAULT b'1',
  `ageUnits` varchar(30) DEFAULT NULL,
  `dob` datetime DEFAULT NULL,
  PRIMARY KEY (`BenHistoryID`),
  KEY `FK_SampleBenHistory_104Prescription_idx` (`PrescriptionID`),
  KEY `FK_SampleBenHistory_Gender_idx` (`PatientGenderID`),
  KEY `FK_104BenMedHistory_BenCall_idx` (`BenCallID`),
  KEY `FK_104BenMedHistory_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_SampleBenHistory_Category_idx` (`CategoryID`),
  KEY `FK_104BenMedHistory_SubCategory_idx` (`SubCategoryID`),
  KEY `IX_CreatedDate` (`CreatedDate`),
  KEY `inx_beneficiaryRegID` (`BeneficiaryRegID`),
  CONSTRAINT `FK_104BenMedHistory_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_104BenMedHistory_Category` FOREIGN KEY (`CategoryID`) REFERENCES `m_category` (`CategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_104BenMedHistory_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_104BenMedHistory_SubCategory` FOREIGN KEY (`SubCategoryID`) REFERENCES `m_subcategory` (`SubCategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SampleBenHistory_104Prescription` FOREIGN KEY (`PrescriptionID`) REFERENCES `t_104prescription` (`PrescriptionID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SampleBenHistory_Gender` FOREIGN KEY (`PatientGenderID`) REFERENCES `m_gender` (`GenderID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_104benmedqaresponse`
--

DROP TABLE IF EXISTS `t_104benmedqaresponse`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_104benmedqaresponse` (
  `BenMedQAResponseID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `CallerID` varchar(30) DEFAULT NULL,
  `QuestionTypeID` int(11) DEFAULT NULL,
  `QuestionID` int(11) DEFAULT NULL,
  `Answer` varchar(50) DEFAULT NULL,
  `Score` int(11) DEFAULT NULL,
  `TotalScore` int(11) DEFAULT NULL,
  `Remarks` varchar(300) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`BenMedQAResponseID`),
  KEY `FK_104BMQAMap_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_104BMQAMap_Questionnaire_idx` (`QuestionID`),
  KEY `FK_104BMQAMap_BenCall_idx` (`BenCallID`),
  KEY `FK_104BMQAMap_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_104BMQAMap_QuestionType_idx` (`QuestionTypeID`),
  CONSTRAINT `FK_104BMQAMap_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_104BMQAMap_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_104BMQAMap_QuestionType` FOREIGN KEY (`QuestionTypeID`) REFERENCES `m_questiontype` (`QuestionTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_104BMQAMap_Questionnaire` FOREIGN KEY (`QuestionID`) REFERENCES `m_questionnaire` (`QuestionID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_104comooutboundcalldetails`
--

DROP TABLE IF EXISTS `t_104comooutboundcalldetails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_104comooutboundcalldetails` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `USRMappingID` int(11) DEFAULT NULL,
  `CzentrixCallID` varchar(20) DEFAULT NULL,
  `CallType` varchar(20) DEFAULT NULL,
  `CallSubType` varchar(20) DEFAULT NULL,
  `Is_Visited` bit(1) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `Feedback` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_104covid19`
--

DROP TABLE IF EXISTS `t_104covid19`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_104covid19` (
  `COVID19_104ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BenCallID` bigint(20) NOT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `beneficiaryID` bigint(20) DEFAULT NULL,
  `GendenderID` smallint(6) DEFAULT NULL,
  `callTypeID` int(11) DEFAULT NULL,
  `Age` int(11) DEFAULT NULL,
  `CategoryID` int(11) DEFAULT NULL,
  `categoryname` varchar(100) DEFAULT NULL,
  `SubCategoryID` int(11) DEFAULT NULL,
  `subcategoryname` varchar(100) DEFAULT NULL,
  `TestForID` varchar(100) DEFAULT NULL,
  `TestForName` varchar(50) DEFAULT NULL,
  `Travel_14days` bit(1) DEFAULT NULL,
  `Travel_type` varchar(30) DEFAULT NULL,
  `ModeOfTravel` varchar(50) DEFAULT NULL,
  `modeOfTravelInternational` varchar(50) DEFAULT NULL,
  `FromstateID` int(11) DEFAULT NULL,
  `FromcityID` int(11) DEFAULT NULL,
  `FromSubDistrictID` int(11) DEFAULT NULL,
  `TostateID` int(11) DEFAULT NULL,
  `TocityID` int(11) DEFAULT NULL,
  `TosubDistrict` int(11) DEFAULT NULL,
  `InterCountryID_from` int(11) DEFAULT NULL,
  `InterCityID_from` int(11) DEFAULT NULL,
  `InterCountryID_to` int(11) DEFAULT NULL,
  `InterCityID_to` int(11) DEFAULT NULL,
  `Symptoms` varchar(300) DEFAULT NULL,
  `HealthCondition` varchar(100) DEFAULT NULL,
  `LaboratoryConfirmed` bit(1) DEFAULT b'0',
  `LargeGathering` bit(1) DEFAULT b'0',
  `PublicExposedPlaces` bit(1) DEFAULT b'0',
  `FamliyPublicExposedPlaces` bit(1) DEFAULT NULL,
  `Symptoms11Select` varchar(100) DEFAULT NULL,
  `HowLongHaveFever` int(11) DEFAULT NULL,
  `HighestRecordedFever` int(11) DEFAULT NULL,
  `feverPatternValue` varchar(100) DEFAULT NULL,
  `highestRecordedFeverValue` varchar(100) DEFAULT NULL,
  `howLongHaveFeverValue` varchar(100) DEFAULT NULL,
  `FeverPattern` int(11) DEFAULT NULL,
  `RiskOfCovid19` varchar(100) DEFAULT NULL,
  `isPregnant` varchar(30) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`COVID19_104ID`),
  KEY `inx_BenCallID` (`BenCallID`),
  KEY `inx_BeneficiaryRegID` (`BeneficiaryRegID`),
  KEY `inx_callTypeID` (`callTypeID`),
  KEY `FK_104covid19_ProviderServicewMapID` (`ProviderServiceMapID`),
  CONSTRAINT `FK_104covid19_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_104covid19_CallType` FOREIGN KEY (`callTypeID`) REFERENCES `m_calltype` (`CallTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_104covid19_ProviderServicewMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_104prescribeddrug`
--

DROP TABLE IF EXISTS `t_104prescribeddrug`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_104prescribeddrug` (
  `PrescribedDrugID` bigint(20) NOT NULL AUTO_INCREMENT,
  `PrescriptionID` bigint(20) DEFAULT NULL,
  `DrugMapID` int(11) DEFAULT NULL,
  `DrugForm` varchar(30) DEFAULT NULL,
  `DrugRoute` varchar(30) DEFAULT NULL,
  `Frequency` varchar(30) DEFAULT NULL,
  `Dosage` varchar(100) DEFAULT NULL,
  `NoOfDays` int(11) DEFAULT NULL,
  `TimeToConsume` varchar(50) DEFAULT NULL,
  `SideEffects` varchar(100) DEFAULT NULL,
  `ValidTill` datetime DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`PrescribedDrugID`),
  KEY `FK_104PrescribedDrug_104Prescription_idx` (`PrescriptionID`),
  KEY `FK_104PrescribedDrug_104DrugMapping_idx` (`DrugMapID`),
  CONSTRAINT `FK_104PrescribedDrug_104DrugMapping` FOREIGN KEY (`DrugMapID`) REFERENCES `m_104drugmapping` (`DrugMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_104PrescribedDrug_104Prescription` FOREIGN KEY (`PrescriptionID`) REFERENCES `t_104prescription` (`PrescriptionID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_104prescription`
--

DROP TABLE IF EXISTS `t_104prescription`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_104prescription` (
  `PrescriptionID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `UserID` int(11) DEFAULT NULL,
  `DiagnosisProvided` varchar(300) DEFAULT NULL,
  `Remarks` varchar(150) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`PrescriptionID`),
  KEY `FK_104prescription_User_idx` (`UserID`),
  KEY `FK_104prescription_BenCall_idx` (`BenCallID`),
  KEY `inx_beneficiaryRegID` (`BeneficiaryRegID`),
  CONSTRAINT `FK_104prescription_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_104prescription_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_104referredcdssdetails`
--

DROP TABLE IF EXISTS `t_104referredcdssdetails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_104referredcdssdetails` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `beneficiaryRegID` bigint(20) DEFAULT NULL,
  `PatientName` varchar(100) DEFAULT NULL,
  `PatientAge` int(11) DEFAULT NULL,
  `PatientGenderID` int(11) DEFAULT NULL,
  `SelecteDiagnosisID` varchar(100) DEFAULT NULL,
  `SelecteDiagnosis` varchar(100) DEFAULT NULL,
  `PresentChiefComplaint` varchar(100) DEFAULT NULL,
  `PresentChiefComplaintID` varchar(100) DEFAULT NULL,
  `RecommendedAction` varchar(500) DEFAULT NULL,
  `Remarks` varchar(300) DEFAULT NULL,
  `Algorithm` varchar(300) DEFAULT NULL,
  `BeneficiaryID` bigint(20) DEFAULT NULL,
  `SessionID` int(11) DEFAULT NULL,
  `ServiceID` int(11) DEFAULT NULL,
  `PoviderServiceMapID` int(11) DEFAULT NULL,
  `CreatedBy` varchar(50) NOT NULL,
  `VanID` int(11) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `ActionId` int(11) DEFAULT NULL,
  `Action` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_104referredcdssdetails_BenCall` (`BenCallID`),
  CONSTRAINT `FK_104referredcdssdetails_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_abandonsummary`
--

DROP TABLE IF EXISTS `t_abandonsummary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_abandonsummary` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `CustomerPhoneNumber` bigint(20) DEFAULT NULL,
  `UniqueID` bigint(20) DEFAULT NULL,
  `QueueEnterTime` datetime DEFAULT NULL,
  `QueueTime` int(11) DEFAULT NULL,
  `DIDNumber` bigint(20) DEFAULT NULL,
  `Skills` varchar(100) DEFAULT NULL,
  `CampaignName` varchar(100) DEFAULT NULL,
  `RedialFlag` varchar(100) DEFAULT NULL,
  `CallType` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_agentsummaryreport`
--

DROP TABLE IF EXISTS `t_agentsummaryreport`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_agentsummaryreport` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `AgentName` varchar(100) DEFAULT NULL,
  `AgentID` int(11) DEFAULT NULL,
  `Agent_Identity` varchar(100) DEFAULT NULL,
  `CampaignName` varchar(100) DEFAULT NULL,
  `Totalcall` int(11) DEFAULT NULL,
  `Answd_Prev` int(11) DEFAULT NULL,
  `Answd_pro` int(11) DEFAULT NULL,
  `Answd_Pred` int(11) DEFAULT NULL,
  `Disp_Set` int(11) DEFAULT NULL,
  `Disp_Notset` int(11) DEFAULT NULL,
  `Calls_Held` int(11) DEFAULT NULL,
  `TalkTime` varchar(100) DEFAULT NULL,
  `Avg_TalkTime` varchar(100) DEFAULT NULL,
  `Preview_TalkTime` varchar(100) DEFAULT NULL,
  `Actual_TalkTime` varchar(100) DEFAULT NULL,
  `RingTime` varchar(100) DEFAULT NULL,
  `Avg_RingTime` varchar(100) DEFAULT NULL,
  `HoldTime` varchar(100) DEFAULT NULL,
  `Avg_HoldTime` varchar(100) DEFAULT NULL,
  `Call_HandledTime` varchar(100) DEFAULT NULL,
  `Avg_Call_HandledTime` varchar(100) DEFAULT NULL,
  `Wrap_Count` int(11) DEFAULT NULL,
  `Wrapuptime` varchar(100) DEFAULT NULL,
  `Avg_Wrapuptime` varchar(100) DEFAULT NULL,
  `Total_Logintime` varchar(100) DEFAULT NULL,
  `Idletime` varchar(100) DEFAULT NULL,
  `PauseDuration` varchar(100) DEFAULT NULL,
  `Preview_Pauseduration` varchar(100) DEFAULT NULL,
  `Readytime` varchar(100) DEFAULT NULL,
  `Stafftime` varchar(100) DEFAULT NULL,
  `Confduration` varchar(100) DEFAULT NULL,
  `Total_Previewtime` varchar(100) DEFAULT NULL,
  `Pre_Idletime` varchar(100) DEFAULT NULL,
  `Starttime` varchar(100) DEFAULT NULL,
  `Endtime` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=58 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_anccare`
--

DROP TABLE IF EXISTS `t_anccare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_anccare` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `VisitNo` smallint(6) DEFAULT NULL,
  `ComolaintType` varchar(20) DEFAULT NULL,
  `Duration` varchar(20) DEFAULT NULL,
  `Description` varchar(100) DEFAULT NULL,
  `LastMenstrualPeriod_LMP` datetime DEFAULT NULL,
  `GestationalAgeOrPeriodofAmenorrhea_POA` smallint(6) DEFAULT NULL,
  `ExpectedDateofDelivery` datetime DEFAULT NULL,
  `TrimesterNumber` smallint(6) DEFAULT NULL,
  `PrimiGravida` bit(1) DEFAULT NULL,
  `Gravida_G` smallint(6) DEFAULT NULL,
  `TermDeliveries_T` smallint(6) DEFAULT NULL,
  `PretermDeliveries_P` smallint(6) DEFAULT NULL,
  `Abortions_A` smallint(6) DEFAULT NULL,
  `Livebirths_L` smallint(6) DEFAULT NULL,
  `BloodGroup` varchar(15) DEFAULT NULL,
  `stillBirth` smallint(6) DEFAULT NULL,
  `Para_P` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_ANCCare_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_ANCCare_BenVIsitDetail_idx` (`BenVisitID`),
  KEY `FK_ANCCare_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_ANCCare_BenvisitDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_ANCCare_BenvisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ANCCare_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_ancdiagnosis`
--

DROP TABLE IF EXISTS `t_ancdiagnosis`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_ancdiagnosis` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `PrescriptionID` bigint(20) DEFAULT NULL,
  `HighRiskStatus` varchar(500) DEFAULT NULL,
  `HighRiskCondition` varchar(500) DEFAULT NULL,
  `ComplicationOfCurrentPregnancy` longtext,
  `OtherCompCurPreg` varchar(300) DEFAULT NULL,
  `IsMaternalDeath` bit(1) DEFAULT NULL,
  `PlaceOfDeath` varchar(50) DEFAULT NULL,
  `DateOfDeath` datetime DEFAULT NULL,
  `CauseOfDeath` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_ANCDiagnosis_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_ANCDiagnosis_BenVisitDetail` (`BenVisitID`),
  KEY `FK_ANCDiagnosis_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_ANCDiagnosis_BenVisiyDetail1_idx` (`VisitCode`),
  KEY `FK_ANCDiagnosis_Prescription_idx` (`PrescriptionID`),
  CONSTRAINT `FK_ANCDiagnosis_BenVisiyDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ANCDiagnosis_Prescription` FOREIGN KEY (`PrescriptionID`) REFERENCES `t_prescription` (`PrescriptionID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ANCDiagnosis_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_ancwomenvaccinedetail`
--

DROP TABLE IF EXISTS `t_ancwomenvaccinedetail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_ancwomenvaccinedetail` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `VaccineName` varchar(30) DEFAULT NULL,
  `Status` varchar(15) DEFAULT NULL,
  `ReceivedDate` datetime DEFAULT NULL,
  `ReceivedFacilityName` varchar(20) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_ANCWomenVaccineDetail_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_ANCWomenVacDetail_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_ANCWomenVacDetail_BenVisitDetail1_idx` (`VisitCode`),
  KEY `FK_ANCWomenVacDetail_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_ANCWomenVacDetail_BenVisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ANCWomenVacDetail_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_balvivahcomplaints`
--

DROP TABLE IF EXISTS `t_balvivahcomplaints`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_balvivahcomplaints` (
  `balVivahComplaintID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenCallID` bigint(20) NOT NULL,
  `subjectOfComplaint` varchar(100) DEFAULT NULL,
  `childName` varchar(100) DEFAULT NULL,
  `childFatherName` varchar(100) DEFAULT NULL,
  `childAge` int(11) DEFAULT NULL,
  `childGender` varchar(30) DEFAULT NULL,
  `childStateID` int(11) DEFAULT NULL,
  `childFatherStateID` int(11) DEFAULT NULL,
  `childDistrictID` int(11) DEFAULT NULL,
  `childFatherDistrictID` int(11) DEFAULT NULL,
  `childSubDistrictID` int(11) DEFAULT NULL,
  `childFatherSubDistrictID` int(11) DEFAULT NULL,
  `childVillageID` int(11) DEFAULT NULL,
  `childFatherVillageID` int(11) DEFAULT NULL,
  `marriageDate` datetime DEFAULT NULL,
  `ComplaintDate` datetime DEFAULT NULL,
  `RequestID` varchar(100) DEFAULT NULL,
  `providerServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`balVivahComplaintID`),
  KEY `FK_balVivahComplaints_BenCall` (`BenCallID`),
  CONSTRAINT `FK_balVivahComplaints_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_benadherence`
--

DROP TABLE IF EXISTS `t_benadherence`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_benadherence` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `ToDrugs` bit(1) DEFAULT NULL,
  `DrugReason` varchar(300) DEFAULT NULL,
  `ToReferral` bit(1) DEFAULT NULL,
  `ReferralReason` varchar(300) DEFAULT NULL,
  `Progress` varchar(20) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_BenAdherence_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `Fk_BenAdherence_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_BenAdherence_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_BenAdherence_BenvisitDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_BenAdherence_BenvisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenAdherence_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_benallergyhistory`
--

DROP TABLE IF EXISTS `t_benallergyhistory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_benallergyhistory` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `AllergyStatus` varchar(20) DEFAULT NULL,
  `AllergyType` varchar(20) DEFAULT NULL,
  `AllergenName` varchar(100) DEFAULT NULL,
  `AllergicReactionTypeID` varchar(30) DEFAULT NULL,
  `AllergicReactionType` varchar(750) DEFAULT NULL,
  `OtherAllergicReaction` varchar(100) DEFAULT NULL,
  `Remarks` varchar(300) DEFAULT NULL,
  `Sctcode` varchar(30) DEFAULT NULL,
  `SctTerm` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_BenAllergyHistory_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_BenAllergyHistory_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_BenAllergyHistory_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_BenAllergyHistory_BenvisitDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_BenAllergyHistory_BenvisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenAllergyHistory_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_bencall`
--

DROP TABLE IF EXISTS `t_bencall`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_bencall` (
  `BenCallID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `CallID` varchar(30) DEFAULT NULL,
  `SessionID` varchar(100) DEFAULT NULL,
  `PhoneNo` varchar(15) DEFAULT NULL,
  `CalledServiceID` int(11) DEFAULT NULL,
  `CallTypeID` int(11) DEFAULT '500',
  `is1097` bit(1) DEFAULT NULL,
  `CallTime` datetime DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `ServicesProvided` varchar(30) DEFAULT NULL,
  `CallClosureType` varchar(30) DEFAULT NULL,
  `DispositionStatusID` int(11) DEFAULT NULL,
  `CallReceivedUserID` int(11) DEFAULT NULL,
  `ReceivedRoleName` varchar(50) DEFAULT NULL,
  `ReceivedAgentID` varchar(20) DEFAULT NULL,
  `CallEndUserID` int(11) DEFAULT NULL,
  `CallEndTime` datetime DEFAULT NULL,
  `CallDuration` varchar(30) DEFAULT NULL,
  `Category` varchar(30) DEFAULT NULL,
  `SubCategory` varchar(30) DEFAULT NULL,
  `CDICallStatus` varchar(20) DEFAULT 'New',
  `IsOutbound` bit(1) DEFAULT b'0',
  `IsCalledEarlier` bit(1) DEFAULT b'0',
  `RecordingFilePath` varchar(300) DEFAULT NULL,
  `ArchiveFilePath` varchar(300) DEFAULT NULL,
  `EmergencyType` smallint(6) DEFAULT NULL,
  `OBCallID` bigint(20) DEFAULT NULL,
  `ChangeLog` text,
  `IsMother` bit(1) DEFAULT NULL,
  `SMS_Advice` varchar(300) DEFAULT NULL,
  `SMS_Ph` varchar(12) DEFAULT NULL,
  `IsVerified` bit(1) DEFAULT NULL,
  `ExternalReferral` varchar(50) DEFAULT NULL,
  `InsTypeid` int(11) DEFAULT NULL,
  `InsName` varchar(300) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `CZcallStartTime` datetime DEFAULT NULL,
  `CZcallEndTime` datetime DEFAULT NULL,
  `CZcallDuration` int(11) DEFAULT NULL,
  PRIMARY KEY (`BenCallID`),
  UNIQUE KEY `SessionID_UNIQUE` (`SessionID`),
  KEY `FK_BenCall_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_BenCall_CallType_idx` (`CallTypeID`),
  KEY `FK_BenCall_ServiceMaster_idx` (`CalledServiceID`),
  KEY `FK_BenCall_MCTSOutboundCalls_idx` (`OBCallID`),
  KEY `IX_CreatedDate` (`CreatedDate`),
  KEY `inx_ReceivedRoleName` (`ReceivedRoleName`),
  KEY `inx_isOutbound` (`IsOutbound`),
  KEY `inx_callid` (`CallID`),
  KEY `inx_ReceivedAgentID` (`ReceivedAgentID`),
  CONSTRAINT `FK_BenCall_CallType` FOREIGN KEY (`CallTypeID`) REFERENCES `m_calltype` (`CallTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenCall_MCTSOutboundCalls` FOREIGN KEY (`OBCallID`) REFERENCES `t_mctsoutboundcalls` (`OBCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenCall_ServiceMaster` FOREIGN KEY (`CalledServiceID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_benchiefcomplaint`
--

DROP TABLE IF EXISTS `t_benchiefcomplaint`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_benchiefcomplaint` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `ChiefComplaintID` int(11) DEFAULT NULL,
  `ChiefComplaint` varchar(100) DEFAULT NULL,
  `SCTDesID` int(11) DEFAULT NULL,
  `SCTCode` varchar(30) DEFAULT NULL,
  `SCTChiefComplaint` varchar(500) DEFAULT NULL,
  `Duration` int(11) DEFAULT NULL,
  `UnitOfDuration` varchar(30) DEFAULT NULL,
  `Description` varchar(300) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_BenChiefComplaint_Benficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_BenChiefComplaint_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_BenChiefComplaint_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_BenChiefComplaint_ChiefComplaint_idx` (`ChiefComplaintID`),
  KEY `FK_BenChiefComplaint_BenvisitDetail1_idx` (`VisitCode`),
  KEY `FK_BenChiefComplaint_SctDescription_idx` (`SCTDesID`),
  CONSTRAINT `FK_BenChiefComplaint_BenvisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenChiefComplaint_ChiefComplaint` FOREIGN KEY (`ChiefComplaintID`) REFERENCES `m_chiefcomplaint` (`ChiefComplaintID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenChiefComplaint_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenChiefComplaint_SctDescription` FOREIGN KEY (`SCTDesID`) REFERENCES `sct_description` (`sctDesID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_benclinicalobservation`
--

DROP TABLE IF EXISTS `t_benclinicalobservation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_benclinicalobservation` (
  `ClinicalObservationID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `ClinicalObservation` varchar(500) DEFAULT NULL,
  `ClinicalObservation_Sctcode` varchar(300) DEFAULT NULL,
  `OtherSymptoms` varchar(300) DEFAULT NULL,
  `OtherSymptoms_SCTCode` varchar(300) DEFAULT NULL,
  `OtherSymptoms_SCTTerm` varchar(300) DEFAULT NULL,
  `SignificantFindings_Sctcode` varchar(300) DEFAULT NULL,
  `SignificantFindings` varchar(300) DEFAULT NULL,
  `IsForHistory` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ClinicalObservationID`),
  KEY `FK_BenClinicalObservation_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_BenClinicalObservation_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_BenClinicalObservation_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_BenClinicalObservation_BenvisitDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_BenClinicalObservation_BenvisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenClinicalObservation_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_bencomorbiditycondition`
--

DROP TABLE IF EXISTS `t_bencomorbiditycondition`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_bencomorbiditycondition` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `ComorbidConditionID` smallint(6) DEFAULT NULL,
  `ComorbidCondition` varchar(30) DEFAULT NULL,
  `OtherComorbidCondition` varchar(50) DEFAULT NULL,
  `Year` datetime DEFAULT NULL,
  `IsForHistory` bit(1) DEFAULT b'0',
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_BenComorCond_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_BenComorCond_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_BenComorCond_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_BenComorCond_BenVisitDetail1_idx` (`VisitCode`),
  KEY `FK_BenComorCond_ComorCond_idx` (`ComorbidConditionID`),
  CONSTRAINT `FK_BenComorCond_BenVisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenComorCond_ComorCond` FOREIGN KEY (`ComorbidConditionID`) REFERENCES `m_comorbidcondition` (`ComorbidConditionID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenComorCond_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_benfamilyhistory`
--

DROP TABLE IF EXISTS `t_benfamilyhistory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_benfamilyhistory` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `FamilyMember` varchar(500) DEFAULT NULL,
  `DiseaseTypeID` smallint(6) DEFAULT NULL,
  `DiseaseType` varchar(50) DEFAULT NULL,
  `OtherDiseaseType` varchar(50) DEFAULT NULL,
  `IsGeneticDisorder` bit(1) DEFAULT NULL,
  `GeneticDisorder` varchar(50) DEFAULT NULL,
  `IsConsanguineousMarrige` bit(1) DEFAULT NULL,
  `Sctcode` varchar(30) DEFAULT NULL,
  `SctTerm` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_BenFamilyHistory_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_BenFamilyHistory_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_BenFamilyHistory_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_BenFamilyHistory_BenVisitDetail1_idx` (`VisitCode`),
  KEY `FK_BenFamilyHistory_DiseaseType_idx` (`DiseaseTypeID`),
  CONSTRAINT `FK_BenFamilyHistory_BenVisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenFamilyHistory_DiseaseType` FOREIGN KEY (`DiseaseTypeID`) REFERENCES `m_diseasetype` (`DiseaseTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenFamilyHistory_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_benmedhistory`
--

DROP TABLE IF EXISTS `t_benmedhistory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_benmedhistory` (
  `BenMedHistoryID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `YearofIllness` datetime DEFAULT NULL,
  `IllnessTypeID` int(11) DEFAULT NULL,
  `IllnessType` varchar(50) DEFAULT NULL,
  `OtherIllnessType` varchar(50) DEFAULT NULL,
  `SurgeryID` int(11) DEFAULT NULL,
  `SurgeryType` varchar(50) DEFAULT NULL,
  `YearofSurgery` datetime DEFAULT NULL,
  `OtherSurgeryType` varchar(50) DEFAULT NULL,
  `DrugComplianceID` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`BenMedHistoryID`),
  KEY `FK_BenMedHistory_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_BenMedHistory_IllnessType_idx` (`IllnessTypeID`),
  KEY `FK_BenMedHistory_Surgary_idx` (`SurgeryID`),
  KEY `FK_BenMedRecord_DrugCompliance_idx` (`DrugComplianceID`),
  KEY `FK_BenMedRecord_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_BenMedRecord_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_BenMedRecord_BenvisitDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_BenMedRecord_BenvisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenMedRecord_DrugCompliance` FOREIGN KEY (`DrugComplianceID`) REFERENCES `m_drugcompliance` (`DrugComplianceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenMedRecord_IllnessType` FOREIGN KEY (`IllnessTypeID`) REFERENCES `m_illness` (`IllnessID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenMedRecord_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenMedRecord_Surgary` FOREIGN KEY (`SurgeryID`) REFERENCES `m_surgery` (`SurgeryID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_benmedicationhistory`
--

DROP TABLE IF EXISTS `t_benmedicationhistory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_benmedicationhistory` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `CurrentMedication` varchar(50) DEFAULT NULL,
  `Year` datetime DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_BenMedicationHist_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_BenMedicationHist_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_BenMedicationHist_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_BenMedicationHist_BenVisitDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_BenMedicationHist_BenVisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenMedicationHist_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_benmenstrualdetails`
--

DROP TABLE IF EXISTS `t_benmenstrualdetails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_benmenstrualdetails` (
  `BenMenstrualID` int(11) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `MenstrualCycleStatusID` smallint(6) DEFAULT NULL,
  `MenstrualCycleStatus` varchar(50) DEFAULT NULL,
  `Regularity` varchar(10) DEFAULT NULL,
  `MenstrualCyclelengthID` smallint(6) DEFAULT NULL,
  `CycleLength` varchar(30) DEFAULT NULL,
  `MenstrualFlowDurationID` smallint(6) DEFAULT NULL,
  `BloodFlowDuration` varchar(30) DEFAULT NULL,
  `MenstrualProblemID` varchar(100) DEFAULT NULL,
  `ProblemName` text,
  `LMPDate` datetime DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`BenMenstrualID`),
  KEY `FK_BenMenstrualDetails_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_BenMenstrualDetails_MenstrualCycleStatus_idx` (`MenstrualCycleStatusID`),
  KEY `FK_BenMenstrualDetails_MenstrualCycleRange_idx` (`MenstrualCyclelengthID`),
  KEY `FK_BenMenstrualDetails_MenstrualCycleRange1_idx` (`MenstrualFlowDurationID`),
  KEY `FK_BenMenstrualDetails_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_BenMenstrualDetails_BenVisitDetail1_idx` (`VisitCode`),
  KEY `FK_BenMenstrualDetails_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_BenMenstrualDetails_MenstrualCycleRange` FOREIGN KEY (`MenstrualCyclelengthID`) REFERENCES `m_menstrualcyclerange` (`MenstrualRangeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenMenstrualDetails_MenstrualCycleRange1` FOREIGN KEY (`MenstrualFlowDurationID`) REFERENCES `m_menstrualcyclerange` (`MenstrualRangeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenMenstrualDetails_MenstrualCycleStatus` FOREIGN KEY (`MenstrualCycleStatusID`) REFERENCES `m_menstrualcyclestatus` (`MenstrualCycleStatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_benpersonalhabit`
--

DROP TABLE IF EXISTS `t_benpersonalhabit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_benpersonalhabit` (
  `BenPersonalHabitID` int(11) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `DietaryType` varchar(50) DEFAULT NULL,
  `PhysicalActivityType` varchar(50) DEFAULT NULL,
  `TobaccoUseStatus` varchar(50) DEFAULT NULL,
  `TobaccoUseTypeID` int(11) DEFAULT NULL,
  `TobaccoUseType` varchar(50) DEFAULT NULL,
  `OtherTobaccoUseType` varchar(50) DEFAULT NULL,
  `NumberperDay` smallint(6) DEFAULT NULL,
  `NumberperWeek` smallint(6) DEFAULT NULL,
  `TobaccoUseDuration` datetime DEFAULT NULL,
  `AlcoholIntakeStatus` varchar(50) DEFAULT NULL,
  `AlcoholTypeID` int(11) DEFAULT NULL,
  `AlcoholType` varchar(50) DEFAULT NULL,
  `OtherAlcoholType` varchar(50) DEFAULT NULL,
  `AlcoholIntakeFrequency` varchar(50) DEFAULT NULL,
  `AvgAlcoholConsumption` varchar(50) DEFAULT NULL,
  `AlcoholDuration` datetime DEFAULT NULL,
  `RiskySexualPracticesStatus` char(4) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`BenPersonalHabitID`),
  KEY `FK_BenPersonalHabit_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_BenPersonalHabit_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_BenPersonalHabit_BenVisitDetail1_idx` (`VisitCode`),
  KEY `FK_BenPersonalHabit_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_BenPersonalHabit_PersonalHabitType_idx` (`TobaccoUseTypeID`),
  KEY `FK_BenPersonalHabit_PersonalHabitType1_idx` (`AlcoholTypeID`),
  CONSTRAINT `FK_BenPersonalHabit_BenVisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenPersonalHabit_PersonalHabitType` FOREIGN KEY (`TobaccoUseTypeID`) REFERENCES `m_personalhabittype` (`PersonalHabitTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenPersonalHabit_PersonalHabitType1` FOREIGN KEY (`AlcoholTypeID`) REFERENCES `m_personalhabittype` (`PersonalHabitTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenPersonalHabit_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_benreferdetails`
--

DROP TABLE IF EXISTS `t_benreferdetails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_benreferdetails` (
  `benReferID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `referredToInstituteID` int(11) DEFAULT NULL,
  `referredToInstituteName` varchar(100) DEFAULT NULL,
  `OtherReferredToInstituteName` varchar(300) DEFAULT NULL,
  `serviceID` smallint(6) DEFAULT NULL,
  `serviceName` varchar(45) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) DEFAULT 'N',
  `CreatedBy` varchar(50) DEFAULT NULL,
  `CreatedDate` datetime DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(45) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(45) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(45) DEFAULT NULL,
  `revisitdate` datetime DEFAULT NULL,
  `referralreason` varchar(800) DEFAULT NULL,
  `OtherReferralReason` varchar(300) DEFAULT NULL,
  PRIMARY KEY (`benReferID`),
  KEY `FK_BenReferDetails_benVisitDetails_idx` (`BenVisitID`),
  KEY `FK_BenReferDetails_ProviderServiceMap_idx` (`ProviderServiceMapID`),
  KEY `FK_BenReferDetails_BenVisitDetail1_idx` (`VisitCode`),
  KEY `FK_BenReferDetails_Institution_idx` (`referredToInstituteID`),
  KEY `FK_BenReferDetails_ServiceMaster_idx` (`serviceID`),
  KEY `inx_BeneficiaryRegid` (`BeneficiaryRegID`),
  CONSTRAINT `FK_BenReferDetails_BenVisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenReferDetails_Institution` FOREIGN KEY (`referredToInstituteID`) REFERENCES `m_institution` (`InstitutionID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenReferDetails_ProviderServiceMap` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenReferDetails_ServiceMaster` FOREIGN KEY (`serviceID`) REFERENCES `m_servicemaster` (`ServiceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenReferDetails_benVisitDetails` FOREIGN KEY (`BenVisitID`) REFERENCES `t_benvisitdetail` (`BenVisitID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_benvisitdetail`
--

DROP TABLE IF EXISTS `t_benvisitdetail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_benvisitdetail` (
  `BenVisitID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `VisitDateTime` datetime DEFAULT NULL,
  `VisitNo` smallint(6) DEFAULT NULL,
  `VisitReasonID` smallint(6) DEFAULT NULL,
  `VisitReason` varchar(20) DEFAULT NULL,
  `VisitCategoryID` int(11) DEFAULT NULL,
  `VisitCategory` varchar(100) DEFAULT NULL,
  `SubVisitCategory` varchar(500) DEFAULT NULL,
  `PregnancyStatus` varchar(10) DEFAULT NULL,
  `RCHID` varchar(30) DEFAULT NULL,
  `HealthFacilityType` varchar(20) DEFAULT NULL,
  `HealthFacilityLocation` varchar(100) DEFAULT NULL,
  `ReportFilePath` varchar(500) DEFAULT NULL,
  `HealthID` varchar(200) DEFAULT NULL,
  `CarecontextLinkDate` datetime DEFAULT NULL,
  `screeningtype` varchar(20) DEFAULT NULL,
  `FPMethod_Followup` varchar(800) DEFAULT NULL,
  `FP_Sideeffects_Other` varchar(300) DEFAULT NULL,
  `FPMethod_Followup_Other` varchar(800) DEFAULT NULL,
  `FP_Sideeffects` varchar(800) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  `VisitFlowStatusFlag` varchar(5) DEFAULT 'N',
  PRIMARY KEY (`BenVisitID`),
  KEY `FK_BenVisitDetail_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_BenVisitDetail_VisitReason_idx` (`VisitReasonID`),
  KEY `FK_BenVisitDetail_VisitCategory_idx` (`VisitCategoryID`),
  KEY `FK_BenVisitDetail_ProviderServiceMapID_idx` (`ProviderServiceMapID`),
  KEY `FK_BenVisitDetail_VisitCode` (`VisitCode`),
  CONSTRAINT `FK_BenVisitDetail_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenVisitDetail_VisitCategory` FOREIGN KEY (`VisitCategoryID`) REFERENCES `m_visitcategory` (`VisitCategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BenVisitDetail_VisitReason` FOREIGN KEY (`VisitReasonID`) REFERENCES `m_visitreason` (`VisitReasonID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_bloodoutbounddetails`
--

DROP TABLE IF EXISTS `t_bloodoutbounddetails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_bloodoutbounddetails` (
  `BloodOutboundDetailID` bigint(20) NOT NULL AUTO_INCREMENT,
  `CzentrixCallID` varchar(20) DEFAULT NULL,
  `USRMappingID` int(11) DEFAULT NULL,
  `BloodReqID` bigint(20) DEFAULT NULL,
  `BloodBankAddress` varchar(200) DEFAULT NULL,
  `BloodBankPersonName` varchar(50) DEFAULT NULL,
  `BloodBankMobileNo` varchar(12) DEFAULT NULL,
  `BBPersonDesignation` varchar(50) DEFAULT NULL,
  `SendSMS` bit(1) DEFAULT NULL,
  `CallType` varchar(20) DEFAULT NULL,
  `CallSubType` varchar(20) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `Feedback` varchar(100) DEFAULT NULL,
  `IsRequestFulfilled` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`BloodOutboundDetailID`),
  KEY `FK_BloodOutboundDetails_BloodRequest_idx` (`BloodReqID`),
  CONSTRAINT `FK_BloodOutboundDetails_BloodRequest` FOREIGN KEY (`BloodReqID`) REFERENCES `t_bloodrequest` (`BloodReqID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_bloodrequest`
--

DROP TABLE IF EXISTS `t_bloodrequest`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_bloodrequest` (
  `BloodReqID` bigint(20) NOT NULL AUTO_INCREMENT,
  `RequestID` varchar(30) DEFAULT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `RecipientBeneficiaryID` bigint(20) DEFAULT NULL,
  `RecipientName` varchar(100) DEFAULT NULL,
  `RecipientAge` int(11) DEFAULT NULL,
  `RecipientGenderID` smallint(6) DEFAULT NULL,
  `TypeOfRequest` varchar(20) DEFAULT NULL,
  `BloodGroupID` int(11) DEFAULT NULL,
  `ComponentTypeID` int(11) DEFAULT NULL,
  `ComponentID` int(11) DEFAULT NULL,
  `UnitRequired` varchar(50) DEFAULT NULL,
  `HospitalAdmitted` varchar(200) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `OutboundNeeded` bit(1) DEFAULT NULL,
  `OutboundDate` datetime DEFAULT NULL,
  `BloodBankAddress` varchar(300) DEFAULT NULL,
  `BBPersonName` varchar(50) DEFAULT NULL,
  `BBMobileNo` varchar(15) DEFAULT NULL,
  `BBPersonDesignation` varchar(50) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `Feedback` varchar(100) DEFAULT NULL,
  `IsSelf` bit(1) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`BloodReqID`),
  KEY `FK_BloodRequest_ComponentType_idx` (`ComponentTypeID`),
  KEY `FK_BloodRequest_BloodGroup_idx` (`BloodGroupID`),
  KEY `FK_BloodRequest_Gender_idx` (`RecipientGenderID`),
  KEY `FK_BloodRequest_Component_idx` (`ComponentID`),
  KEY `FK_BloodRequest_ProviderServiceMap_idx` (`ProviderServiceMapID`),
  KEY `FK_BloodRequest_BenCall_idx` (`BenCallID`),
  KEY `IX_CreatedDate` (`CreatedDate`),
  KEY `inx_beneficiaryRegID` (`BeneficiaryRegID`),
  KEY `inx_requestID` (`RequestID`),
  CONSTRAINT `FK_BloodRequest_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BloodRequest_BloodGroup` FOREIGN KEY (`BloodGroupID`) REFERENCES `m_bloodgroup` (`BloodGroupID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BloodRequest_Component` FOREIGN KEY (`ComponentID`) REFERENCES `m_component` (`ComponentID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BloodRequest_ComponentType` FOREIGN KEY (`ComponentTypeID`) REFERENCES `m_componenttype` (`ComponentTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BloodRequest_Gender` FOREIGN KEY (`RecipientGenderID`) REFERENCES `m_gender` (`GenderID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_BloodRequest_ProviderServiceMap` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_breastcancerscreening`
--

DROP TABLE IF EXISTS `t_breastcancerscreening`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_breastcancerscreening` (
  `Id` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegId` bigint(20) DEFAULT NULL,
  `Benvisitid` bigint(20) DEFAULT NULL,
  `Visitcode` bigint(20) NOT NULL,
  `InspectionBreastsId` int(11) DEFAULT NULL,
  `InspectionBreasts` varchar(100) DEFAULT NULL,
  `PalpationBreastsId` int(11) DEFAULT NULL,
  `PalpationBreasts` varchar(100) DEFAULT NULL,
  `PalpationLymphNodesId` int(11) DEFAULT NULL,
  `PalpationLymphNodes` varchar(100) DEFAULT NULL,
  `suspected` bit(1) DEFAULT b'0',
  `Confirmatory` bit(1) DEFAULT b'0',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  PRIMARY KEY (`Id`),
  KEY `FK_t_bcs_ProviderServiceMapID` (`ProviderServiceMapID`),
  KEY `FK_t_bcs_visitcode` (`Visitcode`),
  CONSTRAINT `FK_t_bcs_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_bcs_visitcode` FOREIGN KEY (`Visitcode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_cancerabdominalexamination`
--

DROP TABLE IF EXISTS `t_cancerabdominalexamination`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_cancerabdominalexamination` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `AbdominalInspection_Normal` bit(1) DEFAULT NULL,
  `Liver` varchar(20) DEFAULT NULL,
  `Ascites_Present` bit(1) DEFAULT NULL,
  `AnyOtherMass_Present` bit(1) DEFAULT NULL,
  `LymphNodes_Enlarged` bit(1) DEFAULT NULL,
  `LymphNode_Inguinal_Left` bit(1) DEFAULT NULL,
  `LymphNode_Inguinal_Right` bit(1) DEFAULT NULL,
  `LymphNode_ExternalIliac_Left` bit(1) DEFAULT NULL,
  `LymphNode_ExternalIliac_Right` bit(1) DEFAULT NULL,
  `LymphNode_ParaAortic_Left` bit(1) DEFAULT NULL,
  `LymphNode_ParaAortic_Right` bit(1) DEFAULT NULL,
  `Observation` varchar(500) DEFAULT NULL,
  `Image` blob,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_CancerAbdominalExamination_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_CancerAbdominalExamination_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_CancerAbdominalExamination_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_CancerAbdominalExamination_VehicalNo_idx` (`VehicalNo`),
  KEY `FK_CancerAbdominalExamination_VisitCode_idx` (`VisitCode`),
  KEY `FK_CancerAbdominalExamination_ParkingPlaceID_idx` (`ParkingPlaceID`),
  CONSTRAINT `FK_CancerAbdominalExamination_ParkingPlaceID` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerAbdominalExamination_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerAbdominalExamination_VisitCode` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_cancerbreastexamination`
--

DROP TABLE IF EXISTS `t_cancerbreastexamination`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_cancerbreastexamination` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `EverBreastFed` bit(1) DEFAULT NULL,
  `BreastFeedingDuration_gtr_eql_6months` bit(1) DEFAULT NULL,
  `BreastsAppear_Normal` bit(1) DEFAULT NULL,
  `RashOnBreast` bit(1) DEFAULT NULL,
  `DimplingSkinOnBreast` bit(1) DEFAULT NULL,
  `DischargeFromNipple` bit(1) DEFAULT NULL,
  `PeaudOrange` bit(1) DEFAULT NULL,
  `LumpInBreast` bit(1) DEFAULT NULL,
  `LumpSize` varchar(100) DEFAULT NULL,
  `LumpShape` varchar(100) DEFAULT NULL,
  `LumpTexture` varchar(100) DEFAULT NULL,
  `ReferredToMammogram` bit(1) DEFAULT NULL,
  `MamogramReport` varchar(100) DEFAULT NULL,
  `Image` blob,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_CancerBreastExamination_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_CancerBreastExamination_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_CancerBreastExamination_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_CancerBreastExamination_VehicalNo_idx` (`VehicalNo`),
  KEY `FK_CancerBreastExamination_VisitCode_idx` (`VisitCode`),
  KEY `FK_CancerBreastExamination_ParkingPlaceID_idx` (`ParkingPlaceID`),
  CONSTRAINT `FK_CancerBreastExamination_ParkingPlaceID` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerBreastExamination_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerBreastExamination_VisitCode` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_cancerdiagnosis`
--

DROP TABLE IF EXISTS `t_cancerdiagnosis`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_cancerdiagnosis` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `ProvisionalDiagnosisPrimaryDoctor` varchar(500) DEFAULT NULL,
  `ProvisionalDiagnosisOncologist` varchar(500) DEFAULT NULL,
  `Remarks` varchar(500) DEFAULT NULL,
  `ReferredToInstituteID` int(11) DEFAULT NULL,
  `RefrredToAdditionalService` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  `revisitdate` datetime DEFAULT NULL,
  `referralreason` varchar(300) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_CancerDiagnosis_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_CancerDiagnosis_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_CancerDiagnosis_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_CancerDiadnosis_Institution_idx` (`ReferredToInstituteID`),
  KEY `FK_CancerDiagnosis_VehicalNo_idx` (`VehicalNo`),
  KEY `FK_CancerDiagnosis_VisitCode_idx` (`VisitCode`),
  KEY `FK_CancerDiagnosis_ParkingPlaceID_idx` (`ParkingPlaceID`),
  CONSTRAINT `FK_CancerDiadnosis_Institution` FOREIGN KEY (`ReferredToInstituteID`) REFERENCES `m_institution` (`InstitutionID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerDiagnosis_ParkingPlaceID` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerDiagnosis_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerDiagnosis_VisitCode` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_cancerdiethistory`
--

DROP TABLE IF EXISTS `t_cancerdiethistory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_cancerdiethistory` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `DietType` varchar(30) DEFAULT NULL,
  `FruitConsumptionDays` int(11) DEFAULT NULL,
  `FruitQuantityPerDay` int(11) DEFAULT NULL,
  `VegetableConsumptionDays` int(11) DEFAULT NULL,
  `VegetableQuantityPerDay` int(11) DEFAULT NULL,
  `IntakeOfOutsidePreparedMeal` int(11) DEFAULT NULL,
  `TypeOfOilConsumed` varchar(750) DEFAULT NULL,
  `PhysicalActivityType` varchar(30) DEFAULT NULL,
  `IsRadiationExposure` bit(1) DEFAULT NULL,
  `IsThyroidDisorder` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_CancerDietHistory_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_CancerDietHistory_BenVisitDetail` (`BenVisitID`),
  KEY `FK_CancerDietHistory_ProviderServiceMapping` (`ProviderServiceMapID`),
  KEY `FK_CancerDietHistory_VehicalNo_idx` (`VehicalNo`),
  KEY `FK_CancerDietHistory_VisitCode_idx` (`VisitCode`),
  KEY `FK_CancerDietHistory_ParkingPlaceID_idx` (`ParkingPlaceID`),
  CONSTRAINT `FK_CancerDietHistory_ParkingPlaceID` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerDietHistory_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerDietHistory_VisitCode` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_cancerfamilyhistory`
--

DROP TABLE IF EXISTS `t_cancerfamilyhistory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_cancerfamilyhistory` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `CancerDiseaseType` varchar(30) DEFAULT NULL,
  `FamilyMember` varchar(500) DEFAULT NULL,
  `Sctcode` varchar(30) DEFAULT NULL,
  `SctTerm` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_CancerFamilyHistory_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_CancerFamilyHistory_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_CancerFamilyHistory_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_CancerFamilyHistory_VehicalNo_idx` (`VehicalNo`),
  KEY `FK_CancerFamilyHistory_VisitCode_idx` (`VisitCode`),
  KEY `FK_CancerFamilyHistory_ParkingPlaceID_idx` (`ParkingPlaceID`),
  CONSTRAINT `FK_CancerFamilyHistory_ParkingPlaceID` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerFamilyHistory_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerFamilyHistory_VisitCode` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_cancergynecologicalexamination`
--

DROP TABLE IF EXISTS `t_cancergynecologicalexamination`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_cancergynecologicalexamination` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `AppearanceOfCervix` varchar(20) DEFAULT NULL,
  `TypeOfLesion` varchar(500) DEFAULT NULL,
  `VulvalInvolvement` bit(1) DEFAULT NULL,
  `VaginalInvolvement` bit(1) DEFAULT NULL,
  `Uterus_Normal` bit(1) DEFAULT NULL,
  `SufferedFromRTIOrSTI` bit(1) DEFAULT NULL,
  `RTIOrSTIDetail` varchar(200) DEFAULT NULL,
  `FilePath` varchar(200) DEFAULT NULL,
  `ExperiencedPostCoitalBleeding` bit(1) DEFAULT NULL,
  `Observation` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_CancerGynecologicalExamination_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_CancerGynecologicalExamination_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_CancerGynecologicalExamination_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_CancerGynecologicalExamination_VehicalNo_idx` (`VehicalNo`),
  KEY `FK_CancerGynecologicalExamination_VisitCode_idx` (`VisitCode`),
  KEY `FK_CancerGynecologicalExamination_ParkingPlaceID_idx` (`ParkingPlaceID`),
  CONSTRAINT `FK_CancerGynecologicalExamination_ParkingPlaceID` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerGynecologicalExamination_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerGynecologicalExamination_VisitCode` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_cancerimageannotation`
--

DROP TABLE IF EXISTS `t_cancerimageannotation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_cancerimageannotation` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `CancerImageID` smallint(6) DEFAULT NULL,
  `XCoordinate` int(11) DEFAULT NULL,
  `YCoordinate` int(11) DEFAULT NULL,
  `Point` int(11) DEFAULT NULL,
  `PointDesc` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_CancerImageAnnotation_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_CancerImageAnnotation_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_CancerImageAnnotation_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_CancerImageAnnotation_CancerImage_idx` (`CancerImageID`),
  KEY `FK_CancerImageAnnotation_VehicalNo_idx` (`VehicalNo`),
  KEY `FK_CancerImageAnnotation_VisitCode_idx` (`VisitCode`),
  KEY `FK_CancerImageAnnotation_ParkingPlaceID_idx` (`ParkingPlaceID`),
  CONSTRAINT `FK_CancerImageAnnotation_CancerImage` FOREIGN KEY (`CancerImageID`) REFERENCES `m_cancerimage` (`CancerImageID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerImageAnnotation_ParkingPlaceID` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerImageAnnotation_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerImageAnnotation_VisitCode` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_cancerlymphnode`
--

DROP TABLE IF EXISTS `t_cancerlymphnode`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_cancerlymphnode` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `LymphNodeName` varchar(30) DEFAULT NULL,
  `Mobility_Left` bit(1) DEFAULT NULL,
  `Size_Left` varchar(20) DEFAULT NULL,
  `Mobility_Right` bit(1) DEFAULT NULL,
  `Size_Right` varchar(20) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_CancerLymphNode_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_CancerLymphNode_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_CancerLymphNode_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_CancerLymphNode_VehicalNo_idx` (`VehicalNo`),
  KEY `FK_CancerLymphNode_VisitCode_idx` (`VisitCode`),
  KEY `FK_CancerLymphNode_ParkingPlaceID_idx` (`ParkingPlaceID`),
  CONSTRAINT `FK_CancerLymphNode_ParkingPlaceID` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerLymphNode_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerLymphNode_VisitCode` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_cancerobstetrichistory`
--

DROP TABLE IF EXISTS `t_cancerobstetrichistory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_cancerobstetrichistory` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `PregnancyStatus` varchar(10) DEFAULT NULL,
  `IsUrinePregTest` bit(1) DEFAULT NULL,
  `Pregnant_No` varchar(10) DEFAULT NULL,
  `NoOfLivingChild` int(11) DEFAULT NULL,
  `IsAbortion` bit(1) DEFAULT NULL,
  `IsOralContraceptiveUsed` bit(1) DEFAULT NULL,
  `IsHormoneReplacementTherapy` bit(1) DEFAULT NULL,
  `Menarche_Age` int(11) DEFAULT NULL,
  `IsMenstrualCycleRegular` bit(1) DEFAULT NULL,
  `MenstrualCycleLength` int(11) DEFAULT NULL,
  `MenstrualFlowDuration` int(11) DEFAULT NULL,
  `MenstrualFlowType` varchar(20) DEFAULT NULL,
  `IsDysmenorrhea` bit(1) DEFAULT NULL,
  `IsInterMenstrualBleeding` bit(1) DEFAULT NULL,
  `MenopauseAge` int(11) DEFAULT NULL,
  `IsPostMenopauseBleeding` bit(1) DEFAULT NULL,
  `IsFoulSmellingDischarge` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_CancerObstetricHistory_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_CancerObstetricHistory_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_CancerObstetricHistory_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_CancerObstetricHistory_VehicalNo_idx` (`VehicalNo`),
  KEY `FK_CancerObstetricHistory_VisitCode_idx` (`VisitCode`),
  KEY `FK_CancerObstetricHistory_ParkingPlaceID_idx` (`ParkingPlaceID`),
  CONSTRAINT `FK_CancerObstetricHistory_ParkingPlaceID` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerObstetricHistory_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerObstetricHistory_VisitCode` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_canceroralexamination`
--

DROP TABLE IF EXISTS `t_canceroralexamination`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_canceroralexamination` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `LimitedMouthOpening` varchar(10) DEFAULT NULL,
  `PremalignantLesions` bit(1) DEFAULT NULL,
  `PreMalignantLesionType` varchar(500) DEFAULT NULL,
  `ProlongedIrritation` bit(1) DEFAULT NULL,
  `ChronicBurningSensation` bit(1) DEFAULT NULL,
  `Observation` varchar(500) DEFAULT NULL,
  `Image` blob,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_CancerOralExamination_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_CancerOralExamination_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_CancerOralExamination_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_CancerOralExamination_VehicalNo_idx` (`VehicalNo`),
  KEY `FK_CancerOralExamination_VisitCode_idx` (`VisitCode`),
  KEY `FK_CancerOralExamination_ParkingPlaceID_idx` (`ParkingPlaceID`),
  CONSTRAINT `FK_CancerOralExamination_ParkingPlaceID` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerOralExamination_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerOralExamination_VisitCode` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_cancerpersonalhistory`
--

DROP TABLE IF EXISTS `t_cancerpersonalhistory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_cancerpersonalhistory` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `TobaccoUse` varchar(20) DEFAULT NULL,
  `StartAge_year` int(11) DEFAULT NULL,
  `EndAge_year` int(11) DEFAULT NULL,
  `TypeOfTobaccoProduct` varchar(750) DEFAULT NULL,
  `QuantityPerDay` int(11) DEFAULT NULL,
  `IsFilteredCigaerette` bit(1) DEFAULT NULL,
  `IsCigaretteExposure` bit(1) DEFAULT NULL,
  `IsBetelNutChewing` bit(1) DEFAULT NULL,
  `DurationOfBetelQuid` int(11) DEFAULT NULL,
  `AlcoholUse` varchar(20) DEFAULT NULL,
  `IsAlcoholUsed` bit(1) DEFAULT NULL,
  `FrequencyOfAlcoholUsed` varchar(30) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_CancerPersonalHistory_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_CancerPersonalHistory_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_CancerPersonalHistory_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_CancerPersonalHistory_VehicalNo_idx` (`VehicalNo`),
  KEY `FK_CancerPersonalHistory_VisitCode_idx` (`VisitCode`),
  KEY `FK_CancerPersonalHistory_ParkingPlaceID_idx` (`ParkingPlaceID`),
  CONSTRAINT `FK_CancerPersonalHistory_ParkingPlaceID` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerPersonalHistory_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerPersonalHistory_VisitCode` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_cancersignandsymptoms`
--

DROP TABLE IF EXISTS `t_cancersignandsymptoms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_cancersignandsymptoms` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `ShortnessOfBreath` bit(1) DEFAULT NULL,
  `Cough_gtr_eq_2Weeks` bit(1) DEFAULT NULL,
  `BloodInSputum` bit(1) DEFAULT NULL,
  `DifficultyInOpeningMouth` bit(1) DEFAULT NULL,
  `NonHealingUlcerOrPatchOrGrowth` bit(1) DEFAULT NULL,
  `ChangeInTheToneOfVoice` bit(1) DEFAULT NULL,
  `LumpInTheBreast` bit(1) DEFAULT NULL,
  `BloodStainedDischargeFromNipple` bit(1) DEFAULT NULL,
  `ChangeInShapeAndSizeOfBreasts` bit(1) DEFAULT NULL,
  `VaginalBleedingBetweenPeriods` bit(1) DEFAULT NULL,
  `VaginalBleedingAfterMenopause` bit(1) DEFAULT NULL,
  `VaginalBleedingAfterIntercourse` bit(1) DEFAULT NULL,
  `FoulSmellingVaginalDischarge` bit(1) DEFAULT NULL,
  `BreastEnlargement` bit(1) DEFAULT NULL,
  `BriefHistory` varchar(300) DEFAULT NULL,
  `LymphNode_Enlarged` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_CancerSignAndSymptoms_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_CancerSignAndSymptoms_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_CancerSignAndSymptoms_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_CancerSignAndSymptoms_VehicalNo_idx` (`VehicalNo`),
  KEY `FK_CancerSignAndSymptoms_VisitCode_idx` (`VisitCode`),
  KEY `FK_CancerSignAndSymptoms_ParkingPlaceID_idx` (`ParkingPlaceID`),
  CONSTRAINT `FK_CancerSignAndSymptoms_ParkingPlaceID` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerSignAndSymptoms_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerSignAndSymptoms_VisitCode` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_cancervitals`
--

DROP TABLE IF EXISTS `t_cancervitals`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_cancervitals` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `Weight_Kg` decimal(5,2) DEFAULT NULL,
  `Height_cm` decimal(5,2) DEFAULT NULL,
  `WaistCircumference_cm` decimal(5,2) DEFAULT NULL,
  `BloodGlucose_Fasting` smallint(6) DEFAULT NULL,
  `BloodGlucose_Random` smallint(6) DEFAULT NULL,
  `BloodGlucose_2HrPostPrandial` smallint(6) DEFAULT NULL,
  `SystolicBP_1stReading` smallint(6) DEFAULT NULL,
  `DiastolicBP_1stReading` smallint(6) DEFAULT NULL,
  `SystolicBP_2ndReading` smallint(6) DEFAULT NULL,
  `DiastolicBP_2ndReading` smallint(6) DEFAULT NULL,
  `SystolicBP_3rdReading` smallint(6) DEFAULT NULL,
  `DiastolicBP_3rdReading` smallint(6) DEFAULT NULL,
  `HbA1C` smallint(6) DEFAULT NULL,
  `Hemoglobin` decimal(5,2) DEFAULT NULL,
  `rbs` varchar(30) DEFAULT NULL,
  `spo2` varchar(30) DEFAULT NULL,
  `rbs_remarks` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_CancerVitals_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_CancerVitals_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_CancerVitals_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_CancerVitals_VehicalNo_idx` (`VehicalNo`),
  KEY `FK_CancerVitals_VisitCode_idx` (`VisitCode`),
  KEY `FK_CancerVitals_ParkingPlaceID_idx` (`ParkingPlaceID`),
  CONSTRAINT `FK_CancerVitals_ParkingPlaceID` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerVitals_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CancerVitals_VisitCode` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_cbacdetails`
--

DROP TABLE IF EXISTS `t_cbacdetails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_cbacdetails` (
  `Id` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegId` bigint(20) DEFAULT NULL,
  `Benvisitid` bigint(20) DEFAULT NULL,
  `Visitcode` bigint(20) NOT NULL,
  `Cbac_Age` varchar(100) DEFAULT NULL,
  `Cbac_Age_Score` int(11) DEFAULT NULL,
  `Cbac_ConusmeGutka` varchar(100) DEFAULT NULL,
  `Cbac_ConusmeGutka_Score` int(11) DEFAULT NULL,
  `cbac_alcohol` varchar(100) DEFAULT NULL,
  `cbac_alcohol_Score` int(11) DEFAULT NULL,
  `Cbac_waist_Male` varchar(100) DEFAULT NULL,
  `Cbac_waist_Male_Score` int(11) DEFAULT NULL,
  `Cbac_Waist_Female` varchar(100) DEFAULT NULL,
  `Cbac_Waist_Female_Score` int(11) DEFAULT NULL,
  `Cbac_PhysicalActivity` varchar(100) DEFAULT NULL,
  `Cbac_PhysicalActivity_Score` int(11) DEFAULT NULL,
  `Cbac_FamilyHistory_bpdiabetes` varchar(100) DEFAULT NULL,
  `Cbac_FamilyHistory_bpdiabetes_Score` int(11) DEFAULT NULL,
  `Cbac_ShortnessBreath` varchar(100) DEFAULT NULL,
  `Cbac_Cough2weeks` varchar(100) DEFAULT NULL,
  `Cbac_Bloodsputum` varchar(100) DEFAULT NULL,
  `Cbac_fever2weeks` varchar(100) DEFAULT NULL,
  `Cbac_WeightLoss` varchar(100) DEFAULT NULL,
  `Cbac_NightSweats` varchar(100) DEFAULT NULL,
  `Cbac_AntiTBDrugs` varchar(100) DEFAULT NULL,
  `Cabc_TB` varchar(100) DEFAULT NULL,
  `Cbac_TBHistory` varchar(100) DEFAULT NULL,
  `Cbac_Ulceration` varchar(100) DEFAULT NULL,
  `Cbac_RecurrentTingling` varchar(100) DEFAULT NULL,
  `Cbac_FitsHistory` varchar(100) DEFAULT NULL,
  `Cbac_MouthopeningDifficulty` varchar(100) DEFAULT NULL,
  `Cbac_MouthUlcers` varchar(100) DEFAULT NULL,
  `Cbac_MouthUlcersGrowth` varchar(100) DEFAULT NULL,
  `Cbac_Mouthredpatch` varchar(100) DEFAULT NULL,
  `Cbac_Painchewing` varchar(100) DEFAULT NULL,
  `Cbac_Tonechange` varchar(100) DEFAULT NULL,
  `Cbac_Hypopigmentedpatches` varchar(100) DEFAULT NULL,
  `Cbac_Thickenedskin` varchar(100) DEFAULT NULL,
  `Cbac_Nodulesonskin` varchar(100) DEFAULT NULL,
  `Cbac_RecurrentNumbness` varchar(100) DEFAULT NULL,
  `Cbac_BlurredVision` varchar(100) DEFAULT NULL,
  `Cbac_Difficultyreading` varchar(100) DEFAULT NULL,
  `Cbac_Painineyes` varchar(100) DEFAULT NULL,
  `Cbac_RednessPain` varchar(100) DEFAULT NULL,
  `Cbac_DifficultyHearing` varchar(100) DEFAULT NULL,
  `Cbac_Clawingfingers` varchar(100) DEFAULT NULL,
  `Cbac_HandTingling` varchar(100) DEFAULT NULL,
  `Cbac_InabilityCloseeyelid` varchar(100) DEFAULT NULL,
  `Cbac_DifficultHoldingObjects` varchar(100) DEFAULT NULL,
  `Cbac_Feetweakness` varchar(100) DEFAULT NULL,
  `Cbac_LumpBreast` varchar(100) DEFAULT NULL,
  `Cbac_BloodnippleDischarge` varchar(100) DEFAULT NULL,
  `Cbac_Breastsizechange` varchar(100) DEFAULT NULL,
  `Cbac_BleedingPeriods` varchar(100) DEFAULT NULL,
  `Cbac_BleedingMenopause` varchar(100) DEFAULT NULL,
  `Cbac_BleedingIntercourse` varchar(100) DEFAULT NULL,
  `Cbac_VaginalDischarge` varchar(100) DEFAULT NULL,
  `Cbac_FeelingUnsteady` varchar(100) DEFAULT NULL,
  `Cbac_PhysicalDisabilitySuffering` varchar(100) DEFAULT NULL,
  `Cbac_NeedhelpEverydayActivities` varchar(100) DEFAULT NULL,
  `Cbac_Forgetnearones` varchar(100) DEFAULT NULL,
  `Total_Score` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  PRIMARY KEY (`Id`),
  KEY `FK_cbac_Beneficiary_idx` (`BeneficiaryRegId`),
  KEY `Fk_cbac_BenVisitDetail_idx` (`Benvisitid`),
  KEY `FK_t_cbac_ProviderServiceMapID` (`ProviderServiceMapID`),
  KEY `FK_t_cbac_visitcode` (`Visitcode`),
  CONSTRAINT `FK_t_cbacdetails_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_cbacdetails_visitcode` FOREIGN KEY (`Visitcode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_cervicalcancerscreening`
--

DROP TABLE IF EXISTS `t_cervicalcancerscreening`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_cervicalcancerscreening` (
  `Id` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegId` bigint(20) DEFAULT NULL,
  `Benvisitid` bigint(20) DEFAULT NULL,
  `Visitcode` bigint(20) NOT NULL,
  `VisualExaminationId` int(11) DEFAULT NULL,
  `VisualExamination_VIA` varchar(100) DEFAULT NULL,
  `suspected` bit(1) DEFAULT b'0',
  `Confirmatory` bit(1) DEFAULT b'0',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  PRIMARY KEY (`Id`),
  KEY `FK_t_ccs_ProviderServiceMapID` (`ProviderServiceMapID`),
  KEY `FK_t_ccs_visitcode` (`Visitcode`),
  CONSTRAINT `FK_t_ccs_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_ccs_visitcode` FOREIGN KEY (`Visitcode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_childcongenitalanomalies`
--

DROP TABLE IF EXISTS `t_childcongenitalanomalies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_childcongenitalanomalies` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `MotherID` bigint(20) DEFAULT NULL,
  `ChildID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CallDetailID` bigint(20) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `CongenitalAnomalies` varchar(200) DEFAULT NULL,
  `CauseOfDefect` varchar(100) DEFAULT NULL,
  `Remarks` varchar(200) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ID`),
  KEY `FK_ChildCongenitalAnomalies_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_ChildCongenitalAnomalies_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_ChildCongenitalAnomalies_ChildValidData_idx` (`ChildID`),
  KEY `FK_ChildCongenitalAnomalies_MotherValidRecord_idx` (`MotherID`),
  KEY `FK_ChildCongenitalAnomalies_BenCall_idx` (`BenCallID`),
  CONSTRAINT `FK_ChildCongenitalAnomalies_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ChildCongenitalAnomalies_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_childfeedinghistory`
--

DROP TABLE IF EXISTS `t_childfeedinghistory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_childfeedinghistory` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `ChildID` bigint(20) DEFAULT NULL,
  `BenMotherID` bigint(20) DEFAULT NULL,
  `TypeOfFeed` varchar(30) DEFAULT NULL,
  `CompFeedStartAge` varchar(15) DEFAULT NULL,
  `NoOfCompFeedPerDay` char(4) DEFAULT NULL,
  `FoodIntoleranceStatus` char(4) DEFAULT NULL,
  `TypeofFoodIntoleranceId` int(11) DEFAULT NULL,
  `TypeofFoodIntolerance` varchar(100) DEFAULT NULL,
  `Others` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_ChildFeedingDetails_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_ChildFeedingDetails_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_ChildFeedingDetails_BenVisitDetail1_idx` (`VisitCode`),
  KEY `FK_ChildFeedingDetails_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_ChildFeedingDetails_BenVisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ChildFeedingDetails_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_childinvaliddata`
--

DROP TABLE IF EXISTS `t_childinvaliddata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_childinvaliddata` (
  `RowID` bigint(20) NOT NULL AUTO_INCREMENT,
  `Date_of_Entry` datetime DEFAULT NULL,
  `Entry_type` smallint(6) DEFAULT NULL,
  `MCTSID_no_Child_ID` bigint(20) DEFAULT NULL,
  `Child_Name` varchar(50) DEFAULT NULL,
  `Father_Name` varchar(50) DEFAULT NULL,
  `Mother_Name` varchar(50) DEFAULT NULL,
  `Mother_ID` bigint(20) DEFAULT NULL,
  `DOB` datetime DEFAULT NULL,
  `Place_of_Birth` varchar(50) DEFAULT NULL,
  `Gender` varchar(50) DEFAULT NULL,
  `Caste` varchar(50) DEFAULT NULL,
  `BloodGroup` varchar(5) DEFAULT NULL,
  `Child_Aadhaar_No` varchar(50) DEFAULT NULL,
  `Weight_of_Child` decimal(5,2) DEFAULT NULL,
  `Child_EID` int(11) DEFAULT NULL,
  `Child_EID_Time` datetime DEFAULT NULL,
  `Emamta_Health_ID` int(11) DEFAULT NULL,
  `Emamta_Family_ID` int(11) DEFAULT NULL,
  `Phone_No_of` varchar(50) DEFAULT NULL,
  `Phone_No` varchar(12) DEFAULT NULL,
  `Registration_Date` datetime DEFAULT NULL,
  `Updated_Date` datetime DEFAULT NULL,
  `CityID` int(11) DEFAULT NULL,
  `City` varchar(50) DEFAULT NULL,
  `State_ID` int(11) DEFAULT NULL,
  `State_Name` varchar(50) DEFAULT NULL,
  `District_ID` int(11) DEFAULT NULL,
  `District_Name` varchar(50) DEFAULT NULL,
  `Taluka_Name` varchar(50) DEFAULT NULL,
  `Taluka_ID` int(11) DEFAULT NULL,
  `Block_ID` int(11) DEFAULT NULL,
  `Block_Name` varchar(50) DEFAULT NULL,
  `PHC_ID` int(11) DEFAULT NULL,
  `PHC_Name` varchar(50) DEFAULT NULL,
  `SubCenter_ID` int(11) DEFAULT NULL,
  `SubCenter_Name` varchar(50) DEFAULT NULL,
  `SubCenter_Name1` varchar(50) DEFAULT NULL,
  `Village_ID` int(11) DEFAULT NULL,
  `Village_Name` varchar(50) DEFAULT NULL,
  `GP_Village` varchar(50) DEFAULT NULL,
  `Address` varchar(100) DEFAULT NULL,
  `Year` char(4) DEFAULT NULL,
  `ANM_ID` int(11) DEFAULT NULL,
  `ANM_Name` varchar(50) DEFAULT NULL,
  `ANM_Phone_No` varchar(12) DEFAULT NULL,
  `ASHA_ID` int(11) DEFAULT NULL,
  `ASHA_Name` varchar(50) DEFAULT NULL,
  `ASHA_Phone_No` varchar(12) DEFAULT NULL,
  `BCG_Date` datetime DEFAULT NULL,
  `OPV0_Date` datetime DEFAULT NULL,
  `Hepatitis_B1_Date` datetime DEFAULT NULL,
  `DPT1_Date` datetime DEFAULT NULL,
  `OPV1_Date` datetime DEFAULT NULL,
  `Hepatitis_B2_Date` datetime DEFAULT NULL,
  `DPT2_Date` datetime DEFAULT NULL,
  `OPV2_Date` datetime DEFAULT NULL,
  `Hepatitis_B3_Date` datetime DEFAULT NULL,
  `DPT3_Date` datetime DEFAULT NULL,
  `OPV3_Date` datetime DEFAULT NULL,
  `Hepatitis_B4_Date` datetime DEFAULT NULL,
  `Measles_Date` datetime DEFAULT NULL,
  `VitA_Dose1_Date` datetime DEFAULT NULL,
  `MR_Date` datetime DEFAULT NULL,
  `DPTBooster_Date` datetime DEFAULT NULL,
  `OPVBooster_Date` datetime DEFAULT NULL,
  `VitA_Dose2_Date` datetime DEFAULT NULL,
  `VitA_Dose3_Date` datetime DEFAULT NULL,
  `VitA_Dose99_Date` datetime DEFAULT NULL,
  `VitA_Dose5_Date` datetime DEFAULT NULL,
  `VitA_Dose6_Date` datetime DEFAULT NULL,
  `VitA_Dose7_Date` datetime DEFAULT NULL,
  `VitA_Dose8_Date` datetime DEFAULT NULL,
  `VitA_Dose9_Date` datetime DEFAULT NULL,
  `JE_Date` datetime DEFAULT NULL,
  `DT5_Date` datetime DEFAULT NULL,
  `TT10_Date` datetime DEFAULT NULL,
  `TT16_Date` datetime DEFAULT NULL,
  `Measles_2_Date` datetime DEFAULT NULL,
  `PentaValent1_Date` datetime DEFAULT NULL,
  `PentaValent2_Date` datetime DEFAULT NULL,
  `PentaValent3_Date` datetime DEFAULT NULL,
  `is_Upload` bit(1) DEFAULT NULL,
  `Status` int(11) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `Delete_Mother` bit(1) DEFAULT NULL,
  `Delete_Reason` varchar(100) DEFAULT NULL,
  `Deleted_ON` datetime DEFAULT NULL,
  `SMS_Status` tinyint(4) DEFAULT NULL,
  `Created_By` varchar(50) DEFAULT NULL,
  `Updated_By` varchar(50) DEFAULT NULL,
  `MDDS_StateID` int(11) DEFAULT NULL,
  `MDDS_District_ID` int(11) DEFAULT NULL,
  `MDDS_Taluka_ID` int(11) DEFAULT NULL,
  `MDDS_Village_ID` int(11) DEFAULT NULL,
  `BirthCertificateNo` varchar(20) DEFAULT NULL,
  `Rural_urban` varchar(10) DEFAULT NULL,
  `SNO` varchar(20) DEFAULT NULL,
  `Lead_ID` varchar(20) DEFAULT NULL,
  `My_ID` varchar(20) DEFAULT NULL,
  `CID_NO` int(11) DEFAULT NULL,
  `MID_NO` int(11) DEFAULT NULL,
  `Duplicate_Bit` bit(1) DEFAULT NULL,
  `FacilityType` varchar(30) DEFAULT NULL,
  `DueServices` varchar(50) DEFAULT NULL,
  `OverDueServices` varchar(50) DEFAULT NULL,
  `GivenServices` varchar(50) DEFAULT NULL,
  `Source` varchar(20) DEFAULT NULL,
  `Is_Valid` bit(1) DEFAULT NULL,
  `Is_Error` bit(1) DEFAULT NULL,
  `Error_Reason` varchar(50) DEFAULT NULL,
  `FileID` int(11) DEFAULT NULL,
  `IsAllocated` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`RowID`),
  KEY `FK_ChildInValidData_FileManager_idx` (`FileID`),
  KEY `IX_CreatedDate` (`CreatedDate`),
  CONSTRAINT `FK_ChildInValidData_FileManager` FOREIGN KEY (`FileID`) REFERENCES `t_filemanager` (`FileID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_childoptionalvaccinedetail`
--

DROP TABLE IF EXISTS `t_childoptionalvaccinedetail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_childoptionalvaccinedetail` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `DefaultReceivingAge` varchar(15) DEFAULT NULL,
  `VaccineName` varchar(50) DEFAULT NULL,
  `otherVaccineName` varchar(50) DEFAULT NULL,
  `Status` varchar(15) DEFAULT NULL,
  `ActualReceivingAge` varchar(15) DEFAULT NULL,
  `ReceivedDate` datetime DEFAULT NULL,
  `ReceivedFacilityName` varchar(20) DEFAULT NULL,
  `Sctcode` varchar(30) DEFAULT NULL,
  `ageunitid` int(11) DEFAULT NULL,
  `ageunit` varchar(100) DEFAULT NULL,
  `SctTerm` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_ChildOptionalVaccineDetail_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_ChildOptVaccineDetail_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_ChildOptVaccineDetail_BenVisitDetail1_idx` (`VisitCode`),
  KEY `FK_ChildOptVaccineDetail_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_ChildOptVaccineDetail_BenVisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ChildOptVaccineDetail_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_childvaccinedetail1`
--

DROP TABLE IF EXISTS `t_childvaccinedetail1`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_childvaccinedetail1` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `DefaultReceivingAge` varchar(125) DEFAULT NULL,
  `VaccineName` varchar(125) DEFAULT NULL,
  `Status` bit(1) DEFAULT NULL,
  `ActualReceivingAge` varchar(125) DEFAULT NULL,
  `ReceivedDate` datetime DEFAULT NULL,
  `ReceivedFacilityName` varchar(125) DEFAULT NULL,
  `Sctcode` varchar(30) DEFAULT NULL,
  `SctTerm` varchar(500) DEFAULT NULL,
  `Vaccinationreceivedat` varchar(100) DEFAULT NULL,
  `Vaccinationreceivedatid` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_ChildVaccineDetail1_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_ChildVaccineDetail1_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_ChildVaccineDetail1_BenVisitDetail1_idx` (`VisitCode`),
  KEY `FK_ChildVaccineDetail1_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `t_childvaccinedetail1_ibfk_1` (`Vaccinationreceivedatid`),
  CONSTRAINT `FK_ChildVaccineDetail1_BenVisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ChildVaccineDetail1_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `t_childvaccinedetail1_ibfk_1` FOREIGN KEY (`Vaccinationreceivedatid`) REFERENCES `m_birthdosevaccinationreceivedat` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_childvaccinedetail2`
--

DROP TABLE IF EXISTS `t_childvaccinedetail2`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_childvaccinedetail2` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `DefaultReceivingAge` varchar(15) DEFAULT NULL,
  `VaccineName` varchar(30) DEFAULT NULL,
  `Status` varchar(15) DEFAULT NULL,
  `ActualReceivingAge` varchar(15) DEFAULT NULL,
  `ReceivedDate` datetime DEFAULT NULL,
  `ReceivedFacilityName` varchar(20) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_ChildVaccineDetail2_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_ChildVaccineDetail2_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_ChildVaccineDetail2_BenVisitDetail1_idx` (`VisitCode`),
  KEY `FK_ChildVaccineDetail2_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_ChildVaccineDetail2_BenVisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ChildVaccineDetail2_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_childvaliddata`
--

DROP TABLE IF EXISTS `t_childvaliddata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_childvaliddata` (
  `RowID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `Date_of_Entry` datetime DEFAULT NULL,
  `Entry_type` smallint(6) DEFAULT NULL,
  `MCTSID_no_Child_ID` bigint(20) DEFAULT NULL,
  `Child_Name` varchar(50) DEFAULT NULL,
  `Father_Name` varchar(50) DEFAULT NULL,
  `Mother_Name` varchar(50) DEFAULT NULL,
  `Mother_ID` bigint(20) DEFAULT NULL,
  `DOB` datetime DEFAULT NULL,
  `Place_of_Birth` varchar(50) DEFAULT NULL,
  `Gender` varchar(50) DEFAULT NULL,
  `Caste` varchar(50) DEFAULT NULL,
  `BloodGroup` varchar(5) DEFAULT NULL,
  `Child_Aadhaar_No` varchar(50) DEFAULT NULL,
  `Weight_of_Child` decimal(5,2) DEFAULT NULL,
  `Child_EID` int(11) DEFAULT NULL,
  `Child_EID_Time` datetime DEFAULT NULL,
  `Emamta_Health_ID` int(11) DEFAULT NULL,
  `Emamta_Family_ID` int(11) DEFAULT NULL,
  `Phone_No_of` varchar(50) DEFAULT NULL,
  `Phone_No` varchar(12) DEFAULT NULL,
  `Registration_Date` datetime DEFAULT NULL,
  `Updated_Date` datetime DEFAULT NULL,
  `CityID` int(11) DEFAULT NULL,
  `City` varchar(50) DEFAULT NULL,
  `State_ID` int(11) DEFAULT NULL,
  `State_Name` varchar(50) DEFAULT NULL,
  `District_ID` int(11) DEFAULT NULL,
  `District_Name` varchar(50) DEFAULT NULL,
  `Taluka_Name` varchar(50) DEFAULT NULL,
  `Taluka_ID` int(11) DEFAULT NULL,
  `Block_ID` int(11) DEFAULT NULL,
  `Block_Name` varchar(50) DEFAULT NULL,
  `PHC_ID` int(11) DEFAULT NULL,
  `PHC_Name` varchar(50) DEFAULT NULL,
  `SubCenter_ID` int(11) DEFAULT NULL,
  `SubCenter_Name` varchar(50) DEFAULT NULL,
  `SubCenter_Name1` varchar(50) DEFAULT NULL,
  `Village_ID` int(11) DEFAULT NULL,
  `Village_Name` varchar(50) DEFAULT NULL,
  `GP_Village` varchar(50) DEFAULT NULL,
  `Address` varchar(100) DEFAULT NULL,
  `Year` char(4) DEFAULT NULL,
  `ANM_ID` int(11) DEFAULT NULL,
  `ANM_Name` varchar(50) DEFAULT NULL,
  `ANM_Phone_No` varchar(12) DEFAULT NULL,
  `ASHA_ID` int(11) DEFAULT NULL,
  `ASHA_Name` varchar(50) DEFAULT NULL,
  `ASHA_Phone_No` varchar(12) DEFAULT NULL,
  `BCG_Date` datetime DEFAULT NULL,
  `OPV0_Date` datetime DEFAULT NULL,
  `Hepatitis_B1_Date` datetime DEFAULT NULL,
  `DPT1_Date` datetime DEFAULT NULL,
  `OPV1_Date` datetime DEFAULT NULL,
  `Hepatitis_B2_Date` datetime DEFAULT NULL,
  `DPT2_Date` datetime DEFAULT NULL,
  `OPV2_Date` datetime DEFAULT NULL,
  `Hepatitis_B3_Date` datetime DEFAULT NULL,
  `DPT3_Date` datetime DEFAULT NULL,
  `OPV3_Date` datetime DEFAULT NULL,
  `Hepatitis_B4_Date` datetime DEFAULT NULL,
  `Measles_Date` datetime DEFAULT NULL,
  `VitA_Dose1_Date` datetime DEFAULT NULL,
  `MR_Date` datetime DEFAULT NULL,
  `DPTBooster_Date` datetime DEFAULT NULL,
  `OPVBooster_Date` datetime DEFAULT NULL,
  `VitA_Dose2_Date` datetime DEFAULT NULL,
  `VitA_Dose3_Date` datetime DEFAULT NULL,
  `VitA_Dose99_Date` datetime DEFAULT NULL,
  `VitA_Dose5_Date` datetime DEFAULT NULL,
  `VitA_Dose6_Date` datetime DEFAULT NULL,
  `VitA_Dose7_Date` datetime DEFAULT NULL,
  `VitA_Dose8_Date` datetime DEFAULT NULL,
  `VitA_Dose9_Date` datetime DEFAULT NULL,
  `JE_Date` datetime DEFAULT NULL,
  `DT5_Date` datetime DEFAULT NULL,
  `TT10_Date` datetime DEFAULT NULL,
  `TT16_Date` datetime DEFAULT NULL,
  `Measles_2_Date` datetime DEFAULT NULL,
  `PentaValent1_Date` datetime DEFAULT NULL,
  `PentaValent2_Date` datetime DEFAULT NULL,
  `PentaValent3_Date` datetime DEFAULT NULL,
  `is_Upload` bit(1) DEFAULT NULL,
  `Status` int(11) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `Delete_Mother` bit(1) DEFAULT NULL,
  `Delete_Reason` varchar(100) DEFAULT NULL,
  `Deleted_ON` datetime DEFAULT NULL,
  `SMS_Status` tinyint(4) DEFAULT NULL,
  `Created_By` varchar(50) DEFAULT NULL,
  `Updated_By` varchar(50) DEFAULT NULL,
  `MDDS_StateID` int(11) DEFAULT NULL,
  `MDDS_District_ID` int(11) DEFAULT NULL,
  `MDDS_Taluka_ID` int(11) DEFAULT NULL,
  `MDDS_Village_ID` int(11) DEFAULT NULL,
  `BirthCertificateNo` varchar(20) DEFAULT NULL,
  `Rural_urban` varchar(10) DEFAULT NULL,
  `SNO` varchar(20) DEFAULT NULL,
  `Lead_ID` varchar(20) DEFAULT NULL,
  `My_ID` varchar(20) DEFAULT NULL,
  `CID_NO` int(11) DEFAULT NULL,
  `MID_NO` int(11) DEFAULT NULL,
  `Duplicate_Bit` bit(1) DEFAULT NULL,
  `FacilityType` varchar(30) DEFAULT NULL,
  `DueServices` varchar(50) DEFAULT NULL,
  `OverDueServices` varchar(50) DEFAULT NULL,
  `GivenServices` varchar(50) DEFAULT NULL,
  `Source` varchar(20) DEFAULT NULL,
  `Is_Valid` bit(1) DEFAULT NULL,
  `Is_Error` bit(1) DEFAULT NULL,
  `Error_Reason` varchar(50) DEFAULT NULL,
  `FileID` int(11) DEFAULT NULL,
  `IsAllocated` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`RowID`),
  UNIQUE KEY `MCTSID_no_ChildID_UNIQUE` (`MCTSID_no_Child_ID`),
  KEY `FK_ChildValidData_FileManager_idx` (`FileID`),
  KEY `FK_ChildValidData_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_ChildValidData_PhoneNoOf` (`Phone_No_of`),
  KEY `IX_CreatedDate` (`CreatedDate`),
  CONSTRAINT `FK_ChildValidData_FileManager` FOREIGN KEY (`FileID`) REFERENCES `t_filemanager` (`FileID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_covid19`
--

DROP TABLE IF EXISTS `t_covid19`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_covid19` (
  `COVID19ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BenCallID` bigint(20) NOT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenMedHistoryID` bigint(20) NOT NULL,
  `travel_14days` bit(1) DEFAULT NULL,
  `travel_type` varchar(30) DEFAULT NULL,
  `domestic_mode` varchar(100) DEFAULT NULL,
  `domStateID_from` int(11) DEFAULT NULL,
  `domDistrictID_from` int(11) DEFAULT NULL,
  `domTalukID_from` int(11) DEFAULT NULL,
  `domStateID_to` int(11) DEFAULT NULL,
  `domDistrictID_to` int(11) DEFAULT NULL,
  `domTalukID_to` int(11) DEFAULT NULL,
  `international_mode` varchar(100) DEFAULT NULL,
  `interCountryID_from` int(11) DEFAULT NULL,
  `interCityID_from` int(11) DEFAULT NULL,
  `interCountryID_to` int(11) DEFAULT NULL,
  `interCityID_to` int(11) DEFAULT NULL,
  `symptoms` varchar(300) DEFAULT NULL,
  `COVID19_contact_history` varchar(300) DEFAULT NULL,
  `medical_consultation` bit(1) DEFAULT NULL,
  `Suspected_COVID19` bit(1) DEFAULT NULL,
  `recommendation` varchar(450) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `visitcode` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `vanid` int(11) DEFAULT NULL,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`COVID19ID`),
  KEY `inx_BenMedHistoryID` (`BenMedHistoryID`),
  KEY `inx_BeneficiaryRegID` (`BeneficiaryRegID`),
  KEY `inx_visitcode` (`visitcode`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_covidvaccinationstatus`
--

DROP TABLE IF EXISTS `t_covidvaccinationstatus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_covidvaccinationstatus` (
  `CovidVSID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) NOT NULL,
  `CovidVaccineTypeID` int(11) DEFAULT NULL,
  `Dosetypeid` int(11) DEFAULT NULL,
  `vaccinestatus` varchar(10) DEFAULT NULL,
  `Dose1_Date` datetime DEFAULT NULL,
  `Dose2_Date` datetime DEFAULT NULL,
  `Booster_Date` datetime DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  PRIMARY KEY (`CovidVSID`),
  KEY `FK_CVS_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_CVS_ProviderServiceMapID_idx` (`ProviderServiceMapID`),
  KEY `Dosetypeid` (`Dosetypeid`),
  KEY `FK_CVS_CovidVaccineTypeID` (`CovidVaccineTypeID`),
  CONSTRAINT `FK_CVS_CovidVaccineTypeID` FOREIGN KEY (`CovidVaccineTypeID`) REFERENCES `m_covidvaccinetype` (`CovidVaccineTypeID`),
  CONSTRAINT `FK_CVS_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `t_covidvaccinationstatus_ibfk_1` FOREIGN KEY (`Dosetypeid`) REFERENCES `m_coviddosetype` (`CovidDoseTypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_currentdiagnosis`
--

DROP TABLE IF EXISTS `t_currentdiagnosis`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_currentdiagnosis` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `CurrentDiagnosis` varchar(50) DEFAULT NULL,
  `BodySite` varchar(20) DEFAULT NULL,
  `Laterality_SideOfBody` varchar(20) DEFAULT NULL,
  `Disease_Category` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_CurrentDiagnosis_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_CurrentDiagnosis_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_CurrentDiagnosis_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_CurrentDiagnosis_BenVisiyDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_CurrentDiagnosis_BenVisiyDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_CurrentDiagnosis_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_detailedcallreport`
--

DROP TABLE IF EXISTS `t_detailedcallreport`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_detailedcallreport` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `AgentName` varchar(100) DEFAULT NULL,
  `AgentID` int(11) DEFAULT NULL,
  `Uniqueid` varchar(100) DEFAULT NULL,
  `Campaign_Name` varchar(100) DEFAULT NULL,
  `List_Name` varchar(100) DEFAULT NULL,
  `Customer_Name` varchar(100) DEFAULT NULL,
  `PHONE` varchar(100) DEFAULT NULL,
  `Zone` varchar(100) DEFAULT NULL,
  `Call_Start_Time` datetime DEFAULT NULL,
  `Call_End_Time` datetime DEFAULT NULL,
  `Call_Status` varchar(50) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `SessionID` varchar(30) DEFAULT NULL,
  `Monitor_File_Path` varchar(300) DEFAULT NULL,
  `Monitor_File_Name` varchar(300) DEFAULT NULL,
  `Agent_Disposition` varchar(50) DEFAULT NULL,
  `Queue_time` int(11) DEFAULT NULL,
  `Wrapup_time` int(11) DEFAULT NULL,
  `Agent_Disposition_Category` varchar(100) DEFAULT NULL,
  `Call_Skill` varchar(100) DEFAULT NULL,
  `DID_Number` varchar(100) DEFAULT NULL,
  `Hold_time` int(11) DEFAULT NULL,
  `Orientation_Type` varchar(50) DEFAULT NULL,
  `Transferred_To` varchar(50) DEFAULT NULL,
  `Transferred_from` varchar(50) DEFAULT NULL,
  `Ring_Start_Time` varchar(100) DEFAULT NULL,
  `Ring_End_Time` varchar(100) DEFAULT NULL,
  `Agent_Ring_Start_Time` datetime DEFAULT NULL,
  `Agent_Ring_End_Time` datetime DEFAULT NULL,
  `Hold_Num_Times` int(11) DEFAULT NULL,
  `CallerId` varchar(100) DEFAULT NULL,
  `Channel` varchar(50) DEFAULT NULL,
  `Call_Duration` int(11) DEFAULT NULL,
  `Wait_Time` int(11) DEFAULT NULL,
  `Call_Type` varchar(50) DEFAULT NULL,
  `Redial_Flag` varchar(50) DEFAULT NULL,
  `Custom_Monitor_File_Name` varchar(100) DEFAULT NULL,
  `Next_Call_Time` int(11) DEFAULT NULL,
  `phone_type` varchar(50) DEFAULT NULL,
  `ivrs_path` varchar(200) DEFAULT NULL,
  `Disconnected_By` varchar(50) DEFAULT NULL,
  `Ringing` varchar(20) DEFAULT NULL,
  `Total_Attempt` int(11) DEFAULT NULL,
  `Total_Phone_Attempt` int(11) DEFAULT NULL,
  `Dialer_Action` varchar(50) DEFAULT NULL,
  `Ring_Duration` int(11) DEFAULT NULL,
  `Actual_Talk_Time` int(11) DEFAULT NULL,
  `Final_Call_Status` varchar(100) DEFAULT NULL,
  `Failure_Reason` int(11) DEFAULT NULL,
  `Agent_Ring_Duration` int(11) DEFAULT NULL,
  `Wrapped_By` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) NOT NULL DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=63 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_developmenthistory`
--

DROP TABLE IF EXISTS `t_developmenthistory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_developmenthistory` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `GrossMotorMilestone` varchar(800) DEFAULT NULL,
  `IsGMMAttained` bit(1) DEFAULT NULL,
  `FineMotorMilestone` varchar(800) DEFAULT NULL,
  `IsFMMAttained` bit(1) DEFAULT NULL,
  `SocialMilestone` varchar(800) DEFAULT NULL,
  `IsSMAttained` bit(1) DEFAULT NULL,
  `LanguageMilestone` varchar(800) DEFAULT NULL,
  `IsLMAttained` bit(1) DEFAULT NULL,
  `DevelopmentProblem` varchar(800) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_DevelopmentHistory_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_DevelopmentHistory_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_DevelopmentHistory_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_DevelopmentHistory_BenVisitDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_DevelopmentHistory_BenVisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_DevelopmentHistory_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_diabetesscreening`
--

DROP TABLE IF EXISTS `t_diabetesscreening`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_diabetesscreening` (
  `Id` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `Benvisitid` bigint(20) DEFAULT NULL,
  `Visitcode` bigint(20) NOT NULL,
  `BloodGlucoseTypeID` smallint(6) DEFAULT NULL,
  `BloodGlucoseType` varchar(30) DEFAULT NULL,
  `BloodGlucose` smallint(6) DEFAULT NULL,
  `BloodGlucoseRemarks` varchar(300) DEFAULT NULL,
  `suspected` bit(1) DEFAULT b'0',
  `Confirmatory` bit(1) DEFAULT b'0',
  `Remarks` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  PRIMARY KEY (`Id`),
  KEY `FK_t_diabetesscreening_ProviderServiceMapID` (`ProviderServiceMapID`),
  KEY `FK_t_diabetesscreening_visitcode` (`Visitcode`),
  CONSTRAINT `FK_t_diabetesscreening_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_diabetesscreening_visitcode` FOREIGN KEY (`Visitcode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_directoryservice`
--

DROP TABLE IF EXISTS `t_directoryservice`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_directoryservice` (
  `DirectoryServiceID` bigint(20) NOT NULL AUTO_INCREMENT,
  `RequestID` varchar(30) DEFAULT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `InstituteDirectoryID` int(11) DEFAULT NULL,
  `InstituteSubDirectoryID` int(11) DEFAULT NULL,
  `InstitutionID` int(11) DEFAULT NULL,
  `Remarks` varchar(300) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DirectoryServiceID`),
  KEY `FK_DirectoryService_BenCall_idx` (`BenCallID`),
  KEY `FK_DirectoryService_InstituteDirectory_idx` (`InstituteDirectoryID`),
  KEY `FK_DirectoryService_InstituteSubDirectory_idx` (`InstituteSubDirectoryID`),
  KEY `FK_DirectoryService_Institution_idx` (`InstitutionID`),
  KEY `FK_DirectoryService_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `inx_beneficiaryRegID` (`BeneficiaryRegID`),
  CONSTRAINT `FK_DirectoryService_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_DirectoryService_InstituteDirectory` FOREIGN KEY (`InstituteDirectoryID`) REFERENCES `m_institutedirectory` (`InstituteDirectoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_DirectoryService_InstituteSubDirectory` FOREIGN KEY (`InstituteSubDirectoryID`) REFERENCES `m_institutesubdirectory` (`InstituteSubDirectoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_DirectoryService_Institution` FOREIGN KEY (`InstitutionID`) REFERENCES `m_institution` (`InstitutionID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_DirectoryService_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_downloadedcasesheet`
--

DROP TABLE IF EXISTS `t_downloadedcasesheet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_downloadedcasesheet` (
  `cid` int(11) NOT NULL AUTO_INCREMENT,
  `tmVisitCode` bigint(20) DEFAULT NULL,
  `mmuVisitCode` bigint(20) DEFAULT NULL,
  `TmCaseSheetResponse` longtext,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`cid`),
  KEY `FK_dct_ProviderServiceMapID` (`ProviderServiceMapID`),
  CONSTRAINT `FK_dct_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_emailnotification`
--

DROP TABLE IF EXISTS `t_emailnotification`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_emailnotification` (
  `EmailNotificationID` bigint(20) NOT NULL AUTO_INCREMENT,
  `EmailTemplateID` int(11) DEFAULT NULL,
  `SenderID` int(11) DEFAULT NULL,
  `ReceivingUserID` int(11) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `PhoneNo` varchar(12) DEFAULT NULL,
  `ReceiverEmailID` varchar(300) DEFAULT NULL,
  `Email` longtext,
  `EmailTriggerDate` datetime DEFAULT NULL,
  `EmailStatus` smallint(6) DEFAULT NULL,
  `EmailSentDate` datetime DEFAULT NULL,
  `TransactionID` varchar(100) DEFAULT NULL,
  `IsTransactionError` bit(1) DEFAULT b'0',
  `TransactionError` longtext,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`EmailNotificationID`),
  KEY `FK_EmailNotification_EmailTemplate_idx` (`EmailTemplateID`),
  KEY `FK_EmailNotification_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_EmailNotification_User_idx` (`SenderID`),
  KEY `FK_EmailNotification_User1_idx` (`ReceivingUserID`),
  KEY `FK_EmailNotification_BenCall_idx` (`BenCallID`),
  CONSTRAINT `FK_EmailNotification_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_EmailNotification_EmailTemplate` FOREIGN KEY (`EmailTemplateID`) REFERENCES `m_emailtemplate` (`EmailTemplateID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_EmailNotification_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_EmailNotification_User` FOREIGN KEY (`SenderID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_EmailNotification_User1` FOREIGN KEY (`ReceivingUserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_epidemicoutbreak`
--

DROP TABLE IF EXISTS `t_epidemicoutbreak`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_epidemicoutbreak` (
  `OutbreakComplaintID` bigint(20) NOT NULL AUTO_INCREMENT,
  `RequestID` varchar(30) DEFAULT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `NatureOfComplaintID` int(11) DEFAULT NULL,
  `NatureOfComplaint` varchar(50) DEFAULT NULL,
  `TotalPeopleAffected` int(11) DEFAULT NULL,
  `AffectedDistrictID` int(11) DEFAULT NULL,
  `AffectedDistrictBlockID` int(11) DEFAULT NULL,
  `AffectedVillageID` int(11) DEFAULT NULL,
  `Remarks` varchar(500) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`OutbreakComplaintID`),
  KEY `FK_EpidemicOutbreak_District_idx` (`AffectedDistrictID`),
  KEY `FK_EpidemicOutbreak_DistrictBlock_idx` (`AffectedDistrictBlockID`),
  KEY `FK_EpidemicOutbreak_ProviderServiceMap_idx` (`ProviderServiceMapID`),
  KEY `FK_EpidemicOutbreak_BenCall_idx` (`BenCallID`),
  KEY `FK_EpidemicOutbreak_DistrictBranchMapping_idx` (`AffectedVillageID`),
  KEY `inx_beneficiaryRegID` (`BeneficiaryRegID`),
  KEY `inx_requestID` (`RequestID`),
  CONSTRAINT `FK_EpidemicOutbreak_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_EpidemicOutbreak_District` FOREIGN KEY (`AffectedDistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_EpidemicOutbreak_DistrictBlock` FOREIGN KEY (`AffectedDistrictBlockID`) REFERENCES `m_districtblock` (`BlockID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_EpidemicOutbreak_DistrictBranchMapping` FOREIGN KEY (`AffectedVillageID`) REFERENCES `m_districtbranchmapping` (`DistrictBranchID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_EpidemicOutbreak_ProviderServiceMap` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_everwellapi`
--

DROP TABLE IF EXISTS `t_everwellapi`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_everwellapi` (
  `EAPIID` bigint(20) NOT NULL AUTO_INCREMENT,
  `EverWellID` bigint(20) NOT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BeneficiaryID` bigint(20) DEFAULT NULL,
  `callid` varchar(30) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `firstName` varchar(100) DEFAULT NULL,
  `lastName` varchar(100) DEFAULT NULL,
  `primaryNumber` varchar(20) DEFAULT NULL,
  `missedDoses` int(11) DEFAULT NULL,
  `CurrentMonthMissedDoses` int(20) DEFAULT NULL,
  `facilityName` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `adherencePercentage` int(11) DEFAULT NULL,
  `isRegistered` bit(1) DEFAULT b'0',
  `userid` int(11) DEFAULT NULL,
  `isAllocated` bit(1) DEFAULT b'0',
  `ActionTaken` varchar(300) DEFAULT NULL,
  `Category` varchar(100) DEFAULT NULL,
  `SubCategory` varchar(100) DEFAULT NULL,
  `DateOfAction` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `Comments` varchar(500) DEFAULT NULL,
  `statusUpdatedEverwell` bit(1) DEFAULT b'0',
  `Language` varchar(50) DEFAULT NULL,
  `retryNeeded` bit(1) DEFAULT b'1',
  `callCounter` int(11) DEFAULT '0',
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `isCompleted` bit(1) DEFAULT b'0',
  `Bencallid` bigint(20) DEFAULT NULL,
  `district` varchar(100) DEFAULT NULL,
  `GenderName` char(15) DEFAULT NULL,
  PRIMARY KEY (`EAPIID`),
  KEY `inx_BeneficiaryRegID` (`BeneficiaryRegID`),
  KEY `inx_EverWellID` (`EverWellID`),
  KEY `inx_Bencallid` (`Bencallid`),
  KEY `inx_BeneficiaryID` (`BeneficiaryID`),
  KEY `inx_ProviderServiceMapID` (`ProviderServiceMapID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_everwellfeedback`
--

DROP TABLE IF EXISTS `t_everwellfeedback`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_everwellfeedback` (
  `EFID` bigint(20) NOT NULL AUTO_INCREMENT,
  `EAPIID` bigint(20) NOT NULL,
  `EverWellID` bigint(20) NOT NULL,
  `ActionTaken` varchar(300) DEFAULT NULL,
  `Category` varchar(100) DEFAULT NULL,
  `SubCategory` varchar(100) DEFAULT NULL,
  `DateOfAction` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `Comments` varchar(500) DEFAULT NULL,
  `secondaryPhoneNo` varchar(20) DEFAULT NULL,
  `isManualDoseProcessed` bit(1) DEFAULT b'0',
  `isMissedDoseProcessed` bit(1) DEFAULT b'0',
  `isSupportactionProcessed` bit(1) DEFAULT b'0',
  `isMobileNumberProcessed` bit(1) DEFAULT b'0',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`EFID`),
  KEY `inx_EAPIID` (`EAPIID`),
  KEY `inx_EverWellID` (`EverWellID`),
  KEY `inx_ProviderServiceMapID` (`ProviderServiceMapID`),
  CONSTRAINT `t_everwellFeedback_EAPIID` FOREIGN KEY (`EAPIID`) REFERENCES `t_everwellapi` (`EAPIID`),
  CONSTRAINT `t_everwellFeedback_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_existingproblem`
--

DROP TABLE IF EXISTS `t_existingproblem`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_existingproblem` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `ExistingProblem_1` varchar(50) DEFAULT NULL,
  `Remarks_1` varchar(100) DEFAULT NULL,
  `ExistingProblem_2` varchar(50) DEFAULT NULL,
  `Remarks_2` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_ExistingProblem_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_ExistingProblem_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_ExistingProblem_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_ExistingProblem_BenVisiyDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_ExistingProblem_BenVisiyDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ExistingProblem_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_facilityconsumption`
--

DROP TABLE IF EXISTS `t_facilityconsumption`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_facilityconsumption` (
  `ConsumptionID` int(11) NOT NULL AUTO_INCREMENT,
  `FacilityID` int(11) DEFAULT NULL,
  `RefNo` varchar(25) DEFAULT NULL,
  `Reason` varchar(300) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `SyncFacilityID` int(11) DEFAULT NULL,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ConsumptionID`),
  KEY `FK_FacilityConsumption_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_FacilityConsumption_Facility_idx` (`FacilityID`),
  CONSTRAINT `FK_FacilityConsumption_Facility` FOREIGN KEY (`FacilityID`) REFERENCES `m_facility` (`FacilityID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FacilityConsumption_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_familyplanningreproductive`
--

DROP TABLE IF EXISTS `t_familyplanningreproductive`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_familyplanningreproductive` (
  `Id` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `Benvisitid` bigint(20) DEFAULT NULL,
  `Visitcode` bigint(20) NOT NULL,
  `FertilityStatusId` smallint(6) DEFAULT NULL,
  `FertilityStatus` varchar(30) DEFAULT NULL,
  `Parity` int(11) DEFAULT NULL,
  `Total_Children_born` int(11) DEFAULT NULL,
  `Total_FemaleChildren_born` int(11) DEFAULT NULL,
  `Total_MaleChildren_born` int(11) DEFAULT NULL,
  `Total_LiveChildren_born` int(11) DEFAULT NULL,
  `Total_LiveFemaleChildren_born` int(11) DEFAULT NULL,
  `Total_LiveMaleChildren_born` int(11) DEFAULT NULL,
  `Avg_YoungestChildage` int(11) DEFAULT NULL,
  `Ageunit` varchar(20) DEFAULT NULL,
  `YoungesChild_Gender` varchar(30) DEFAULT NULL,
  `OtherYoungesChild_Gender` varchar(30) DEFAULT NULL,
  `FPMethodId` int(11) DEFAULT NULL,
  `FP_Method` varchar(800) DEFAULT NULL,
  `OtherFP_Method` varchar(800) DEFAULT NULL,
  `Sterilization_date` datetime DEFAULT NULL,
  `Sterilization_place` varchar(100) DEFAULT NULL,
  `Doses_Taken` int(11) DEFAULT NULL,
  `Date_LastDosetaken` datetime DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  PRIMARY KEY (`Id`),
  KEY `INX_t_FPR_ProviderServiceMapID` (`ProviderServiceMapID`),
  KEY `INX_t_FPR_visitcode` (`Visitcode`),
  KEY `FK_t_FPR_FPMethodId` (`FPMethodId`),
  CONSTRAINT `FK_t_FPR_FPMethodId` FOREIGN KEY (`FPMethodId`) REFERENCES `m_fpmethodfollowup` (`id`),
  CONSTRAINT `FK_t_FPR_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_FPR_visitcode` FOREIGN KEY (`Visitcode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_feedback`
--

DROP TABLE IF EXISTS `t_feedback`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_feedback` (
  `FeedbackID` bigint(20) NOT NULL AUTO_INCREMENT,
  `RequestID` varchar(30) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `InstitutionID` int(11) DEFAULT NULL,
  `DesignationID` int(11) DEFAULT NULL,
  `StateID` int(11) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `BlockID` int(11) DEFAULT NULL,
  `DistrictBranchID` int(11) DEFAULT NULL,
  `InstitutionTypeID` int(11) DEFAULT NULL,
  `SeverityID` smallint(6) DEFAULT NULL,
  `FeedbackTypeID` smallint(6) DEFAULT NULL,
  `FeedbackNatureID` int(11) DEFAULT NULL,
  `CategoryID` int(11) DEFAULT NULL,
  `SubCategoryID` int(11) DEFAULT NULL,
  `FeedbackStatusID` smallint(6) DEFAULT NULL,
  `Feedback` varchar(5000) DEFAULT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `UserID` int(11) DEFAULT NULL,
  `FeedbackAgainst` varchar(100) DEFAULT NULL,
  `SMSPhoneNo` varchar(20) DEFAULT NULL,
  `ServiceAvailDate` datetime DEFAULT NULL,
  `EmailStatusID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `FeedbackActual` varchar(300) DEFAULT NULL,
  `FeedbackUpdated` varchar(300) DEFAULT NULL,
  `FeedbackResponse` varchar(300) DEFAULT NULL,
  `AgentUserID` int(11) DEFAULT NULL,
  `SupUserID` int(11) DEFAULT NULL,
  `Comments` varchar(100) DEFAULT NULL,
  `AuthName` varchar(50) DEFAULT NULL,
  `AuthDesignation` varchar(50) DEFAULT NULL,
  `AuthInstitution` varchar(50) DEFAULT NULL,
  `AuthEmailID` varchar(50) DEFAULT NULL,
  `institutionname` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`FeedbackID`),
  KEY `FK_Feedback_Institution_idx` (`InstitutionID`),
  KEY `FK_Feedback_Designation_idx` (`DesignationID`),
  KEY `FK_Feedback_Severity_idx` (`SeverityID`),
  KEY `FK_Feedback_FeedbackType_idx` (`FeedbackTypeID`),
  KEY `FK_Feedback_User_idx` (`UserID`),
  KEY `FK_Feedback__FeedbackStatus_idx` (`FeedbackStatusID`),
  KEY `FK_Feedback_EmailStatus_idx` (`EmailStatusID`),
  KEY `FK_Feedback_ProviderServiceMapID_idx` (`ProviderServiceMapID`),
  KEY `FK_FeedbackNature_idx` (`FeedbackNatureID`),
  KEY `FK_Feedback_UserA_idx` (`AgentUserID`),
  KEY `FK_Feedback_UserS_idx` (`SupUserID`),
  KEY `FK_Feedback_State_idx` (`StateID`),
  KEY `FK_Feedback_District_idx` (`DistrictID`),
  KEY `Fk_Feedback_DistrictBlock_idx` (`BlockID`),
  KEY `FK_Feedback_DistrictBranchMapping_idx` (`DistrictBranchID`),
  KEY `FK_Feedback_InstitutionType_idx` (`InstitutionTypeID`),
  KEY `FK_Feedback_BenCall_idx` (`BenCallID`),
  KEY `FK_Feedback_Category_idx` (`CategoryID`),
  KEY `FK_Feedback_SubCategory_idx` (`SubCategoryID`),
  KEY `IX_CreatedDate` (`CreatedDate`),
  KEY `inx_requestID` (`RequestID`),
  KEY `inx_beneficiaryRegID` (`BeneficiaryRegID`),
  CONSTRAINT `FK_FeedbackNature` FOREIGN KEY (`FeedbackNatureID`) REFERENCES `m_feedbacknature` (`FeedbackNatureID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedback_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedback_Category` FOREIGN KEY (`CategoryID`) REFERENCES `m_category` (`CategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedback_Designation` FOREIGN KEY (`DesignationID`) REFERENCES `m_designation` (`DesignationID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedback_District` FOREIGN KEY (`DistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedback_DistrictBlock` FOREIGN KEY (`BlockID`) REFERENCES `m_districtblock` (`BlockID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedback_DistrictBranchMapping` FOREIGN KEY (`DistrictBranchID`) REFERENCES `m_districtbranchmapping` (`DistrictBranchID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedback_EmailStatus` FOREIGN KEY (`EmailStatusID`) REFERENCES `m_emailstatus` (`EmailStatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedback_FeedbackType` FOREIGN KEY (`FeedbackTypeID`) REFERENCES `m_feedbacktype` (`FeedbackTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedback_Institution` FOREIGN KEY (`InstitutionID`) REFERENCES `m_institution` (`InstitutionID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedback_InstitutionType` FOREIGN KEY (`InstitutionTypeID`) REFERENCES `m_institutiontype` (`InstitutionTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedback_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedback_Severity` FOREIGN KEY (`SeverityID`) REFERENCES `m_severity` (`SeverityID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedback_State` FOREIGN KEY (`StateID`) REFERENCES `m_state` (`StateID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedback_SubCategory` FOREIGN KEY (`SubCategoryID`) REFERENCES `m_subcategory` (`SubCategoryID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedback_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedback_UserA` FOREIGN KEY (`AgentUserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedback_UserS` FOREIGN KEY (`SupUserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedback__FeedbackStatus` FOREIGN KEY (`FeedbackStatusID`) REFERENCES `m_feedbackstatus` (`FeedbackStatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_feedbacklog`
--

DROP TABLE IF EXISTS `t_feedbacklog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_feedbacklog` (
  `FeedbackLogID` bigint(20) NOT NULL AUTO_INCREMENT,
  `FeedbackID` bigint(20) NOT NULL,
  `FeedbackLogs` longtext,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`FeedbackLogID`),
  KEY `FK_t_feedbacklog_FeedbackID_idx` (`FeedbackID`),
  CONSTRAINT `FK_feedbacklog_FeedbackID` FOREIGN KEY (`FeedbackID`) REFERENCES `t_feedback` (`FeedbackID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_feedbackrequest`
--

DROP TABLE IF EXISTS `t_feedbackrequest`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_feedbackrequest` (
  `FeedbackRequestID` bigint(20) NOT NULL AUTO_INCREMENT,
  `FeedbackID` bigint(20) DEFAULT NULL,
  `FeedbackSupSummary` varchar(5000) DEFAULT NULL,
  `SupUserID` int(11) DEFAULT NULL,
  `Comments` varchar(500) DEFAULT NULL,
  `EmailNotificationID` bigint(20) DEFAULT NULL,
  `EmailStatusID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`FeedbackRequestID`),
  KEY `FK_FeedbackRequest_Feedback_idx` (`FeedbackID`),
  KEY `FK_FeedbackRequest_User_idx` (`SupUserID`),
  KEY `FK_FeedbackRequest_EmailStatus_idx` (`EmailStatusID`),
  KEY `FK_Feedbackrequest_EmailNotification_idx` (`EmailNotificationID`),
  CONSTRAINT `FK_FeedbackRequest_EmailStatus` FOREIGN KEY (`EmailStatusID`) REFERENCES `m_emailstatus` (`EmailStatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FeedbackRequest_Feedback` FOREIGN KEY (`FeedbackID`) REFERENCES `t_feedback` (`FeedbackID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FeedbackRequest_User` FOREIGN KEY (`SupUserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Feedbackrequest_EmailNotification` FOREIGN KEY (`EmailNotificationID`) REFERENCES `t_emailnotification` (`EmailNotificationID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_feedbackresponse`
--

DROP TABLE IF EXISTS `t_feedbackresponse`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_feedbackresponse` (
  `FeedbackResponseID` bigint(20) NOT NULL AUTO_INCREMENT,
  `FeedbackRequestID` bigint(20) DEFAULT NULL,
  `FeedbackID` bigint(20) DEFAULT NULL,
  `ResponseSummary` varchar(500) DEFAULT NULL,
  `AuthName` varchar(50) DEFAULT NULL,
  `AuthDesignation` varchar(50) DEFAULT NULL,
  `AuthUserID` int(11) DEFAULT NULL,
  `Comments` varchar(500) DEFAULT NULL,
  `KmFileManagerID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`FeedbackResponseID`),
  KEY `FK_FeedbackResponse_FeedbackRequest_idx` (`FeedbackRequestID`),
  KEY `FK_FeedbackResponse_User_idx` (`AuthUserID`),
  KEY `FK_FeedbackResponse_Feedback_idx` (`FeedbackID`),
  KEY `FK_FeedbackResponse_KMFileManager_idx` (`KmFileManagerID`),
  CONSTRAINT `FK_FeedbackResponse_Feedback` FOREIGN KEY (`FeedbackID`) REFERENCES `t_feedback` (`FeedbackID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FeedbackResponse_FeedbackRequest` FOREIGN KEY (`FeedbackRequestID`) REFERENCES `t_feedbackrequest` (`FeedbackRequestID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FeedbackResponse_KMFileManager` FOREIGN KEY (`KmFileManagerID`) REFERENCES `t_kmfilemanager` (`KmFileManagerID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FeedbackResponse_User` FOREIGN KEY (`AuthUserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_feedbacktransaction`
--

DROP TABLE IF EXISTS `t_feedbacktransaction`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_feedbacktransaction` (
  `FeedbackTransactionID` bigint(20) NOT NULL AUTO_INCREMENT,
  `FeedbackID` bigint(20) DEFAULT NULL,
  `Comments` varchar(300) DEFAULT NULL,
  `ChangeDetail` varchar(300) DEFAULT NULL,
  `UserID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`FeedbackTransactionID`),
  KEY `FK_FeedbackTransaction_User_idx` (`UserID`),
  CONSTRAINT `FK_FeedbackTransaction_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_femaleobstetrichistory`
--

DROP TABLE IF EXISTS `t_femaleobstetrichistory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_femaleobstetrichistory` (
  `ObstetricHistoryID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `PregOrder` smallint(6) DEFAULT NULL,
  `TotalNoOfPreg` smallint(6) DEFAULT NULL,
  `PregComplicationID` varchar(100) DEFAULT NULL,
  `PregComplicationType` varchar(1200) DEFAULT NULL,
  `OtherPregComplication` varchar(50) DEFAULT NULL,
  `PregDurationID` smallint(6) DEFAULT NULL,
  `DurationType` varchar(20) DEFAULT NULL,
  `DeliveryTypeID` smallint(6) DEFAULT NULL,
  `DeliveryType` varchar(100) DEFAULT NULL,
  `DeliveryPlaceID` smallint(6) DEFAULT NULL,
  `DeliveryPlace` varchar(20) DEFAULT NULL,
  `OtherDeliveryPlace` varchar(50) DEFAULT NULL,
  `DeliveryComplicationID` varchar(100) DEFAULT NULL,
  `DeliveryComplicationType` text,
  `OtherDeliveryComplication` varchar(50) DEFAULT NULL,
  `PregOutcomeID` smallint(6) DEFAULT NULL,
  `PregOutcome` varchar(20) DEFAULT NULL,
  `PostpartumComplicationID` varchar(100) DEFAULT NULL,
  `PostpartumComplicationType` text,
  `OtherPostpartumCompType` varchar(50) DEFAULT NULL,
  `PostNatalComplicationID` smallint(6) DEFAULT NULL,
  `PostNatalComplication` varchar(50) DEFAULT NULL,
  `OtherPostNatalComplication` varchar(50) DEFAULT NULL,
  `CongenitalAnomalies` varchar(300) DEFAULT NULL,
  `NewBornComplicationID` smallint(6) DEFAULT NULL,
  `NewBornComplication` varchar(50) DEFAULT NULL,
  `OtherNewBornComplication` varchar(50) DEFAULT NULL,
  `typeOfAbortionid` int(11) DEFAULT NULL,
  `typeOfAbortionValue` varchar(50) DEFAULT NULL,
  `PostAbortionComplications` varchar(50) DEFAULT NULL,
  `PostAbortionComplicationsValues` varchar(500) DEFAULT NULL,
  `CompletedWeeksofPregnancy` int(11) DEFAULT NULL,
  `ServiceFacilityID` int(11) DEFAULT NULL,
  `ServiceFacilityValue` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ObstetricHistoryID`),
  KEY `FK_FemaleObstetricHistory_PregDuration_idx` (`PregDurationID`),
  KEY `FK_FemaleObstetricHistory_DeliveryType_idx` (`DeliveryTypeID`),
  KEY `FK_FemaleObstetricHistory_DeliveryPlace_idx` (`DeliveryPlaceID`),
  KEY `FK_FemaleObstetricHistory_PregOutcome_idx` (`PregOutcomeID`),
  KEY `FK_FemaleObstetricHistory_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_FemObsHist_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_FemObsHist_BenVisitDetail1_idx` (`VisitCode`),
  KEY `FK_FemObsHist_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_FemaleObsHist_ComplicationPostNatal_idx` (`PostNatalComplicationID`),
  KEY `FK_FemaleObsHist_ComplicationNewBorn_idx` (`NewBornComplicationID`),
  CONSTRAINT `FK_FemObsHist_BenVisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FemObsHist_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FemaleObsHist_ComplicationNewBorn` FOREIGN KEY (`NewBornComplicationID`) REFERENCES `m_complication` (`ComplicationID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FemaleObsHist_ComplicationPostNatal` FOREIGN KEY (`PostNatalComplicationID`) REFERENCES `m_complication` (`ComplicationID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FemaleObstetricHistory_DeliveryPlace` FOREIGN KEY (`DeliveryPlaceID`) REFERENCES `m_deliveryplace` (`DeliveryPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FemaleObstetricHistory_DeliveryType` FOREIGN KEY (`DeliveryTypeID`) REFERENCES `m_deliverytype` (`DeliveryTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FemaleObstetricHistory_PregDuration` FOREIGN KEY (`PregDurationID`) REFERENCES `m_pregduration` (`PregDurationID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FemaleObstetricHistory_PregOutcome` FOREIGN KEY (`PregOutcomeID`) REFERENCES `m_pregoutcome` (`PregOutcomeID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_fetosensedata`
--

DROP TABLE IF EXISTS `t_fetosensedata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_fetosensedata` (
  `fetosenseID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) NOT NULL,
  `visitCode` bigint(20) DEFAULT NULL,
  `testtime` datetime DEFAULT NULL,
  `motherLMPDate` datetime NOT NULL,
  `MotherName` varchar(100) NOT NULL,
  `partnerName` varchar(100) DEFAULT NULL,
  `fetosenseMotherID` varchar(100) DEFAULT NULL,
  `fetosensePartnerID` varchar(100) DEFAULT NULL,
  `fetosensetestid` int(11) NOT NULL,
  `testId` varchar(100) DEFAULT NULL,
  `deviceId` varchar(100) DEFAULT NULL,
  `testDoneAt` varchar(100) DEFAULT NULL,
  `lengthOfTest` int(11) DEFAULT NULL,
  `basalHeartRate` int(11) DEFAULT NULL,
  `accelerationsList` longtext,
  `decelerationsList` longtext,
  `shortTermVariationBpm` varchar(100) DEFAULT NULL,
  `shortTermVariationMilli` int(11) DEFAULT NULL,
  `longTermVariation` int(11) DEFAULT NULL,
  `movementEntries` longtext,
  `autoFetalMovement` longtext,
  `reportPath` varchar(200) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `benFlowID` bigint(20) NOT NULL,
  `resultState` bit(1) DEFAULT b'0',
  `testName` varchar(20) DEFAULT NULL,
  `AMRITFilePath` varchar(500) DEFAULT NULL,
  `BeneficiaryID` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`fetosenseID`),
  KEY `inx_visitcode` (`visitCode`),
  KEY `inx_beneficiaryid` (`BeneficiaryRegID`),
  KEY `inx_providerservicemapid` (`ProviderServiceMapID`),
  KEY `FK_fetosensedata_fetosensetestid_idx` (`fetosensetestid`),
  KEY `t_fetosensedata_ibfk_1` (`benFlowID`),
  CONSTRAINT `FK_fetosenseData_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_fetosenseData_VisitCode` FOREIGN KEY (`visitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_fetosensedata_fetosensetestid` FOREIGN KEY (`fetosensetestid`) REFERENCES `m_fetosensetests` (`fetosensetestid`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `t_fetosensedata_ibfk_1` FOREIGN KEY (`benFlowID`) REFERENCES `i_ben_flow_outreach` (`ben_flow_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_filemanager`
--

DROP TABLE IF EXISTS `t_filemanager`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_filemanager` (
  `FileID` int(11) NOT NULL AUTO_INCREMENT,
  `FileTypeID` int(11) DEFAULT NULL,
  `FileName` varchar(50) DEFAULT NULL,
  `FilePath` varchar(100) DEFAULT NULL,
  `FileStatusID` smallint(6) DEFAULT NULL,
  `StatusReason` varchar(250) DEFAULT NULL,
  `UserID` int(11) DEFAULT NULL,
  `TotalRecordCount` int(11) DEFAULT NULL,
  `ValidRecordCount` int(11) DEFAULT NULL,
  `ErroredRecordCount` int(11) DEFAULT NULL,
  `FileLoadDate` datetime DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `MD5CheckSum` varchar(250) DEFAULT NULL,
  `IsMother` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`FileID`),
  UNIQUE KEY `MD5CheckSum_UNIQUE` (`MD5CheckSum`),
  KEY `FK_FileManager_FileType_idx` (`FileTypeID`),
  KEY `FK_FileManager_User_idx` (`UserID`),
  KEY `FK_FileManager_FileStatus_idx` (`FileStatusID`),
  KEY `FK_FileManager_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_FileManager_FileStatus` FOREIGN KEY (`FileStatusID`) REFERENCES `m_filestatus` (`FileStatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FileManager_FileType` FOREIGN KEY (`FileTypeID`) REFERENCES `m_filetype` (`FileTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FileManager_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FileManager_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_fileprocess`
--

DROP TABLE IF EXISTS `t_fileprocess`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_fileprocess` (
  `FileProcessID` int(11) NOT NULL AUTO_INCREMENT,
  `FileID` int(11) DEFAULT NULL,
  `ProcessStatusID` smallint(6) DEFAULT NULL,
  `ProcessStartDate` datetime DEFAULT NULL,
  `ProcessEndDate` datetime DEFAULT NULL,
  `EventID` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`FileProcessID`),
  KEY `FK_FileProcessing_FileManager_idx` (`FileID`),
  KEY `FK_FileProcess_FileProcessStatus_idx` (`ProcessStatusID`),
  CONSTRAINT `FK_FileProcess_FileProcessStatus` FOREIGN KEY (`ProcessStatusID`) REFERENCES `m_fileprocessstatus` (`FileProcessStatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FileProcessing_FileManager` FOREIGN KEY (`FileID`) REFERENCES `t_filemanager` (`FileID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_filetask`
--

DROP TABLE IF EXISTS `t_filetask`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_filetask` (
  `TaskID` int(11) NOT NULL AUTO_INCREMENT,
  `ProcessID` int(11) DEFAULT NULL,
  `TaskStatusID` smallint(6) DEFAULT NULL,
  `FileEventSeqID` int(11) DEFAULT NULL,
  `EventName` varchar(20) DEFAULT NULL,
  `StartDate` datetime DEFAULT NULL,
  `EndDate` datetime DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`TaskID`),
  KEY `FF_FileTask_FileProcess_idx` (`ProcessID`),
  KEY `FK_FileTask_FileTaskStatus_idx` (`TaskStatusID`),
  KEY `FK_FileTask_FileEventSeq_idx` (`FileEventSeqID`),
  CONSTRAINT `FK_FileTask_FileEventSeq` FOREIGN KEY (`FileEventSeqID`) REFERENCES `m_fileeventseq` (`FileEventSeqID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FileTask_FileProcess` FOREIGN KEY (`ProcessID`) REFERENCES `t_fileprocess` (`FileProcessID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FileTask_FileTaskStatus` FOREIGN KEY (`TaskStatusID`) REFERENCES `m_filetaskstatus` (`FileTaskStatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_followupforimmunization`
--

DROP TABLE IF EXISTS `t_followupforimmunization`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_followupforimmunization` (
  `Id` bigint(20) NOT NULL AUTO_INCREMENT,
  `Beneficiaryregid` bigint(20) DEFAULT NULL,
  `Benvisitid` bigint(20) DEFAULT NULL,
  `Visitcode` bigint(20) NOT NULL,
  `Duedatefornextimmunization` datetime DEFAULT NULL,
  `Nextduevaccines` varchar(100) DEFAULT NULL,
  `Nextduevaccinesid` smallint(6) DEFAULT NULL,
  `LocationOfnextimmunization` varchar(100) DEFAULT NULL,
  `LocationOfnextimmunizationid` smallint(6) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  PRIMARY KEY (`Id`),
  KEY `FK_t_ibd_ProviderServiceMapID` (`ProviderServiceMapID`),
  KEY `FK_t_ibd_visitcode` (`Visitcode`),
  KEY `FK_t_fv_lnidd` (`LocationOfnextimmunizationid`),
  KEY `FK_t_fv_nvid` (`Nextduevaccinesid`),
  CONSTRAINT `FK_t_fv_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_fv_lnidd` FOREIGN KEY (`LocationOfnextimmunizationid`) REFERENCES `m_locationofnextimmunization` (`id`),
  CONSTRAINT `FK_t_fv_nvid` FOREIGN KEY (`Nextduevaccinesid`) REFERENCES `m_nextduevaccines` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_fv_visitcode` FOREIGN KEY (`Visitcode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_foodsafetycopmlaint`
--

DROP TABLE IF EXISTS `t_foodsafetycopmlaint`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_foodsafetycopmlaint` (
  `FSComplaintID` bigint(20) NOT NULL AUTO_INCREMENT,
  `RequestID` varchar(30) DEFAULT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `PatientName` varchar(100) DEFAULT NULL,
  `PatientAge` int(11) DEFAULT NULL,
  `PatientGenderID` smallint(6) DEFAULT NULL,
  `TypeOfRequest` varchar(25) DEFAULT NULL,
  `isDiarrhea` tinyint(4) DEFAULT NULL,
  `isVomiting` tinyint(4) DEFAULT NULL,
  `isAbdominalPain` tinyint(4) DEFAULT NULL,
  `isChillsOrRigors` tinyint(4) DEFAULT NULL,
  `isGiddiness` tinyint(4) DEFAULT NULL,
  `isDehydration` tinyint(4) DEFAULT NULL,
  `isRashes` tinyint(4) DEFAULT NULL,
  `FromWhen` datetime DEFAULT NULL,
  `HistoryOfDiet` varchar(200) DEFAULT NULL,
  `isFoodConsumed` tinyint(4) DEFAULT NULL,
  `TypeOfFood` varchar(200) DEFAULT NULL,
  `FoodConsumedFrom` varchar(200) DEFAULT NULL,
  `AssociatedSymptoms` varchar(200) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `DistrictBlockID` int(11) DEFAULT NULL,
  `VillageID` int(11) DEFAULT NULL,
  `FeedbackTypeID` smallint(6) DEFAULT NULL,
  `Remarks` varchar(500) DEFAULT NULL,
  `IsSelf` bit(1) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`FSComplaintID`),
  KEY `FK_FoodSafetyCopmlaint_FeedbackType_idx` (`FeedbackTypeID`),
  KEY `FK_FoodSafetyCopmlaint_ProviderServiceMap_idx` (`ProviderServiceMapID`),
  KEY `FK_FoodSafetyCopmlaint_BenCall_idx` (`BenCallID`),
  KEY `FK_FoodSafetyCopmlaint_Gender_idx` (`PatientGenderID`),
  KEY `FK_FoodSafetyCopmlaint_District_idx` (`DistrictID`),
  KEY `FK_FoodSafetyCopmlaint_DistrictBlock_idx` (`DistrictBlockID`),
  KEY `FK_FoodSafetyCopmlaint_DistrictBranch_idx` (`VillageID`),
  KEY `inx_beneficiaryRegID` (`BeneficiaryRegID`),
  KEY `inx_requestID` (`RequestID`),
  CONSTRAINT `FK_FoodSafetyCopmlaint_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FoodSafetyCopmlaint_District` FOREIGN KEY (`DistrictID`) REFERENCES `m_district` (`DistrictID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FoodSafetyCopmlaint_DistrictBlock` FOREIGN KEY (`DistrictBlockID`) REFERENCES `m_districtblock` (`BlockID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FoodSafetyCopmlaint_DistrictBranch` FOREIGN KEY (`VillageID`) REFERENCES `m_districtbranchmapping` (`DistrictBranchID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FoodSafetyCopmlaint_FeedbackType` FOREIGN KEY (`FeedbackTypeID`) REFERENCES `m_feedbacktype` (`FeedbackTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FoodSafetyCopmlaint_Gender` FOREIGN KEY (`PatientGenderID`) REFERENCES `m_gender` (`GenderID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_FoodSafetyCopmlaint_ProviderServiceMap` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_fpdispensedetails`
--

DROP TABLE IF EXISTS `t_fpdispensedetails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_fpdispensedetails` (
  `Id` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `Benvisitid` bigint(20) DEFAULT NULL,
  `Visitcode` bigint(20) NOT NULL,
  `TypeOfContraceptivePrescribed` varchar(800) DEFAULT NULL,
  `Other_TypeOfContraceptivePrescribed` varchar(800) DEFAULT NULL,
  `Doses_Taken` varchar(100) DEFAULT NULL,
  `Date_LastDosetaken` datetime DEFAULT NULL,
  `QtyPrescribed` int(11) DEFAULT NULL,
  `NextVisitForRefill` datetime DEFAULT NULL,
  `TypeofIUCDinsertedId` int(11) DEFAULT NULL,
  `TypeofIUCDinserted` varchar(50) DEFAULT NULL,
  `DateofIUCDinserted` datetime DEFAULT NULL,
  `IUCDinsertiondoneby` varchar(50) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  PRIMARY KEY (`Id`),
  KEY `INX_t_FPD_ProviderServiceMapID` (`ProviderServiceMapID`),
  KEY `INX_t_FPD_visitcode` (`Visitcode`),
  CONSTRAINT `FK_t_FPD_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_FPD_visitcode` FOREIGN KEY (`Visitcode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_fpieccounsellingdetails`
--

DROP TABLE IF EXISTS `t_fpieccounsellingdetails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_fpieccounsellingdetails` (
  `Id` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `Benvisitid` bigint(20) DEFAULT NULL,
  `Visitcode` bigint(20) NOT NULL,
  `FPCounselledOnId` int(11) DEFAULT NULL,
  `CounselledOn` varchar(1200) DEFAULT NULL,
  `Other_CounselledOn` varchar(1200) DEFAULT NULL,
  `TypeOfContraceptiveOpted` varchar(1200) DEFAULT NULL,
  `Other_TypeOfContraceptiveOpted` varchar(1200) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  PRIMARY KEY (`Id`),
  KEY `INX_t_FPID_ProviderServiceMapID` (`ProviderServiceMapID`),
  KEY `INX_t_FPID_visitcode` (`Visitcode`),
  KEY `FK_t_FPID_FPCounselledOnId` (`FPCounselledOnId`),
  CONSTRAINT `FK_t_FPID_FPCounselledOnId` FOREIGN KEY (`FPCounselledOnId`) REFERENCES `m_fpcounselledon` (`id`),
  CONSTRAINT `FK_t_FPID_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_FPID_visitcode` FOREIGN KEY (`Visitcode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_gopdoralexamination`
--

DROP TABLE IF EXISTS `t_gopdoralexamination`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_gopdoralexamination` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `LimitedMouthOpening` varchar(10) DEFAULT NULL,
  `PremalignantLesions` bit(1) DEFAULT NULL,
  `PreMalignantLesionType` varchar(500) DEFAULT NULL,
  `ProlongedIrritation` bit(1) DEFAULT NULL,
  `ChronicBurningSensation` bit(1) DEFAULT NULL,
  `Observation` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_gopdOralExamination_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_gopdOralExamination_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_gopdOralExamination_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_gopdOralExamination_VehicalNo_idx` (`VehicalNo`),
  KEY `FK_CancerOralExamination_VisitCode_idx` (`VisitCode`),
  KEY `FK_CancerOralExamination_ParkingPlaceID_idx` (`ParkingPlaceID`),
  CONSTRAINT `FK_gopdOralExamination_ParkingPlaceID` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_gopdOralExamination_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_gopdOralExamination_VisitCode` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_healthid`
--

DROP TABLE IF EXISTS `t_healthid`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_healthid` (
  `HID` int(11) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `HealthIdNumber` varchar(300) DEFAULT NULL,
  `Name` varchar(100) DEFAULT NULL,
  `Gender` varchar(10) DEFAULT NULL,
  `YearOfBirth` varchar(10) DEFAULT NULL,
  `MonthOfBirth` varchar(10) DEFAULT NULL,
  `DayOfBirth` varchar(10) DEFAULT NULL,
  `FirstName` varchar(100) DEFAULT NULL,
  `HealthId` varchar(200) DEFAULT NULL,
  `LastName` varchar(100) DEFAULT NULL,
  `MiddleName` varchar(100) DEFAULT NULL,
  `stateCode` varchar(20) DEFAULT NULL,
  `districtCode` varchar(20) DEFAULT NULL,
  `stateName` varchar(100) DEFAULT NULL,
  `districtName` varchar(100) DEFAULT NULL,
  `email` varchar(200) DEFAULT NULL,
  `mobile` varchar(20) DEFAULT NULL,
  `authMethods` varchar(200) DEFAULT NULL,
  `AuthenticationMode` varchar(20) DEFAULT NULL,
  `tags` varchar(100) DEFAULT NULL,
  `new` bit(1) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `TxnID` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`HID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_hihlcocasesheet`
--

DROP TABLE IF EXISTS `t_hihlcocasesheet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_hihlcocasesheet` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BenCallID` bigint(20) NOT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `Cocasesheet` longtext,
  `Providerservicemapid` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ID`),
  KEY `IX_CreatedDate` (`CreatedDate`),
  KEY `inx_bencallid` (`BenCallID`),
  CONSTRAINT `FK_COCasesheet_bencallid` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_hypertensionscreening`
--

DROP TABLE IF EXISTS `t_hypertensionscreening`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_hypertensionscreening` (
  `Id` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `Benvisitid` bigint(20) DEFAULT NULL,
  `Visitcode` bigint(20) NOT NULL,
  `SystolicBP_1stReading` smallint(6) DEFAULT NULL,
  `DiastolicBP_1stReading` smallint(6) DEFAULT NULL,
  `SystolicBP_2ndReading` smallint(6) DEFAULT NULL,
  `DiastolicBP_2ndReading` smallint(6) DEFAULT NULL,
  `SystolicBP_3rdReading` smallint(6) DEFAULT NULL,
  `DiastolicBP_3rdReading` smallint(6) DEFAULT NULL,
  `AverageSystolicBP` smallint(6) DEFAULT NULL,
  `AverageDiastolicBP` smallint(6) DEFAULT NULL,
  `suspected` bit(1) DEFAULT b'0',
  `Confirmatory` bit(1) DEFAULT b'0',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  PRIMARY KEY (`Id`),
  KEY `FK_t_hypertensionscreening_ProviderServiceMapID` (`ProviderServiceMapID`),
  KEY `FK_t_hypertensionscreening_visitcode` (`Visitcode`),
  CONSTRAINT `FK_t_hypertensionscreening_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_hypertensionscreening_visitcode` FOREIGN KEY (`Visitcode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_idrsdetails`
--

DROP TABLE IF EXISTS `t_idrsdetails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_idrsdetails` (
  `Idrsid` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) NOT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Benvisitid` bigint(20) NOT NULL,
  `Visitcode` bigint(20) NOT NULL,
  `IDRSQuestionID` int(11) DEFAULT NULL,
  `IDRSScore` int(11) DEFAULT NULL,
  `Questionids` longtext,
  `Question` longtext,
  `Answer` longtext,
  `DiseaseQuestionType` longtext,
  `SuspectedDiseases` varchar(200) DEFAULT NULL,
  `ConfirmedDiseases` varchar(200) DEFAULT NULL,
  `isDiabetic` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  `isHypertension` bit(1) DEFAULT NULL,
  PRIMARY KEY (`Idrsid`),
  KEY `FK_idrsdetails_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_idrsdetails_Benvisitid_idx` (`Benvisitid`),
  KEY `FK_t_idrsdetails_ProviderServiceMapID_idx` (`ProviderServiceMapID`),
  KEY `FK_idrsdetails_VisitCode` (`Visitcode`),
  KEY `FK_t_idrsdetails_IDRSQuestionID` (`IDRSQuestionID`),
  CONSTRAINT `FK_t_idrsdetails_Benvisitid` FOREIGN KEY (`Benvisitid`) REFERENCES `t_benvisitdetail` (`BenVisitID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_idrsdetails_IDRSQuestionID` FOREIGN KEY (`IDRSQuestionID`) REFERENCES `m_idrsscreenquestions` (`IDRSQuestionID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_idrsdetails_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_immunizationservices`
--

DROP TABLE IF EXISTS `t_immunizationservices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_immunizationservices` (
  `Id` bigint(20) NOT NULL AUTO_INCREMENT,
  `Beneficiaryregid` bigint(20) DEFAULT NULL,
  `Benvisitid` bigint(20) DEFAULT NULL,
  `Visitcode` bigint(20) NOT NULL,
  `Dateofvisit` datetime DEFAULT NULL,
  `Immunizationservicestype` varchar(100) DEFAULT NULL,
  `Immunizationservicestypeid` smallint(6) DEFAULT NULL,
  `CurrentImmunizationservice` varchar(100) DEFAULT NULL,
  `CurrentImmunizationserviceid` int(11) DEFAULT NULL,
  `VaccineName` varchar(100) DEFAULT NULL,
  `vaccinedose` varchar(20) DEFAULT NULL,
  `Batchno` varchar(50) DEFAULT NULL,
  `Route` varchar(100) DEFAULT NULL,
  `Siteofinjection` varchar(100) DEFAULT NULL,
  `Siteofinjectionid` smallint(6) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  PRIMARY KEY (`Id`),
  KEY `FK_t_ibd_ProviderServiceMapID` (`ProviderServiceMapID`),
  KEY `FK_t_ibd_visitcode` (`Visitcode`),
  KEY `FK_t_isd_Istid` (`Immunizationservicestypeid`),
  CONSTRAINT `FK_t_isd_Istid` FOREIGN KEY (`Immunizationservicestypeid`) REFERENCES `m_immunizationservicestype` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_isd_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_isd_visitcode` FOREIGN KEY (`Visitcode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_indent`
--

DROP TABLE IF EXISTS `t_indent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_indent` (
  `IndentID` int(11) NOT NULL AUTO_INCREMENT,
  `FromFacilityID` int(11) DEFAULT NULL,
  `FromFacilityName` varchar(50) DEFAULT NULL,
  `ToFacilityID` int(11) DEFAULT NULL,
  `ToFacilityName` varchar(50) DEFAULT NULL,
  `RefNo` varchar(20) DEFAULT NULL,
  `OrderDate` datetime DEFAULT NULL,
  `Reason` varchar(50) DEFAULT NULL,
  `UserID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Status` varchar(20) DEFAULT NULL,
  `StatusReason` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `SyncFacilityID` int(11) DEFAULT NULL,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`IndentID`),
  KEY `FK_Indent_User_idx` (`UserID`),
  KEY `FK_Indent_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_Indent_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Indent_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_indentissue`
--

DROP TABLE IF EXISTS `t_indentissue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_indentissue` (
  `IndentIssueID` int(11) NOT NULL AUTO_INCREMENT,
  `IndentOrderID` int(11) DEFAULT NULL,
  `IndentID` int(11) DEFAULT NULL,
  `ItemID` int(11) DEFAULT NULL,
  `ItemName` varchar(100) DEFAULT NULL,
  `FromFacilityID` int(11) DEFAULT NULL,
  `ToFacilityID` int(11) DEFAULT NULL,
  `BatchNo` varchar(45) DEFAULT NULL,
  `UnitCostPrice` decimal(10,2) DEFAULT NULL,
  `ExpiryDate` date DEFAULT NULL,
  `IssuedQty` int(11) DEFAULT NULL,
  `IssueDate` datetime DEFAULT NULL,
  `IsManual` bit(1) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `SyncFacilityID` int(11) DEFAULT NULL,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`IndentIssueID`),
  KEY `FK_IndentIssue_Indent_idx` (`IndentID`),
  KEY `FK_IndentIssue_Item_idx` (`ItemID`),
  KEY `FK_IndentIssue_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_IndentIssue_Item` FOREIGN KEY (`ItemID`) REFERENCES `m_item` (`ItemID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_IndentIssue_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_indentorder`
--

DROP TABLE IF EXISTS `t_indentorder`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_indentorder` (
  `IndentOrderID` int(11) NOT NULL AUTO_INCREMENT,
  `IndentID` int(11) DEFAULT NULL,
  `FromFacilityID` int(11) DEFAULT NULL,
  `ItemID` int(11) DEFAULT NULL,
  `ItemName` varchar(100) DEFAULT NULL,
  `QOH` int(11) DEFAULT NULL,
  `RequiredQty` int(11) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `SyncFacilityID` int(11) DEFAULT NULL,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`IndentOrderID`),
  KEY `FK_IndentOrder_Indent_idx` (`IndentID`),
  KEY `FK_IndentOrder_Item_idx` (`ItemID`),
  KEY `FK_IndentOrder_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_IndentOrder_Facility_idx` (`FromFacilityID`),
  CONSTRAINT `FK_IndentOrder_Facility` FOREIGN KEY (`FromFacilityID`) REFERENCES `m_facility` (`FacilityID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_IndentOrder_Item` FOREIGN KEY (`ItemID`) REFERENCES `m_item` (`ItemID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_IndentOrder_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_infantbirthdetails`
--

DROP TABLE IF EXISTS `t_infantbirthdetails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_infantbirthdetails` (
  `Id` bigint(20) NOT NULL AUTO_INCREMENT,
  `Beneficiaryregid` bigint(20) DEFAULT NULL,
  `Benvisitid` bigint(20) DEFAULT NULL,
  `Visitcode` bigint(20) NOT NULL,
  `Dateofbirth` datetime DEFAULT NULL,
  `Timeofbirth` varchar(20) DEFAULT NULL,
  `DateOfupdatingbirthdetails` datetime DEFAULT NULL,
  `Deliveryplace` varchar(50) DEFAULT NULL,
  `Deliveryplaceid` smallint(6) DEFAULT NULL,
  `Otherdeliveryplace` varchar(50) DEFAULT NULL,
  `Deliverytype` varchar(50) DEFAULT NULL,
  `Deliverytypeid` int(11) DEFAULT NULL,
  `Birthcomplication` varchar(50) DEFAULT NULL,
  `Birthcomplicationid` int(11) DEFAULT NULL,
  `OtherDeliveryComplication` varchar(50) DEFAULT NULL,
  `Gestation` varchar(50) DEFAULT NULL,
  `Gestationid` smallint(6) DEFAULT NULL,
  `Birthweightofnewborn` int(11) DEFAULT NULL,
  `Deliveryconductedby` varchar(50) DEFAULT NULL,
  `Deliveryconductedbyid` smallint(6) DEFAULT NULL,
  `Congenitalanomalieslist` varchar(900) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  PRIMARY KEY (`Id`),
  KEY `FK_t_ibd_ProviderServiceMapID` (`ProviderServiceMapID`),
  KEY `FK_t_ibd_visitcode` (`Visitcode`),
  KEY `FK_t_ibd_Gestationid` (`Gestationid`),
  KEY `FK_t_ibd_Deliveryplaceid` (`Deliveryplaceid`),
  KEY `FK_t_ibd_dcb` (`Deliveryconductedbyid`),
  CONSTRAINT `FK_t_ibd_Deliveryplaceid` FOREIGN KEY (`Deliveryplaceid`) REFERENCES `m_deliveryplace` (`DeliveryPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_ibd_Gestationid` FOREIGN KEY (`Gestationid`) REFERENCES `m_gestation` (`GestationID`),
  CONSTRAINT `FK_t_ibd_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_ibd_dcb` FOREIGN KEY (`Deliveryconductedbyid`) REFERENCES `m_deliveryconductedby` (`id`),
  CONSTRAINT `FK_t_ibd_visitcode` FOREIGN KEY (`Visitcode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_itemstockentry`
--

DROP TABLE IF EXISTS `t_itemstockentry`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_itemstockentry` (
  `ItemStockEntryID` int(11) NOT NULL AUTO_INCREMENT,
  `FacilityID` int(11) NOT NULL,
  `ItemID` int(11) NOT NULL,
  `BatchNo` varchar(45) DEFAULT NULL,
  `Quantity` int(11) DEFAULT NULL,
  `QuantityInHand` int(11) DEFAULT NULL,
  `UnitCostPrice` decimal(10,2) DEFAULT NULL,
  `ExpiryDate` date DEFAULT NULL,
  `EntryTypeID` int(11) NOT NULL,
  `EntryType` varchar(45) NOT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `SyncFacilityID` int(11) DEFAULT NULL,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ItemStockEntryID`),
  KEY `FK_ItemStockEntry_Facility_idx` (`FacilityID`),
  KEY `FK_ItemStockEntry_Item_idx` (`ItemID`),
  KEY `FK_ItemStockEntry_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_ItemStockEntry_Facility` FOREIGN KEY (`FacilityID`) REFERENCES `m_facility` (`FacilityID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ItemStockEntry_Item` FOREIGN KEY (`ItemID`) REFERENCES `m_item` (`ItemID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ItemStockEntry_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_itemstockexit`
--

DROP TABLE IF EXISTS `t_itemstockexit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_itemstockexit` (
  `ItemStockExitID` int(11) NOT NULL AUTO_INCREMENT,
  `ItemStockEntryID` int(11) NOT NULL,
  `FacilityID` int(11) DEFAULT NULL,
  `Quantity` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `ExitTypeID` int(11) DEFAULT NULL,
  `ExitType` varchar(45) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `SyncFacilityID` int(11) DEFAULT NULL,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ItemStockExitID`),
  KEY `FK_ItemStockExit_ItemStockEntry_idx` (`ItemStockEntryID`),
  KEY `FK_ItemStockExit_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_ItemStockExit_Facility_idx` (`FacilityID`),
  CONSTRAINT `FK_ItemStockExit_Facility` FOREIGN KEY (`FacilityID`) REFERENCES `m_facility` (`FacilityID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ItemStockExit_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_kmfilemanager`
--

DROP TABLE IF EXISTS `t_kmfilemanager`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_kmfilemanager` (
  `KmFileManagerID` int(11) NOT NULL AUTO_INCREMENT,
  `FileUID` varchar(100) DEFAULT NULL,
  `FileName` varchar(200) DEFAULT NULL,
  `FileExtension` varchar(30) DEFAULT NULL,
  `VersionNo` varchar(30) DEFAULT NULL,
  `FileCheckSum` varchar(2048) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `UserID` int(11) DEFAULT NULL,
  `KmUploadStatus` varchar(30) DEFAULT NULL,
  `ValidFrom` datetime DEFAULT NULL,
  `ValidUpto` datetime DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`KmFileManagerID`),
  KEY `FK_KmFileManager_User_idx` (`UserID`),
  KEY `FK_KmFileManager_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_KmFileManager_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_KmFileManager_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_lab_microscopy`
--

DROP TABLE IF EXISTS `t_lab_microscopy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_lab_microscopy` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `WBC_TotalCount _/c.mm` smallint(6) DEFAULT NULL,
  `WBC_Neutrophils` smallint(6) DEFAULT NULL,
  `WBC_Lymphocytes` smallint(6) DEFAULT NULL,
  `WBC_Monocytes` smallint(6) DEFAULT NULL,
  `WBC_Basophils` smallint(6) DEFAULT NULL,
  `WBC_Eosinophils` smallint(6) DEFAULT NULL,
  `WBC_PlateletCount_/c.mm` smallint(6) DEFAULT NULL,
  `WBC_PeripheralSmear` varchar(20) DEFAULT NULL,
  `MalariaParasiteSmear` varchar(15) DEFAULT NULL,
  `Urine_PusCells_HPF` varchar(15) DEFAULT NULL,
  `Urine_RBC_HPF` varchar(15) DEFAULT NULL,
  `Urine_EpithelialCells_HPF` varchar(15) DEFAULT NULL,
  `Urine_Casts` varchar(15) DEFAULT NULL,
  `Urine_Other` varchar(50) DEFAULT NULL,
  `X-RayType` varchar(15) DEFAULT NULL,
  `X-RayReport` varchar(50) DEFAULT NULL,
  `X-RayImage` varchar(50) DEFAULT NULL,
  `UltrasoundType` varchar(30) DEFAULT NULL,
  `USGReport` varchar(50) DEFAULT NULL,
  `USGReportImage` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_Lab_Microscopy_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_Lab_Microscopy_BenVisitDetail` (`BenVisitID`),
  KEY `FK_LabMicroscopy_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_LabMicroscopy_BenVisiyDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_LabMicroscopy_BenVisiyDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_LabMicroscopy_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_lab_othertest`
--

DROP TABLE IF EXISTS `t_lab_othertest`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_lab_othertest` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `TestName` varchar(50) DEFAULT NULL,
  `TestResult` varchar(50) DEFAULT NULL,
  `TestReport` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_Lab_OtherTest_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_Lab_OtherTest_BenVisitDetail` (`BenVisitID`),
  KEY `FK_LabOtherTest_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_LabOtherTest_BenVisiyDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_LabOtherTest_BenVisiyDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_LabOtherTest_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_lab_pocdiagnostics`
--

DROP TABLE IF EXISTS `t_lab_pocdiagnostics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_lab_pocdiagnostics` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `Hb_g/dl` decimal(5,2) DEFAULT NULL,
  `BloodGlucose_mg/dl` smallint(6) DEFAULT NULL,
  `TypeofBloodGlucoseSample` varchar(20) DEFAULT NULL,
  `RDT_Malaria` varchar(20) DEFAULT NULL,
  `WidalTest` varchar(15) DEFAULT NULL,
  `UrinePregnancyTest_UPT` varchar(15) DEFAULT NULL,
  `UrineAlbumin` varchar(15) DEFAULT NULL,
  `UrineSugar` varchar(15) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_Lab_PoCDiagnostics_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_Lab_PoCDiagnostics_BenVisitDetail` (`BenVisitID`),
  KEY `FK_Lab_PoCDiagnostics_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_LabPoCDiagnostics_BenvisitDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_LabPoCDiagnostics_BenvisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Lab_PoCDiagnostics_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_lab_testorder`
--

DROP TABLE IF EXISTS `t_lab_testorder`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_lab_testorder` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `PrescriptionID` bigint(20) DEFAULT NULL,
  `ProcedureID` int(11) DEFAULT NULL,
  `ProcedureName` varchar(100) DEFAULT NULL,
  `TestingRequirements` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_Lab_TestOrder_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_Lab_TestOrder_BenVisitDetail` (`BenVisitID`),
  KEY `FK_Lab_TestOrder_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_Lab_TestOrder_Prescription_idx` (`PrescriptionID`),
  KEY `FK_LabTestOrder_BenvisitDetail1_idx` (`VisitCode`),
  KEY `FK_Lab_TestOrder_Procedure_idx` (`ProcedureID`),
  CONSTRAINT `FK_LabTestOrder_BenvisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Lab_TestOrder_Prescription` FOREIGN KEY (`PrescriptionID`) REFERENCES `t_prescription` (`PrescriptionID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Lab_TestOrder_Procedure` FOREIGN KEY (`ProcedureID`) REFERENCES `m_procedure` (`ProcedureID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Lab_TestOrder_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_lab_testresult`
--

DROP TABLE IF EXISTS `t_lab_testresult`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_lab_testresult` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `PrescriptionID` bigint(20) DEFAULT NULL,
  `ProcedureID` int(11) DEFAULT NULL,
  `TestComponentID` int(11) DEFAULT NULL,
  `TestResultValue` varchar(30) DEFAULT NULL,
  `TestResultUnit` varchar(30) DEFAULT NULL,
  `TestReportFilePath` varchar(500) DEFAULT NULL,
  `Remarks` varchar(300) DEFAULT NULL,
  `Ecgabnormalities` varchar(500) DEFAULT NULL,
  `stripsNotAvailable` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `LabTestResult_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_LabTestResult_BenVissitDetail_idx` (`BenVisitID`),
  KEY `FK_LabTestResult_BenVisitDetail1_idx` (`VisitCode`),
  KEY `FK_LabTestResult_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_LabTestResult_Prescription_idx` (`PrescriptionID`),
  KEY `FK_LabTestResult_Procedure_idx` (`ProcedureID`),
  KEY `FK_LabTestResult_TestComponent_idx` (`TestComponentID`),
  KEY `FK_LabTestResult_VehicalNo_idx` (`VehicalNo`),
  KEY `FK_LabTestResult_ParkingPlaceID_idx` (`ParkingPlaceID`),
  CONSTRAINT `FK_LabTestResult_BenVisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_LabTestResult_ParkingPlaceID` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_LabTestResult_Prescription` FOREIGN KEY (`PrescriptionID`) REFERENCES `t_prescription` (`PrescriptionID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_LabTestResult_Procedure` FOREIGN KEY (`ProcedureID`) REFERENCES `m_procedure` (`ProcedureID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_LabTestResult_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_LabTestResult_TestComponent` FOREIGN KEY (`TestComponentID`) REFERENCES `m_testcomponent` (`TestComponentID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_linecallsummary`
--

DROP TABLE IF EXISTS `t_linecallsummary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_linecallsummary` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `LineNumber` varchar(100) DEFAULT NULL,
  `CampaignName` varchar(100) DEFAULT NULL,
  `TotalCalls` int(11) DEFAULT NULL,
  `TotalTalkTime` time DEFAULT NULL,
  `AverageTalkTime` time DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_mctscallresponse`
--

DROP TABLE IF EXISTS `t_mctscallresponse`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_mctscallresponse` (
  `MctsCallResponseID` bigint(20) NOT NULL AUTO_INCREMENT,
  `MotherID` bigint(20) DEFAULT NULL,
  `ChildID` bigint(20) DEFAULT NULL,
  `CallDetailID` bigint(20) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `outboundCallType` varchar(255) DEFAULT NULL,
  `QuestionID` int(11) DEFAULT NULL,
  `Answer` varchar(100) DEFAULT NULL,
  `Remarks` varchar(300) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`MctsCallResponseID`),
  KEY `FK_MotherCallQAMapping_Questionnaire_idx` (`QuestionID`),
  KEY `FK_MCTSCallResponse_MCTSOutboundCallDetail_idx` (`CallDetailID`),
  KEY `FK_MCTSCallResponse_ChildValidData_idx` (`ChildID`),
  KEY `FK_MotherCallQAMapping_MotherValidRecord_idx` (`MotherID`),
  KEY `FK_MCTSCallResponse_BenCall_idx` (`BenCallID`),
  CONSTRAINT `FK_MCTSCallResponse_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_MCTSCallResponse_MCTSOutboundCallDetail` FOREIGN KEY (`CallDetailID`) REFERENCES `t_mctsoutboundcalldeatil` (`CallDetailID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_MCTSCallResponse_Questionnaire` FOREIGN KEY (`QuestionID`) REFERENCES `m_questionnaire` (`QuestionID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_mctsoutboundcalldeatil`
--

DROP TABLE IF EXISTS `t_mctsoutboundcalldeatil`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_mctsoutboundcalldeatil` (
  `CallDetailID` bigint(20) NOT NULL AUTO_INCREMENT,
  `OBCallID` bigint(20) DEFAULT NULL,
  `AllocatedUserID` int(11) DEFAULT NULL,
  `AgentID` varchar(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `OutboundCallType` varchar(30) DEFAULT NULL,
  `CzentrixCallID` varchar(30) DEFAULT NULL,
  `CallStatus` varchar(30) DEFAULT NULL,
  `CallType` varchar(30) DEFAULT NULL,
  `ChangeLog` text,
  `Remark` varchar(100) DEFAULT NULL,
  `SMS_Advice` varchar(300) DEFAULT NULL,
  `SMS_Ph` varchar(12) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`CallDetailID`),
  KEY `FK_MCTSOutboundCallDeatil_MCTSOutboundCalls_idx` (`OBCallID`),
  KEY `FK_tMCTSOutboundCallDeatil_User_idx` (`AllocatedUserID`),
  KEY `FK_tMCTSOutboundCallDeatil_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_tMCTSOutboundCallDeatil_MCTSOutboundCalls` FOREIGN KEY (`OBCallID`) REFERENCES `t_mctsoutboundcalls` (`OBCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_tMCTSOutboundCallDeatil_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_tMCTSOutboundCallDeatil_User` FOREIGN KEY (`AllocatedUserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_mctsoutboundcalls`
--

DROP TABLE IF EXISTS `t_mctsoutboundcalls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_mctsoutboundcalls` (
  `OBCallID` bigint(20) NOT NULL AUTO_INCREMENT,
  `MotherID` bigint(20) DEFAULT NULL,
  `ChildID` bigint(20) DEFAULT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `AllocatedUserID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `OutboundCallType` varchar(30) DEFAULT NULL,
  `DisplayOBCallType` varchar(30) DEFAULT NULL,
  `CallDateFrom` datetime DEFAULT NULL,
  `CallDateTo` datetime DEFAULT NULL,
  `PrefferedCallDate` datetime DEFAULT NULL,
  `CallStatus` varchar(30) DEFAULT NULL,
  `NoOfTrials` int(11) DEFAULT NULL,
  `AllocationStatus` varchar(20) DEFAULT NULL,
  `IsSMSSent` bit(1) DEFAULT b'0',
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`OBCallID`),
  KEY `FK_tMCTSOutboundCalls_User_idx` (`AllocatedUserID`),
  KEY `FK_tMCTSOutboundCalls_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_tMCTSOutboundCalls_MotherValidRecord_idx` (`MotherID`),
  KEY `FK_tMCTSOutboundCalls_ChildValidData_idx` (`ChildID`),
  KEY `FK_tMCTSOutboundCalls_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_tMCTSOutboundCalls_CallStatus` (`CallStatus`),
  KEY `IX_CreatedDate` (`CreatedDate`),
  CONSTRAINT `FK_tMCTSOutboundCalls_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE SET NULL,
  CONSTRAINT `FK_tMCTSOutboundCalls_User` FOREIGN KEY (`AllocatedUserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_motherinvalidrecord`
--

DROP TABLE IF EXISTS `t_motherinvalidrecord`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_motherinvalidrecord` (
  `MotherInValidRecordID` bigint(20) NOT NULL AUTO_INCREMENT,
  `RowID` bigint(20) DEFAULT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `Date_of_Entry` datetime DEFAULT NULL,
  `Entry_type` smallint(6) DEFAULT NULL,
  `MCTSID_no` bigint(20) DEFAULT NULL,
  `Name` varchar(50) DEFAULT NULL,
  `Husband_Name` varchar(50) DEFAULT NULL,
  `PhoneNo_Of_Whom` varchar(50) DEFAULT NULL,
  `Whom_PhoneNo` varchar(50) DEFAULT NULL,
  `Birth_Date` datetime DEFAULT NULL,
  `Age` tinyint(4) DEFAULT NULL,
  `Blood_Group` varchar(5) DEFAULT NULL,
  `Caste` varchar(20) DEFAULT NULL,
  `Aadhar_no` varchar(20) DEFAULT NULL,
  `State_ID` int(11) DEFAULT NULL,
  `State_Name` varchar(20) DEFAULT NULL,
  `District_ID` int(11) DEFAULT NULL,
  `District_Name` varchar(20) DEFAULT NULL,
  `Taluka_Name` varchar(20) DEFAULT NULL,
  `Taluka_ID` int(11) DEFAULT NULL,
  `Block_ID` int(11) DEFAULT NULL,
  `Block_Name` varchar(50) DEFAULT NULL,
  `SubCenter_ID` int(11) DEFAULT NULL,
  `SubCenter_Name` varchar(50) DEFAULT NULL,
  `Village_ID` int(11) DEFAULT NULL,
  `Village_Name` varchar(50) DEFAULT NULL,
  `City_ID` int(11) DEFAULT NULL,
  `City_Name` varchar(50) DEFAULT NULL,
  `SubCenter_Name1` varchar(50) DEFAULT NULL,
  `ANM_ID` int(11) DEFAULT NULL,
  `ANM_Name` varchar(50) DEFAULT NULL,
  `ANM_Ph` varchar(20) DEFAULT NULL,
  `ASHA_ID` int(11) DEFAULT NULL,
  `ASHA_Name` varchar(50) DEFAULT NULL,
  `ASHA_Ph` varchar(20) DEFAULT NULL,
  `PHC_ID` varchar(20) DEFAULT NULL,
  `PHC_Name` varchar(50) DEFAULT NULL,
  `SUBPHC_ID` varchar(20) DEFAULT NULL,
  `SUBPHC_Name` varchar(50) DEFAULT NULL,
  `YR` char(4) DEFAULT NULL,
  `GP_Village` varchar(50) DEFAULT NULL,
  `Address` varchar(100) DEFAULT NULL,
  `LMP_Date` datetime DEFAULT NULL,
  `ANC1_Date` datetime DEFAULT NULL,
  `ANC2_Date` datetime DEFAULT NULL,
  `ANC3_Date` datetime DEFAULT NULL,
  `ANC4_Date` datetime DEFAULT NULL,
  `ANC_Complication` varchar(50) DEFAULT NULL,
  `TT1_Date` datetime DEFAULT NULL,
  `TT2_Date` datetime DEFAULT NULL,
  `TTBooster_Date` datetime DEFAULT NULL,
  `IFA100_Given_Date` datetime DEFAULT NULL,
  `EDD` datetime DEFAULT NULL,
  `Anemia` varchar(15) DEFAULT NULL,
  `RTI_STI` char(4) DEFAULT NULL,
  `Delivery_Lnk_Facility` varchar(50) DEFAULT NULL,
  `Facility_Name` varchar(50) DEFAULT NULL,
  `Delivery_Date` datetime DEFAULT NULL,
  `Delivery_Place_home_type` varchar(100) DEFAULT NULL,
  `Delivery_Place_Public` varchar(100) DEFAULT NULL,
  `Delivery_Place_Private` varchar(100) DEFAULT NULL,
  `Delivery_type` varchar(20) DEFAULT NULL,
  `Delivery_Complications` varchar(100) DEFAULT NULL,
  `Discharge_Date` datetime DEFAULT NULL,
  `Abortion` varchar(50) DEFAULT NULL,
  `PNC_Home_Visit` varchar(20) DEFAULT NULL,
  `PNC_Complication` varchar(20) DEFAULT NULL,
  `PPC_Method` varchar(20) DEFAULT NULL,
  `PNC_Checkup` varchar(20) DEFAULT NULL,
  `Outcome_Nos` tinyint(4) DEFAULT NULL,
  `Child1_ID` bigint(20) DEFAULT NULL,
  `Child1_Name` varchar(50) DEFAULT NULL,
  `Child1_Gender` varchar(10) DEFAULT NULL,
  `Child1_Weight` decimal(5,2) DEFAULT NULL,
  `Child1_BreastFeeding` char(4) DEFAULT NULL,
  `Child2_ID` bigint(20) DEFAULT NULL,
  `Child2_Name` varchar(50) DEFAULT NULL,
  `Child2_Gender` varchar(10) DEFAULT NULL,
  `Child2_weight` decimal(5,2) DEFAULT NULL,
  `Child2_Breastfeeding` char(4) DEFAULT NULL,
  `Child3_ID` bigint(20) DEFAULT NULL,
  `Child3_Name` varchar(50) DEFAULT NULL,
  `Child3_Gender` varchar(10) DEFAULT NULL,
  `Child3_Weight` decimal(5,2) DEFAULT NULL,
  `Child3_Breastfeeding` char(4) DEFAULT NULL,
  `Child4_ID` bigint(20) DEFAULT NULL,
  `Child4_Name` varchar(50) DEFAULT NULL,
  `Child4_Gender` varchar(10) DEFAULT NULL,
  `Child4_Weight` decimal(5,2) DEFAULT NULL,
  `Child4_Breastfeeding` char(4) DEFAULT NULL,
  `Mother_Reg_Date` datetime DEFAULT NULL,
  `Last_Update_Date` datetime DEFAULT NULL,
  `EID` varchar(20) DEFAULT NULL,
  `EID_time` datetime DEFAULT NULL,
  `CPSMS_Flag` bit(1) DEFAULT NULL,
  `JSY_Beneficiary` char(4) DEFAULT NULL,
  `JSY_Paid_Date` datetime DEFAULT NULL,
  `Bank_Name` varchar(50) DEFAULT NULL,
  `Bank_Branch_Name` varchar(50) DEFAULT NULL,
  `Acc_No` varchar(20) DEFAULT NULL,
  `IFSC_Code` varchar(20) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `Referred_By_Telecaller` bit(1) DEFAULT NULL,
  `Referred_Date` datetime DEFAULT NULL,
  `No_of_Try` tinyint(4) DEFAULT NULL,
  `Call_Answered` bit(1) DEFAULT NULL,
  `Status` varchar(20) DEFAULT NULL,
  `High_Risk` bit(1) DEFAULT b'0',
  `Call_Verified` bit(1) DEFAULT NULL,
  `Associate` varchar(20) DEFAULT NULL,
  `Call_Date` datetime DEFAULT NULL,
  `Due_Services` varchar(50) DEFAULT NULL,
  `Due_Services_Response` varchar(50) DEFAULT NULL,
  `Overdue_Services` varchar(50) DEFAULT NULL,
  `Overdue_Services_Response` varchar(50) DEFAULT NULL,
  `Given_Services` varchar(50) DEFAULT NULL,
  `Given_Services_Response` varchar(50) DEFAULT NULL,
  `Miscarriage` bit(1) DEFAULT NULL,
  `Baby_Died` bit(1) DEFAULT NULL,
  `Call_No` varchar(50) DEFAULT NULL,
  `Questions_Asked` varchar(50) DEFAULT NULL,
  `Asnwer_Given_by_Benificary` varchar(50) DEFAULT NULL,
  `Source` varchar(50) DEFAULT NULL,
  `NoCall_Reason` varchar(50) DEFAULT NULL,
  `NoPhone_Reason` varchar(50) DEFAULT NULL,
  `Created_By` varchar(50) DEFAULT NULL,
  `Updated_By` varchar(50) DEFAULT NULL,
  `BPL_APL` varchar(50) DEFAULT NULL,
  `MDDS_StateID` varchar(50) DEFAULT NULL,
  `MDDS_District_ID` varchar(50) DEFAULT NULL,
  `MDDS_Taluka_ID` varchar(50) DEFAULT NULL,
  `MDDS_Village_ID` varchar(50) DEFAULT NULL,
  `Is_Valid` bit(1) DEFAULT NULL,
  `InValid_Reason` varchar(45) DEFAULT NULL,
  `Is_Error` bit(1) DEFAULT NULL,
  `Error_Reason` varchar(100) DEFAULT NULL,
  `FileID` int(11) DEFAULT NULL,
  `IsAllocated` bit(1) DEFAULT b'0',
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) DEFAULT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`MotherInValidRecordID`),
  KEY `FK_MotherInValidRecord_FileManager_idx` (`FileID`),
  KEY `IX_CreatedDate` (`CreatedDate`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_mothervalidrecord`
--

DROP TABLE IF EXISTS `t_mothervalidrecord`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_mothervalidrecord` (
  `MotherValidRecordID` bigint(20) NOT NULL AUTO_INCREMENT,
  `RowID` bigint(20) DEFAULT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `Date_of_Entry` datetime DEFAULT NULL,
  `Entry_type` smallint(6) DEFAULT NULL,
  `MCTSID_no` bigint(20) DEFAULT NULL,
  `Name` varchar(50) DEFAULT NULL,
  `Husband_Name` varchar(50) DEFAULT NULL,
  `PhoneNo_Of_Whom` varchar(50) DEFAULT NULL,
  `Whom_PhoneNo` varchar(50) DEFAULT NULL,
  `Birth_Date` datetime DEFAULT NULL,
  `Age` tinyint(4) DEFAULT NULL,
  `Blood_Group` varchar(5) DEFAULT NULL,
  `Caste` varchar(20) DEFAULT NULL,
  `Aadhar_no` varchar(20) DEFAULT NULL,
  `State_ID` int(11) DEFAULT NULL,
  `State_Name` varchar(20) DEFAULT NULL,
  `District_ID` int(11) DEFAULT NULL,
  `District_Name` varchar(20) DEFAULT NULL,
  `Taluka_Name` varchar(20) DEFAULT NULL,
  `Taluka_ID` int(11) DEFAULT NULL,
  `Block_ID` int(11) DEFAULT NULL,
  `Block_Name` varchar(50) DEFAULT NULL,
  `SubCenter_ID` int(11) DEFAULT NULL,
  `SubCenter_Name` varchar(50) DEFAULT NULL,
  `Village_ID` int(11) DEFAULT NULL,
  `Village_Name` varchar(50) DEFAULT NULL,
  `City_ID` int(11) DEFAULT NULL,
  `City_Name` varchar(50) DEFAULT NULL,
  `SubCenter_Name1` varchar(50) DEFAULT NULL,
  `ANM_ID` int(11) DEFAULT NULL,
  `ANM_Name` varchar(50) DEFAULT NULL,
  `ANM_Ph` varchar(20) DEFAULT NULL,
  `ASHA_ID` int(11) DEFAULT NULL,
  `ASHA_Name` varchar(50) DEFAULT NULL,
  `ASHA_Ph` varchar(20) DEFAULT NULL,
  `PHC_ID` varchar(20) DEFAULT NULL,
  `PHC_Name` varchar(50) DEFAULT NULL,
  `SUBPHC_ID` varchar(20) DEFAULT NULL,
  `SUBPHC_Name` varchar(50) DEFAULT NULL,
  `YR` char(4) DEFAULT NULL,
  `GP_Village` varchar(50) DEFAULT NULL,
  `Address` varchar(100) DEFAULT NULL,
  `LMP_Date` datetime DEFAULT NULL,
  `ANC1_Date` datetime DEFAULT NULL,
  `ANC2_Date` datetime DEFAULT NULL,
  `ANC3_Date` datetime DEFAULT NULL,
  `ANC4_Date` datetime DEFAULT NULL,
  `ANC_Complication` varchar(50) DEFAULT NULL,
  `TT1_Date` datetime DEFAULT NULL,
  `TT2_Date` datetime DEFAULT NULL,
  `TTBooster_Date` datetime DEFAULT NULL,
  `IFA100_Given_Date` datetime DEFAULT NULL,
  `EDD` datetime DEFAULT NULL,
  `Anemia` varchar(15) DEFAULT NULL,
  `RTI_STI` char(4) DEFAULT NULL,
  `Delivery_Lnk_Facility` varchar(50) DEFAULT NULL,
  `Facility_Name` varchar(50) DEFAULT NULL,
  `Delivery_Date` datetime DEFAULT NULL,
  `Delivery_Place_home_type` varchar(100) DEFAULT NULL,
  `Delivery_Place_Public` varchar(100) DEFAULT NULL,
  `Delivery_Place_Private` varchar(100) DEFAULT NULL,
  `Delivery_type` varchar(20) DEFAULT NULL,
  `Delivery_Complications` varchar(100) DEFAULT NULL,
  `Discharge_Date` datetime DEFAULT NULL,
  `Abortion` varchar(50) DEFAULT NULL,
  `PNC_Home_Visit` varchar(20) DEFAULT NULL,
  `PNC_Complication` varchar(20) DEFAULT NULL,
  `PPC_Method` varchar(20) DEFAULT NULL,
  `PNC_Checkup` varchar(20) DEFAULT NULL,
  `Outcome_Nos` tinyint(4) DEFAULT NULL,
  `Child1_ID` bigint(20) DEFAULT NULL,
  `Child1_Name` varchar(50) DEFAULT NULL,
  `Child1_Gender` varchar(10) DEFAULT NULL,
  `Child1_Weight` decimal(5,2) DEFAULT NULL,
  `Child1_BreastFeeding` char(4) DEFAULT NULL,
  `Child2_ID` bigint(20) DEFAULT NULL,
  `Child2_Name` varchar(50) DEFAULT NULL,
  `Child2_Gender` varchar(10) DEFAULT NULL,
  `Child2_weight` decimal(5,2) DEFAULT NULL,
  `Child2_Breastfeeding` char(4) DEFAULT NULL,
  `Child3_ID` bigint(20) DEFAULT NULL,
  `Child3_Name` varchar(50) DEFAULT NULL,
  `Child3_Gender` varchar(10) DEFAULT NULL,
  `Child3_Weight` decimal(5,2) DEFAULT NULL,
  `Child3_Breastfeeding` char(4) DEFAULT NULL,
  `Child4_ID` bigint(20) DEFAULT NULL,
  `Child4_Name` varchar(50) DEFAULT NULL,
  `Child4_Gender` varchar(10) DEFAULT NULL,
  `Child4_Weight` decimal(5,2) DEFAULT NULL,
  `Child4_Breastfeeding` char(4) DEFAULT NULL,
  `Mother_Reg_Date` datetime DEFAULT NULL,
  `Last_Update_Date` datetime DEFAULT NULL,
  `EID` varchar(20) DEFAULT NULL,
  `EID_time` datetime DEFAULT NULL,
  `CPSMS_Flag` bit(1) DEFAULT NULL,
  `JSY_Beneficiary` char(4) DEFAULT NULL,
  `JSY_Paid_Date` datetime DEFAULT NULL,
  `Bank_Name` varchar(50) DEFAULT NULL,
  `Bank_Branch_Name` varchar(50) DEFAULT NULL,
  `Acc_No` varchar(20) DEFAULT NULL,
  `IFSC_Code` varchar(20) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `Referred_By_Telecaller` bit(1) DEFAULT NULL,
  `Referred_Date` datetime DEFAULT NULL,
  `No_of_Try` tinyint(4) DEFAULT NULL,
  `Call_Answered` bit(1) DEFAULT NULL,
  `Status` varchar(20) DEFAULT NULL,
  `High_Risk` bit(1) DEFAULT b'0',
  `High_Risk_Reason` varchar(100) DEFAULT NULL,
  `Call_Verified` bit(1) DEFAULT NULL,
  `Associate` varchar(20) DEFAULT NULL,
  `Call_Date` datetime DEFAULT NULL,
  `Due_Services` varchar(50) DEFAULT NULL,
  `Due_Services_Response` varchar(50) DEFAULT NULL,
  `Overdue_Services` varchar(50) DEFAULT NULL,
  `Overdue_Services_Response` varchar(50) DEFAULT NULL,
  `Given_Services` varchar(50) DEFAULT NULL,
  `Given_Services_Response` varchar(50) DEFAULT NULL,
  `Miscarriage` bit(1) DEFAULT NULL,
  `Baby_Died` bit(1) DEFAULT NULL,
  `Call_No` varchar(50) DEFAULT NULL,
  `Questions_Asked` varchar(50) DEFAULT NULL,
  `Asnwer_Given_by_Benificary` varchar(50) DEFAULT NULL,
  `Source` varchar(50) DEFAULT NULL,
  `NoCall_Reason` varchar(50) DEFAULT NULL,
  `NoPhone_Reason` varchar(50) DEFAULT NULL,
  `Created_By` varchar(50) DEFAULT NULL,
  `Updated_By` varchar(50) DEFAULT NULL,
  `BPL_APL` varchar(50) DEFAULT NULL,
  `MDDS_StateID` varchar(50) DEFAULT NULL,
  `MDDS_District_ID` varchar(50) DEFAULT NULL,
  `MDDS_Taluka_ID` varchar(50) DEFAULT NULL,
  `MDDS_Village_ID` varchar(50) DEFAULT NULL,
  `Is_Valid` bit(1) DEFAULT NULL,
  `InValid_Reason` varchar(45) DEFAULT NULL,
  `Is_Error` bit(1) DEFAULT NULL,
  `Error_Reason` varchar(100) DEFAULT NULL,
  `FileID` int(11) DEFAULT NULL,
  `IsAllocated` bit(1) DEFAULT b'0',
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) DEFAULT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`MotherValidRecordID`),
  UNIQUE KEY `MCTSID_no_UNIQUE` (`MCTSID_no`),
  KEY `FK_MotherValidRecord_FileManager_idx` (`FileID`),
  KEY `FK_MotherInValidRecord_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_MotherValidRecord_PhoneNoOfWhom_idx` (`PhoneNo_Of_Whom`),
  KEY `IX_CreatedDate` (`CreatedDate`),
  CONSTRAINT `FK_MotherValidRecord_FileManager` FOREIGN KEY (`FileID`) REFERENCES `t_filemanager` (`FileID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_ncdcare`
--

DROP TABLE IF EXISTS `t_ncdcare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_ncdcare` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `NCDCareVisitNo` smallint(6) DEFAULT NULL,
  `NCDCondition` varchar(30) DEFAULT NULL,
  `ComplaintType` varchar(20) DEFAULT NULL,
  `Duration` varchar(20) DEFAULT NULL,
  `Description` varchar(100) DEFAULT NULL,
  `SystolicBP` smallint(6) DEFAULT NULL,
  `DiastolicBP` smallint(6) DEFAULT NULL,
  `BloodGlucoseValue` smallint(6) DEFAULT NULL,
  `BloodGlucoseSampleType` varchar(20) DEFAULT NULL,
  `NCDCareType` varchar(50) DEFAULT NULL,
  `NCDComplication` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_NCDCare_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_NCDCare_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_NCDCare_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_NCDCare_BenVisiyDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_NCDCare_BenVisiyDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_NCDCare_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_ncddiagnosis`
--

DROP TABLE IF EXISTS `t_ncddiagnosis`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_ncddiagnosis` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `PrescriptionID` bigint(20) DEFAULT NULL,
  `NCD_Condition` varchar(200) DEFAULT NULL,
  `NCDConditionOther` varchar(100) DEFAULT NULL,
  `NCD_Complication` varchar(500) DEFAULT NULL,
  `NCDCareType` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_NCDDiagnosis_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_NCDDiagnosis_BenVisitDetail` (`BenVisitID`),
  KEY `FK_NCDDiagnosis_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_NCDDiagnosis_BenVisiyDetail1_idx` (`VisitCode`),
  KEY `FK_NCDDiagnosis_Prescription_idx` (`PrescriptionID`),
  CONSTRAINT `FK_NCDDiagnosis_BenVisiyDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_NCDDiagnosis_Prescription` FOREIGN KEY (`PrescriptionID`) REFERENCES `t_prescription` (`PrescriptionID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_NCDDiagnosis_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_ncdscreening`
--

DROP TABLE IF EXISTS `t_ncdscreening`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_ncdscreening` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `NCDScreeningVisitNo` smallint(6) DEFAULT NULL,
  `NCDScreeningConditionID` varchar(100) DEFAULT NULL,
  `ScreeningCondition` text,
  `NCDScreeningReasonID` int(11) DEFAULT NULL,
  `ReasonForScreening` varchar(30) DEFAULT NULL,
  `NextScreeningDate` datetime DEFAULT NULL,
  `ActionForScreenPositive` varchar(30) DEFAULT NULL,
  `IsBPPrescribed` bit(1) DEFAULT NULL,
  `IsBloodGlucosePrescribed` bit(1) DEFAULT NULL,
  `IsScreeningComplete` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_NCDScreening_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_NCDScreening_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_NCDScreening_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_NCDScreening_BenvisitDetail1_idx` (`VisitCode`),
  KEY `FK_NCDScreening_NCDScrReason_idx` (`NCDScreeningReasonID`),
  CONSTRAINT `FK_NCDScreening_BenvisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_NCDScreening_NCDScrReason` FOREIGN KEY (`NCDScreeningReasonID`) REFERENCES `m_ncdscreeningreason` (`NCDScreeningReasonID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_NCDScreening_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_nhmagentrealtimedata`
--

DROP TABLE IF EXISTS `t_nhmagentrealtimedata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_nhmagentrealtimedata` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `CampaignName` varchar(100) NOT NULL,
  `Loggedin` int(11) DEFAULT NULL,
  `Free` int(11) DEFAULT NULL,
  `Incall` int(11) DEFAULT NULL,
  `AWT` int(11) DEFAULT NULL,
  `Hold` int(11) DEFAULT NULL,
  `NotReady` int(11) DEFAULT NULL,
  `Aux` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_oralcancerscreening`
--

DROP TABLE IF EXISTS `t_oralcancerscreening`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_oralcancerscreening` (
  `Id` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegId` bigint(20) DEFAULT NULL,
  `Benvisitid` bigint(20) DEFAULT NULL,
  `Visitcode` bigint(20) NOT NULL,
  `OralCavityFindingId` int(11) DEFAULT NULL,
  `OralCavityFinding` varchar(100) DEFAULT NULL,
  `MouthOpeningId` int(11) DEFAULT NULL,
  `MouthOpening` varchar(100) DEFAULT NULL,
  `PalpationofOralCavityId` int(11) DEFAULT NULL,
  `PalpationofOralCavity` varchar(100) DEFAULT NULL,
  `TemporomandibularJointRightId` int(11) DEFAULT NULL,
  `TemporomandibularJointRight` varchar(100) DEFAULT NULL,
  `TemporomandibularJointLeftId` int(11) DEFAULT NULL,
  `TemporomandibularJointLeft` varchar(100) DEFAULT NULL,
  `CervicalLymphnodesId` int(11) DEFAULT NULL,
  `CervicalLymphnodes` varchar(100) DEFAULT NULL,
  `suspected` bit(1) DEFAULT b'0',
  `Confirmatory` bit(1) DEFAULT b'0',
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  PRIMARY KEY (`Id`),
  KEY `FK_t_ocs_ProviderServiceMapID` (`ProviderServiceMapID`),
  KEY `FK_t_ocs_visitcode` (`Visitcode`),
  CONSTRAINT `FK_t_ocs_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_ocs_visitcode` FOREIGN KEY (`Visitcode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_oralvitaminprophylaxis`
--

DROP TABLE IF EXISTS `t_oralvitaminprophylaxis`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_oralvitaminprophylaxis` (
  `Id` bigint(20) NOT NULL AUTO_INCREMENT,
  `Beneficiaryregid` bigint(20) DEFAULT NULL,
  `Benvisitid` bigint(20) DEFAULT NULL,
  `Visitcode` bigint(20) NOT NULL,
  `Dateofvisit` datetime DEFAULT NULL,
  `Vaccinename` varchar(30) DEFAULT NULL,
  `Oralvitaminstatus` varchar(20) DEFAULT NULL,
  `Oralvitaminnoofdoseid` smallint(6) DEFAULT NULL,
  `Oralvitaminnoofdose` varchar(20) DEFAULT NULL,
  `Dose` varchar(20) DEFAULT NULL,
  `Batchno` varchar(50) DEFAULT NULL,
  `Route` varchar(100) DEFAULT NULL,
  `Providerservicemapid` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  PRIMARY KEY (`Id`),
  KEY `FK_t_ovp_ProviderServiceMapID` (`Providerservicemapid`),
  KEY `FK_t_ovp_visitcode` (`Visitcode`),
  KEY `FK_t_opv_Istid` (`Oralvitaminnoofdoseid`),
  CONSTRAINT `FK_t_opv_Istid` FOREIGN KEY (`Oralvitaminnoofdoseid`) REFERENCES `m_oralvitaminnumberofdose` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_ovp_ProviderServiceMapID` FOREIGN KEY (`Providerservicemapid`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_ovp_visitcode` FOREIGN KEY (`Visitcode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_organdonation`
--

DROP TABLE IF EXISTS `t_organdonation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_organdonation` (
  `OrganDonationID` bigint(20) NOT NULL AUTO_INCREMENT,
  `RequestID` varchar(30) DEFAULT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `DonarName` varchar(100) DEFAULT NULL,
  `DonarAge` int(11) DEFAULT NULL,
  `DonarGenderID` smallint(6) DEFAULT NULL,
  `DonationTypeID` int(11) DEFAULT NULL,
  `DonatableOrganID` int(11) DEFAULT NULL,
  `AcceptorHospitalID` int(11) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `IsSelf` bit(1) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`OrganDonationID`),
  KEY `FK_OrganDonation_DonationType_idx` (`DonationTypeID`),
  KEY `FK_OrganDonation_DonatableOrgan_idx` (`DonatableOrganID`),
  KEY `FK_OrganDonation_Gender_idx` (`DonarGenderID`),
  KEY `FF_OrganDonation_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_OrganDonation_BenCall_idx` (`BenCallID`),
  KEY `inx_beneficiaryRegID` (`BeneficiaryRegID`),
  KEY `inx_requestID` (`RequestID`),
  CONSTRAINT `FF_OrganDonation_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_OrganDonation_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_OrganDonation_DonatableOrgan` FOREIGN KEY (`DonatableOrganID`) REFERENCES `m_donatableorgan` (`DonatableOrganID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_OrganDonation_DonationType` FOREIGN KEY (`DonationTypeID`) REFERENCES `m_donationtype` (`DonationTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_OrganDonation_Gender` FOREIGN KEY (`DonarGenderID`) REFERENCES `m_gender` (`GenderID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_outboundcallrequest`
--

DROP TABLE IF EXISTS `t_outboundcallrequest`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_outboundcallrequest` (
  `OutboundCallReqID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `RequestNo` varchar(30) DEFAULT NULL,
  `CallTypeID` int(11) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `SubServiceID` smallint(6) DEFAULT NULL,
  `RequestedFeature` varchar(45) DEFAULT NULL,
  `PrefferedDateTime` datetime DEFAULT NULL,
  `PrefferedLanguage` varchar(30) DEFAULT NULL,
  `RequestedFor` varchar(300) DEFAULT NULL,
  `AssignedUserID` int(11) DEFAULT NULL,
  `IsCompleted` bit(1) DEFAULT b'0',
  `NoOfTrials` int(11) DEFAULT NULL,
  `IsSelf` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`OutboundCallReqID`),
  KEY `FK_OutboundCallRequest_CallType_idx` (`CallTypeID`),
  KEY `FK_OutboundCallRequest_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_OutboundCallRequest_BenCall_idx` (`BenCallID`),
  KEY `FK_OutboundCallRequest_User_idx` (`AssignedUserID`),
  KEY `FK_OutboundCallRequest_SubService_idx` (`SubServiceID`),
  CONSTRAINT `FK_OutboundCallRequest_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_OutboundCallRequest_CallType` FOREIGN KEY (`CallTypeID`) REFERENCES `m_calltype` (`CallTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_OutboundCallRequest_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_OutboundCallRequest_SubService` FOREIGN KEY (`SubServiceID`) REFERENCES `m_subservice` (`SubServiceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_OutboundCallRequest_User` FOREIGN KEY (`AssignedUserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_patientissue`
--

DROP TABLE IF EXISTS `t_patientissue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_patientissue` (
  `PatientIssueID` int(11) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `FacilityID` int(11) DEFAULT NULL,
  `patientname` varchar(150) DEFAULT NULL,
  `Age` int(11) DEFAULT NULL,
  `Gender` varchar(20) DEFAULT NULL,
  `DoctorName` varchar(20) DEFAULT NULL,
  `PrescriptionID` int(11) DEFAULT NULL,
  `Reference` varchar(50) DEFAULT NULL,
  `IssueType` varchar(20) DEFAULT NULL,
  `IssuedBy` varchar(50) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `SyncFacilityID` int(11) DEFAULT NULL,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`PatientIssueID`),
  KEY `FK_PatientIssue_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_PatientIssue_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_PatientIssue_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_PatientIssue_BenVisitDetail1_idx` (`VisitCode`),
  KEY `FK_PatientIssue_Facility_idx` (`FacilityID`),
  CONSTRAINT `FK_PatientIssue_BenVisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PatientIssue_Facility` FOREIGN KEY (`FacilityID`) REFERENCES `m_facility` (`FacilityID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PatientIssue_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_patientreturn`
--

DROP TABLE IF EXISTS `t_patientreturn`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_patientreturn` (
  `PatientReturnID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BenneficiaryRegID` bigint(20) DEFAULT NULL,
  `VisitID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `FacilityID` int(11) DEFAULT NULL,
  `ItemExitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `SyncFacilityID` int(11) DEFAULT NULL,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`PatientReturnID`),
  KEY `FK_PatientIReturn_Beneficiary_idx` (`BenneficiaryRegID`),
  KEY `FK_PatientReturn_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `inx_visitcode` (`VisitCode`),
  CONSTRAINT `FK_PatientReturn_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_perinatalhistory`
--

DROP TABLE IF EXISTS `t_perinatalhistory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_perinatalhistory` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `DeliveryPlaceID` smallint(6) DEFAULT NULL,
  `PlaceOfDelivery` varchar(30) DEFAULT NULL,
  `OtherPlaceOfDelivery` varchar(50) DEFAULT NULL,
  `DeliveryTypeID` smallint(6) DEFAULT NULL,
  `TypeOfDelivery` varchar(50) DEFAULT NULL,
  `ComplicationAtBirthID` smallint(6) DEFAULT NULL,
  `ComplicationAtBirth` varchar(50) DEFAULT NULL,
  `OtherComplicationAtBirth` varchar(50) DEFAULT NULL,
  `Gestation` varchar(20) DEFAULT NULL,
  `BirthWeight_kg` decimal(5,2) DEFAULT NULL,
  `BirthWeight_gm` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_PerinatalHistory_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_PerinatalHistory_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_PerinatalHistory_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_PerinatalHistory_BenVisitDetail1_idx` (`VisitCode`),
  KEY `FK_PerinatalHistory_DeliveryPlace_idx` (`DeliveryPlaceID`),
  KEY `FK_PerinatalHistory_DeliveryType_idx` (`DeliveryTypeID`),
  KEY `FK_PerinatalHistory_Complication_idx` (`ComplicationAtBirthID`),
  KEY `inx_visitcode` (`VisitCode`),
  CONSTRAINT `FK_PerinatalHistory_BenVisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PerinatalHistory_Complication` FOREIGN KEY (`ComplicationAtBirthID`) REFERENCES `m_complication` (`ComplicationID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PerinatalHistory_DeliveryPlace` FOREIGN KEY (`DeliveryPlaceID`) REFERENCES `m_deliveryplace` (`DeliveryPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PerinatalHistory_DeliveryType` FOREIGN KEY (`DeliveryTypeID`) REFERENCES `m_deliverytype` (`DeliveryTypeID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PerinatalHistory_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_phoneblock`
--

DROP TABLE IF EXISTS `t_phoneblock`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_phoneblock` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `phoneNo` varchar(15) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `NoOfNuisanceCall` int(11) DEFAULT NULL,
  `IsBlocked` bit(1) DEFAULT NULL,
  `CTI_CampaignName` varchar(45) DEFAULT NULL,
  `BenCallIDs` varchar(1000) DEFAULT NULL,
  `BlockStartDate` datetime DEFAULT NULL,
  `BlockEndDate` datetime DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ID`),
  KEY `FK_PhoneBlock_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `inx_phoneNo` (`phoneNo`),
  KEY `inx_noOfNuisanceCall` (`NoOfNuisanceCall`),
  CONSTRAINT `FK_PhoneBlock_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_phy_anthropometry`
--

DROP TABLE IF EXISTS `t_phy_anthropometry`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_phy_anthropometry` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `Weight_Kg` decimal(5,2) DEFAULT NULL,
  `Height_cm` decimal(5,2) DEFAULT NULL,
  `BMI` decimal(5,2) DEFAULT NULL,
  `HeadCircumference_cm` decimal(5,2) DEFAULT NULL,
  `MidUpperArmCircumference_MUAC_cm` decimal(5,2) DEFAULT NULL,
  `WaistCircumference_cm` decimal(5,2) DEFAULT NULL,
  `HipCircumference_cm` decimal(5,2) DEFAULT NULL,
  `WaistHipRatio` decimal(5,2) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_Phy_Anthropometry_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_Phy_Anthropometry_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_Phy_Anthropometry_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_PhyAnthropometry_BenvisitDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_PhyAnthropometry_BenvisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Phy_Anthropometry_BenVisitDetail` FOREIGN KEY (`BenVisitID`) REFERENCES `t_benvisitdetail` (`BenVisitID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Phy_Anthropometry_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_phy_generalexam`
--

DROP TABLE IF EXISTS `t_phy_generalexam`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_phy_generalexam` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `Consciousness` varchar(20) DEFAULT NULL,
  `Coherence` varchar(20) DEFAULT NULL,
  `Cooperation` varchar(20) DEFAULT NULL,
  `Comfortness` varchar(20) DEFAULT NULL,
  `BuiltAndAppearance` varchar(20) DEFAULT NULL,
  `Gait` varchar(20) DEFAULT NULL,
  `DangerSigns` varchar(20) DEFAULT NULL,
  `TypeOfDangerSign` varchar(800) DEFAULT NULL,
  `Pallor` varchar(20) DEFAULT NULL,
  `Jaundice` varchar(20) DEFAULT NULL,
  `Cyanosis` varchar(20) DEFAULT NULL,
  `Clubbing` varchar(20) DEFAULT NULL,
  `Lymphadenopathy` varchar(20) DEFAULT NULL,
  `LymphnodesInvolved` varchar(20) DEFAULT NULL,
  `TypeOfLymphadenopathy` varchar(20) DEFAULT NULL,
  `Edema` varchar(20) DEFAULT NULL,
  `ExtentOfEdema` varchar(20) DEFAULT NULL,
  `EdemaType` varchar(20) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  `Quickening` varchar(20) DEFAULT NULL,
  `Foetal_movements` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_Phy_GeneralExam_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_Phy_GeneralExam_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_PhyGeneralExam_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_PhyGeneralExam_BenVisiyDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_PhyGeneralExam_BenVisiyDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PhyGeneralExam_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_phy_headtotoe`
--

DROP TABLE IF EXISTS `t_phy_headtotoe`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_phy_headtotoe` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `HeadtoToeExam` varchar(15) DEFAULT NULL,
  `Head` varchar(50) DEFAULT NULL,
  `Eyes` varchar(50) DEFAULT NULL,
  `Ears` varchar(50) DEFAULT NULL,
  `Nose` varchar(50) DEFAULT NULL,
  `OralCavity` varchar(50) DEFAULT NULL,
  `Throat` varchar(50) DEFAULT NULL,
  `BreastAndNipples` varchar(50) DEFAULT NULL,
  `Trunk` varchar(50) DEFAULT NULL,
  `UpperLimbs` varchar(50) DEFAULT NULL,
  `LowerLimbs` varchar(50) DEFAULT NULL,
  `Skin` varchar(50) DEFAULT NULL,
  `Hair` varchar(50) DEFAULT NULL,
  `Nails` varchar(50) DEFAULT NULL,
  `Nipples` varchar(300) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_Phy_HeadToToe_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_Phy_HeadToToe_BenVisitDetail` (`BenVisitID`),
  KEY `FK_PhyHeadToToe_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_PhyHeadToToe_BenVisiyDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_PhyHeadToToe_BenVisiyDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PhyHeadToToe_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_phy_vitals`
--

DROP TABLE IF EXISTS `t_phy_vitals`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_phy_vitals` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `Temperature` decimal(5,1) DEFAULT NULL,
  `PulseRate` smallint(6) DEFAULT NULL,
  `RespiratoryRate` smallint(6) DEFAULT NULL,
  `SystolicBP_1stReading` smallint(6) DEFAULT NULL,
  `DiastolicBP_1stReading` smallint(6) DEFAULT NULL,
  `SystolicBP_2ndReading` smallint(6) DEFAULT NULL,
  `DiastolicBP_2ndReading` smallint(6) DEFAULT NULL,
  `SystolicBP_3rdReading` smallint(6) DEFAULT NULL,
  `DiastolicBP_3rdReading` smallint(6) DEFAULT NULL,
  `AverageSystolicBP` smallint(6) DEFAULT NULL,
  `AverageDiastolicBP` smallint(6) DEFAULT NULL,
  `BloodPressureStatusID` smallint(6) DEFAULT NULL,
  `BloodPressureStatus` varchar(30) DEFAULT NULL,
  `BloodGlucose_Fasting` smallint(6) DEFAULT NULL,
  `BloodGlucose_Random` smallint(6) DEFAULT NULL,
  `BloodGlucose_2hr_PP` smallint(6) DEFAULT NULL,
  `BloodGlucose_NotSpecified` smallint(6) DEFAULT NULL,
  `DiabeticStatusID` smallint(6) DEFAULT NULL,
  `DiabeticStatus` varchar(30) DEFAULT NULL,
  `CapillaryRefillTime` varchar(15) DEFAULT NULL,
  `rbs` varchar(30) DEFAULT NULL,
  `spo2` varchar(30) DEFAULT NULL,
  `rbs_remarks` varchar(100) DEFAULT NULL,
  `Hemoglobin` decimal(5,1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_Phy_Vitals_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_Phy_Vitals_BenVisitDetail` (`BenVisitID`),
  KEY `FK_PhyVitals_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_PhyVitals_BenVisiyDetail1_idx` (`VisitCode`),
  KEY `FK_Phy_Vitals_BPAndDiaStatus_idx` (`BloodPressureStatusID`),
  KEY `FK_Phy_Vitals_BPAndDiaStatus1_idx` (`DiabeticStatusID`),
  CONSTRAINT `FK_PhyVitals_BenVisiyDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PhyVitals_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Phy_Vitals_BPAndDiaStatus` FOREIGN KEY (`BloodPressureStatusID`) REFERENCES `m_bpanddiabeticstatus` (`BPAndDiabeticStatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Phy_Vitals_BPAndDiaStatus1` FOREIGN KEY (`DiabeticStatusID`) REFERENCES `m_bpanddiabeticstatus` (`BPAndDiabeticStatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Phy_Vitals_BenVisitDetail` FOREIGN KEY (`BenVisitID`) REFERENCES `t_benvisitdetail` (`BenVisitID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_physicalactivity`
--

DROP TABLE IF EXISTS `t_physicalactivity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_physicalactivity` (
  `tPaid` bigint(20) NOT NULL AUTO_INCREMENT,
  `PAID` int(11) DEFAULT NULL,
  `BeneficiaryRegID` bigint(20) NOT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Benvisitid` bigint(20) NOT NULL,
  `Visitcode` bigint(20) NOT NULL,
  `ActivityType` varchar(200) DEFAULT NULL,
  `PhysicalActivityType` varchar(200) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`tPaid`),
  KEY `FK_t_physicalactivity_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_t_physicalactivity_Benvisitid_idx` (`Benvisitid`),
  KEY `FK_t_physicalactivity_ProviderServiceMapID_idx` (`ProviderServiceMapID`),
  KEY `FK_t_physicalactivity_VisitCode` (`Visitcode`),
  KEY `FK_t_physicalactivity_PAID` (`PAID`),
  CONSTRAINT `FK_t_physicalactivity_Benvisitid` FOREIGN KEY (`Benvisitid`) REFERENCES `t_benvisitdetail` (`BenVisitID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_physicalactivity_PAID` FOREIGN KEY (`PAID`) REFERENCES `m_physicalactivity` (`PAID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_t_physicalactivity_ProviderServiceMapID` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_physicalstockentry`
--

DROP TABLE IF EXISTS `t_physicalstockentry`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_physicalstockentry` (
  `PhyEntryID` int(11) NOT NULL AUTO_INCREMENT,
  `RefNo` varchar(20) DEFAULT NULL,
  `EntryDate` datetime DEFAULT NULL,
  `FacilityID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `SyncFacilityID` int(11) DEFAULT NULL,
  `VanSerialNo` int(11) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`PhyEntryID`),
  KEY `FK_PhysicalStockEntry_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_PhysicalStockEntry_Facility_idx` (`FacilityID`),
  CONSTRAINT `FK_PhysicalStockEntry_Facility` FOREIGN KEY (`FacilityID`) REFERENCES `m_facility` (`FacilityID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PhysicalStockEntry_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_pnccare`
--

DROP TABLE IF EXISTS `t_pnccare`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_pnccare` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `VisitNo` smallint(6) DEFAULT NULL,
  `DeliveryTypeID` smallint(6) DEFAULT NULL,
  `DeliveryType` varchar(100) DEFAULT NULL,
  `DeliveryPlaceID` smallint(6) DEFAULT NULL,
  `DeliveryPlace` varchar(100) DEFAULT NULL,
  `OtherDeliveryPlace` varchar(100) DEFAULT NULL,
  `DateOfDelivery` datetime DEFAULT NULL,
  `DeliveryComplicationID` smallint(6) DEFAULT NULL,
  `DeliveryComplication` varchar(100) DEFAULT NULL,
  `OtherDeliveryComplication` varchar(100) DEFAULT NULL,
  `PostpartumComplicationID` smallint(6) DEFAULT NULL,
  `PostpartumComplication` varchar(30) DEFAULT NULL,
  `PregOutcomeID` smallint(6) DEFAULT NULL,
  `PregOutcome` varchar(20) DEFAULT NULL,
  `PostNatalComplicationID` smallint(6) DEFAULT NULL,
  `PostNatalComplication` varchar(100) DEFAULT NULL,
  `OtherPostNatalComplication` varchar(100) DEFAULT NULL,
  `GestationID` smallint(6) DEFAULT NULL,
  `GestationName` varchar(20) DEFAULT NULL,
  `GestationalAgeOfNewborn` varchar(20) DEFAULT NULL,
  `BirthWeightOfNewborn` int(11) DEFAULT NULL,
  `NewBornHealthStatusID` int(11) DEFAULT NULL,
  `NewBornHealthStatus` varchar(30) DEFAULT NULL,
  `deliveryconductedby` varchar(100) DEFAULT NULL,
  `DeliveryConductedById` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_PNCCare_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_PNCCare_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_PNCCare_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_PNCCare_BenvisitDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_PNCCare_BenvisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PNCCare_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_pncdiagnosis`
--

DROP TABLE IF EXISTS `t_pncdiagnosis`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_pncdiagnosis` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `PrescriptionID` bigint(20) DEFAULT NULL,
  `ProvisionalDiagnosis` text,
  `ProvisionalDiagnosis_SCTCode` text,
  `ProvisionalDiagnosis_SCTTerm` text,
  `ConfirmatoryDiagnosis` text,
  `ConfirmatoryDiagnosis_SCTCode` text,
  `ConfirmatoryDiagnosis_SCTTerm` text,
  `IsMaternalDeath` bit(1) DEFAULT NULL,
  `PlaceOfDeath` varchar(50) DEFAULT NULL,
  `DateOfDeath` datetime DEFAULT NULL,
  `CauseOfDeath` varchar(100) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_PNCDiagnosis_BenvisitDetail_idx` (`BenVisitID`),
  KEY `FK_PNCDiagnosis_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_PNCDiagnosis_BenvisitDetail1_idx` (`VisitCode`),
  KEY `FK_PNCDiagnosis_Prescription_idx` (`PrescriptionID`),
  KEY `FK_PNCDiagnosis_Beneficiary_idx` (`BeneficiaryRegID`),
  CONSTRAINT `FK_PNCDiagnosis_BenvisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PNCDiagnosis_Prescription` FOREIGN KEY (`PrescriptionID`) REFERENCES `t_prescription` (`PrescriptionID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PNCDiagnosis_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_prescribeddrug`
--

DROP TABLE IF EXISTS `t_prescribeddrug`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_prescribeddrug` (
  `PrescribedDrugID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `PrescriptionID` bigint(20) DEFAULT NULL,
  `DrugForm` varchar(15) DEFAULT NULL,
  `DrugID` int(11) DEFAULT NULL,
  `GenericDrugName` varchar(300) DEFAULT NULL,
  `DrugTradeOrBrandName` varchar(50) DEFAULT NULL,
  `DrugStrength` varchar(50) DEFAULT NULL,
  `Dose` varchar(30) DEFAULT NULL,
  `Route` varchar(30) DEFAULT NULL,
  `Frequency` varchar(30) DEFAULT NULL,
  `Duration` varchar(30) DEFAULT NULL,
  `DuartionUnit` varchar(30) DEFAULT NULL,
  `RelationToFood` varchar(20) DEFAULT NULL,
  `SpecialInstruction` varchar(100) DEFAULT NULL,
  `QtyPrescribed` int(11) DEFAULT NULL,
  `Sctcode` varchar(30) DEFAULT NULL,
  `SctTerm` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  `isEDL` bit(1) DEFAULT NULL,
  PRIMARY KEY (`PrescribedDrugID`),
  KEY `FK_PrescribedDrug_Prescription_idx` (`PrescriptionID`),
  KEY `FK_PrescribedDrug_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_PrescribedDrug_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_PrescribedDrug_BenVisitDetail1_idx` (`VisitCode`),
  KEY `FK_PrescribedDrug_Beneficiary_idx` (`BeneficiaryRegID`),
  CONSTRAINT `FK_PrescribedDrug_BenVisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PrescribedDrug_Prescription` FOREIGN KEY (`PrescriptionID`) REFERENCES `t_prescription` (`PrescriptionID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PrescribedDrug_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_prescription`
--

DROP TABLE IF EXISTS `t_prescription`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_prescription` (
  `PrescriptionID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `DiagnosisProvided` text,
  `DiagnosisProvided_SCTCode` text,
  `DiagnosisProvided_SCTTerm` text,
  `Instruction` varchar(300) DEFAULT NULL,
  `ConfirmatoryDiagnosis` varchar(300) DEFAULT NULL,
  `ExternalInvestigation` varchar(300) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `ReferredToInstituteID` int(11) DEFAULT NULL,
  `ReferredToInstitute` varchar(200) DEFAULT NULL,
  `RefrredToAdditionalService` varchar(100) DEFAULT NULL,
  `treatments_SideEffects` varchar(100) DEFAULT NULL,
  `Counsellingprovided` varchar(1200) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`PrescriptionID`),
  KEY `FK_Prescription_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_Prescription_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_Prescription_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_Prescription_BenvisitDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_Prescription_BenVisitDetail` FOREIGN KEY (`BenVisitID`) REFERENCES `t_benvisitdetail` (`BenVisitID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Prescription_BenvisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Prescription_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_providerservicemappingdetail`
--

DROP TABLE IF EXISTS `t_providerservicemappingdetail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_providerservicemappingdetail` (
  `PSMDetailID` int(11) NOT NULL AUTO_INCREMENT,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `ServiceProviderID` smallint(6) DEFAULT NULL,
  `ServiceID` smallint(6) DEFAULT NULL,
  `CountryID` int(11) DEFAULT NULL,
  `StateID` int(11) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `CityID` int(11) DEFAULT NULL,
  `DistrictBlockID` int(11) DEFAULT NULL,
  `Address` varchar(100) DEFAULT NULL,
  `PreviousStatusID` smallint(6) DEFAULT NULL,
  `UpdatedStatusID` smallint(6) DEFAULT NULL,
  `Reason` varchar(100) DEFAULT NULL,
  `ValidFrom` datetime DEFAULT NULL,
  `ValidTill` datetime DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`PSMDetailID`),
  KEY `FK_PSMappingDetail_ServiceProvider_idx` (`ServiceProviderID`),
  KEY `FK_PSMappingDetail_ServiceMaster_idx` (`ServiceID`),
  KEY `FK_PSMappingDetail_Status1_idx` (`PreviousStatusID`),
  KEY `FK_PSMappingDetail_Status2_idx` (`UpdatedStatusID`),
  KEY `FK_PSMappingDetail_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_PSMappingDetail_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PSMappingDetail_ServiceMaster` FOREIGN KEY (`ServiceID`) REFERENCES `m_servicemaster` (`ServiceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PSMappingDetail_ServiceProvider` FOREIGN KEY (`ServiceProviderID`) REFERENCES `m_serviceprovider` (`ServiceProviderID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PSMappingDetail_Status1` FOREIGN KEY (`PreviousStatusID`) REFERENCES `m_status` (`StatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_PSMappingDetail_Status2` FOREIGN KEY (`UpdatedStatusID`) REFERENCES `m_status` (`StatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_requestedbloodbank`
--

DROP TABLE IF EXISTS `t_requestedbloodbank`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_requestedbloodbank` (
  `RequestedBloodBankID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BloodReqID` bigint(20) DEFAULT NULL,
  `BloodBankAddress` varchar(300) DEFAULT NULL,
  `BBPersonName` varchar(50) DEFAULT NULL,
  `BBMobileNo` varchar(15) DEFAULT NULL,
  `BBPersonDesignation` varchar(50) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`RequestedBloodBankID`),
  KEY `FK_RequestedBB_BloodRequest_idx` (`BloodReqID`),
  KEY `FK_RequestedBB_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_RequestedBB_BloodRequest` FOREIGN KEY (`BloodReqID`) REFERENCES `t_bloodrequest` (`BloodReqID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_RequestedBB_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_requestedinstitution`
--

DROP TABLE IF EXISTS `t_requestedinstitution`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_requestedinstitution` (
  `RequestedInstitutionID` bigint(20) NOT NULL AUTO_INCREMENT,
  `OrganDonationID` bigint(20) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `RequestID` varchar(30) DEFAULT NULL,
  `BenRegID` bigint(20) DEFAULT NULL,
  `InstitutionID` int(11) DEFAULT NULL,
  `Remarks` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`RequestedInstitutionID`),
  KEY `FK_RequestedInstitution_BenCall_idx` (`BenCallID`),
  KEY `FK_RequestedInstitution_Institution_idx` (`InstitutionID`),
  KEY `FK_RequestedInstitution_ProviderServiceMap_idx` (`ProviderServiceMapID`),
  KEY `Fk_RequestedInstitution_Beneficiary` (`BenRegID`),
  KEY `FK_RequestedInstitution_OrganDonation_idx` (`OrganDonationID`),
  CONSTRAINT `FK_RequestedInstitution_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_RequestedInstitution_Institution` FOREIGN KEY (`InstitutionID`) REFERENCES `m_institution` (`InstitutionID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_RequestedInstitution_OrganDonation` FOREIGN KEY (`OrganDonationID`) REFERENCES `t_organdonation` (`OrganDonationID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_RequestedInstitution_ProviderServiceMap` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_saitemmapping`
--

DROP TABLE IF EXISTS `t_saitemmapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_saitemmapping` (
  `SAItemMapID` int(11) NOT NULL AUTO_INCREMENT,
  `StockAdjustmentID` int(11) DEFAULT NULL,
  `ItemStockEntryID` int(11) DEFAULT NULL,
  `FacilityID` int(11) DEFAULT NULL,
  `IsAdded` bit(1) DEFAULT NULL,
  `AdjustedQuantity` int(11) DEFAULT NULL,
  `Reason` varchar(30) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `SyncFacilityID` int(11) DEFAULT NULL,
  `VanSerialNo` int(11) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`SAItemMapID`),
  KEY `FK_SAItemMapping_ItemStockEntry_idx` (`ItemStockEntryID`),
  KEY `FK_SAItemMapping_ProviderServiceMap_idx` (`ProviderServiceMapID`),
  KEY `FK_SAItemMapping_StockAdjustment_idx` (`StockAdjustmentID`),
  CONSTRAINT `FK_SAItemMapping_ProviderServiceMap` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_schemeservice`
--

DROP TABLE IF EXISTS `t_schemeservice`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_schemeservice` (
  `SchemeServiceID` bigint(20) NOT NULL AUTO_INCREMENT,
  `RequestID` varchar(30) DEFAULT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `SchemeID` int(11) DEFAULT NULL,
  `Remarks` varchar(300) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SchemeServiceID`),
  KEY `FK_SchemeService_Beneficiary_idx` (`BeneficiaryRegID`),
  KEY `FK_SchemeService_Scheme_idx` (`SchemeID`),
  KEY `FK_SchemeService_BenCall_idx` (`BenCallID`),
  KEY `FK_SchemeService_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_SchemeService_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SchemeService_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SchemeService_Scheme` FOREIGN KEY (`SchemeID`) REFERENCES `m_scheme` (`SchemeID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_serviceproviderdetail`
--

DROP TABLE IF EXISTS `t_serviceproviderdetail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_serviceproviderdetail` (
  `ServiceProviderDetailID` int(11) NOT NULL AUTO_INCREMENT,
  `ServiceProviderID` smallint(6) DEFAULT NULL,
  `ServiceProviderName` varchar(50) DEFAULT NULL,
  `DOJ` datetime DEFAULT NULL,
  `LogoFileName` varchar(20) DEFAULT NULL,
  `LogoFilePath` varchar(100) DEFAULT NULL,
  `PrimaryContactName` varchar(30) DEFAULT NULL,
  `PrimaryContactNo` varchar(30) DEFAULT NULL,
  `PrimaryContactEmailID` varchar(30) DEFAULT NULL,
  `PrimaryContactAddress` varchar(100) DEFAULT NULL,
  `PrimaryContactValidityTillDate` datetime DEFAULT NULL,
  `SecondaryContactName` varchar(30) DEFAULT NULL,
  `SecondaryContactNo` varchar(30) DEFAULT NULL,
  `SecondaryContactEmailID` varchar(30) DEFAULT NULL,
  `SecondaryContactAddress` varchar(100) DEFAULT NULL,
  `SecondaryContactValidityTillDate` datetime DEFAULT NULL,
  `PreviousStatusID` smallint(6) DEFAULT NULL,
  `UpdatedStatusID` smallint(6) DEFAULT NULL,
  `Reason` varchar(200) DEFAULT NULL,
  `ValidFrom` datetime DEFAULT NULL,
  `ValidTill` datetime DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ServiceProviderDetailID`),
  KEY `FK_ServiceProviderDetails_Status_idx` (`PreviousStatusID`),
  KEY `FK_ServiceProviderDetails1_Status_idx` (`UpdatedStatusID`),
  KEY `FK_ServiceProviderDetails_ServiceProvider_idx` (`ServiceProviderID`),
  CONSTRAINT `FK_ServiceProviderDetails1_Status` FOREIGN KEY (`UpdatedStatusID`) REFERENCES `m_status` (`StatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ServiceProviderDetails_ServiceProvider` FOREIGN KEY (`ServiceProviderID`) REFERENCES `m_serviceprovider` (`ServiceProviderID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_ServiceProviderDetails_Status` FOREIGN KEY (`PreviousStatusID`) REFERENCES `m_status` (`StatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_smsnotification`
--

DROP TABLE IF EXISTS `t_smsnotification`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_smsnotification` (
  `SMSNotificationID` bigint(20) NOT NULL AUTO_INCREMENT,
  `SMSTemplateID` int(11) DEFAULT NULL,
  `SenderID` int(11) DEFAULT NULL,
  `ReceivingUserID` int(11) DEFAULT NULL,
  `BenCallID` bigint(20) DEFAULT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `PhoneNo` varchar(12) DEFAULT NULL,
  `SMS` varchar(450) DEFAULT NULL,
  `SMSTriggerDate` datetime DEFAULT NULL,
  `SMSStatus` smallint(6) DEFAULT NULL,
  `SMSSentDate` datetime DEFAULT NULL,
  `TransactionID` varchar(100) DEFAULT NULL,
  `IsTransactionError` bit(1) DEFAULT b'0',
  `TransactionError` longtext,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SMSNotificationID`),
  KEY `FK_SMSNotification_SMSTemplate_idx` (`SMSTemplateID`),
  KEY `FK_SMSNotification_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_SMSNotification_User_idx` (`SenderID`),
  KEY `FK_SMSNotification_User1_idx` (`ReceivingUserID`),
  KEY `FK_SMSNotification_BenCall_idx` (`BenCallID`),
  CONSTRAINT `FK_SMSNotification_BenCall` FOREIGN KEY (`BenCallID`) REFERENCES `t_bencall` (`BenCallID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SMSNotification_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SMSNotification_SMSTemplate` FOREIGN KEY (`SMSTemplateID`) REFERENCES `m_smstemplate` (`SMSTemplateID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SMSNotification_User` FOREIGN KEY (`SenderID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SMSNotification_User1` FOREIGN KEY (`ReceivingUserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_smsnotificationdetail`
--

DROP TABLE IF EXISTS `t_smsnotificationdetail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_smsnotificationdetail` (
  `SMSNotificationDetailID` bigint(20) NOT NULL AUTO_INCREMENT,
  `SMSNotificationID` bigint(20) DEFAULT NULL,
  `SMSTemplateID` int(11) DEFAULT NULL,
  `SenderID` int(11) DEFAULT NULL,
  `ReceiverID` bigint(20) DEFAULT NULL,
  `PhoneNo` varchar(12) DEFAULT NULL,
  `SMS` varchar(300) DEFAULT NULL,
  `SMSTriggerDate` datetime DEFAULT NULL,
  `ISSent` bit(1) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SMSNotificationDetailID`),
  KEY `FK_SMSNotDetail_SMSTemplate_idx` (`SMSTemplateID`),
  KEY `FK_SMSNotDetail_User_idx` (`SenderID`),
  KEY `FK_SMSNotDetail_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_SMSNotDetail_SMSNotification_idx` (`SMSNotificationID`),
  CONSTRAINT `FK_SMSNotDetail_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SMSNotDetail_SMSNotification` FOREIGN KEY (`SMSNotificationID`) REFERENCES `t_smsnotification` (`SMSNotificationID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SMSNotDetail_SMSTemplate` FOREIGN KEY (`SMSTemplateID`) REFERENCES `m_smstemplate` (`SMSTemplateID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SMSNotDetail_User` FOREIGN KEY (`SenderID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_specialistavailability`
--

DROP TABLE IF EXISTS `t_specialistavailability`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_specialistavailability` (
  `SpecialistAvailabilityID` int(11) NOT NULL AUTO_INCREMENT,
  `UserID` int(11) DEFAULT NULL,
  `ConfiguredDate` date DEFAULT NULL,
  `TimeSlot` varchar(300) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SpecialistAvailabilityID`),
  UNIQUE KEY `CK_UserID_ConfiguredDate` (`UserID`,`ConfiguredDate`),
  KEY `FK_SprcialistAvailability_User_idx` (`UserID`),
  CONSTRAINT `FK_SprcialistAvailability_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_specialistavailabilitydetail`
--

DROP TABLE IF EXISTS `t_specialistavailabilitydetail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_specialistavailabilitydetail` (
  `SpecialistAvailabilityDetailID` bigint(20) NOT NULL AUTO_INCREMENT,
  `UserID` int(11) DEFAULT NULL,
  `ConfiguredFromDate` date DEFAULT NULL,
  `ConfiguredToDate` date DEFAULT NULL,
  `ConfiguredFromTime` datetime DEFAULT NULL,
  `ConfiguredToTime` datetime DEFAULT NULL,
  `Excluded_Days` varchar(100) DEFAULT NULL,
  `IsAvailability` bit(1) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SpecialistAvailabilityDetailID`),
  KEY `FK_SpecialistAvailabilityDetail_User_idx` (`UserID`),
  CONSTRAINT `FK_SpecialistAvailabilityDetail_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_stockadjustment`
--

DROP TABLE IF EXISTS `t_stockadjustment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_stockadjustment` (
  `StockAdjustmentID` int(11) NOT NULL AUTO_INCREMENT,
  `RefNo` varchar(30) DEFAULT NULL,
  `FacilityID` int(11) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `SyncFacilityID` int(11) DEFAULT NULL,
  `VanSerialNo` int(11) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`StockAdjustmentID`),
  KEY `FK_StockAdjustment_Facility_idx` (`FacilityID`),
  KEY `FK_StockAdjustment_ProviderServiceMap_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_StockAdjustment_Facility` FOREIGN KEY (`FacilityID`) REFERENCES `m_facility` (`FacilityID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_StockAdjustment_ProviderServiceMap` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_stocktransfer`
--

DROP TABLE IF EXISTS `t_stocktransfer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_stocktransfer` (
  `StockTransferID` int(11) NOT NULL AUTO_INCREMENT,
  `TransferFromFacilityID` int(11) DEFAULT NULL,
  `TransferToFacilityID` int(11) DEFAULT NULL,
  `RefNo` varchar(20) DEFAULT NULL,
  `IssueNo` varchar(20) DEFAULT NULL,
  `IssueDate` datetime DEFAULT NULL,
  `IssueType` varchar(20) DEFAULT NULL,
  `TransferReason` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Status` varchar(10) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `SyncFacilityID` int(11) DEFAULT NULL,
  `VanSerialNo` int(11) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `ToVanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`StockTransferID`),
  KEY `FK_StockTransfer_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_StockTransfer_Facility_idx` (`TransferFromFacilityID`),
  KEY `FK_StockTransfer_Facility1_idx` (`TransferToFacilityID`),
  CONSTRAINT `FK_StockTransfer_Facility` FOREIGN KEY (`TransferFromFacilityID`) REFERENCES `m_facility` (`FacilityID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_StockTransfer_Facility1` FOREIGN KEY (`TransferToFacilityID`) REFERENCES `m_facility` (`FacilityID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_StockTransfer_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_swaasa`
--

DROP TABLE IF EXISTS `t_swaasa`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_swaasa` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `Beneficiaryregid` bigint(20) NOT NULL,
  `AssessmentId` varchar(100) NOT NULL,
  `Age` int(11) DEFAULT NULL,
  `Gender` varchar(25) DEFAULT NULL,
  `Time_stamp` datetime DEFAULT NULL,
  `frequent_cough` int(11) DEFAULT NULL,
  `sputum` int(11) DEFAULT NULL,
  `cough_at_night` int(11) DEFAULT NULL,
  `wheezing` int(11) DEFAULT NULL,
  `pain_in_chest` int(11) DEFAULT NULL,
  `shortness_of_breath` int(11) DEFAULT NULL,
  `record_duration` double DEFAULT NULL,
  `status` varchar(100) DEFAULT NULL,
  `risk` varchar(100) DEFAULT NULL,
  `cough_severity_score` int(11) DEFAULT NULL,
  `cough_pattern` varchar(100) DEFAULT NULL,
  `dry_cough_count` int(11) DEFAULT NULL,
  `wet_cough_count` int(11) DEFAULT NULL,
  `severity` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(100) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_sys_cardiovascular`
--

DROP TABLE IF EXISTS `t_sys_cardiovascular`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_cardiovascular` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `JugularVenousPulse_JVP` varchar(15) DEFAULT NULL,
  `ApexbeatLocation` varchar(300) DEFAULT NULL,
  `ApexbeatType` varchar(300) DEFAULT NULL,
  `FirstHeartSound_S1` varchar(300) DEFAULT NULL,
  `SecondHeartSound_S2` varchar(300) DEFAULT NULL,
  `AdditionalHeartSounds` varchar(300) DEFAULT NULL,
  `Murmurs` varchar(15) DEFAULT NULL,
  `PericardialRub` varchar(15) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_Sys_Cardiovascular_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_Sys_Cardiovascular_BenVisitDetail` (`BenVisitID`),
  KEY `FK_SysCardiovascular_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_SysCardiovascular_BenVisiyDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_SysCardiovascular_BenVisiyDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SysCardiovascular_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_sys_centralnervous`
--

DROP TABLE IF EXISTS `t_sys_centralnervous`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_centralnervous` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `Handedness` varchar(15) DEFAULT NULL,
  `CranialNervesExamination` varchar(300) DEFAULT NULL,
  `MotorSystem` varchar(300) DEFAULT NULL,
  `SensorySystem` varchar(300) DEFAULT NULL,
  `AutonomicSystem` varchar(300) DEFAULT NULL,
  `CerebellarSigns` varchar(300) DEFAULT NULL,
  `SignsOfMeningealIrritation` varchar(10) DEFAULT NULL,
  `Skull` varchar(300) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_Sys_CentralNervous_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_Sys_CentralNervous_BenVisitDetail` (`BenVisitID`),
  KEY `FK_SysCentralNervous_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_SysCentralNervous_BenVisiyDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_SysCentralNervous_BenVisiyDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SysCentralNervous_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_sys_gastrointestinal`
--

DROP TABLE IF EXISTS `t_sys_gastrointestinal`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_gastrointestinal` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `Inspection` varchar(300) DEFAULT NULL,
  `Palpation` varchar(50) DEFAULT NULL,
  `Palpation_AbdomenTexture` varchar(15) DEFAULT NULL,
  `Palpation_Liver` varchar(15) DEFAULT NULL,
  `Palpation_Spleen` varchar(15) DEFAULT NULL,
  `Palpation_Tenderness` varchar(15) DEFAULT NULL,
  `Palpation_LocationOfTenderness` varchar(300) DEFAULT NULL,
  `Percussion` varchar(300) DEFAULT NULL,
  `Auscultation` varchar(300) DEFAULT NULL,
  `AnalRegion` varchar(300) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_Sys_Gastrointestinal_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_Sys_Gastrointestinal_BenVisitDetail` (`BenVisitID`),
  KEY `FK_SysGastrointestinal_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_SysGastrointestinal_BenVisiyDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_SysGastrointestinal_BenVisiyDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SysGastrointestinal_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_sys_genitourinarysystem`
--

DROP TABLE IF EXISTS `t_sys_genitourinarysystem`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_genitourinarysystem` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `RenalAngle` varchar(300) DEFAULT NULL,
  `SuprapubicRegion` varchar(300) DEFAULT NULL,
  `ExternalGenitalia` varchar(300) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_Sys_GenitourinarySystem_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_Sys_GenitourinarySystem_BenVisitDetail` (`BenVisitID`),
  KEY `FK_SysGenitourinarySystem_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_SysGenitourinarySystem_BenVisiyDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_SysGenitourinarySystem_BenVisiyDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SysGenitourinarySystem_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_sys_musculoskeletalsystem`
--

DROP TABLE IF EXISTS `t_sys_musculoskeletalsystem`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_musculoskeletalsystem` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `Joint_TypeOfJoint` varchar(30) DEFAULT NULL,
  `Joint_Laterality` varchar(15) DEFAULT NULL,
  `Joint_Abnormality` varchar(15) DEFAULT NULL,
  `UpperLimb_Laterality` varchar(15) DEFAULT NULL,
  `UpperLimb_Abnormality` varchar(15) DEFAULT NULL,
  `LowerLimb_Laterality` varchar(15) DEFAULT NULL,
  `LowerLimb_Abnormality` varchar(15) DEFAULT NULL,
  `ChestWall` varchar(300) DEFAULT NULL,
  `Spine` varchar(300) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_Sys_MusculoskeletalSystem_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_Sys_MusculoskeletalSystem_BenVisitDetail` (`BenVisitID`),
  KEY `FK_SysMusculoskeletalSystem_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_SysMusculoskeletalSystem_BenVisiyDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_SysMusculoskeletalSystem_BenVisiyDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SysMusculoskeletalSystem_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_sys_obstetric`
--

DROP TABLE IF EXISTS `t_sys_obstetric`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_obstetric` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `FundalHeight` varchar(20) DEFAULT NULL,
  `FHAndPOA_Status` varchar(15) DEFAULT NULL,
  `FHAndPOA_Interpretation` varchar(30) DEFAULT NULL,
  `FetalMovements` varchar(50) DEFAULT NULL,
  `FetalHeartSounds` varchar(15) DEFAULT NULL,
  `FetalHeartRate_BeatsPerMinute` varchar(15) DEFAULT NULL,
  `FetalPositionOrLie` varchar(15) DEFAULT NULL,
  `FetalPresentation` varchar(15) DEFAULT NULL,
  `AbdominalScars` varchar(30) DEFAULT NULL,
  `malPresentation` bit(1) DEFAULT NULL,
  `lowLyingPlacenta` bit(1) DEFAULT NULL,
  `vertebralDeformity` bit(1) DEFAULT NULL,
  `isHRP` bit(1) DEFAULT NULL,
  `reasonsForHRP` varchar(950) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  `sfh` decimal(20,2) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_Sys_Obstetric_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_Sys_Obstetric_BenVisitDetail` (`BenVisitID`),
  KEY `FK_SysObstetric_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_SysObstetric_BenVisiyDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_SysObstetric_BenVisiyDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SysObstetric_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_sys_respiratory`
--

DROP TABLE IF EXISTS `t_sys_respiratory`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_respiratory` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `Trachea` varchar(30) DEFAULT NULL,
  `Inspection` varchar(300) DEFAULT NULL,
  `SignsOfRespiratoryDistress` varchar(15) DEFAULT NULL,
  `Palpation` varchar(300) DEFAULT NULL,
  `Auscultation` varchar(50) DEFAULT NULL,
  `Auscultation_Stridor` varchar(15) DEFAULT NULL,
  `Auscultation_BreathSounds` varchar(30) DEFAULT NULL,
  `Auscultation_Crepitations` varchar(15) DEFAULT NULL,
  `Auscultation_Wheezing` varchar(15) DEFAULT NULL,
  `Auscultation_PleuralRub` varchar(15) DEFAULT NULL,
  `Auscultation_ConductedSounds` varchar(15) DEFAULT NULL,
  `Percussion` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_Sys_Respiratory_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_Sys_Respiratory_BenVisitDetail` (`BenVisitID`),
  KEY `FK_SysRespiratory_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_SysRespiratory_BenVisiyDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_SysRespiratory_BenVisiyDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_SysRespiratory_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_tmrequest`
--

DROP TABLE IF EXISTS `t_tmrequest`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_tmrequest` (
  `TMRequestID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `SpecializationID` int(11) DEFAULT NULL,
  `UserID` int(11) DEFAULT NULL,
  `IsReferredByDoctor` bit(1) DEFAULT NULL,
  `RequestDate` datetime DEFAULT NULL,
  `Duration_minute` int(11) DEFAULT NULL,
  `Status` char(4) DEFAULT 'N',
  `ConsultationStats` text,
  `BeneficiaryArrivalTime` datetime DEFAULT NULL,
  `Consultation_FirstStart` datetime DEFAULT NULL,
  `Consultation_LastEnd` datetime DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`TMRequestID`),
  KEY `FK_TMRequest_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_TMRequest_BenVisitDetail_idx` (`BenVisitID`),
  KEY `FK_TMRequest_BenVisitDetail1_idx` (`VisitCode`),
  KEY `FK_TMRequest_User_idx` (`UserID`),
  KEY `FK_TMRequest_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_TMRequest_Van_idx` (`VanID`),
  KEY `FK_TMRequest_Specialization_idx` (`SpecializationID`),
  CONSTRAINT `FK_TMRequest_BenVisitDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_TMRequest_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_TMRequest_Specialization` FOREIGN KEY (`SpecializationID`) REFERENCES `m_specialization` (`SpecializationID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_TMRequest_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_TMRequest_Van` FOREIGN KEY (`VanID`) REFERENCES `m_van` (`VanID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_tmstats`
--

DROP TABLE IF EXISTS `t_tmstats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_tmstats` (
  `TMStatsID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `StartTime` datetime DEFAULT NULL,
  `EndTime` datetime DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`TMStatsID`),
  KEY `TMstatsID` (`TMStatsID`),
  KEY `regid` (`BeneficiaryRegID`),
  KEY `visitCode` (`VisitCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_treatment`
--

DROP TABLE IF EXISTS `t_treatment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_treatment` (
  `TreatmentID` bigint(20) NOT NULL AUTO_INCREMENT,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `BenVisitID` bigint(20) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `VisitCode` bigint(20) DEFAULT NULL,
  `TypeOfCare` varchar(30) DEFAULT NULL,
  `TreatmentType` varchar(50) DEFAULT NULL,
  `CounsellingType` varchar(100) DEFAULT NULL,
  `ProcedurePerformed` varchar(100) DEFAULT NULL,
  `FollowUpDateTime` datetime DEFAULT NULL,
  `FollowUpReason` varchar(100) DEFAULT NULL,
  `ReferralRequired` varchar(15) DEFAULT NULL,
  `ReasonForReferral` varchar(100) DEFAULT NULL,
  `ReferredFacility` varchar(15) DEFAULT NULL,
  `ReferredPlace` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`TreatmentID`),
  KEY `FK_Treatment_Beneficiary` (`BeneficiaryRegID`),
  KEY `FK_Treatment_BenVisitDetail` (`BenVisitID`),
  KEY `FK_Treatment_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_Treatment_BenVisiyDetail1_idx` (`VisitCode`),
  CONSTRAINT `FK_Treatment_BenVisiyDetail1` FOREIGN KEY (`VisitCode`) REFERENCES `t_benvisitdetail` (`VisitCode`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_Treatment_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_userattendance`
--

DROP TABLE IF EXISTS `t_userattendance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_userattendance` (
  `UserAttendanceID` bigint(20) NOT NULL AUTO_INCREMENT,
  `UserID` int(11) DEFAULT NULL,
  `UserName` varchar(50) DEFAULT NULL,
  `SwipedOn` datetime DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `VanID` int(11) DEFAULT NULL,
  `IsOut` bit(1) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `VanSerialNo` bigint(20) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `SyncedBy` varchar(30) DEFAULT NULL,
  `SyncedDate` datetime DEFAULT NULL,
  `ReservedForChange` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`UserAttendanceID`),
  KEY `FK_UserAttendance_User_idx` (`UserID`),
  KEY `FK_UserAttendance_Van_idx` (`VanID`),
  KEY `FK_UserAttendance_ParkingPlace_idx` (`ParkingPlaceID`),
  KEY `FK_UserAttendance_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  CONSTRAINT `FK_UserAttendance_ParkingPlace` FOREIGN KEY (`ParkingPlaceID`) REFERENCES `m_parkingplace` (`ParkingPlaceID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserAttendance_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserAttendance_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserAttendance_Van` FOREIGN KEY (`VanID`) REFERENCES `m_van` (`VanID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_userdetail`
--

DROP TABLE IF EXISTS `t_userdetail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_userdetail` (
  `UserDetailID` int(11) NOT NULL AUTO_INCREMENT,
  `UserID` int(11) DEFAULT NULL,
  `UserName` varchar(20) DEFAULT NULL,
  `PreviousPassword` varchar(20) DEFAULT NULL,
  `UpdatedPassword` varchar(20) DEFAULT NULL,
  `CZUserID` varchar(20) DEFAULT NULL,
  `PreviousCZPassword` varchar(20) DEFAULT NULL,
  `UpdatedCZPassword` varchar(20) DEFAULT NULL,
  `AgentID` varchar(20) DEFAULT NULL,
  `PreviousAgentPassword` varchar(20) DEFAULT NULL,
  `UpdatedAgentPassword` varchar(20) DEFAULT NULL,
  `CZRole` varchar(20) DEFAULT NULL,
  `PreviousStatusID` smallint(6) DEFAULT NULL,
  `UpdatedStatusID` smallint(6) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`UserDetailID`),
  KEY `FK_UserDetails_User_idx` (`UserID`),
  KEY `FK_UserDetail_Status_idx` (`PreviousStatusID`),
  KEY `FK_UserDetail_Status1_idx` (`UpdatedStatusID`),
  CONSTRAINT `FK_UserDetail_Status` FOREIGN KEY (`PreviousStatusID`) REFERENCES `m_status` (`StatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserDetail_Status1` FOREIGN KEY (`UpdatedStatusID`) REFERENCES `m_status` (`StatusID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserDetails_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_userlogindetails`
--

DROP TABLE IF EXISTS `t_userlogindetails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_userlogindetails` (
  `LoginDetailID` bigint(20) NOT NULL AUTO_INCREMENT,
  `UserID` int(11) DEFAULT NULL,
  `LoginTime` datetime DEFAULT CURRENT_TIMESTAMP,
  `LoginModuleID` smallint(6) DEFAULT NULL,
  `LoginServiceID` smallint(6) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `CampaignID` int(11) DEFAULT NULL,
  `IPAddress` varchar(30) DEFAULT NULL,
  `ExtensionNo` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`LoginDetailID`),
  KEY `FK_UserLoginDetails_Module_idx` (`LoginModuleID`),
  KEY `FK_UserLoginDetails_ServiceMaster_idx` (`LoginServiceID`),
  KEY `FK_UserLoginDetails_ProviderServiceMapping_idx` (`ProviderServiceMapID`),
  KEY `FK_UserLoginDetail_User_idx` (`UserID`),
  CONSTRAINT `FK_UserLoginDetail_User` FOREIGN KEY (`UserID`) REFERENCES `m_user` (`UserID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserLoginDetails_Module` FOREIGN KEY (`LoginModuleID`) REFERENCES `m_module` (`ModuleID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserLoginDetails_ProviderServiceMapping` FOREIGN KEY (`ProviderServiceMapID`) REFERENCES `m_providerservicemapping` (`ProviderServiceMapID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_UserLoginDetails_ServiceMaster` FOREIGN KEY (`LoginServiceID`) REFERENCES `m_servicemaster` (`ServiceID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tbencalllog`
--

DROP TABLE IF EXISTS `tbencalllog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tbencalllog` (
  `tbencalllogid` bigint(20) NOT NULL AUTO_INCREMENT,
  `BenCallID` bigint(20) DEFAULT NULL,
  `CallID` varchar(30) DEFAULT NULL,
  `BeneficiaryRegID` bigint(20) DEFAULT NULL,
  `callEndTime` datetime DEFAULT NULL,
  `remarks` varchar(100) DEFAULT NULL,
  `callClosureType` varchar(30) DEFAULT NULL,
  `dispositionStatusID` int(11) DEFAULT NULL,
  `callTypeID` int(11) DEFAULT NULL,
  `emergencyType` smallint(6) DEFAULT NULL,
  `APIName` varchar(500) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) DEFAULT NULL,
  `CreatedDate` datetime DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `RequestOBJ` longtext,
  PRIMARY KEY (`tbencalllogid`),
  KEY `inx_BenCallID` (`BenCallID`),
  KEY `inx_BeneficiaryRegID` (`BeneficiaryRegID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `temp_masterdrug`
--

DROP TABLE IF EXISTS `temp_masterdrug`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `temp_masterdrug` (
  `DrugID` int(11) NOT NULL AUTO_INCREMENT,
  `DrugName` varchar(200) DEFAULT NULL,
  `DrugDisplayName` varchar(200) DEFAULT NULL,
  `DrugType` varchar(50) DEFAULT NULL,
  `Strength` varchar(50) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL DEFAULT 'Admin',
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`DrugID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `temp_van`
--

DROP TABLE IF EXISTS `temp_van`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `temp_van` (
  `TempVanID` int(11) NOT NULL AUTO_INCREMENT,
  `VanID` int(11) DEFAULT NULL,
  `VanName` varchar(30) DEFAULT NULL,
  `VehicalNo` varchar(30) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  `ParkingPlaceID` int(11) DEFAULT NULL,
  `Deleted` bit(1) DEFAULT b'0',
  `Processed` char(4) NOT NULL DEFAULT 'N',
  `CreatedBy` varchar(50) NOT NULL,
  `CreatedDate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ModifiedBy` varchar(50) DEFAULT NULL,
  `LastModDate` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`TempVanID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary view structure for view `v_104benmedhistory`
--

DROP TABLE IF EXISTS `v_104benmedhistory`;
/*!50001 DROP VIEW IF EXISTS `v_104benmedhistory`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_104benmedhistory` AS SELECT 
 1 AS `BenHistoryID`,
 1 AS `RequestID`,
 1 AS `BeneficiaryRegID`,
 1 AS `BenCallID`,
 1 AS `PatientName`,
 1 AS `PatientAge`,
 1 AS `PatientGenderID`,
 1 AS `Symptom Results`,
 1 AS `DiseaseSummaryID`,
 1 AS `DiseaseSummary`,
 1 AS `ChiefComplaintID`,
 1 AS `ChiefComplaint`,
 1 AS `Allergies`,
 1 AS `SelecteDiagnosisID`,
 1 AS `SelecteDiagnosis`,
 1 AS `CategoryID`,
 1 AS `SubCategoryID`,
 1 AS `AddedAdvice`,
 1 AS `PrescriptionID`,
 1 AS `ActionByHAO`,
 1 AS `ActionByCO`,
 1 AS `ActionByMO`,
 1 AS `ActionByPD`,
 1 AS `Remarks`,
 1 AS `IsSelf`,
 1 AS `ProviderServiceMapID`,
 1 AS `Deleted`,
 1 AS `Processed`,
 1 AS `CreatedBy`,
 1 AS `CreatedDate`,
 1 AS `ModifiedBy`,
 1 AS `LastModDate`,
 1 AS `IsChiefComplaint`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `v_benprocedurecomponentdetails`
--

DROP TABLE IF EXISTS `v_benprocedurecomponentdetails`;
/*!50001 DROP VIEW IF EXISTS `v_benprocedurecomponentdetails`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_benprocedurecomponentdetails` AS SELECT 
 1 AS `id`,
 1 AS `BeneficiaryRegID`,
 1 AS `BenVisitID`,
 1 AS `VisitCode`,
 1 AS `PrescriptionID`,
 1 AS `ProcedureID`,
 1 AS `ProcedureName`,
 1 AS `ProcedureDesc`,
 1 AS `ProcedureType`,
 1 AS `IOTProcedureName`,
 1 AS `ProcedureCode`,
 1 AS `ProcedureStartAPI`,
 1 AS `ProcedureEndAPI`,
 1 AS `ProcedureStatusAPI`,
 1 AS `CalibrationStartAPI`,
 1 AS `CalibrationStatusAPI`,
 1 AS `CalibrationEndAPI`,
 1 AS `isLabProcedure`,
 1 AS `DiscoveryCode`,
 1 AS `TestComponentID`,
 1 AS `TestComponentName`,
 1 AS `TestComponentDesc`,
 1 AS `InputType`,
 1 AS `MeasurementUnit`,
 1 AS `Range_min`,
 1 AS `Range_max`,
 1 AS `Range_normal_min`,
 1 AS `Range_normal_max`,
 1 AS `IOTComponentName`,
 1 AS `ComponentCode`,
 1 AS `IOTProcedureID`,
 1 AS `ComponentUnit`,
 1 AS `ResultValue`,
 1 AS `isDecimal`,
 1 AS `isMandatory`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `v_doortodooruserdetails`
--

DROP TABLE IF EXISTS `v_doortodooruserdetails`;
/*!50001 DROP VIEW IF EXISTS `v_doortodooruserdetails`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_doortodooruserdetails` AS SELECT 
 1 AS `id`,
 1 AS `UserID`,
 1 AS `UserName`,
 1 AS `ContactNo`,
 1 AS `EmergencyContactNo`,
 1 AS `EmergencyContactPerson`,
 1 AS `RoleID`,
 1 AS `RoleName`,
 1 AS `StateID`,
 1 AS `StateName`,
 1 AS `DistrictID`,
 1 AS `DistrictName`,
 1 AS `DistrictBlockID`,
 1 AS `BlockName`,
 1 AS `DistrictBranchID`,
 1 AS `VillageName`,
 1 AS `designationid`,
 1 AS `designationname`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `v_drugforprescription`
--

DROP TABLE IF EXISTS `v_drugforprescription`;
/*!50001 DROP VIEW IF EXISTS `v_drugforprescription`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_drugforprescription` AS SELECT 
 1 AS `id`,
 1 AS `itemID`,
 1 AS `itemName`,
 1 AS `Strength`,
 1 AS `unitOfMeasurement`,
 1 AS `quantityInHand`,
 1 AS `itemFormID`,
 1 AS `routeID`,
 1 AS `facilityID`,
 1 AS `Sctcode`,
 1 AS `SctTerm`,
 1 AS `composition`,
 1 AS `isedl`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `v_emailstockalert`
--

DROP TABLE IF EXISTS `v_emailstockalert`;
/*!50001 DROP VIEW IF EXISTS `v_emailstockalert`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_emailstockalert` AS SELECT 
 1 AS `uuid`,
 1 AS `facilityId`,
 1 AS `itemID`,
 1 AS `FacilityName`,
 1 AS `ItemName`,
 1 AS `Totalquantity`,
 1 AS `Quantityinhand`,
 1 AS `CreatedBy`,
 1 AS `emailid`,
 1 AS `DistrictName`,
 1 AS `QuantityConsumedPercent`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `v_fetchfacility`
--

DROP TABLE IF EXISTS `v_fetchfacility`;
/*!50001 DROP VIEW IF EXISTS `v_fetchfacility`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_fetchfacility` AS SELECT 
 1 AS `FacilityID`,
 1 AS `FacilityName`,
 1 AS `FacilityDesc`,
 1 AS `FacilityCode`,
 1 AS `FacilityTypeID`,
 1 AS `Location`,
 1 AS `PhysicalLocation`,
 1 AS `StoreType`,
 1 AS `Status`,
 1 AS `ProviderServiceMapID`,
 1 AS `IsMainFacility`,
 1 AS `MainFacilityID`,
 1 AS `FacilityDeleted`,
 1 AS `FacilityCreatedBy`,
 1 AS `FacilityCreatedDate`,
 1 AS `FacilityModifiedBy`,
 1 AS `FacilityLastModDate`,
 1 AS `ParkingPlaceID`,
 1 AS `ParkingPlaceName`,
 1 AS `ParkingPlaceDesc`,
 1 AS `AreaHQAddress`,
 1 AS `PPDeleted`,
 1 AS `VanID`,
 1 AS `VanName`,
 1 AS `VehicalNo`,
 1 AS `VanTypeID`,
 1 AS `VanParkingPlaceID`,
 1 AS `VanDeleted`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `v_fetchitemfacilitymap`
--

DROP TABLE IF EXISTS `v_fetchitemfacilitymap`;
/*!50001 DROP VIEW IF EXISTS `v_fetchitemfacilitymap`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_fetchitemfacilitymap` AS SELECT 
 1 AS `ItemFacilityMapID`,
 1 AS `ProviderServiceMapID`,
 1 AS `Status`,
 1 AS `ItemFacilityMappingDeleted`,
 1 AS `FacilityID`,
 1 AS `FacilityName`,
 1 AS `FacilityDesc`,
 1 AS `FacilityCode`,
 1 AS `FacilityTypeID`,
 1 AS `FacilityTypeName`,
 1 AS `FacilityTypeDesc`,
 1 AS `FacilityTypeCode`,
 1 AS `Location`,
 1 AS `PhysicalLocation`,
 1 AS `StoreType`,
 1 AS `IsMainFacility`,
 1 AS `FacilityDeleted`,
 1 AS `ItemID`,
 1 AS `ItemName`,
 1 AS `ItemDesc`,
 1 AS `ItemCode`,
 1 AS `ItemCategoryID`,
 1 AS `ItemCategoryName`,
 1 AS `ItemCategoryDesc`,
 1 AS `ItemCategoryCode`,
 1 AS `IsMedical`,
 1 AS `ItemFormID`,
 1 AS `ItemFormName`,
 1 AS `ItemFormDesc`,
 1 AS `ItemFormCode`,
 1 AS `PharmacologyCategoryID`,
 1 AS `PharmCategoryName`,
 1 AS `PharmCategoryDesc`,
 1 AS `PharmCategoryCode`,
 1 AS `ManufacturerID`,
 1 AS `Strength`,
 1 AS `IsScheduledDrug`,
 1 AS `RouteID`,
 1 AS `ItemDeleted`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `v_fetchnotification`
--

DROP TABLE IF EXISTS `v_fetchnotification`;
/*!50001 DROP VIEW IF EXISTS `v_fetchnotification`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_fetchnotification` AS SELECT 
 1 AS `UserNotificationMapID`,
 1 AS `NotificationID`,
 1 AS `UserID`,
 1 AS `RoleID`,
 1 AS `NotificationState`,
 1 AS `NotificationTypeID`,
 1 AS `NotificationType`,
 1 AS `ProviderServiceMapID`,
 1 AS `WorkingLocationID`,
 1 AS `Deleted`,
 1 AS `Processed`,
 1 AS `CreatedBy`,
 1 AS `CreatedDate`,
 1 AS `ModifiedBy`,
 1 AS `LastModDate`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `v_get_prkngplc_blok_dist_zone_state`
--

DROP TABLE IF EXISTS `v_get_prkngplc_blok_dist_zone_state`;
/*!50001 DROP VIEW IF EXISTS `v_get_prkngplc_blok_dist_zone_state`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_get_prkngplc_blok_dist_zone_state` AS SELECT 
 1 AS `Servicepointid`,
 1 AS `ParkingPlaceID`,
 1 AS `ParkingPlaceName`,
 1 AS `BlockID`,
 1 AS `BlockName`,
 1 AS `DistrictID`,
 1 AS `DistrictName`,
 1 AS `ZoneID`,
 1 AS `ZoneName`,
 1 AS `StateID`,
 1 AS `StateName`,
 1 AS `SPproviderservicemapid`,
 1 AS `PPproviderservicemapid`,
 1 AS `ZDMproviderservicemapid`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `v_get_prkngplc_dist_zone_state_from_spid`
--

DROP TABLE IF EXISTS `v_get_prkngplc_dist_zone_state_from_spid`;
/*!50001 DROP VIEW IF EXISTS `v_get_prkngplc_dist_zone_state_from_spid`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_get_prkngplc_dist_zone_state_from_spid` AS SELECT 
 1 AS `ProviderServiceMapID`,
 1 AS `ServicePointID`,
 1 AS `ParkingPlaceID`,
 1 AS `ParkingPlaceName`,
 1 AS `DistrictID`,
 1 AS `DistrictName`,
 1 AS `ZoneID`,
 1 AS `ZoneName`,
 1 AS `StateID`,
 1 AS `StateName`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `v_getprescribeddrugswithdetails`
--

DROP TABLE IF EXISTS `v_getprescribeddrugswithdetails`;
/*!50001 DROP VIEW IF EXISTS `v_getprescribeddrugswithdetails`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_getprescribeddrugswithdetails` AS SELECT 
 1 AS `PrescribedDrugID`,
 1 AS `BeneficiaryRegID`,
 1 AS `BenVisitID`,
 1 AS `VisitCode`,
 1 AS `PrescriptionID`,
 1 AS `DrugID`,
 1 AS `GenericDrugName`,
 1 AS `DrugForm`,
 1 AS `DrugStrength`,
 1 AS `Dose`,
 1 AS `Route`,
 1 AS `Frequency`,
 1 AS `Duration`,
 1 AS `DuartionUnit`,
 1 AS `RelationToFood`,
 1 AS `SpecialInstruction`,
 1 AS `QtyPrescribed`,
 1 AS `CreatedDate`,
 1 AS `CreatedBy`,
 1 AS `ItemStockEntryID`,
 1 AS `FacilityID`,
 1 AS `BatchNo`,
 1 AS `QuantityInHand`,
 1 AS `ExpiryDate`,
 1 AS `isEDL`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `v_getvanlocdetails`
--

DROP TABLE IF EXISTS `v_getvanlocdetails`;
/*!50001 DROP VIEW IF EXISTS `v_getvanlocdetails`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_getvanlocdetails` AS SELECT 
 1 AS `VanID`,
 1 AS `ParkingPlaceID`,
 1 AS `StateID`,
 1 AS `DistrictID`,
 1 AS `DistrictName`,
 1 AS `blockid`,
 1 AS `blockname`,
 1 AS `villageid`,
 1 AS `VillageName`,
 1 AS `District_LGDCode`,
 1 AS `State_LGDCode`,
 1 AS `ProviderServiceMapID`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `v_mother_child_feedback_report`
--

DROP TABLE IF EXISTS `v_mother_child_feedback_report`;
/*!50001 DROP VIEW IF EXISTS `v_mother_child_feedback_report`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_mother_child_feedback_report` AS SELECT 
 1 AS `FeedbackID`,
 1 AS `RequestID`,
 1 AS `InstitutionID`,
 1 AS `Institute_Facility_Name`,
 1 AS `DesignationID`,
 1 AS `Designation`,
 1 AS `StateID`,
 1 AS `DistrictID`,
 1 AS `BlockID`,
 1 AS `DistrictBranchID`,
 1 AS `InstitutionTypeID`,
 1 AS `SeverityID`,
 1 AS `FeedbackTypeID`,
 1 AS `Type_of_complain`,
 1 AS `FeedbackNatureID`,
 1 AS `Nature_of_Complaint`,
 1 AS `FeedbackStatusID`,
 1 AS `Brief_of_Complaint`,
 1 AS `Details_of_Complaint`,
 1 AS `ProviderServiceMapID`,
 1 AS `UserID`,
 1 AS `FeedbackAgainst`,
 1 AS `SMSPhoneNo`,
 1 AS `DateofComplaint`,
 1 AS `EmailStatusID`,
 1 AS `FeedbackActual`,
 1 AS `FeedbackUpdated`,
 1 AS `FeedbackResponse`,
 1 AS `AgentUserID`,
 1 AS `SupUserID`,
 1 AS `Comments`,
 1 AS `AuthName`,
 1 AS `AuthDesignation`,
 1 AS `AuthInstitution`,
 1 AS `AuthEmailID`,
 1 AS `CreatedDate`,
 1 AS `is_mother`,
 1 AS `MotherValidRecordID`,
 1 AS `RowID`,
 1 AS `BeneficiaryRegID`,
 1 AS `Date_of_Entry`,
 1 AS `Entry_type`,
 1 AS `MCTSID_no`,
 1 AS `Name`,
 1 AS `Husband_Name`,
 1 AS `PhoneNo_Of_Whom`,
 1 AS `Alternate_number`,
 1 AS `Birth_Date`,
 1 AS `Age`,
 1 AS `Blood_Group`,
 1 AS `Caste`,
 1 AS `Aadhar_no`,
 1 AS `State_ID`,
 1 AS `State_Name`,
 1 AS `District_ID`,
 1 AS `District_Name`,
 1 AS `Taluka_Name`,
 1 AS `Taluka_ID`,
 1 AS `Block_ID`,
 1 AS `Block_Name`,
 1 AS `SubCenter_ID`,
 1 AS `SubCenter_Name`,
 1 AS `Village_ID`,
 1 AS `Village_Name`,
 1 AS `City_ID`,
 1 AS `City_Name`,
 1 AS `SubCenter_Name1`,
 1 AS `ANM_ID`,
 1 AS `ANM_Name`,
 1 AS `ANM_Ph`,
 1 AS `ASHA_ID`,
 1 AS `ASHA_Name`,
 1 AS `ASHA_Ph`,
 1 AS `PHC_ID`,
 1 AS `PHC_Name`,
 1 AS `SUBPHC_ID`,
 1 AS `SUBPHC_Name`,
 1 AS `YR`,
 1 AS `GP_Village`,
 1 AS `Address`,
 1 AS `LMP_Date`,
 1 AS `ANC1_Date`,
 1 AS `ANC2_Date`,
 1 AS `ANC3_Date`,
 1 AS `ANC4_Date`,
 1 AS `ANC_Complication`,
 1 AS `TT1_Date`,
 1 AS `TT2_Date`,
 1 AS `TTBooster_Date`,
 1 AS `IFA100_Given_Date`,
 1 AS `EDD`,
 1 AS `Anemia`,
 1 AS `RTI_STI`,
 1 AS `Delivery_Lnk_Facility`,
 1 AS `Facility_Name`,
 1 AS `Delivery_Date`,
 1 AS `Delivery_Place_home_type`,
 1 AS `Delivery_Place_Public`,
 1 AS `Delivery_Place_Private`,
 1 AS `Delivery_type`,
 1 AS `Delivery_Complications`,
 1 AS `Discharge_Date`,
 1 AS `Abortion`,
 1 AS `PNC_Home_Visit`,
 1 AS `PNC_Complication`,
 1 AS `PPC_Method`,
 1 AS `PNC_Checkup`,
 1 AS `Outcome_Nos`,
 1 AS `Child1_ID`,
 1 AS `Child1_Name`,
 1 AS `Child1_Gender`,
 1 AS `Child1_Weight`,
 1 AS `Child1_BreastFeeding`,
 1 AS `Child2_ID`,
 1 AS `Child2_Name`,
 1 AS `Child2_Gender`,
 1 AS `Child2_weight`,
 1 AS `Child2_Breastfeeding`,
 1 AS `Child3_ID`,
 1 AS `Child3_Name`,
 1 AS `Child3_Gender`,
 1 AS `Child3_Weight`,
 1 AS `Child3_Breastfeeding`,
 1 AS `Child4_ID`,
 1 AS `Child4_Name`,
 1 AS `Child4_Gender`,
 1 AS `Child4_Weight`,
 1 AS `Child4_Breastfeeding`,
 1 AS `Mother_Reg_Date`,
 1 AS `Last_Update_Date`,
 1 AS `EID`,
 1 AS `EID_time`,
 1 AS `CPSMS_Flag`,
 1 AS `JSY_Beneficiary`,
 1 AS `JSY_Paid_Date`,
 1 AS `Bank_Name`,
 1 AS `Bank_Branch_Name`,
 1 AS `Acc_No`,
 1 AS `IFSC_Code`,
 1 AS `Remarks`,
 1 AS `Referred_By_Telecaller`,
 1 AS `Referred_Date`,
 1 AS `No_of_Try`,
 1 AS `Call_Answered`,
 1 AS `Status`,
 1 AS `High_Risk`,
 1 AS `High_Risk_Reason`,
 1 AS `Call_Verified`,
 1 AS `Associate`,
 1 AS `Call_Date`,
 1 AS `Due_Services`,
 1 AS `Due_Services_Response`,
 1 AS `Overdue_Services`,
 1 AS `Overdue_Services_Response`,
 1 AS `Given_Services`,
 1 AS `Given_Services_Response`,
 1 AS `Miscarriage`,
 1 AS `Baby_Died`,
 1 AS `Call_No`,
 1 AS `Questions_Asked`,
 1 AS `Asnwer_Given_by_Benificary`,
 1 AS `Source`,
 1 AS `NoCall_Reason`,
 1 AS `NoPhone_Reason`,
 1 AS `Created_By`,
 1 AS `Updated_By`,
 1 AS `BPL_APL`,
 1 AS `MDDS_StateID`,
 1 AS `MDDS_District_ID`,
 1 AS `MDDS_Taluka_ID`,
 1 AS `MDDS_Village_ID`,
 1 AS `Is_Valid`,
 1 AS `InValid_Reason`,
 1 AS `Is_Error`,
 1 AS `Error_Reason`,
 1 AS `FileID`,
 1 AS `IsAllocated`,
 1 AS `Deleted`,
 1 AS `Processed`,
 1 AS `CreatedBy`,
 1 AS `ModifiedBy`,
 1 AS `LastModDate`,
 1 AS `MCTSID_no_Child_ID`,
 1 AS `Child_Name`,
 1 AS `Father_Name`,
 1 AS `Mother_Name`,
 1 AS `Mother_ID`,
 1 AS `DOB`,
 1 AS `Place_of_Birth`,
 1 AS `Gender`,
 1 AS `BloodGroup`,
 1 AS `Child_Aadhaar_No`,
 1 AS `Weight_of_Child`,
 1 AS `Child_EID`,
 1 AS `Child_EID_Time`,
 1 AS `Emamta_Health_ID`,
 1 AS `Emamta_Family_ID`,
 1 AS `Phone_No_of`,
 1 AS `Phone_No`,
 1 AS `Registration_Date`,
 1 AS `Updated_Date`,
 1 AS `CityID`,
 1 AS `City`,
 1 AS `Year`,
 1 AS `ANM_Phone_No`,
 1 AS `ASHA_Phone_No`,
 1 AS `BCG_Date`,
 1 AS `OPV0_Date`,
 1 AS `Hepatitis_B1_Date`,
 1 AS `DPT1_Date`,
 1 AS `OPV1_Date`,
 1 AS `Hepatitis_B2_Date`,
 1 AS `DPT2_Date`,
 1 AS `OPV2_Date`,
 1 AS `Hepatitis_B3_Date`,
 1 AS `DPT3_Date`,
 1 AS `OPV3_Date`,
 1 AS `Hepatitis_B4_Date`,
 1 AS `Measles_Date`,
 1 AS `VitA_Dose1_Date`,
 1 AS `MR_Date`,
 1 AS `DPTBooster_Date`,
 1 AS `OPVBooster_Date`,
 1 AS `VitA_Dose2_Date`,
 1 AS `VitA_Dose3_Date`,
 1 AS `VitA_Dose99_Date`,
 1 AS `VitA_Dose5_Date`,
 1 AS `VitA_Dose6_Date`,
 1 AS `VitA_Dose7_Date`,
 1 AS `VitA_Dose8_Date`,
 1 AS `VitA_Dose9_Date`,
 1 AS `JE_Date`,
 1 AS `DT5_Date`,
 1 AS `TT10_Date`,
 1 AS `TT16_Date`,
 1 AS `Measles_2_Date`,
 1 AS `PentaValent1_Date`,
 1 AS `PentaValent2_Date`,
 1 AS `PentaValent3_Date`,
 1 AS `is_Upload`,
 1 AS `Delete_Mother`,
 1 AS `Delete_Reason`,
 1 AS `Deleted_ON`,
 1 AS `SMS_Status`,
 1 AS `BirthCertificateNo`,
 1 AS `Rural_urban`,
 1 AS `SNO`,
 1 AS `Lead_ID`,
 1 AS `My_ID`,
 1 AS `CID_NO`,
 1 AS `MID_NO`,
 1 AS `Duplicate_Bit`,
 1 AS `FacilityType`,
 1 AS `DueServices`,
 1 AS `OverDueServices`,
 1 AS `GivenServices`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `v_showprovideradmin`
--

DROP TABLE IF EXISTS `v_showprovideradmin`;
/*!50001 DROP VIEW IF EXISTS `v_showprovideradmin`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_showprovideradmin` AS SELECT 
 1 AS `USRMappingID`,
 1 AS `UserID`,
 1 AS `TitleID`,
 1 AS `TitleName`,
 1 AS `FirstName`,
 1 AS `MiddleName`,
 1 AS `LastName`,
 1 AS `IsSupervisor`,
 1 AS `UserDeleted`,
 1 AS `RoleID`,
 1 AS `RoleName`,
 1 AS `RoleDeleted`,
 1 AS `AgentID`,
 1 AS `AgentPassword`,
 1 AS `CZRole`,
 1 AS `ProviderServiceMapID`,
 1 AS `ProviderServiceMapDeleted`,
 1 AS `WorkingLocationID`,
 1 AS `LocationName`,
 1 AS `WorkingLocationDeleted`,
 1 AS `USRMDeleted`,
 1 AS `ServiceProviderID`,
 1 AS `ServiceProviderName`,
 1 AS `ServiceProviderDeleted`,
 1 AS `ServiceID`,
 1 AS `ServiceName`,
 1 AS `IsNational`,
 1 AS `ServiceDeleted`,
 1 AS `StateID`,
 1 AS `StateName`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `v_showproviderservicemapping`
--

DROP TABLE IF EXISTS `v_showproviderservicemapping`;
/*!50001 DROP VIEW IF EXISTS `v_showproviderservicemapping`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_showproviderservicemapping` AS SELECT 
 1 AS `ProviderServiceMapID`,
 1 AS `ServiceProviderID`,
 1 AS `ServiceProviderName`,
 1 AS `ServiceID`,
 1 AS `ServiceName`,
 1 AS `IsNational`,
 1 AS `CountryID`,
 1 AS `CountryName`,
 1 AS `StateID`,
 1 AS `StateName`,
 1 AS `DistrictID`,
 1 AS `CityID`,
 1 AS `DistrictBlockID`,
 1 AS `Address`,
 1 AS `StatusID`,
 1 AS `Status`,
 1 AS `CTI_CampaignName`,
 1 AS `ValidFrom`,
 1 AS `ValidTill`,
 1 AS `Deleted`,
 1 AS `Processed`,
 1 AS `CreatedBy`,
 1 AS `CreatedDate`,
 1 AS `ModifiedBy`,
 1 AS `LastModDate`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `v_showsubcategory`
--

DROP TABLE IF EXISTS `v_showsubcategory`;
/*!50001 DROP VIEW IF EXISTS `v_showsubcategory`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_showsubcategory` AS SELECT 
 1 AS `CategoryID`,
 1 AS `CategoryName`,
 1 AS `CategoryDesc`,
 1 AS `SubCategoryID`,
 1 AS `SubCategoryName`,
 1 AS `SubCategoryDesc`,
 1 AS `SubCatFilePath`,
 1 AS `SubCategoryDeleted`,
 1 AS `SubServiceID`,
 1 AS `SubServiceName`,
 1 AS `ProviderServiceMapID`,
 1 AS `CategoryDeleted`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `v_showuser`
--

DROP TABLE IF EXISTS `v_showuser`;
/*!50001 DROP VIEW IF EXISTS `v_showuser`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_showuser` AS SELECT 
 1 AS `UserID`,
 1 AS `TitleID`,
 1 AS `FirstName`,
 1 AS `MiddleName`,
 1 AS `LastName`,
 1 AS `GenderID`,
 1 AS `MaritalStatusID`,
 1 AS `AadhaarNo`,
 1 AS `PAN`,
 1 AS `DOB`,
 1 AS `DOJ`,
 1 AS `QualificationID`,
 1 AS `DesignationID`,
 1 AS `UserName`,
 1 AS `Password`,
 1 AS `CZUserID`,
 1 AS `CZPassword`,
 1 AS `AgentID`,
 1 AS `AgentPassword`,
 1 AS `CZRole`,
 1 AS `ContactNo`,
 1 AS `EmailID`,
 1 AS `StatusID`,
 1 AS `ServiceProviderID`,
 1 AS `EmergencyContactPerson`,
 1 AS `EmergencyContactNo`,
 1 AS `IsExternal`,
 1 AS `IsSupervisor`,
 1 AS `IsProviderAdmin`,
 1 AS `Remarks`,
 1 AS `Deleted`,
 1 AS `Processed`,
 1 AS `CreatedBy`,
 1 AS `CreatedDate`,
 1 AS `ModifiedBy`,
 1 AS `LastModDate`,
 1 AS `TitleName`,
 1 AS `GenderName`,
 1 AS `UserQualification`,
 1 AS `DesignationName`,
 1 AS `MaritalStatus`,
 1 AS `Status`,
 1 AS `DemographicID`,
 1 AS `FathersName`,
 1 AS `MothersName`,
 1 AS `CommunityID`,
 1 AS `CommunityType`,
 1 AS `ReligionID`,
 1 AS `ReligionType`,
 1 AS `AddressLine1`,
 1 AS `AddressLine2`,
 1 AS `PermAddressLine1`,
 1 AS `PermAddressLine2`,
 1 AS `PermStateID`,
 1 AS `PermDistrictID`,
 1 AS `PermPinCode`,
 1 AS `PermanentAddress`,
 1 AS `CityID`,
 1 AS `DistrictID`,
 1 AS `DistrictName`,
 1 AS `StateID`,
 1 AS `StateName`,
 1 AS `CountryID`,
 1 AS `CountryName`,
 1 AS `PinCode`,
 1 AS `IsPresent`,
 1 AS `IsPermanent`,
 1 AS `DemographicDeleted`,
 1 AS `HealthProfessionalID`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `v_userprkngplacvanspstatedisblok`
--

DROP TABLE IF EXISTS `v_userprkngplacvanspstatedisblok`;
/*!50001 DROP VIEW IF EXISTS `v_userprkngplacvanspstatedisblok`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_userprkngplacvanspstatedisblok` AS SELECT 
 1 AS `userid`,
 1 AS `VanID`,
 1 AS `vanNoAndType`,
 1 AS `VanSession`,
 1 AS `ServicePointID`,
 1 AS `ServicePointName`,
 1 AS `parkingplaceid`,
 1 AS `ProviderServiceMapID`,
 1 AS `IsFacility`,
 1 AS `FacilityID`*/;
SET character_set_client = @saved_cs_client;

--
-- Temporary view structure for view `v_userservicerolemapping`
--

DROP TABLE IF EXISTS `v_userservicerolemapping`;
/*!50001 DROP VIEW IF EXISTS `v_userservicerolemapping`*/;
SET @saved_cs_client     = @@character_set_client;
/*!50503 SET character_set_client = utf8mb4 */;
/*!50001 CREATE VIEW `v_userservicerolemapping` AS SELECT 
 1 AS `UserID`,
 1 AS `USRMappingID`,
 1 AS `Name`,
 1 AS `UserName`,
 1 AS `ServiceID`,
 1 AS `ServiceName`,
 1 AS `IsNational`,
 1 AS `StateID`,
 1 AS `StateName`,
 1 AS `WorkingDistrictID`,
 1 AS `WorkingDistrictName`,
 1 AS `WorkingLocationID`,
 1 AS `ServiceProviderID`,
 1 AS `LocationName`,
 1 AS `WorkingLocationAddress`,
 1 AS `RoleID`,
 1 AS `RoleName`,
 1 AS `ProviderServiceMapID`,
 1 AS `AgentID`,
 1 AS `PSMStatusID`,
 1 AS `PSMStatus`,
 1 AS `UserServciceRoleDeleted`,
 1 AS `UserDeleted`,
 1 AS `ServiceProviderDeleted`,
 1 AS `RoleDeleted`,
 1 AS `ProviderServiceMappingDeleted`,
 1 AS `isInbound`,
 1 AS `isOutbound`,
 1 AS `blockid`,
 1 AS `blockname`,
 1 AS `villageid`,
 1 AS `villagename`,
 1 AS `isSanjeevani`*/;
SET character_set_client = @saved_cs_client;

--
-- Dumping events for database 'db_iemr'
--
/*!50106 SET @save_time_zone= @@TIME_ZONE */ ;
/*!50106 DROP EVENT IF EXISTS `Event_TMSaveWorkList` */;
DELIMITER ;;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;;
/*!50003 SET character_set_client  = utf8 */ ;;
/*!50003 SET character_set_results = utf8 */ ;;
/*!50003 SET collation_connection  = utf8_general_ci */ ;;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;;
/*!50003 SET @saved_time_zone      = @@time_zone */ ;;
/*!50003 SET time_zone             = 'SYSTEM' */ ;;
/*!50106 CREATE*/ /*!50117 DEFINER=`root`@`localhost`*/ /*!50106 EVENT `Event_TMSaveWorkList` ON SCHEDULE EVERY 5 MINUTE STARTS '2021-02-23 11:15:10' ON COMPLETION NOT PRESERVE DISABLE DO begin
CALL db_iemr.Pr_TMSaveWorkList();

end */ ;;
/*!50003 SET time_zone             = @saved_time_zone */ ;;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;;
/*!50003 SET character_set_client  = @saved_cs_client */ ;;
/*!50003 SET character_set_results = @saved_cs_results */ ;;
/*!50003 SET collation_connection  = @saved_col_connection */ ;;
DELIMITER ;
/*!50106 SET TIME_ZONE= @save_time_zone */ ;

--
-- Dumping routines for database 'db_iemr'
--
/*!50003 DROP PROCEDURE IF EXISTS `D_mmu_adolescent` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`localhost` PROCEDURE `D_mmu_adolescent`(IN fromDate DATETIME, IN toDate DATETIME, IN PSMID int)
BEGIN

-- cicd testing

declare totalPatient LONG;
declare totalAdolescents LONG;
declare newAdolescents LONG;
declare femaleAdolescents LONG;

SELECT Count(DISTINCT beneficiary_reg_id) FROM i_ben_flow_outreach WHERE DATE(visitDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND providerServiceMapID = PSMID AND beneficiary_visit_code is not null INTO totalPatient;

SELECT Count(DISTINCT beneficiary_reg_id) FROM i_ben_flow_outreach WHERE DATE(visitDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND providerServiceMapID = PSMID AND beneficiary_visit_code is not null AND ben_age_val BETWEEN 10 and 19 INTO totalAdolescents;

SELECT Count(DISTINCT beneficiary_reg_id) FROM i_ben_flow_outreach WHERE DATE(visitDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND providerServiceMapID = PSMID AND beneficiary_visit_code is not null AND ben_age_val BETWEEN 10 and 19 AND visit_no = 1 INTO newAdolescents;

SELECT Count(DISTINCT beneficiary_reg_id) FROM i_ben_flow_outreach WHERE DATE(visitDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND providerServiceMapID = PSMID AND beneficiary_visit_code is not null AND ben_age_val BETWEEN 10 and 19 AND ben_gender_val = 2 INTO femaleAdolescents;

SELECT totalPatient, totalAdolescents, newAdolescents, femaleAdolescents;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `D_MMU_AllDiabetic` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `D_MMU_AllDiabetic`(IN fromDate DATETIME, IN toDate DATETIME, IN PSMID int)
BEGIN

declare v_AllDiabetic int;
declare v_AllDiaRef int ;
declare v_AllDiaControl int;
declare v_AllDiaFemale int;

drop temporary table if exists AllDiabeticTemp;

create temporary table AllDiabeticTemp as

select 
distinct BCC.BeneficiaryRegID , 'OldDiabetic' OldDiabetic
from db_iemr.t_bencomorbiditycondition BCC
join db_identity.i_beneficiarymapping BM on BCC.BeneficiaryRegID = BM.BenRegID
where BCC.ComorbidConditionID = 2
	and DATE(BCC.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND BCC.providerServiceMapID = PSMID
    and date(BCC.Year) < date(BM.CreatedDate)
    
union

select distinct A.BeneficiaryRegID , 'NewDiabetic' NewDiabetic
 from 
 
(select 
Rx.BeneficiaryRegID,
Rx.VisitCode
 from db_iemr.t_benvisitdetail BVD
inner join db_iemr.t_prescription Rx 
  on BVD.BeneficiaryRegID = Rx.BeneficiaryRegID
    and BVD.VisitCode = Rx.VisitCode
    and (BVD.VisitCategory = 'General OPD' or BVD.VisitCategory = 'General OPD (QC)')
WHERE DATE(Rx.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND Rx.providerServiceMapID = PSMID
	AND Rx.Deleted = 0b0
    and Rx.DiagnosisProvided like '%Diabetes Mellitus%'

union

select 
PNCD.BeneficiaryRegID,
PNCD.VisitCode
 from db_iemr.t_benvisitdetail BVD
inner join db_iemr.t_pncdiagnosis PNCD
  on BVD.BeneficiaryRegID = PNCD.BeneficiaryRegID
    and BVD.VisitCode = PNCD.VisitCode
    and (BVD.VisitCategory = 'PNC')
WHERE DATE(PNCD.CreatedDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND PNCD.providerServiceMapID = PSMID
	AND PNCD.Deleted = 0b0
    AND PNCD.ProvisionalDiagnosis like '%Diabetes Mellitus%' ) A

inner join db_iemr.t_prescribeddrug PD 
	on A.BeneficiaryRegID = PD.BeneficiaryRegID
    and A.VisitCode = PD.VisitCode
WHERE DATE(PD.CreatedDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND PD.providerServiceMapID = PSMID
	AND PD.Deleted = 0b0
    AND PD.GenericDrugName in ("%%");


select count(distinct BeneficiaryRegID) from AllDiabeticTemp into v_AllDiabetic;

select count(distinct ADT.BeneficiaryRegID) from AllDiabeticTemp ADT
	inner join db_iemr.t_benreferdetails BRD on ADT.BeneficiaryRegID = BRD.BeneficiaryRegID
	into v_AllDiaRef; 
    
select count(distinct ADT.BeneficiaryRegID) from AllDiabeticTemp ADT
	inner join db_iemr.t_Lab_TestResult LTR on ADT.BeneficiaryRegID = LTR.BeneficiaryRegID
    where (LTR.TestResultValue < 160 and LTR.ProcedureID = "% %") 
		and  (LTR.TestResultValue < 7 and LTR.ProcedureID = "% %")
	into v_AllDiaControl; 
    
select count(distinct ADT.BeneficiaryRegID) from AllDiabeticTemp ADT
	inner join db_identity.i_beneficiarymapping BM on ADT.BeneficiaryRegID = BM.BenRegID
    inner join db_identity.i_beneficiarydetails BD on BM.BenDetailsID = BD.BeneficiaryDetailsID
    where BD.GenderID = 2
	into v_AllDiaFemale; 
    
select  v_AllDiabetic,v_AllDiaRef,v_AllDiaControl,v_AllDiaFemale;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `D_MMU_AllDiaHTN` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `D_MMU_AllDiaHTN`(IN fromDate DATETIME, IN toDate DATETIME, IN PSMID int)
BEGIN

declare v_AllDiaHTN int;

drop temporary table if exists AllDiaHTNTemp;

create temporary table AllDiaHTNTemp as

select 
distinct BCC.BeneficiaryRegID , 'OldDiaHTN' OldDiaHTN
from db_iemr.t_bencomorbiditycondition BCC
join db_identity.i_beneficiarymapping BM on BCC.BeneficiaryRegID = BM.BenRegID
where BCC.ComorbidConditionID = 2
	and BCC.ComorbidConditionID = 3
	and DATE(BCC.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND BCC.providerServiceMapID = PSMID
    and date(BCC.Year) < date(BM.CreatedDate)
    
union

select distinct A.BeneficiaryRegID , 'NewDiaHTN' NewDiaHTN
 from 
 
(select 
Rx.BeneficiaryRegID,
Rx.VisitCode
 from db_iemr.t_benvisitdetail BVD
inner join db_iemr.t_prescription Rx 
  on BVD.BeneficiaryRegID = Rx.BeneficiaryRegID
    and BVD.VisitCode = Rx.VisitCode
    and (BVD.VisitCategory = 'General OPD' or BVD.VisitCategory = 'General OPD (QC)')
WHERE DATE(Rx.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND Rx.providerServiceMapID = PSMID
	AND Rx.Deleted = 0b0
    and Rx.DiagnosisProvided like '%Diabetes Mellitus%'
    and Rx.DiagnosisProvided like '%Hypertension%'

union

select 
PNCD.BeneficiaryRegID,
PNCD.VisitCode
 from db_iemr.t_benvisitdetail BVD
inner join db_iemr.t_pncdiagnosis PNCD
  on BVD.BeneficiaryRegID = PNCD.BeneficiaryRegID
    and BVD.VisitCode = PNCD.VisitCode
    and (BVD.VisitCategory = 'PNC')
WHERE DATE(PNCD.CreatedDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND PNCD.providerServiceMapID = PSMID
	AND PNCD.Deleted = 0b0
    AND PNCD.ProvisionalDiagnosis like '%Diabetes Mellitus%'
    AND PNCD.ProvisionalDiagnosis like '%Hypertension%') A

inner join db_iemr.t_prescribeddrug PD 
	on A.BeneficiaryRegID = PD.BeneficiaryRegID
    and A.VisitCode = PD.VisitCode
WHERE DATE(PD.CreatedDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND PD.providerServiceMapID = PSMID
	AND PD.Deleted = 0b0
    AND PD.GenericDrugName in ("%%")
    AND PD.GenericDrugName in ("%%");


select count(distinct BeneficiaryRegID) from AllDiaHTNTemp into v_AllDIaHTN;

    
select  v_AllDiaHTN;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `D_MMU_AllDiaTest` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `D_MMU_AllDiaTest`(IN fromDate DATETIME, IN toDate DATETIME, IN PSMID int)
BEGIN

Declare v_AllRBS int;
Declare v_AllHbA1C int;
declare v_AllUrineSugar int;

select 
count(distinct BeneficiaryRegID) into v_AllRBS
 from t_lab_testresult LTR
inner join m_procedure PR on LTR.ProcedureID = PR.ProcedureID
where DATE(LTR.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND LTR.providerServiceMapID = PSMID
    AND PR.ProcedureName like "%%";
    
select 
count(distinct BeneficiaryRegID) into v_AllHbA1C
 from t_lab_testresult LTR
inner join m_procedure PR on LTR.ProcedureID = PR.ProcedureID
where DATE(LTR.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND LTR.providerServiceMapID = PSMID
    AND PR.ProcedureName like "%%";
    
    
select 
count(distinct BeneficiaryRegID) into v_AllUrineSugar
 from t_lab_testresult LTR
inner join m_procedure PR on LTR.ProcedureID = PR.ProcedureID
where DATE(LTR.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND LTR.providerServiceMapID = PSMID
    AND PR.ProcedureName like "%%";
    
select v_AllRBS, v_AllHbA1C, v_AllUrineSugar;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `D_MMU_AllHTN` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `D_MMU_AllHTN`(IN fromDate DATETIME, IN toDate DATETIME, IN PSMID int)
BEGIN

declare v_AllHTN int;
declare v_AllHTNRef int ;
declare v_AllNTNControl int;
declare v_AllHTNFemale int;

drop temporary table if exists AllHTNTemp;

create temporary table AllHTNTemp as

select 
distinct BCC.BeneficiaryRegID , 'OldHTN' OldHTN
from db_iemr.t_bencomorbiditycondition BCC
join db_identity.i_beneficiarymapping BM on BCC.BeneficiaryRegID = BM.BenRegID
where BCC.ComorbidConditionID = 3
	and DATE(BCC.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND BCC.providerServiceMapID = PSMID
    and date(BCC.Year) < date(BM.CreatedDate)
    
union

select distinct A.BeneficiaryRegID , 'NewHTN' NewHTN
 from 
 
(select 
Rx.BeneficiaryRegID,
Rx.VisitCode
 from db_iemr.t_benvisitdetail BVD
inner join db_iemr.t_prescription Rx 
  on BVD.BeneficiaryRegID = Rx.BeneficiaryRegID
    and BVD.VisitCode = Rx.VisitCode
    and (BVD.VisitCategory = 'General OPD' or BVD.VisitCategory = 'General OPD (QC)')
WHERE DATE(Rx.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND Rx.providerServiceMapID = PSMID
	AND Rx.Deleted = 0b0
    and Rx.DiagnosisProvided like '%Hypertension%'

union

select 
PNCD.BeneficiaryRegID,
PNCD.VisitCode
 from db_iemr.t_benvisitdetail BVD
inner join db_iemr.t_pncdiagnosis PNCD
  on BVD.BeneficiaryRegID = PNCD.BeneficiaryRegID
    and BVD.VisitCode = PNCD.VisitCode
    and (BVD.VisitCategory = 'PNC')
WHERE DATE(PNCD.CreatedDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND PNCD.providerServiceMapID = PSMID
	AND PNCD.Deleted = 0b0
    AND PNCD.ProvisionalDiagnosis like '%Hypertension%' ) A

inner join db_iemr.t_prescribeddrug PD 
	on A.BeneficiaryRegID = PD.BeneficiaryRegID
    and A.VisitCode = PD.VisitCode
WHERE DATE(PD.CreatedDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND PD.providerServiceMapID = PSMID
	AND PD.Deleted = 0b0
    AND PD.GenericDrugName in ("%%");


select count(distinct BeneficiaryRegID) from AllHTNTemp into v_AllHTN;

select count(distinct AHT.BeneficiaryRegID) from AllHTNTemp AHT
	inner join db_iemr.t_benreferdetails BRD on AHT.BeneficiaryRegID = BRD.BeneficiaryRegID
	into v_AllHTNRef; 
    
    

select count(distinct AHT.BeneficiaryRegID) from AllHTNTemp AHT
	inner join db_identity.i_beneficiarymapping BM on AHT.BeneficiaryRegID = BM.BenRegID
    inner join db_identity.i_beneficiarydetails BD on BM.BenDetailsID = BD.BeneficiaryDetailsID
    where BD.GenderID = 2
	into v_AllHTNFemale; 
    
select v_AllHTN,v_AllHTNRef,v_AllHTNFemale;
    
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `D_mmu_anc` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `D_mmu_anc`(IN fromDate DATETIME, IN toDate DATETIME, IN PSMID int)
BEGIN
declare totalANC LONG;
declare newANC LONG;
declare oldANC LONG;
declare trimester1 LONG;
declare trimester2 LONG;
declare trimester3 LONG;
declare highRiskANC LONG;
declare ancReferHigerLevel LONG;

SELECT COUNT(Distinct t.BeneficiaryRegID) FROM t_benvisitdetail t WHERE DATE(t.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND providerServiceMapID = PSMID AND t.VisitCategory = 'ANC' into totalANC;
 
 SELECT COUNT(Distinct t.BeneficiaryRegID) FROM t_benvisitdetail t WHERE DATE(t.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND providerServiceMapID = PSMID AND t.VisitCategory = 'ANC' AND t.VisitNo = 1 into newANC;
 
 SELECT COUNT(Distinct t.BeneficiaryRegID) FROM t_benvisitdetail t WHERE DATE(t.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND providerServiceMapID = PSMID AND t.VisitCategory = 'ANC' AND t.VisitNo > 1 into oldANC;
 
 SELECT COUNT(Distinct BeneficiaryRegID) FROM t_anccare  WHERE DATE(CreatedDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND providerServiceMapID = PSMID AND TrimesterNumber = 1 into trimester1;
 
SELECT COUNT(Distinct BeneficiaryRegID) FROM t_anccare t WHERE DATE(CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND providerServiceMapID = PSMID AND TrimesterNumber = 2 into trimester2;
 
SELECT COUNT(Distinct BeneficiaryRegID) FROM t_anccare t WHERE DATE(CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND providerServiceMapID = PSMID AND TrimesterNumber = 3 into trimester3;
 
 SELECT COUNT(Distinct TBVD.BeneficiaryRegID) 
 FROM t_benvisitdetail TBVD INNER JOIN t_ancdiagnosis TAD ON TBVD.BeneficiaryRegID = TAD.BeneficiaryRegID
  AND TBVD.VisitCode = TAD.VisitCode AND DATE(TBVD.CreatedDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
  AND TBVD.providerServiceMapID = PSMID AND length(TAD.ComplicationOfCurrentPregnancy) > 1 AND TAD.ComplicationOfCurrentPregnancy != 'None'
  INTO highRiskANC;
  
SELECT COUNT(Distinct TBR.BeneficiaryRegID)
  FROM t_benvisitdetail TBVD INNER JOIN t_benreferdetails TBR ON TBVD.BeneficiaryRegID = TBR.BeneficiaryRegID
  AND TBVD.VisitCode = TBR.VisitCode AND DATE(TBVD.CreatedDate) BETWEEN DATE(fromDate) AND DATE(toDate)  
  AND TBVD.providerServiceMapID = PSMID AND TBVD.VisitCategory = 'ANC' AND TBR.referredToInstituteID is not null INTO ancReferHigerLevel;


SELECT totalANC, newANC, oldANC, trimester1, trimester2, trimester3, highRiskANC, ancReferHigerLevel;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `D_mmu_below_5` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `D_mmu_below_5`(IN fromDate DATETIME, IN toDate DATETIME, IN PSMID int)
BEGIN
declare totalPatient LONG;
declare totalBelow5 LONG;
declare newBelow5 LONG;
declare oldBelow5 LONG;
declare femaleBelow5 LONG;
declare referredBelow5 LONG;

SELECT Count(Distinct beneficiary_reg_id) FROM i_ben_flow_outreach WHERE DATE(visitDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND ben_age_val <= 5 AND providerServiceMapID = PSMID AND beneficiary_visit_code is not null INTO totalBelow5;

SELECT Count(Distinct beneficiary_reg_id) FROM i_ben_flow_outreach WHERE DATE(visitDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND ben_age_val <= 5 AND providerServiceMapID = PSMID AND visit_no = 1 AND beneficiary_visit_code is not null INTO newBelow5;

SELECT Count(Distinct beneficiary_reg_id) FROM i_ben_flow_outreach WHERE DATE(visitDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND ben_age_val <= 5 AND providerServiceMapID = PSMID AND visit_no > 1 AND beneficiary_visit_code is not null INTO oldBelow5;

SELECT Count(Distinct beneficiary_reg_id) FROM i_ben_flow_outreach WHERE DATE(visitDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND ben_age_val <= 5 AND providerServiceMapID = PSMID AND ben_gender_val = 2 AND beneficiary_visit_code is not null INTO femaleBelow5;
 
SELECT COUNT(Distinct TBR.BeneficiaryRegID)
  FROM i_ben_flow_outreach IBFO INNER JOIN t_benreferdetails TBR ON IBFO.beneficiary_reg_id = TBR.BeneficiaryRegID
  AND IBFO.beneficiary_visit_code = TBR.VisitCode AND DATE(IBFO.visitDate) BETWEEN DATE(fromDate) AND DATE(toDate)  
  AND IBFO.providerServiceMapID = PSMID AND IBFO.ben_age_val <= 5 AND TBR.referredToInstituteID is not null INTO referredBelow5;
  
SELECT Count(Distinct beneficiary_reg_id) FROM i_ben_flow_outreach WHERE DATE(visitDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND providerServiceMapID = PSMID AND beneficiary_visit_code is not null INTO totalPatient;

SELECT totalBelow5, newBelow5, oldBelow5, femaleBelow5, referredBelow5, totalPatient;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `D_mmu_common` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `D_mmu_common`(IN fromDate DATETIME, IN toDate DATETIME, IN PSMID int)
BEGIN
declare totalPatient LONG; 
declare newPatient LONG; 
declare oldPatient LONG; 
declare femalePatient LONG;

SELECT COUNT(Distinct beneficiary_reg_id) FROM i_ben_flow_outreach WHERE DATE(visitDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND providerServiceMapID = PSMID INTO totalPatient;

SELECT COUNT(Distinct beneficiary_reg_id) FROM i_ben_flow_outreach WHERE DATE(visitDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND providerServiceMapID = PSMID AND visit_no = 1 INTO newPatient;

 SELECT COUNT(Distinct beneficiary_reg_id) FROM i_ben_flow_outreach WHERE DATE(visitDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND providerServiceMapID = PSMID AND visit_no > 1 INTO oldPatient;

 SELECT COUNT(Distinct beneficiary_reg_id) FROM i_ben_flow_outreach WHERE DATE(visitDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND providerServiceMapID = PSMID AND ben_gender_val = 2 INTO femalePatient;
 
 select totalPatient, newPatient, oldPatient,  femalePatient ;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `D_MMU_NewDiabetic` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `D_MMU_NewDiabetic`(IN fromDate DATETIME, IN toDate DATETIME, IN PSMID int)
BEGIN

declare v_NewDiabetic int;

select count(distinct BeneficiaryRegID) into v_NewDiabetic
 from 
(select 
Rx.BeneficiaryRegID,
Rx.VisitCode
 from db_iemr.t_benvisitdetail BVD
inner join db_iemr.t_prescription Rx 
  on BVD.BeneficiaryRegID = Rx.BeneficiaryRegID
    and BVD.VisitCode = Rx.VisitCode
    and (BVD.VisitCategory = 'General OPD' or BVD.VisitCategory = 'General OPD (QC)')
WHERE DATE(Rx.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND Rx.providerServiceMapID = PSMID
	AND Rx.Deleted = 0b0
    and Rx.DiagnosisProvided like '%Diabetes Mellitus%'

union

select 
PNCD.BeneficiaryRegID,
PNCD.VisitCode
 from db_iemr.t_benvisitdetail BVD
inner join db_iemr.t_pncdiagnosis PNCD
  on BVD.BeneficiaryRegID = PNCD.BeneficiaryRegID
    and BVD.VisitCode = PNCD.VisitCode
    and (BVD.VisitCategory = 'PNC')
WHERE DATE(PNCD.CreatedDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND PNCD.providerServiceMapID = PSMID
	AND PNCD.Deleted = 0b0
    AND PNCD.ProvisionalDiagnosis like '%Diabetes Mellitus%' ) A

inner join db_iemr.t_prescribeddrug PD 
	on A.BeneficiaryRegID = PD.BenefciaryRegID
    and A.VisitCode = PD.VisitCode
WHERE DATE(PD.CreatedDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND PD.providerServiceMapID = PSMID
	AND PD.Deleted = 0b0
    AND PD.GenericDrugName in ("%%");

select v_NewDiabetic;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `D_MMU_NewDiaDetected` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `D_MMU_NewDiaDetected`(IN fromDate DATETIME, IN toDate DATETIME, IN PSMID int)
BEGIN

declare v_NewDiaDetected int;
declare v_NewDiaTreatment int;

drop temporary table if exists NewDiaDetected;

create temporary table NewDiaDetected as

select *  from(
select distinct LTR.BeneficiaryRegID,LTR.ProcedureID,LTR.TestResultValue
,LTR.prescriptionid,
case when PR.procedureName= '' and LTR.TestResultValue <160 then 1 else 0 end as RBSValue, 
case when PR.procedureName= ''and LTR.TestResultValue <7 then 1 else 0 end as HbA1CValue, 
case when PR.procedureName= '' and LTR.TestResultValue <180 then 1 else 0 end as USTValue  
 from
 
(select 
Rx.BeneficiaryRegID,
Rx.VisitCode
 from db_iemr.t_benvisitdetail BVD
inner join db_iemr.t_prescription Rx 
  on BVD.BeneficiaryRegID = Rx.BeneficiaryRegID
    and BVD.VisitCode = Rx.VisitCode
    and (BVD.VisitCategory = 'General OPD' or BVD.VisitCategory = 'General OPD (QC)')
WHERE DATE(Rx.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND Rx.providerServiceMapID = PSMID
  AND Rx.Deleted = 0b0
    and Rx.DiagnosisProvided like '%Diabetes Mellitus%'

union

select 
PNCD.BeneficiaryRegID,
PNCD.VisitCode
 from db_iemr.t_benvisitdetail BVD
inner join db_iemr.t_pncdiagnosis PNCD
  on BVD.BeneficiaryRegID = PNCD.BeneficiaryRegID
    and BVD.VisitCode = PNCD.VisitCode
    and (BVD.VisitCategory = 'PNC')
WHERE DATE(PNCD.CreatedDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND PNCD.providerServiceMapID = PSMID
  AND PNCD.Deleted = 0b0
    AND PNCD.ProvisionalDiagnosis like '%Diabetes Mellitus%' ) X

  inner join  t_lab_testresult LTR on LTR.BeneficiaryRegID=X.BeneficiaryRegID
inner join m_procedure PR on LTR.ProcedureID = PR.ProcedureID
where DATE(LTR.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND LTR.providerServiceMapID = PSMID
    AND PR.ProcedureName like "%%" having ((RBSValue=1) or (HbA1CValue=1) or (USTValue=1))) Y  
    ;

select count(distinct BeneficiaryRegID) from NewDiaDetected into v_NewDiaDetected;

select count(distinct T.BeneficiaryRegID) from NewDiaDetected  T
inner join t_prescribeddrug PD on PD.PrescriptionID=T.prescriptionid
where PD.GenericDrugName in('') into v_NewDiaTreatment; 

select v_NewDiaDetected, v_NewDiaTreatment;
    
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `D_MMU_NewHTN` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `D_MMU_NewHTN`(IN fromDate DATETIME, IN toDate DATETIME, IN PSMID int)
BEGIN

declare v_NewHTN int;
    
select count(distinct BeneficiaryRegID) into v_NewHTN
 from 
(select 
Rx.BeneficiaryRegID,
Rx.VisitCode
 from db_iemr.t_benvisitdetail BVD
inner join db_iemr.t_prescription Rx 
  on BVD.BeneficiaryRegID = Rx.BeneficiaryRegID
    and BVD.VisitCode = Rx.VisitCode
    and (BVD.VisitCategory = 'General OPD' or BVD.VisitCategory = 'General OPD (QC)')
WHERE DATE(Rx.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND Rx.providerServiceMapID = PSMID
	AND Rx.Deleted = 0b0
    and Rx.DiagnosisProvided like '%Hypertension%'

union

select 
PNCD.BeneficiaryRegID,
PNCD.VisitCode
 from db_iemr.t_benvisitdetail BVD
inner join db_iemr.t_pncdiagnosis PNCD
  on BVD.BeneficiaryRegID = PNCD.BeneficiaryRegID
    and BVD.VisitCode = PNCD.VisitCode
    and (BVD.VisitCategory = 'PNC')
WHERE DATE(PNCD.CreatedDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND PNCD.providerServiceMapID = PSMID
	AND PNCD.Deleted = 0b0
    AND PNCD.ProvisionalDiagnosis like '%Hypertension%' ) A

inner join db_iemr.t_prescribeddrug PD 
	on A.BeneficiaryRegID = PD.BenefciaryRegID
    and A.VisitCode = PD.VisitCode
WHERE DATE(PD.CreatedDate) BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND PD.providerServiceMapID = PSMID
	AND PD.Deleted = 0b0
    AND PD.GenericDrugName in ("%%");

select v_NewHTN;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `D_MMU_OldDiabetic` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `D_MMU_OldDiabetic`(IN fromDate DATETIME, IN toDate DATETIME, IN PSMID int)
BEGIN

declare v_OldDiabetic int;

select 
count(distinct BCC.BeneficiaryRegID) into v_OldDiabetic
from db_iemr.t_bencomorbiditycondition BCC
join db_identity.i_beneficiarymapping BM on BCC.BeneficiaryRegID = BM.BenRegID
where BCC.ComorbidConditionID = 2
	and DATE(BCC.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND BCC.providerServiceMapID = PSMID
    and date(BCC.Year) < date(BM.CreatedDate);

select v_OldDiabetic;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `D_MMU_OldDiaFollowUp` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `D_MMU_OldDiaFollowUp`(IN fromDate DATETIME, IN toDate DATETIME, IN PSMID int)
BEGIN

declare v_OldDiaFollowUp int;

select 
count(distinct BCC.BeneficiaryRegID) into v_OldDiaFollowUp
from db_iemr.t_BenVisitDetail BVD 
inner join  db_iemr.t_bencomorbiditycondition BCC on BVD.BeneficiaryRegID = BCC.BeneficiaryRegID
join db_identity.i_beneficiarymapping BM on BCC.BeneficiaryRegID = BM.BenRegID
where BCC.ComorbidConditionID = 2
	and DATE(BVD.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND BCC.providerServiceMapID = PSMID
    and date(BCC.Year) < date(BM.CreatedDate)
    AND VisitReason = "Follow Up";

select v_OldDiaFollowUp;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `D_MMU_OldDiaTest` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `D_MMU_OldDiaTest`(IN fromDate DATETIME, IN toDate DATETIME, IN PSMID int)
BEGIN


Declare v_OldRBS int;
Declare v_OldHbA1C int;
declare v_OldUrineSugar int;

select 
count(distinct BCC.BeneficiaryRegID) into v_OldRBS
from db_iemr.t_bencomorbiditycondition BCC
join db_identity.i_beneficiarymapping BM on BCC.BeneficiaryRegID = BM.BenRegID
join db_iemr.t_lab_testresult LTR on BCC.BeneficiaryRegID = LTR.BeneficiaryRegID 	
	and BCC.VisitCode = LTR.VisitCode
inner join m_procedure PR on LTR.ProcedureID = PR.ProcedureID
where BCC.ComorbidConditionID = 2
	and BCC.Year < BM.CreatedDate 
	and DATE(BCC.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND BCC.providerServiceMapID = PSMID
    AND PR.ProcedureName like "%%";
    
select 
count(distinct BCC.BeneficiaryRegID) into v_OldHbA1C
from db_iemr.t_bencomorbiditycondition BCC
join db_identity.i_beneficiarymapping BM on BCC.BeneficiaryRegID = BM.BenRegID
join db_iemr.t_lab_testresult LTR on BCC.BeneficiaryRegID = LTR.BeneficiaryRegID 	
	and BCC.VisitCode = LTR.VisitCode
inner join m_procedure PR on LTR.ProcedureID = PR.ProcedureID
where BCC.ComorbidConditionID = 2
	and BCC.Year < BM.CreatedDate 
	and DATE(BCC.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND BCC.providerServiceMapID = PSMID
    AND PR.ProcedureName like "%%";
    
select 
count(distinct BCC.BeneficiaryRegID) into v_OldUrineSugar
from db_iemr.t_bencomorbiditycondition BCC
join db_identity.i_beneficiarymapping BM on BCC.BeneficiaryRegID = BM.BenRegID
join db_iemr.t_lab_testresult LTR on BCC.BeneficiaryRegID = LTR.BeneficiaryRegID 	
	and BCC.VisitCode = LTR.VisitCode
inner join m_procedure PR on LTR.ProcedureID = PR.ProcedureID
where BCC.ComorbidConditionID = 2
	and BCC.Year < BM.CreatedDate 
	and DATE(BCC.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND BCC.providerServiceMapID = PSMID
    AND PR.ProcedureName like "%%";
    
select v_OldRBS, v_OldHbA1C , v_OldUrineSugar;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `D_MMU_OldHTN` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `D_MMU_OldHTN`(IN fromDate DATETIME, IN toDate DATETIME, IN PSMID int)
BEGIN

declare v_OldHTN int;

select 
count(distinct BCC.BeneficiaryRegID) into v_OldHTN
from db_iemr.t_bencomorbiditycondition BCC
join db_identity.i_beneficiarymapping BM on BCC.BeneficiaryRegID = BM.BenRegID
where BCC.ComorbidConditionID = 3
	and DATE(BCC.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND BCC.providerServiceMapID = PSMID
    and date(BCC.Year) < date(BM.CreatedDate);

select v_OldHTN;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `D_MMU_OldHTNFollowUp` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `D_MMU_OldHTNFollowUp`(IN fromDate DATETIME, IN toDate DATETIME, IN PSMID int)
BEGIN

declare v_OldHTNFollowUp int;

select 
count(distinct BCC.BeneficiaryRegID) into v_OldHTNFollowUp
from db_iemr.t_BenVisitDetail BVD 
inner join  db_iemr.t_bencomorbiditycondition BCC on BVD.BeneficiaryRegID = BCC.BeneficiaryRegID
join db_identity.i_beneficiarymapping BM on BCC.BeneficiaryRegID = BM.BenRegID
where BCC.ComorbidConditionID = 3
	and DATE(BVD.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
    AND BCC.providerServiceMapID = PSMID
    and date(BCC.Year) < date(BM.CreatedDate)
    AND VisitReason = "Follow Up";

select v_OldHTNFollowUp;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `D_mmu_pnc` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `D_mmu_pnc`(IN fromDate DATETIME, IN toDate DATETIME, IN PSMID int)
BEGIN
declare totalPNC LONG;
declare newPNC LONG;
declare oldPNC LONG;
declare pncReferTohigerLevel LONG;

SELECT COUNT(Distinct t.BeneficiaryRegID) FROM t_benvisitdetail t WHERE DATE(t.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND providerServiceMapID = PSMID AND t.VisitCategory = 'PNC' into totalPNC;
 
 SELECT COUNT(Distinct t.BeneficiaryRegID) FROM t_benvisitdetail t WHERE DATE(t.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND providerServiceMapID = PSMID AND t.VisitCategory = 'PNC' AND t.VisitNo = 1 into newPNC;
 
 SELECT COUNT(Distinct t.BeneficiaryRegID) FROM t_benvisitdetail t WHERE DATE(t.CreatedDate)  BETWEEN DATE(fromDate) AND DATE(toDate) 
 AND providerServiceMapID = PSMID AND t.VisitCategory = 'PNC' AND t.VisitNo > 1 into oldPNC;
 
 SELECT COUNT(Distinct TBR.BeneficiaryRegID)
  FROM t_benvisitdetail TBVD INNER JOIN t_benreferdetails TBR ON TBVD.BeneficiaryRegID = TBR.BeneficiaryRegID
  AND TBVD.VisitCode = TBR.VisitCode AND DATE(TBVD.CreatedDate) BETWEEN DATE(fromDate) AND DATE(toDate)  
  AND TBVD.providerServiceMapID = PSMID AND TBVD.VisitCategory = 'PNC' AND TBR.referredToInstituteID is not null INTO pncReferTohigerLevel;
  
  SELECT totalPNC, newPNC, oldPNC, pncReferTohigerLevel;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `FHIR_R_AllergyIntolerance` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `FHIR_R_AllergyIntolerance`(
# IN parameter
 IN beneficiaryRegID_IN bigint(20), IN visitCode_IN bigint(20), 
# OUT parameter
OUT ID_OUT bigint(20), OUT beneficiaryRegID_OUT bigint(20), OUT visitCode_OUT bigint(20), OUT providerServiceMapID_OUT int(11), 
OUT vanID_OUT int(11), OUT allergyStatus_OUT varchar(20), OUT allergyType_OUT varchar(20),
  OUT sctcode_OUT varchar(30), OUT sctTerm_OUT varchar(500), OUT createdDate_OUT datetime, 
  OUT createdBy_OUT varchar(50), OUT AllergicReactionType_OUT varchar(750)
)
BEGIN 

SELECT ID, beneficiaryRegID , visitCode, providerServiceMapID, vanID, allergyStatus, allergyType, sctcode,
 sctTerm, createdDate, createdBy, AllergicReactionType
  FROM t_benallergyhistory 
  WHERE BeneficiaryRegID = beneficiaryRegID_IN AND VisitCode = visitCode_IN AND
  AllergyStatus = 'yes' AND Sctcode IS NOT NULL
  AND length(Sctcode)  > 0 AND Deleted is not true;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `FHIR_R_Appointment` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `FHIR_R_Appointment`(
# IN parameter
 IN beneficiaryRegID_IN bigint(20), IN visitCode_IN bigint(20), 
# OUT parameter
OUT id_OUT bigint(20), OUT beneficiaryRegID_OUT bigint(20), OUT visitCode_OUT bigint(20),
 OUT providerServiceMapID_OUT int(11), OUT vanID_OUT int(11), 
 OUT status_OUT char(4), OUT requestDate_OUT datetime, OUT userID_OUT int(11), OUT sName_OUT varchar(250)
, OUT designationID_OUT int(11), OUT designationName_OUT varchar(100),
   OUT createdDate_OUT datetime, OUT createdBy_OUT varchar(50)
)
BEGIN 

 SELECT t1.TMRequestID, t1.beneficiaryRegID, t1.visitCode, t1.providerServiceMapID, t1.vanID, t1.Status, t1.RequestDate, 
t1.UserID as sUserID, concat(ifnull(t2.FirstName, "")," " ,ifnull(t2.MiddleName, ""), ifnull(t2.LastName, "")) sName, 
t2.DesignationID, t3.DesignationName , 
t1.createdDate, t1.createdBy
FROM t_tmrequest t1 inner join m_user t2 on t1.UserID = t2.UserID
Inner join m_designation t3 on t2.DesignationID = t3.DesignationID
WHERE t1.BeneficiaryRegID = beneficiaryRegID_IN AND t1.VisitCode = visitCode_IN;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `FHIR_R_ChiefComplaints` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `FHIR_R_ChiefComplaints`(
# IN parameter
 IN beneficiaryRegID_IN bigint(20), IN visitCode_IN bigint(20), 
# OUT parameter
OUT chiefComplaint_OUT varchar(1000), OUT sCTCode_OUT varchar(100), OUT duration_OUT int(11),
 OUT unitOfDuration_OUT varchar(30), 
OUT description_OUT varchar(300), OUT createdDate_OUT datetime, OUT createdBy_OUT varchar(50)
)
BEGIN 

SELECT 
ChiefComplaint, SCTCode, Duration, UnitOfDuration, Description,
CreatedDate,
CreatedBy
FROM t_benchiefcomplaint 
WHERE BeneficiaryRegID = beneficiaryRegID_IN AND VisitCode = visitCode_IN AND
ChiefComplaint is not null AND length(ChiefComplaint) > 0
 AND Deleted is not true;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `FHIR_R_Diagnosis` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `FHIR_R_Diagnosis`(
# IN parameter
 IN beneficiaryRegID_IN bigint(20), IN visitCode_IN bigint(20), 
# OUT parameter
OUT prescriptionID_OUT bigint(20), OUT beneficiaryRegID_OUT bigint(20), OUT visitCode_OUT bigint(20),
 OUT providerServiceMapID_OUT int(11), 
OUT vanID_OUT int(11), OUT DiagnosisSctTerm_OUT text, OUT DiagnosisSctCode_OUT text,
   OUT createdDate_OUT datetime, OUT createdBy_OUT varchar(50)
)
BEGIN 

SELECT PrescriptionID ,
BeneficiaryRegID,VisitCode,ProviderServiceMapID,VanID,
DiagnosisProvided as DiagnosisSctTerm,
DiagnosisProvided_SCTCode as DiagnosisSctCode,
CreatedDate,
CreatedBy
FROM t_prescription 
WHERE BeneficiaryRegID = beneficiaryRegID_IN AND VisitCode = visitCode_IN AND
DiagnosisProvided_SCTCode is not null AND DiagnosisProvided_SCTCode != "N/A" 
AND length(DiagnosisProvided_SCTCode) > 0
 AND Deleted is not true
 union
 
SELECT PrescriptionID ,
BeneficiaryRegID,VisitCode,ProviderServiceMapID,VanID,
ProvisionalDiagnosis as DiagnosisSctTerm,
ProvisionalDiagnosis_SCTCode as DiagnosisSctCode,
CreatedDate,
CreatedBy
FROM t_pncdiagnosis 
WHERE BeneficiaryRegID = beneficiaryRegID_IN AND VisitCode = visitCode_IN AND
ProvisionalDiagnosis_SCTCode is not null AND ProvisionalDiagnosis_SCTCode != "N/A" 
AND length(ProvisionalDiagnosis_SCTCode) > 0
 AND Deleted is not true
 union
 SELECT PrescriptionID ,
BeneficiaryRegID,VisitCode,ProviderServiceMapID,VanID,
NCD_Condition as DiagnosisSctTerm,
null as DiagnosisSctCode,
CreatedDate,
CreatedBy
FROM t_ncddiagnosis 
WHERE BeneficiaryRegID = beneficiaryRegID_IN AND VisitCode = visitCode_IN AND
NCD_Condition is not null AND NCD_Condition != "N/A" 
AND length(NCD_Condition) > 0
 AND Deleted is not true
 union
 SELECT null PrescriptionID ,
BeneficiaryRegID,VisitCode,ProviderServiceMapID,VanID,
ProvisionalDiagnosisPrimaryDoctor as DiagnosisSctTerm,
null as DiagnosisSctCode,
CreatedDate,
CreatedBy
FROM t_cancerdiagnosis 
WHERE BeneficiaryRegID = beneficiaryRegID_IN AND VisitCode = visitCode_IN AND
ProvisionalDiagnosisPrimaryDoctor is not null AND ProvisionalDiagnosisPrimaryDoctor != "N/A" 
AND length(ProvisionalDiagnosisPrimaryDoctor) > 0
 AND Deleted is not true;


END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `FHIR_R_DiagnosticReportLab` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `FHIR_R_DiagnosticReportLab`(
# IN parameter
 IN beneficiaryRegID_IN bigint(20), IN visitCode_IN bigint(20), 
# OUT parameter
OUT id_OUT bigint(20), OUT beneficiaryRegID_OUT bigint(20), OUT visitCode_OUT bigint(20),
 OUT providerServiceMapID_OUT int(11), OUT vanID_OUT int(11), OUT ProcedureID_OUT int, OUT TestComponentID_OUT int,
  OUT procedurename_OUT  varchar(100),OUT TestComponentName_OUT varchar(100),OUT TestResultValue_OUT varchar(30), 
  OUT Range_min_OUT decimal(7,2),OUT Range_max_OUT decimal(7,2),
  OUT Loinc_Num_OUT varchar(10), OUT loinc_Component_OUT varchar(255), 
   OUT createdDate_OUT datetime, OUT createdBy_OUT varchar(50), OUT remarks_OUT varchar(250), 
   OUT TestResultUnit_OUT varchar(30) 
)
BEGIN 

  SELECT t.ID, t.beneficiaryRegID, t.visitCode, t.providerServiceMapID,t.vanID, 
  t.ProcedureID, t.TestComponentID, p.procedurename,c.TestComponentName,t.TestResultValue, c.Range_min,c.Range_max,
  c.Loinc_Num, c.loinc_Component, 
  t.createdDate, t.createdBy, t.remarks, t.TestResultUnit
FROM t_lab_testresult t
left join m_procedure p on p.procedureid=t.ProcedureID
left join m_testcomponent c on c.TestComponentID=t.TestComponentID 
WHERE BeneficiaryRegID = beneficiaryRegID_IN AND VisitCode = visitCode_IN AND
t.Deleted IS NOT TRUE ;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `FHIR_R_Encounter` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `FHIR_R_Encounter`(
# IN parameter
 IN beneficiaryRegID_IN bigint(20), IN visitCode_IN bigint(20), 
# OUT parameter
OUT id_OUT bigint(20), OUT beneficiaryRegID_OUT bigint(20), OUT visitCode_OUT bigint(20),
 OUT providerServiceMapID_OUT int(11), OUT vanID_OUT int(11), 
 OUT nurseFlag_OUT int, OUT doctorFlag_OUT int, OUT specialistFlag int(11),
   OUT createdDate_OUT datetime, OUT createdBy_OUT varchar(50)
)
BEGIN 

 SELECT 
 ben_flow_id,
beneficiary_reg_id, 
beneficiary_visit_code,
providerServiceMapID,
vanID,
nurse_flag,
doctor_flag,
specialist_flag,
created_date,
created_by
FROM i_ben_flow_outreach
WHERE beneficiary_reg_id = beneficiaryRegID_IN AND beneficiary_visit_code = visitCode_IN;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `FHIR_R_FamilyMemberHistory` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `FHIR_R_FamilyMemberHistory`(
# IN parameter
 IN beneficiaryRegID_IN bigint(20), IN visitCode_IN bigint(20), 
# OUT parameter
OUT id_OUT bigint(20), OUT beneficiaryRegID_OUT bigint(20), OUT visitCode_OUT bigint(20),
 OUT providerServiceMapID_OUT int(11), OUT vanID_OUT int(11), 
  OUT familyMember_OUT varchar(500), OUT sctcode_OUT varchar(30), OUT sctTerm_OUT varchar(500),
   OUT createdDate_OUT datetime, OUT createdBy_OUT varchar(50)
)
BEGIN 

  SELECT id, beneficiaryRegID, visitCode, providerServiceMapID,vanID, 
  familyMember, sctcode, sctTerm, 
  createdDate, createdBy
FROM t_benfamilyhistory 
WHERE BeneficiaryRegID = beneficiaryRegID_IN AND VisitCode = visitCode_IN AND
Deleted IS NOT TRUE AND FamilyMember IS NOT NULL AND length(FamilyMember) > 0 AND
 Sctcode IS NOT NULL  AND length(Sctcode) > 0 AND Sctcode != 'N/A';

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `FHIR_R_Immunization` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `FHIR_R_Immunization`(
# IN parameter
 IN beneficiaryRegID_IN bigint(20), IN visitCode_IN bigint(20), 
# OUT parameter
OUT id_OUT bigint(20), OUT beneficiaryRegID_OUT bigint(20), OUT visitCode_OUT bigint(20),
 OUT providerServiceMapID_OUT int(11), OUT vanID_OUT int(11), 
  OUT DefaultReceivingAge_OUT varchar(15), OUT VaccineName_OUT varchar(30), 
  OUT ReceivedDate_OUT datetime, OUT ReceivedFacilityName_OUT varchar(20),
 
  OUT sctcode_OUT varchar(30), OUT sctTerm_OUT varchar(500),
   OUT createdDate_OUT datetime, OUT createdBy_OUT varchar(50)
)
BEGIN 

  SELECT ID, beneficiaryRegID, visitCode, providerServiceMapID,vanID, 
   DefaultReceivingAge,VaccineName,ReceivedDate,ReceivedFacilityName,
  sctcode, sctTerm, 
  createdDate, createdBy
FROM t_childvaccinedetail1 
WHERE BeneficiaryRegID = beneficiaryRegID_IN AND VisitCode = visitCode_IN AND
Deleted IS NOT TRUE   AND
 Sctcode IS NOT NULL  AND length(Sctcode) > 0 AND Sctcode != 'N/A';

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `FHIR_R_MedicationStatement` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `FHIR_R_MedicationStatement`(
# IN parameter
 IN beneficiaryRegID_IN bigint(20), IN visitCode_IN bigint(20), 
# OUT parameter
OUT id_OUT bigint(20), OUT beneficiaryRegID_OUT bigint(20), OUT visitCode_OUT bigint(20),
 OUT providerServiceMapID_OUT int(11), OUT vanID_OUT int(11), 
  OUT DrugForm_OUT varchar(15), OUT GenericDrugName_OUT varchar(300), OUT DrugStrength_OUT varchar(50), 
  OUT Dose_OUT varchar(30), OUT Route_OUT varchar(30), OUT Frequency_OUT varchar(30),
   OUT Duration_OUT varchar(30), OUT DuartionUnit_OUT varchar(30),
   OUT SpecialInstruction_OUT varchar(100), OUT QtyPrescribed_OUT int(11),
 
  OUT sctcode_OUT varchar(30), OUT sctTerm_OUT varchar(500),
   OUT createdDate_OUT datetime, OUT createdBy_OUT varchar(50)
)
BEGIN 

  SELECT PrescribedDrugID, beneficiaryRegID, visitCode, providerServiceMapID,vanID, 
  DrugForm,GenericDrugName,DrugStrength,Dose,Route,Frequency,Duration,DuartionUnit,
  SpecialInstruction,QtyPrescribed,
  sctcode, sctTerm, 
  createdDate, createdBy
FROM t_prescribeddrug 
WHERE BeneficiaryRegID = beneficiaryRegID_IN AND VisitCode = visitCode_IN AND
Deleted IS NOT TRUE ;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `FHIR_R_PatientDemographic` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `FHIR_R_PatientDemographic`(
# IN parameter
 IN beneficiaryRegID_IN bigint(20),  
# OUT parameter
OUT HealthId_OUT varchar(100),
 OUT HealthIdNo_OUT varchar(100),
 OUT BenRegId_OUT bigint(20),
 OUT BeneficiaryID_OUT bigint(20),
  OUT Name_OUT varchar(200),
  OUT GenderID_OUT int(11),
OUT Gender_OUT varchar(20),
 OUT MaritalStatusId_OUT int(11),
 OUT MaritalStatus_OUT varchar(20),
 OUT DOB_OUT datetime,
 OUT PreferredPhoneNum_OUT varchar(25),
 OUT PermCountry_OUT varchar(100),
OUT PermState_OUT varchar(100),
 OUT PermDistrict_OUT varchar(100),
 OUT ProviderServiceMapID_OUT int(11),
OUT createdDate_OUT datetime,
 OUT createdBy_OUT varchar(50),
  OUT healthCreatedDate_OUT datetime
   
)
BEGIN 

SELECT
BH.HealthID,
BH.HealthIDNumber,
BM.BenRegId,
BR.BeneficiaryID,
concat(IFNULL(BD.Title,''),' ',
IFNULL(BD.FirstName,''),' ',
IFNULL(BD.MiddleName,''),' ',
IFNULL(BD.LastName,'')) Name,
BD.GenderId,
BD.Gender,
BD.MaritalStatusId,
BD.MaritalStatus,
BD.DOB,
BC.PreferredPhoneNum,
BA.PermCountry,
BA.PermState,
BA.PermDistrict,
BR.ProviderServiceMapID,
BM.CreatedDate,
BM.CreatedBy,
BH.CreatedDate healthCreatedDate
FROM db_identity.i_BeneficiaryDetails BD
LEFT JOIN db_identity.i_beneficiarymapping BM ON BM.BenDetailsId = BD.BeneficiaryDetailsId
LEFT JOIN db_identity.i_BeneficiaryContacts BC ON BC.BenContactsID = BM.BenContactsId
LEFT JOIN db_identity.i_beneficiaryaddress BA ON BA.BenAddressID = BM.BenAddressId
LEFT JOIN db_identity.m_beneficiaryregidmapping BR ON BR.BenRegId = BM.BenRegId
LEFT JOIN db_iemr.m_benhealthidmapping BH ON BM.BenRegId=BH.BeneficiaryRegID
 WHERE BR.BenRegId= beneficiaryRegID_IN;
 
 end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `FHIR_R_Vitals_Anthropometry` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `FHIR_R_Vitals_Anthropometry`(
# IN parameter
IN beneficiaryRegID_IN bigint(20), IN visitCode_IN bigint(20),
# OUT parameter
OUT Temperature_OUT decimal(5,2),  OUT PulseRate_OUT smallint,
OUT  RespiratoryRate_OUT smallint,
 OUT SystolicBP_1stReading_OUT smallint,
 OUT DiastolicBP_1stReading_OUT smallint,
 OUT  AverageSystolicBP_OUT smallint,
 OUT AverageDiastolicBP_OUT smallint,
 OUT BloodPressureStatusID_OUT smallint,
 OUT BloodPressureStatus_OUT varchar(30),
 OUT BloodGlucose_Fasting_OUT smallint,
 OUT BloodGlucose_Random_OUT smallint,
 OUT Weight_Kg decimal(5,2),
 OUT  Height_cm  decimal(5,2),
 OUT  BMI decimal(5,2), OUT createdDate_OUT datetime, OUT createdBy_OUT varchar(50)
)
BEGIN

select V.BeneficiaryRegID ,
  V.ProviderServiceMapID ,
  V.VisitCode ,
  V.Temperature ,
  V.PulseRate ,
  V.RespiratoryRate ,
  V.SystolicBP_1stReading ,
  V.DiastolicBP_1stReading ,
   V.AverageSystolicBP ,
  V.AverageDiastolicBP ,
  V.BloodPressureStatusID ,
  V.BloodPressureStatus ,
  V.BloodGlucose_Fasting  ,
  V.BloodGlucose_Random ,
A.Weight_Kg ,
   A.Height_cm  ,
   A.BMI ,  V.CreatedDate ,
   V.CreatedBy 
 from db_iemr.t_phy_vitals v
left join db_iemr.t_phy_anthropometry A on A.beneficiaryregid=V.beneficiaryregid and 
A.VisitCode=V.VisitCode
  WHERE v.BeneficiaryRegID = beneficiaryRegID_IN AND v.VisitCode = visitCode_IN
   and v.deleted is false
   union
   
select V.BeneficiaryRegID ,
  V.ProviderServiceMapID ,
  V.VisitCode ,
  null Temperature ,
 null PulseRate ,
  null RespiratoryRate ,
  V.SystolicBP_1stReading ,
  V.DiastolicBP_1stReading ,
   null AverageSystolicBP ,
  null AverageDiastolicBP ,
 null BloodPressureStatusID ,
  null BloodPressureStatus ,
  V.BloodGlucose_Fasting  ,
  V.BloodGlucose_Random ,
v.Weight_Kg ,
   v.Height_cm  ,
   null as BMI ,  V.CreatedDate ,
   V.CreatedBy 
 from db_iemr.t_cancervitals v
  WHERE v.BeneficiaryRegID = beneficiaryRegID_IN AND v.VisitCode = visitCode_IN
   and v.deleted is false
   ;
 
 end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `getANCRecIFATab` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `getANCRecIFATab`(fromDate DATETIME, toDate DATETIME, PSMID int)
BEGIN
SELECT COUNT(DISTINCT PI.BeneficiaryRegID)
FROM t_benvisitdetail BVD
INNER JOIN t_patientissue PI ON BVD.BeneficiaryRegID = PI.BeneficiaryRegID AND BVD.VisitCode = PI.VisitCode AND BVD.VisitCategory = 'ANC' AND BVD.ProviderServiceMapID = PSMID
INNER JOIN t_itemstockexit ISEX ON PI.PatientIssueID = ISEX.ExitTypeID AND ISEX.ExitType = 'T_PatientIssue'
INNER JOIN t_itemstockentry ISEN ON ISEX.ItemStockEntryID = ISEN.ItemStockEntryID
INNER JOIN m_item MI on ISEN.ItemID = MI.ItemID AND MI.ItemName IN ('IFA', 'iron folic acid');

end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `getANCRefCount` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `getANCRefCount`(fromDate DATETIME, toDate DATETIME, PSMID int)
BEGIN
SELECT count(distinct BRD.BeneficiaryRegID) FROM t_benvisitdetail BVD
INNER JOIN t_benreferdetails BRD ON BVD.BeneficiaryRegID = BRD.BeneficiaryRegID AND BVD.VisitCode = BRD.VisitCode
WHERE BVD.VisitCategory = 'ANC' AND date(BRD.LastModDate) between date(fromDate) and date(toDate) and BVD.ProviderServiceMapID = PSMID;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `Pr_104HAOReport` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `Pr_104HAOReport`(v_starttime datetime,v_endtime datetime,v_Agentid int(11),v_psmid int(11))
begin

select t.benHistoryID, t.requestID, t.beneficiaryRegID, t.benCallID, t.patientName, t.patientAge, t.patientGenderName, t.algorithm, 
			t.diseaseSummaryID, t.diseaseSummary, t.allergies, t.selecteDiagnosisID, t.selecteDiagnosis, t.addedAdvice,
            t.prescriptionID, t.actionByHAO, t.remarks, t.isSelf, t.createdDate, b.beneficiaryID, b.firstName,
            b.lastName, b.healthCareWorker, b.gender, b.dob, b.permVillage, b.permSubDistrict, b.permDistrict, 
			c.callTypeName, c.callSubTypeName, c.phoneNo, c.callReceivedUserID, c.callEndUserID, c.ReceivedAgentID,
            user.firstName,
			t.travel_14days,t.travel_type,
			t.symptoms,t.COVID19_contact_history,t.medical_consultation,
			t.Suspected_COVID19,t.recommendation  
			from fact_104benmedhistory t 
			LEFT JOIN dim_beneficiary b  on b.BeneficiaryRegID=t.BeneficiaryRegID
            LEFT JOIN fact_bencall c on c.BenCallID=t.BenCallID
			left join dim_user user on user.userid=c.CallReceivedUserID			
			where t.providerServiceMapID=ifnull(v_psmid,t.providerServiceMapID)
             and c.ReceivedAgentID=ifnull(v_Agentid,c.ReceivedAgentID)
			and t.actionByHAO IS NOT NULL  
             and t.createddate>=v_starttime and t.createddate<=v_endtime
			order by t.createdDate desc;
            
            end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `Pr_104IntegrationBhayaData` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `Pr_104IntegrationBhayaData`(v_fromdate datetime,v_todate datetime)
begin


select distinct  t1.CreatedDate,br.beneficiaryid,t1.beneficiaryregid,t1.bencallid,
t1.ReceivedRoleName,bd.gender,
extract(year from (from_days(dateDiff(current_timestamp,bd.dob))))  Age,
bd.MaritalStatus,
BA.permstate State,
BA.PermDistrict District,
BA.Permsubdistrict Block,
BA.PermVillage Village,
ba.PermPinCode Pincode,
t4.CallGroupType,t4.calltype,
t3.PrescriptionID,t5.DrugName,
t6.diseasesummary,
t6.selectediagnosis,
case when t6.diseasesummary='DEPRESSION' then  MC.categoryname else null end categoryname,
case when t6.diseasesummary='DEPRESSION' then  MSC.subcategoryname else null end subcategoryname
 from t_bencall t1
left join t_104prescription t2 on t1.bencallid=t2.bencallid
left join t_104prescribeddrug t3 on t3.PrescriptionID=t2.PrescriptionID
left join ( SELECT 
        `t_104benmedhistory`.`BenHistoryID` AS `BenHistoryID`,
        `t_104benmedhistory`.`RequestID` AS `RequestID`,
        `t_104benmedhistory`.`BeneficiaryRegID` AS `BeneficiaryRegID`,
        `t_104benmedhistory`.`BenCallID` AS `BenCallID`,
        `t_104benmedhistory`.`PatientName` AS `PatientName`,
        `t_104benmedhistory`.`PatientAge` AS `PatientAge`,
        `t_104benmedhistory`.`PatientGenderID` AS `PatientGenderID`,
        `t_104benmedhistory`.`Algorithm` AS `Symptom Results`,
        `t_104benmedhistory`.`SelecteDiagnosisID` AS `DiseaseSummaryID`,
        `t_104benmedhistory`.`SelecteDiagnosis` AS `DiseaseSummary`,
    
        `t_104benmedhistory`.`Allergies` AS `Allergies`,
        NULL AS `SelecteDiagnosisID`,
        NULL AS `SelecteDiagnosis`,
        `t_104benmedhistory`.`CategoryID` AS `CategoryID`,
        `t_104benmedhistory`.`SubCategoryID` AS `SubCategoryID`,
        `t_104benmedhistory`.`AddedAdvice` AS `AddedAdvice`,
        `t_104benmedhistory`.`PrescriptionID` AS `PrescriptionID`,
        `t_104benmedhistory`.`ActionByHAO` AS `ActionByHAO`,
        `t_104benmedhistory`.`ActionByCO` AS `ActionByCO`,
        `t_104benmedhistory`.`ActionByMO` AS `ActionByMO`,
        `t_104benmedhistory`.`ActionByPD` AS `ActionByPD`,
        `t_104benmedhistory`.`Remarks` AS `Remarks`,
        `t_104benmedhistory`.`IsSelf` AS `IsSelf`,
        `t_104benmedhistory`.`ProviderServiceMapID` AS `ProviderServiceMapID`,
        `t_104benmedhistory`.`Deleted` AS `Deleted`,
        `t_104benmedhistory`.`Processed` AS `Processed`,
        `t_104benmedhistory`.`CreatedBy` AS `CreatedBy`,
        `t_104benmedhistory`.`CreatedDate` AS `CreatedDate`,
        `t_104benmedhistory`.`ModifiedBy` AS `ModifiedBy`,
        `t_104benmedhistory`.`LastModDate` AS `LastModDate`,
        `t_104benmedhistory`.`IsChiefComplaint` AS `IsChiefComplaint`
    FROM
        `t_104benmedhistory`
    WHERE
        (`t_104benmedhistory`.`IsChiefComplaint` = 0) 
    UNION ALL SELECT 
        `t_104benmedhistory`.`BenHistoryID` AS `BenHistoryID`,
        `t_104benmedhistory`.`RequestID` AS `RequestID`,
        `t_104benmedhistory`.`BeneficiaryRegID` AS `BeneficiaryRegID`,
        `t_104benmedhistory`.`BenCallID` AS `BenCallID`,
        `t_104benmedhistory`.`PatientName` AS `PatientName`,
        `t_104benmedhistory`.`PatientAge` AS `PatientAge`,
        `t_104benmedhistory`.`PatientGenderID` AS `PatientGenderID`,
        `t_104benmedhistory`.`Algorithm` AS `Symptom Results`,

        `t_104benmedhistory`.`DiseaseSummaryID` ,
        `t_104benmedhistory`.`DiseaseSummary` ,
        `t_104benmedhistory`.`Allergies` AS `Allergies`,
        `t_104benmedhistory`.`SelecteDiagnosisID` AS `SelecteDiagnosisID`,
        `t_104benmedhistory`.`SelecteDiagnosis` AS `SelecteDiagnosis`,
        `t_104benmedhistory`.`CategoryID` AS `CategoryID`,
        `t_104benmedhistory`.`SubCategoryID` AS `SubCategoryID`,
        `t_104benmedhistory`.`AddedAdvice` AS `AddedAdvice`,
        `t_104benmedhistory`.`PrescriptionID` AS `PrescriptionID`,
        `t_104benmedhistory`.`ActionByHAO` AS `ActionByHAO`,
        `t_104benmedhistory`.`ActionByCO` AS `ActionByCO`,
        `t_104benmedhistory`.`ActionByMO` AS `ActionByMO`,
        `t_104benmedhistory`.`ActionByPD` AS `ActionByPD`,
        `t_104benmedhistory`.`Remarks` AS `Remarks`,
        `t_104benmedhistory`.`IsSelf` AS `IsSelf`,
        `t_104benmedhistory`.`ProviderServiceMapID` AS `ProviderServiceMapID`,
        `t_104benmedhistory`.`Deleted` AS `Deleted`,
        `t_104benmedhistory`.`Processed` AS `Processed`,
        `t_104benmedhistory`.`CreatedBy` AS `CreatedBy`,
        `t_104benmedhistory`.`CreatedDate` AS `CreatedDate`,
        `t_104benmedhistory`.`ModifiedBy` AS `ModifiedBy`,
        `t_104benmedhistory`.`LastModDate` AS `LastModDate`,
        `t_104benmedhistory`.`IsChiefComplaint` AS `IsChiefComplaint`
    FROM
        `t_104benmedhistory`
    WHERE
        (`t_104benmedhistory`.`IsChiefComplaint` = 1)) t6 on t6.bencallid=t1.bencallid
inner join m_calltype t4 on t4.CallTypeID=t1.CallTypeID
left join m_104drugmapping t5 on t5.drugmapid=t3.drugmapid
Left join db_iemr.m_category MC on t6.CategoryID = MC.CategoryID
LEFT JOIN db_iemr.m_subcategory MSC on t6.SubcategoryID = MSC.SubCategoryID

inner JOIN db_identity.i_beneficiarymapping BM ON BM.benregid = t1.BeneficiaryRegID
inner join db_identity.i_BeneficiaryDetails BD ON BM.BenDetailsId = BD.BeneficiaryDetailsId
-- LEFT JOIN db_identity.i_BeneficiaryContacts BC ON BC.BenContactsID = BM.BenContactsId
inner JOIN db_identity.i_beneficiaryaddress BA ON BA.BenAddressID = BM.BenAddressId
inner JOIN db_identity.m_beneficiaryregidmapping BR ON BR.BenRegId = BM.BenRegId
where t1.createddate between v_fromdate and v_todate and 
  t4.Callgrouptype in('valid','Transfer')  ;
 -- and t4.calltype   in('Information Call','Health Advice Call','Schemes & Services Call','Information COVID 19','Counselling Call',
-- 'Grievance Call','FP Related Call','COVID19 Food Related','COVID19 Travel Related','Covid 19 Vaccine related');

end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `Pr_BenChiefcomplaint_Diagnosis` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `Pr_BenChiefcomplaint_Diagnosis`(

 IN beneficiaryRegID_IN bigint(20)
 -- , IN visitCode_IN bigint(20)
)
BEGIN 

select * from (
SELECT 
t.BeneficiaryRegID,t.VisitCode,t.VisitNo,t.VisitCategory,t.VisitReason,
DiagnosisProvided as DiagnosisSctTerm,
DiagnosisProvided_SCTCode as DiagnosisSctCode,c.ChiefComplaint,
t.CreatedDate,
t.CreatedBy
FROM  t_benvisitdetail t  
left join t_prescription p on t.visitcode=p.visitcode and t.BeneficiaryRegID=p.BeneficiaryRegID
left join t_benchiefcomplaint c on c.BeneficiaryRegID=t.BeneficiaryRegID and t.VisitCode=t.VisitCode
WHERE t.BeneficiaryRegID = beneficiaryRegID_IN -- AND t.VisitCode = visitCode_IN 
-- AND DiagnosisProvided_SCTCode is not null AND DiagnosisProvided_SCTCode != "N/A" 
-- AND length(DiagnosisProvided_SCTCode) > 0
 AND p.Deleted is not true
 union
 
SELECT t.BeneficiaryRegID,t.VisitCode,t.VisitNo,t.VisitCategory,t.VisitReason,
ProvisionalDiagnosis as DiagnosisSctTerm,
ProvisionalDiagnosis_SCTCode as DiagnosisSctCode,c.ChiefComplaint,
t.CreatedDate,
t.CreatedBy
FROM t_benvisitdetail t   
left join t_pncdiagnosis p on t.visitcode=p.visitcode and t.BeneficiaryRegID=p.BeneficiaryRegID
left join t_benchiefcomplaint c on c.BeneficiaryRegID=t.BeneficiaryRegID and t.VisitCode=t.VisitCode
WHERE t.BeneficiaryRegID = beneficiaryRegID_IN -- AND t.VisitCode = visitCode_IN 
-- AND ProvisionalDiagnosis_SCTCode is not null AND ProvisionalDiagnosis_SCTCode != "N/A" 
-- AND length(ProvisionalDiagnosis_SCTCode) > 0
 AND p.Deleted is not true
 union
 SELECT t.BeneficiaryRegID,t.VisitCode,t.VisitNo,t.VisitCategory,t.VisitReason,
NCD_Condition as DiagnosisSctTerm,
null as DiagnosisSctCode,c.ChiefComplaint,
t.CreatedDate,
t.CreatedBy
FROM t_benvisitdetail t
left join t_ncddiagnosis p on t.visitcode=p.visitcode and t.BeneficiaryRegID=p.BeneficiaryRegID
left join t_benchiefcomplaint c on c.BeneficiaryRegID=t.BeneficiaryRegID and t.VisitCode=t.VisitCode
WHERE t.BeneficiaryRegID = beneficiaryRegID_IN -- AND t.VisitCode = visitCode_IN 
-- AND NCD_Condition is not null AND NCD_Condition != "N/A" 
-- AND length(NCD_Condition) > 0
 AND p.Deleted is not true
 union
 SELECT t.BeneficiaryRegID,t.VisitCode,t.VisitNo,t.VisitCategory,t.VisitReason,
ProvisionalDiagnosisPrimaryDoctor as DiagnosisSctTerm,
null as DiagnosisSctCode,c.ChiefComplaint,
t.CreatedDate,
t.CreatedBy
FROM t_benvisitdetail t
left join t_cancerdiagnosis p on t.visitcode=p.visitcode and t.BeneficiaryRegID=p.BeneficiaryRegID
left join t_benchiefcomplaint c on c.BeneficiaryRegID=t.BeneficiaryRegID and t.VisitCode=t.VisitCode
WHERE t.BeneficiaryRegID = beneficiaryRegID_IN -- AND t.VisitCode = visitCode_IN AND
AND ProvisionalDiagnosisPrimaryDoctor is not null AND ProvisionalDiagnosisPrimaryDoctor != "N/A" 
-- AND length(ProvisionalDiagnosisPrimaryDoctor) > 0
 AND p.Deleted is not true
 union
 SELECT t.BeneficiaryRegID,t.VisitCode,t.VisitNo,t.VisitCategory,t.VisitReason,
HighRiskCondition as DiagnosisSctTerm,
null as DiagnosisSctCode,c.ChiefComplaint,
t.CreatedDate,
t.CreatedBy
FROM t_benvisitdetail t
left join t_ancdiagnosis p on t.visitcode=p.visitcode and t.BeneficiaryRegID=p.BeneficiaryRegID
left join t_benchiefcomplaint c on c.BeneficiaryRegID=t.BeneficiaryRegID and t.VisitCode=t.VisitCode
WHERE t.BeneficiaryRegID = beneficiaryRegID_IN -- AND t.VisitCode = visitCode_IN 
-- AND NCD_Condition is not null AND NCD_Condition != "N/A" 
-- AND length(NCD_Condition) > 0
 AND p.Deleted is not true
 )a order by a.createddate desc limit 3;


END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `Pr_BeneficiaryDetails` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `Pr_BeneficiaryDetails`(v_BenRegid bigint(20))
begin
SELECT
concat(ifnull(BD.FirstName,''),
ifnull(BD.MiddleName,''),
ifnull(BD.LastName,'')) BeneficiaryName,
BR.BeneficiaryID,
BD.DOB,
extract(year from (from_days(dateDiff(current_timestamp,bd.dob))))  Age,
BD.GenderId,
BD.Gender,
BA.PermDistrictId DistrictI,
BA.PermDistrict District,
BA.PermVillageId VillageId,
BA.PermVillage Village,
Bi.BenImage BeneficiaryImage,
BC.PreferredPhoneNum Phoneno
FROM db_identity.i_BeneficiaryDetails BD
LEFT JOIN db_identity.i_beneficiarymapping BM ON BM.BenDetailsId = BD.BeneficiaryDetailsId
LEFT JOIN db_identity.i_BeneficiaryContacts BC ON BC.BenContactsID = BM.BenContactsId
LEFT JOIN db_identity.i_beneficiaryaddress BA ON BA.BenAddressID = BM.BenAddressId
LEFT JOIN db_identity.m_beneficiaryregidmapping BR ON BR.BenRegId = BM.BenRegId
left join db_identity.i_beneficiaryimage Bi on bi.BenImageId=bm.BenImageId
left join db_iemr.m_districtbranchmapping md on md.DistrictBranchID=BA.PermVillageID
 WHERE BM.BenRegId=v_BenRegid;
 
 end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `Pr_ConfirmatoryScreening` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `Pr_ConfirmatoryScreening`(v_benregid bigint(20))
begin
-- select BeneficiaryRegID, case when ConfirmarotyDiabetes 
select BeneficiaryRegID,max(ConfirmarotyDiabetes) ConfirmarotyDiabetes,
max(ConfirmarotyHypertension) ConfirmarotyHypertension,
max(ConfirmatoryOralcancer) ConfirmatoryOralcancer,
max(ConfirmatoryBreastcancer) ConfirmatoryBreastcancer,
max(ConfirmatoryCervicalcancer) ConfirmatoryCervicalcancer
 from (
select * from (SELECT 
  BeneficiaryRegID, 
  Confirmatory "ConfirmarotyDiabetes",null "ConfirmarotyHypertension",null "ConfirmatoryOralcancer",
  null ConfirmatoryBreastcancer,null ConfirmatoryCervicalcancer
FROM t_diabetesscreening where BeneficiaryRegId=v_benregid order by id desc limit 1)a
union all
select * from (SELECT 
  BeneficiaryRegID, null "ConfirmarotyDiabetes",
  Confirmatory "ConfirmarotyHypertension",null "ConfirmatoryOralcancer",null ConfirmatoryBreastcancer,
  null ConfirmatoryCervicalcancer
FROM t_hypertensionscreening where BeneficiaryRegId=v_benregid order by id desc limit 1)b
union all
select * from (SELECT 
  BeneficiaryRegID, null ConfirmarotyDiabetes,null ConfirmarotyHypertension,
  Confirmatory "ConfirmatoryOralcancer",null ConfirmatoryBreastcancer,null ConfirmatoryCervicalcancer
FROM t_oralcancerscreening where BeneficiaryRegId=v_benregid order by id desc limit 1)c
union all
select * from (SELECT 
  BeneficiaryRegID, null ConfirmarotyDiabetes,null ConfirmarotyHypertension,null ConfirmatoryOralcancer,
  Confirmatory "ConfirmatoryBreastcancer",null ConfirmatoryCervicalcancer
FROM t_breastcancerscreening where BeneficiaryRegId=v_benregid order by id desc limit 1)d
union all
select * from (SELECT 
  BeneficiaryRegID, null ConfirmarotyDiabetes,null ConfirmarotyHypertension,null ConfirmatoryOralcancer,
  null ConfirmatoryBreastcancer,
  Confirmatory "ConfirmatoryCervicalcancer"
FROM t_cervicalcancerscreening where BeneficiaryRegId=v_benregid order by id desc limit 1)e
)g
-- where ConfirmarotyDiabetes is not null
group by BeneficiaryRegID;

end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `PR_FetchChildOutboundWorklist` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `PR_FetchChildOutboundWorklist`(v_AllocatedUserID int)
BEGIN
/********************************************************************************************************************
-- SP/Function Name : PR_FetchChildOutboundWorklist
-- Project/Product Name : Piramal
-- Created By : Prateek
-- Created Date : 26-04-2018
-- Reviewed By :
-- Reviewed Date : DD-MMM-YYYY
-- Purpose : TO Fetch Child Outbound Worklist for an agent.
-- Version History :
---------------------------------------------------------------------------------------------------------------------
-- Version# TFS_ID# Modified By Modified Date Purpose
---------------------------------------------------------------------------------------------------------------------
1.0 - Initial Write - XYZ - DD-MMM-YYYY Initial Write
*********************************************************************************************************************/
select
B.BeneficiaryRegID,
B.OutboundCallType,
B.DisplayOBCallType,
B.CallDateFrom,
B.NoOfTrials,
B.MCTSID_no_Child_ID,
B.Child_Name,
B.Mother_ID,
B.Mother_Name,
B.Phone_No_of,
B.Phone_No,
B.OBCallID
from
(SELECT MIN(A.OutboundCallType) OutboundCallType,
A.childID,
A.BeneficiaryRegID,
A.DisplayOBCallType,
A.CallDateFrom,
A.NoOfTrials,
A.MCTSID_no_Child_ID,
A.Child_Name,
A.Mother_ID,
A.Mother_Name,
A.Phone_No_of,
A.Phone_No,
A.OBCallID
FROM
(select mctsoutbou0_.childID, mctsoutbou0_.OutboundCallType,
mctsoutbou0_.DisplayOBCallType,
mctsoutbou0_.CallDateFrom,
mctsoutbou0_.NoOfTrials,
mctsoutbou0_.OBCallID,
mctsdatare1_.MCTSID_no_Child_ID,
mctsdatare1_.BeneficiaryRegID,
mctsdatare1_.Child_Name,
mctsdatare1_.Mother_ID,
mctsdatare1_.Mother_Name,
mctsdatare1_.Phone_No_of,
mctsdatare1_.Phone_No
from t_MCTSOutboundCalls mctsoutbou0_
inner join t_childvaliddata mctsdatare1_ on mctsoutbou0_.childID=mctsdatare1_.MCTSID_no_Child_ID
where mctsoutbou0_.AllocatedUserID=v_AllocatedUserID and
(mctsoutbou0_.CallStatus<>'Completed' and mctsoutbou0_.CallStatus<>'NA' )
and (mctsoutbou0_.PrefferedCallDate is null or mctsoutbou0_.PrefferedCallDate<=current_date)
AND(current_date() between mctsoutbou0_.CallDateFrom AND mctsoutbou0_.CallDateTo)
) A
group by A.childID)B;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `PR_FetchMCTS_1` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `PR_FetchMCTS_1`( IN P_ProviderServiceMapID INT)
BEGIN
select * from (
select 

C.OBCallID,
C.OutboundCallType,
C.DisplayOBCallType,
C.CallDateFrom,
C.AllocationStatus,
D.PhoneNo_Of_Whom,
D.High_Risk
/*
B.OutboundCallType,
B.motherID,
C.OBCallID,
C.MotherID,
C.ChildID,
C.BeneficiaryRegID,
C.AllocatedUserID,
C.ProviderServiceMapID,
C.OutboundCallType,
C.DisplayOBCallType,
C.CallDateFrom,
C.CallDateTo,
C.PrefferedCallDate,
C.CallStatus,
C.NoOfTrials,
C.AllocationStatus,
C.IsSMSSent,
C.Deleted,
C.Processed,
C.CreatedBy,
C.CreatedDate,
C.ModifiedBy,
C.LastModDate,
D.MotherValidRecordID,
D.RowID,
D.BeneficiaryRegID,
D.Date_of_Entry,
D.Entry_type,
D.MCTSID_no,
D.Name,
D.Husband_Name,
D.PhoneNo_Of_Whom,
D.Whom_PhoneNo,
D.Birth_Date,
D.Age,
D.Blood_Group,
D.Caste,
D.Aadhar_no,
D.State_ID,
D.State_Name,
D.District_ID,
D.District_Name,
D.Taluka_Name,
D.Taluka_ID,
D.Block_ID,
D.Block_Name,
D.SubCenter_ID,
D.SubCenter_Name,
D.Village_ID,
D.Village_Name,
D.City_ID,
D.City_Name,
D.SubCenter_Name1,
D.ANM_ID,
D.ANM_Name,
D.ANM_Ph,
D.ASHA_ID,
D.ASHA_Name,
D.ASHA_Ph,
D.PHC_ID,
D.PHC_Name,
D.SUBPHC_ID,
D.SUBPHC_Name,
D.YR,
D.GP_Village,
D.Address,
D.LMP_Date,
D.ANC1_Date,
D.ANC2_Date,
D.ANC3_Date,
D.ANC4_Date,
D.ANC_Complication,
D.TT1_Date,
D.TT2_Date,
D.TTBooster_Date,
D.IFA100_Given_Date,
D.EDD,
D.Anemia,
D.RTI_STI,
D.Delivery_Lnk_Facility,
D.Facility_Name,
D.Delivery_Date,
D.Delivery_Place_home_type,
D.Delivery_Place_Public,
D.Delivery_Place_Private,
D.Delivery_type,
D.Delivery_Complications,
D.Discharge_Date,
D.Abortion,
D.PNC_Home_Visit,
D.PNC_Complication,
D.PPC_Method,
D.PNC_Checkup,
D.Outcome_Nos,
D.Child1_ID,
D.Child1_Name,
D.Child1_Gender,
D.Child1_Weight,
D.Child1_BreastFeeding,
D.Child2_ID,
D.Child2_Name,
D.Child2_Gender,
D.Child2_weight,
D.Child2_Breastfeeding,
D.Child3_ID,
D.Child3_Name,
D.Child3_Gender,
D.Child3_Weight,
D.Child3_Breastfeeding,
D.Child4_ID,
D.Child4_Name,
D.Child4_Gender,
D.Child4_Weight,
D.Child4_Breastfeeding,
D.Mother_Reg_Date,
D.Last_Update_Date,
D.EID,
D.EID_time,
D.CPSMS_Flag,
D.JSY_Beneficiary,
D.JSY_Paid_Date,
D.Bank_Name,
D.Bank_Branch_Name,
D.Acc_No,
D.IFSC_Code,
D.Remarks,
D.Referred_By_Telecaller,
D.Referred_Date,
D.No_of_Try,
D.Call_Answered,
D.Status,
D.High_Risk,
D.High_Risk_Reason,
D.Call_Verified,
D.Associate,
D.Call_Date,
D.Due_Services,
D.Due_Services_Response,
D.Overdue_Services,
D.Overdue_Services_Response,
D.Given_Services,
D.Given_Services_Response,
D.Miscarriage,
D.Baby_Died,
D.Call_No,
D.Questions_Asked,
D.Asnwer_Given_by_Benificary,
D.Source,
D.NoCall_Reason,
D.NoPhone_Reason,
D.Created_By,
D.Updated_By,
D.BPL_APL,
D.MDDS_StateID,
D.MDDS_District_ID,
D.MDDS_Taluka_ID,
D.MDDS_Village_ID,
D.Is_Valid,
D.InValid_Reason,
D.Is_Error,
D.Error_Reason,
D.FileID,
D.IsAllocated,
D.Deleted,
D.Processed,
D.CreatedBy,
D.CreatedDate,
D.ModifiedBy,
D.LastModDate*/
 from (
SELECT MIN(A.OutboundCallType) OutboundCallType,A.motherID FROM (
select mctsoutbou0_.motherID,mctsoutbou0_.OutboundCallType from t_MCTSOutboundCalls mctsoutbou0_
inner join t_mothervalidrecord mother on mctsoutbou0_.motherID=mother.MCTSID_no
where mctsoutbou0_.CallStatus!='Completed'
 and  mctsoutbou0_.CallDateTo>=current_date
-- and (mctsoutbou0_.CallDateFrom>=current_date or mctsoutbou0_.CallDateTo>=current_date)
and mctsoutbou0_.ProviderServiceMapID = P_ProviderServiceMapID ) A
group by A.motherID )B
inner join t_MCTSOutboundCalls C on C.motherid=B.motherid and C.OutboundCallType=B.OutboundCallType
inner join t_mothervalidrecord D
on B.motherID=D.MCTSID_no
where c.outboundcalltype like 'ANC%' 
and c.motherid is not null and c.childid is null)a limit 10000;
 -- order by OBCallID;




END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `PR_FetchMCTS_2` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `PR_FetchMCTS_2`(IN P_ProviderServiceMapID INT, 
 IN P_CallDateFrom DATETIME,IN P_CallDateTo DATETIME)
BEGIN
 
 select 
 
 C.OBCallID,
 C.OutboundCallType,
 C.DisplayOBCallType,
 C.CallDateFrom,
 C.AllocationStatus,
 D.PhoneNo_Of_Whom,
 D.High_Risk
 /*
 B.OutboundCallType,
 B.motherID,
 C.OBCallID,
 C.MotherID,
 C.ChildID,
 C.BeneficiaryRegID,
 C.AllocatedUserID,
 C.ProviderServiceMapID,
 C.OutboundCallType,
 C.DisplayOBCallType,
 C.CallDateFrom,
 C.CallDateTo,
 C.PrefferedCallDate,
 C.CallStatus,
 C.NoOfTrials,
 C.AllocationStatus,
 C.IsSMSSent,
 C.Deleted,
 C.Processed,
 C.CreatedBy,
 C.CreatedDate,
 C.ModifiedBy,
 C.LastModDate,
 D.MotherValidRecordID,
 D.RowID,
 D.BeneficiaryRegID,
 D.Date_of_Entry,
 D.Entry_type,
 D.MCTSID_no,
 D.Name,
 D.Husband_Name,
 D.PhoneNo_Of_Whom,
 D.Whom_PhoneNo,
 D.Birth_Date,
 D.Age,
 D.Blood_Group,
 D.Caste,
 D.Aadhar_no,
 D.State_ID,
 D.State_Name,
 D.District_ID,
 D.District_Name,
 D.Taluka_Name,
 D.Taluka_ID,
 D.Block_ID,
 D.Block_Name,
 D.SubCenter_ID,
 D.SubCenter_Name,
 D.Village_ID,
 D.Village_Name,
 D.City_ID,
 D.City_Name,
 D.SubCenter_Name1,
 D.ANM_ID,
 D.ANM_Name,
 D.ANM_Ph,
 D.ASHA_ID,
 D.ASHA_Name,
 D.ASHA_Ph,
 D.PHC_ID,
 D.PHC_Name,
 D.SUBPHC_ID,
 D.SUBPHC_Name,
 D.YR,
 D.GP_Village,
 D.Address,
 D.LMP_Date,
 D.ANC1_Date,
 D.ANC2_Date,
 D.ANC3_Date,
 D.ANC4_Date,
 D.ANC_Complication,
 D.TT1_Date,
 D.TT2_Date,
 D.TTBooster_Date,
 D.IFA100_Given_Date,
 D.EDD,
 D.Anemia,
 D.RTI_STI,
 D.Delivery_Lnk_Facility,
 D.Facility_Name,
 D.Delivery_Date,
 D.Delivery_Place_home_type,
 D.Delivery_Place_Public,
 D.Delivery_Place_Private,
 D.Delivery_type,
 D.Delivery_Complications,
 D.Discharge_Date,
 D.Abortion,
 D.PNC_Home_Visit,
 D.PNC_Complication,
 D.PPC_Method,
 D.PNC_Checkup,
 D.Outcome_Nos,
 D.Child1_ID,
 D.Child1_Name,
 D.Child1_Gender,
 D.Child1_Weight,
 D.Child1_BreastFeeding,
 D.Child2_ID,
 D.Child2_Name,
 D.Child2_Gender,
 D.Child2_weight,
 D.Child2_Breastfeeding,
 D.Child3_ID,
 D.Child3_Name,
 D.Child3_Gender,
 D.Child3_Weight,
 D.Child3_Breastfeeding,
 D.Child4_ID,
 D.Child4_Name,
 D.Child4_Gender,
 D.Child4_Weight,
 D.Child4_Breastfeeding,
 D.Mother_Reg_Date,
 D.Last_Update_Date,
 D.EID,
 D.EID_time,
 D.CPSMS_Flag,
 D.JSY_Beneficiary,
 D.JSY_Paid_Date,
 D.Bank_Name,
 D.Bank_Branch_Name,
 D.Acc_No,
 D.IFSC_Code,
 D.Remarks,
 D.Referred_By_Telecaller,
 D.Referred_Date,
 D.No_of_Try,
 D.Call_Answered,
 D.Status,
 D.High_Risk,
 D.High_Risk_Reason,
 D.Call_Verified,
 D.Associate,
 D.Call_Date,
 D.Due_Services,
 D.Due_Services_Response,
 D.Overdue_Services,
 D.Overdue_Services_Response,
 D.Given_Services,
 D.Given_Services_Response,
 D.Miscarriage,
 D.Baby_Died,
 D.Call_No,
 D.Questions_Asked,
 D.Asnwer_Given_by_Benificary,
 D.Source,
 D.NoCall_Reason,
 D.NoPhone_Reason,
 D.Created_By,
 D.Updated_By,
 D.BPL_APL,
 D.MDDS_StateID,
 D.MDDS_District_ID,
 D.MDDS_Taluka_ID,
 D.MDDS_Village_ID,
 D.Is_Valid,
 D.InValid_Reason,
 D.Is_Error,
 D.Error_Reason,
 D.FileID,
 D.IsAllocated,
 D.Deleted,
 D.Processed,
 D.CreatedBy,
 D.CreatedDate,
 D.ModifiedBy,
 D.LastModDate*/
 from 
 (SELECT MIN(A.OutboundCallType) OutboundCallType,A.motherID 
 	FROM 
 (select mctsoutbou0_.motherID,mctsoutbou0_.OutboundCallType 
 	from t_MCTSOutboundCalls mctsoutbou0_
 		inner join t_mothervalidrecord mother on mctsoutbou0_.motherID=mother.MCTSID_no
 		where mctsoutbou0_.CallStatus!='Completed'
 			-- and ((mctsoutbou0_.CallDateFrom>=P_CallDateFrom and mctsoutbou0_.CallDateFrom<=P_CallDateTo ) 
 			-- or (mctsoutbou0_.CallDateTo<=P_CallDateTo and mctsoutbou0_.CallDateTo>=P_CallDateFrom))
          and  ((P_CallDateFrom between mctsoutbou0_.CallDateFrom and mctsoutbou0_.CallDateTo)
          and (P_CallDateTo between mctsoutbou0_.CallDateFrom and mctsoutbou0_.CallDateTo))
 			and mctsoutbou0_.ProviderServiceMapID = P_ProviderServiceMapID 
 ) A group by A.motherID 
 )B inner join t_MCTSOutboundCalls C
 		on C.motherid=B.motherid and C.OutboundCallType=B.OutboundCallType
 	inner join t_mothervalidrecord D
 		on B.motherID=D.MCTSID_no ;
 	-- order by  CallDateFrom;
 
 
 END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `PR_FetchMCTS_3` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `PR_FetchMCTS_3`(IN P_ProviderServiceMapID INT)
BEGIN
select * from (
select

C.OBCallID,
C.OutboundCallType,
C.DisplayOBCallType,
C.CallDateFrom,
C.AllocationStatus,
D.Phone_No_of
/* 
B.OutboundCallType,
B.childID,
C.OBCallID,
C.MotherID,
C.ChildID,
C.BeneficiaryRegID,
C.AllocatedUserID,
C.ProviderServiceMapID,
C.OutboundCallType,
C.DisplayOBCallType,
C.CallDateFrom,
C.CallDateTo,
C.PrefferedCallDate,
C.CallStatus,
C.NoOfTrials,
C.AllocationStatus,
C.IsSMSSent,
C.Deleted,
C.Processed,
C.CreatedBy,
C.CreatedDate,
C.ModifiedBy,
C.LastModDate,
D.RowID,
D.BeneficiaryRegID,
D.Date_of_Entry,
D.Entry_type,
D.MCTSID_no_Child_ID,
D.Child_Name,
D.Father_Name,
D.Mother_Name,
D.Mother_ID,
D.DOB,
D.Place_of_Birth,
D.Gender,
D.Caste,
D.BloodGroup,
D.Child_Aadhaar_No,
D.Weight_of_Child,
D.Child_EID,
D.Child_EID_Time,
D.Emamta_Health_ID,
D.Emamta_Family_ID,
D.Phone_No_of,
D.Phone_No,
D.Registration_Date,
D.Updated_Date,
D.CityID,
D.City,
D.State_ID,
D.State_Name,
D.District_ID,
D.District_Name,
D.Taluka_Name,
D.Taluka_ID,
D.Block_ID,
D.Block_Name,
D.PHC_ID,
D.PHC_Name,
D.SubCenter_ID,
D.SubCenter_Name,
D.SubCenter_Name1,
D.Village_ID,
D.Village_Name,
D.GP_Village,
D.Address,
D.Year,
D.ANM_ID,
D.ANM_Name,
D.ANM_Phone_No,
D.ASHA_ID,
D.ASHA_Name,
D.ASHA_Phone_No,
D.BCG_Date,
D.OPV0_Date,
D.Hepatitis_B1_Date,
D.DPT1_Date,
D.OPV1_Date,
D.Hepatitis_B2_Date,
D.DPT2_Date,
D.OPV2_Date,
D.Hepatitis_B3_Date,
D.DPT3_Date,
D.OPV3_Date,
D.Hepatitis_B4_Date,
D.Measles_Date,
D.VitA_Dose1_Date,
D.MR_Date,
D.DPTBooster_Date,
D.OPVBooster_Date,
D.VitA_Dose2_Date,
D.VitA_Dose3_Date,
D.VitA_Dose99_Date,
D.VitA_Dose5_Date,
D.VitA_Dose6_Date,
D.VitA_Dose7_Date,
D.VitA_Dose8_Date,
D.VitA_Dose9_Date,
D.JE_Date,
D.DT5_Date,
D.TT10_Date,
D.TT16_Date,
D.Measles_2_Date,
D.PentaValent1_Date,
D.PentaValent2_Date,
D.PentaValent3_Date,
D.is_Upload,
D.Status,
D.Remarks,
D.Delete_Mother,
D.Delete_Reason,
D.Deleted_ON,
D.SMS_Status,
D.Created_By,
D.Updated_By,
D.MDDS_StateID,
D.MDDS_District_ID,
D.MDDS_Taluka_ID,
D.MDDS_Village_ID,
D.BirthCertificateNo,
D.Rural_urban,
D.SNO,
D.Lead_ID,
D.My_ID,
D.CID_NO,
D.MID_NO,
D.Duplicate_Bit,
D.FacilityType,
D.DueServices,
D.OverDueServices,
D.GivenServices,
D.Source,
D.Is_Valid,
D.Is_Error,
D.Error_Reason,
D.FileID,
D.IsAllocated,
D.Deleted,
D.Processed,
D.CreatedBy,
D.CreatedDate,
D.ModifiedBy,
D.LastModDate*/
 from (
SELECT MIN(A.OutboundCallType) OutboundCallType,A.childID FROM (
select mctsoutbou0_.childID,mctsoutbou0_.OutboundCallType from t_MCTSOutboundCalls mctsoutbou0_
inner join t_childvaliddata childvalid1_ on mctsoutbou0_.childID=childvalid1_.MCTSID_no_Child_ID
where mctsoutbou0_.CallStatus!='Completed'
and mctsoutbou0_.CallDateTo>=current_date
-- and (mctsoutbou0_.CallDateFrom>=current_date or mctsoutbou0_.CallDateTo>=current_date)
and mctsoutbou0_.ProviderServiceMapID=P_ProviderServiceMapID) A group by A.childID )B
inner join t_MCTSOutboundCalls C on C.childID=B.childID and C.OutboundCallType=B.OutboundCallType
inner join t_childvaliddata D
on B.childID=D.MCTSID_no_Child_ID
where c.outboundcalltype like 'PNC%' and c.childid is not null)a limit 10000 ;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `PR_FetchMCTS_4` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `PR_FetchMCTS_4`(IN P_ProviderServiceMapID INT, IN P_CallDateFrom DATETIME,IN P_CallDateTo DATETIME )
BEGIN

select 

C.OBCallID,
C.OutboundCallType,
C.DisplayOBCallType,
C.CallDateFrom,
C.AllocationStatus,
D.Phone_No_of
/*
B.OutboundCallType,
B.childID,
C.OBCallID,
C.MotherID,
C.ChildID,
C.BeneficiaryRegID,
C.AllocatedUserID,
C.ProviderServiceMapID,
C.OutboundCallType,
C.DisplayOBCallType,
C.CallDateFrom,
C.CallDateTo,
C.PrefferedCallDate,
C.CallStatus,
C.NoOfTrials,
C.AllocationStatus,
C.IsSMSSent,
C.Deleted,
C.Processed,
C.CreatedBy,
C.CreatedDate,
C.ModifiedBy,
C.LastModDate,
D.RowID,
D.BeneficiaryRegID,
D.Date_of_Entry,
D.Entry_type,
D.MCTSID_no_Child_ID,
D.Child_Name,
D.Father_Name,
D.Mother_Name,
D.Mother_ID,
D.DOB,
D.Place_of_Birth,
D.Gender,
D.Caste,
D.BloodGroup,
D.Child_Aadhaar_No,
D.Weight_of_Child,
D.Child_EID,
D.Child_EID_Time,
D.Emamta_Health_ID,
D.Emamta_Family_ID,
D.Phone_No_of,
D.Phone_No,
D.Registration_Date,
D.Updated_Date,
D.CityID,
D.City,
D.State_ID,
D.State_Name,
D.District_ID,
D.District_Name,
D.Taluka_Name,
D.Taluka_ID,
D.Block_ID,
D.Block_Name,
D.PHC_ID,
D.PHC_Name,
D.SubCenter_ID,
D.SubCenter_Name,
D.SubCenter_Name1,
D.Village_ID,
D.Village_Name,
D.GP_Village,
D.Address,
D.Year,
D.ANM_ID,
D.ANM_Name,
D.ANM_Phone_No,
D.ASHA_ID,
D.ASHA_Name,
D.ASHA_Phone_No,
D.BCG_Date,
D.OPV0_Date,
D.Hepatitis_B1_Date,
D.DPT1_Date,
D.OPV1_Date,
D.Hepatitis_B2_Date,
D.DPT2_Date,
D.OPV2_Date,
D.Hepatitis_B3_Date,
D.DPT3_Date,
D.OPV3_Date,
D.Hepatitis_B4_Date,
D.Measles_Date,
D.VitA_Dose1_Date,
D.MR_Date,
D.DPTBooster_Date,
D.OPVBooster_Date,
D.VitA_Dose2_Date,
D.VitA_Dose3_Date,
D.VitA_Dose99_Date,
D.VitA_Dose5_Date,
D.VitA_Dose6_Date,
D.VitA_Dose7_Date,
D.VitA_Dose8_Date,
D.VitA_Dose9_Date,
D.JE_Date,
D.DT5_Date,
D.TT10_Date,
D.TT16_Date,
D.Measles_2_Date,
D.PentaValent1_Date,
D.PentaValent2_Date,
D.PentaValent3_Date,
D.is_Upload,
D.Status,
D.Remarks,
D.Delete_Mother,
D.Delete_Reason,
D.Deleted_ON,
D.SMS_Status,
D.Created_By,
D.Updated_By,
D.MDDS_StateID,
D.MDDS_District_ID,
D.MDDS_Taluka_ID,
D.MDDS_Village_ID,
D.BirthCertificateNo,
D.Rural_urban,
D.SNO,
D.Lead_ID,
D.My_ID,
D.CID_NO,
D.MID_NO,
D.Duplicate_Bit,
D.FacilityType,
D.DueServices,
D.OverDueServices,
D.GivenServices,
D.Source,
D.Is_Valid,
D.Is_Error,
D.Error_Reason,
D.FileID,
D.IsAllocated,
D.Deleted,
D.Processed,
D.CreatedBy,
D.CreatedDate,
D.ModifiedBy,
D.LastModDate*/
from 
(SELECT MIN(A.OutboundCallType) OutboundCallType,A.childID 
FROM 
(select mctsoutbou0_.childID,mctsoutbou0_.OutboundCallType 
from t_MCTSOutboundCalls mctsoutbou0_
	inner join t_childvaliddata childvalid1_ on mctsoutbou0_.childID=childvalid1_.MCTSID_no_Child_ID
	where mctsoutbou0_.CallStatus!='Completed'
-- and ((mctsoutbou0_.CallDateFrom>=P_CallDateFrom and mctsoutbou0_.CallDateFrom<=P_CallDateTo ) 
	-- or (mctsoutbou0_.CallDateTo<=P_CallDateTo and mctsoutbou0_.CallDateTo>=P_CallDateFrom))
     and  ((P_CallDateFrom between mctsoutbou0_.CallDateFrom and mctsoutbou0_.CallDateTo)
          and ( P_CallDateTo between mctsoutbou0_.CallDateFrom and mctsoutbou0_.CallDateTo))
		and mctsoutbou0_.ProviderServiceMapID=P_ProviderServiceMapID
) A group by A.childID 
)B inner join t_MCTSOutboundCalls C 
		on C.childID=B.childID and C.OutboundCallType=B.OutboundCallType
	inner join t_childvaliddata D
		on B.childID=D.MCTSID_no_Child_ID ;
	-- order by CallDateFrom;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `PR_FetchMotherChildOutboundWorklist` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `PR_FetchMotherChildOutboundWorklist`(v_AllocatedUserID int)
BEGIN
select 
B.OBCallID,B.BeneficiaryRegID BeneficiaryRegID,
B.AllocatedUserID,
B.ProviderServiceMapID,
B.OutboundCallType OutboundCallType,B.CallDateFrom,B.NoOfTrials,
B.DisplayOBCallType,
B.Name,
B.MCTSID_no,
B.PhoneNo_Of_Whom,
B.Whom_PhoneNo,
B.High_Risk

from 
(SELECT MIN(A.OutboundCallType) OutboundCallType, 
A.motherID,
A.OBCallID,
A.ChildID,
A.AllocatedUserID,
A.ProviderServiceMapID,
A.DisplayOBCallType,
A.CallDateFrom,
A.NoOfTrials,
A.BeneficiaryRegID,
A.MCTSID_no,
A.Name,
A.PhoneNo_Of_Whom,
A.Whom_PhoneNo,
A.High_Risk
FROM
(select  mctsoutbou0_.motherID, mctsoutbou0_.OutboundCallType,
mctsoutbou0_.OBCallID,
mctsoutbou0_.ChildID,
mctsoutbou0_.AllocatedUserID,
mctsoutbou0_.ProviderServiceMapID,
mctsoutbou0_.DisplayOBCallType,
mctsoutbou0_.CallDateFrom,
mctsoutbou0_.NoOfTrials,

mctsdatare1_.BeneficiaryRegID,
mctsdatare1_.MCTSID_no,
mctsdatare1_.Name,
mctsdatare1_.PhoneNo_Of_Whom,
mctsdatare1_.Whom_PhoneNo,
mctsdatare1_.High_Risk
from t_MCTSOutboundCalls mctsoutbou0_
inner join t_mothervalidrecord mctsdatare1_ on mctsoutbou0_.motherID=mctsdatare1_.MCTSID_no
where   mctsoutbou0_.AllocatedUserID=9999 -- added to show empty output
and  mctsoutbou0_.AllocatedUserID = v_AllocatedUserID and 
(mctsoutbou0_.CallStatus <>'Completed' and  mctsoutbou0_.CallStatus<>'NA')
and (mctsoutbou0_.PrefferedCallDate is null or mctsoutbou0_.PrefferedCallDate<=current_date)
AND(current_date() between mctsoutbou0_.CallDateFrom AND mctsoutbou0_.CallDateTo)
) A
group by A.motherID)B where OutboundCallType like 'PNC%';

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `PR_FetchMotherOutboundWorklist` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`localhost` PROCEDURE `PR_FetchMotherOutboundWorklist`(v_AllocatedUserID int)
BEGIN
/********************************************************************************************************************

--    SP/Function Name              :           PR_FetchMotherOutboundWorklist
--    Project/Product Name          :           Piramal
--    Created By                    :           Prateek
--    Created Date                  :           26-04-2018
--    Reviewed By                   :
--    Reviewed Date                 :           DD-MMM-YYYY
--    Purpose                       :           TO Fetch Mother Outbound Worklist for an agent.


--    Version History               :
---------------------------------------------------------------------------------------------------------------------
--    Version#          TFS_ID#           Modified By       Modified Date                 Purpose
--------------------------------------------------------------------------------------------------------------------- 
      1.0         - Initial Write         - XYZ             -  DD-MMM-YYYY             Initial Write

*********************************************************************************************************************/ 

select 
B.OBCallID,B.BeneficiaryRegID BeneficiaryRegID,
B.AllocatedUserID,
B.ProviderServiceMapID,
B.OutboundCallType OutboundCallType,B.CallDateFrom,B.NoOfTrials,
B.DisplayOBCallType,
B.Name,
B.MCTSID_no,
B.PhoneNo_Of_Whom,
B.Whom_PhoneNo,
B.High_Risk

from 
(SELECT A.OutboundCallType OutboundCallType, 
A.motherID,
A.OBCallID,
A.ChildID,
A.AllocatedUserID,
A.ProviderServiceMapID,
A.DisplayOBCallType,
A.CallDateFrom,
A.NoOfTrials,
A.BeneficiaryRegID,
A.MCTSID_no,
A.Name,
A.PhoneNo_Of_Whom,
A.Whom_PhoneNo,
A.High_Risk
FROM
(select  mctsoutbou0_.motherID, mctsoutbou0_.OutboundCallType,
mctsoutbou0_.OBCallID,
mctsoutbou0_.ChildID,
mctsoutbou0_.AllocatedUserID,
mctsoutbou0_.ProviderServiceMapID,
mctsoutbou0_.DisplayOBCallType,
mctsoutbou0_.CallDateFrom,
mctsoutbou0_.NoOfTrials,

mctsdatare1_.BeneficiaryRegID,
mctsdatare1_.MCTSID_no,
mctsdatare1_.Name,
mctsdatare1_.PhoneNo_Of_Whom,
mctsdatare1_.Whom_PhoneNo,
mctsdatare1_.High_Risk
from t_MCTSOutboundCalls mctsoutbou0_
inner join t_mothervalidrecord mctsdatare1_ on mctsoutbou0_.motherID=mctsdatare1_.MCTSID_no
where mctsoutbou0_.AllocatedUserID = v_AllocatedUserID and 
(mctsoutbou0_.CallStatus <>'Completed' and  mctsoutbou0_.CallStatus<>'NA')
 and (mctsoutbou0_.PrefferedCallDate is null or mctsoutbou0_.PrefferedCallDate<=current_date)
 AND(current_date() between mctsoutbou0_.CallDateFrom AND mctsoutbou0_.CallDateTo)
) A
-- group by A.motherID
)
B where OutboundCallType like 'ANC%'
;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `PR_FetchSpecialist` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser1`@`%` PROCEDURE `PR_FetchSpecialist`(specializationid int,parkingplaceid int)
BEGIN
select usr.UserName,usr.UserID,usr.FirstName,usr.MiddleName,
usr.LastName, usm.SpecializationID,gen.GenderName,til.TitleName,usr.EmailID,usr.ContactNo,
             spec.Specialization from m_user usr
join m_userspecializationmapping usm on usr.UserID=usm.UserID and usr.UserID in (select uppmap.UserID  from m_userparkingplacemap uppmap
join m_userservicerolemapping usrmap on usrmap.UserID=uppmap.UserID and usrmap.Deleted=false
join m_servicerolescreenmapping srsmap on usrmap.RoleID=srsmap.RoleID and srsmap.Deleted=false
join m_screen scrn on scrn.ScreenID=srsmap.ScreenID and scrn.ScreenName="TC Specialist" and scrn.Deleted=false
where uppmap.ParkingPlaceID=parkingplaceid) and (specializationid=0 or usm.SpecializationID=specializationid) and usm.Deleted = 0b0
left join m_gender gen on gen.GenderID=usr.GenderID
left join m_title til on til.TitleID=usr.TitleID
left join m_specialization spec on spec.SpecializationID=usm.SpecializationID order by usr.FirstName ;




END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `PR_FetchUnregisteredUser` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `PR_FetchUnregisteredUser`(v_ParkingPlace int)
BEGIN

select usr.UserID, usr.FirstName, usr.LastName, usr.UserName from m_userparkingplacemap uspm
inner join m_user usr on uspm.UserID = usr.UserID
where usr.deleted = false and 
uspm.deleted = false and 
uspm.ParkingPlaceID = v_ParkingPlace and 
uspm.UserID not in (select UserID from m_userbiometricmapping where IsCompleted is true);

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `PR_FetchUserDetails` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `PR_FetchUserDetails`(v_ServiceProviderID int, v_PSMStateID int, v_ServiceID int, v_RoleID int, v_Name_User varchar(50), v_UserID int)
BEGIN

 

	select 
USRMappingID,
ProviderServiceMapID,
UserID,
RoleID,
RoleName,
TitleID,
TitleName,
FirstName,
MiddleName,
LastName,
GenderID,
GenderName,
MaritalStatusID,
MaritalStatus,
AadhaarNo,
PAN,
DOB,
DOJ,
QualificationID,
Qualification,
UserName,
Password,
AgentID,
AgentPassword,
CZRole,
EmailID,
Languages,
StatusID,
UserStatus,
EmergencyContactPerson,
EmergencyContactNo,
IsSupervisor,
UserDeleted,
DemographicID,
FathersName,
MothersName,
CommunityID,
CommunityType,
ReligionID,
ReligionType,
UserAddressLine1,
UserAddressLine2,
PermAddressLine1,
PermAddressLine2,
PermStateID,
PermDistrictID,
PermPinCode,
UserPremanentAddress,
UserCityID,
UserCity,
UserStateID,
UserState,
UserCountryID,
UserCountry,
PinCode,
IsPresent,
IsPermanent,
ServiceProviderID,
ServiceProviderName,
ServiceID,
ServiceName,
IsNational,
PSMStateID,
PSMStateName,
WorkingLocationID,
WorkingLocationName,
WorkingDistrictID,
WorkingDistrictName,
WorkingAddress,
USRMDeleted
    FROM showuserdetailsfromuserservicerolemapping
    where (v_ServiceProviderID is null or ServiceProviderID = v_ServiceProviderID)
    and (v_PSMStateID is null or PSMStateID = v_PSMStateID) 
    and (v_ServiceID is null or ServiceID = v_ServiceID)
    and (v_RoleID is null or RoleID = v_RoleID)
    and (v_Name_User is null or concat(coalesce(FirstName, ""),coalesce(MiddleName, ""),coalesce(LastName, "")) like v_Name_User )
    and (v_UserID is null or UserID = v_UserID)
    and UserDeleted != 0b1;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `PR_Insert104BRCategory` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `PR_Insert104BRCategory`(v_SubServiceID smallint, v_ProviderServiceMapID int)
BEGIN
 


insert into db_iemr.m_category 
(CategoryName,
 CategoryDesc,
 SubServiceID,
 ProviderServiceMapID,
 CreatedBy)
values
("Blood Document", 
concat("Blood Document Upload For - ",  v_ProviderServiceMapID), 
v_SubServiceID,
v_ProviderServiceMapID,
 "Trigger-Insert104BRCategory");



insert into db_iemr.m_subcategory 
(SubCategoryName, 
SubCategoryDesc,
 CreatedBy)
	values
("Blood Document", 
concat("Blood Document Upload For - ", v_ProviderServiceMapID),
"Trigger-Insert104BRCategory");



update db_iemr.m_subcategory subcat , db_iemr.m_category  cat 
set subcat.CategoryID = cat.CategoryID
where subcat.SubCategoryDesc = cat.CategoryDesc
and (subcat.SubCategoryName = "Blood Document")
and (cat.CategoryName = "Blood Document"); 


END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `PR_InsertCallType` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `PR_InsertCallType`(v_ProviderServiceMapID int)
BEGIN
 

DECLARE v_ServiceID INT ;

select ServiceID into v_ServiceID from m_ProviderServiceMapping 
where ProviderServiceMapID = v_ProviderServiceMapID;





if(v_ServiceID = 3 or v_ServiceID = 1 or v_ServiceID = 6)
then
INSERT INTO `db_iemr`.`m_calltype`
(`CallGroupType`,
`CallType`,
`CallTypeDesc`,
`ProviderServiceMapID`,
`IsInbound`,
`IsOutbound`,
`FitToBlock`,
`FitForFollowup`,
`MaxRedial`,
`CreatedBy`)
VALUES
('Wrapup Exceeds', 'Wrapup Exceeds', 'For Call Disconnect', v_ProviderServiceMapID,0b1,0b1,0b0,0b0,0,'Admin');

end if;


if(v_ServiceID = 6)
then
INSERT INTO `db_iemr`.`m_calltype`
(`CallGroupType`,
`CallType`,
`CallTypeDesc`,
`ProviderServiceMapID`,
`IsInbound`,
`IsOutbound`,
`FitToBlock`,
`FitForFollowup`,
`MaxRedial`,
`CreatedBy`)
VALUES
("Answered" , "Answered" , "For MCTS Through trigger" , v_ProviderServiceMapID , 0b0 , 0b1 , 0b0 , 0b0 , 0,"Admin"),
("Not Answered" , "Invalid number" , "For MCTS Through trigger" , v_ProviderServiceMapID , 0b0 , 0b1 , 0b0 , 0b0 , 0,"Admin"),
("Not Answered" , "Out of service" , "For MCTS Through trigger" , v_ProviderServiceMapID , 0b0 , 0b1 , 0b0 , 0b0 , 0,"Admin"),
("Not Answered" , "Out of reach" , "For MCTS Through trigger" , v_ProviderServiceMapID , 0b0 , 0b1 , 0b0 , 0b0 , 0,"Admin"),
("Not Answered" , "Switched off" , "For MCTS Through trigger" , v_ProviderServiceMapID , 0b0 , 0b1 , 0b0 , 0b0 , 0,"Admin"),
("Not Answered" , "No reply" , "For MCTS Through trigger" , v_ProviderServiceMapID , 0b0 , 0b1 , 0b0 , 0b0 , 0,"Admin"),
("Not Answered" , "Number busy" , "For MCTS Through trigger" , v_ProviderServiceMapID , 0b0 , 0b1 , 0b0 , 0b0 , 0,"Admin"),
("Not Answered" , "Call not connected" , "For MCTS Through trigger" , v_ProviderServiceMapID , 0b1 , 0b0 , 0b0 , 0b0 , 0,"Admin");

end if;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `PR_InsertInNotificationMap` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `PR_InsertInNotificationMap`(v_RoleID int, v_NotificationID int, v_ProviderServiceMapID int,v_NotificationTypeID int, v_CreatedBy varchar(50), v_ValidFrom datetime, v_WorkingLocationID int)
BEGIN

 
DECLARE v_NotificationType VARCHAR(100);
DECLARE v_NotificationState VARCHAR(30)  default 'unread';


select NotificationType  into v_NotificationType
from db_iemr.m_notificationtype
where NotificationTypeID =v_NotificationTypeID;
 







if(v_RoleID is not null and v_WorkingLocationID is not null)
then
INSERT INTO `db_iemr`.`m_usernotificationmap` 
(`UserID`, `RoleID`, `NotificationID`, `ProviderServiceMapID`,`NotificationState`, `NotificationTypeID`,`NotificationType`,`CreatedBy`)
SELECT
 usrm.UserID, 
 usrm.RoleID,
 v_NotificationID,
 v_ProviderServiceMapID,
 v_NotificationState,
 v_NotificationTypeID,
 v_NotificationType,
 v_CreatedBy
 FROM db_iemr.m_userservicerolemapping usrm 
where usrm.RoleID = v_RoleID 
and usrm.WorkingLocationID = v_WorkingLocationID 
and usrm.ProviderServiceMapID = v_ProviderServiceMapID 
and usrm.Deleted != 0b1;
end if;



if(v_RoleID is not null and v_WorkingLocationID is null)
then
INSERT INTO `db_iemr`.`m_usernotificationmap` 
(`UserID`, `RoleID`, `NotificationID`, `ProviderServiceMapID`,`NotificationState`, `NotificationTypeID`,`NotificationType`,`CreatedBy`)
SELECT
 usrm.UserID, 
 usrm.RoleID,
 v_NotificationID,
 v_ProviderServiceMapID,
 v_NotificationState,
 v_NotificationTypeID,
 v_NotificationType,
 v_CreatedBy
 FROM db_iemr.m_userservicerolemapping usrm 
where usrm.RoleID = v_RoleID
and usrm.ProviderServiceMapID = v_ProviderServiceMapID 
and usrm.Deleted != 0b1;
end if;



if(v_RoleID is null and v_WorkingLocationID is not null)
then
INSERT INTO `db_iemr`.`m_usernotificationmap` 
(`UserID`, `RoleID`, `NotificationID`, `ProviderServiceMapID`,`NotificationState`, `NotificationTypeID`,`NotificationType`,`CreatedBy`)
SELECT
 usrm.UserID, 
 usrm.RoleID,
 v_NotificationID,
 v_ProviderServiceMapID,
 v_NotificationState,
 v_NotificationTypeID,
 v_NotificationType,
 v_CreatedBy
 FROM db_iemr.m_userservicerolemapping usrm 
where usrm.WorkingLocationID = v_WorkingLocationID
and usrm.ProviderServiceMapID = v_ProviderServiceMapID 
and usrm.Deleted != 0b1;
end if;


if(v_RoleID is null and v_WorkingLocationID is null)
then
INSERT INTO `db_iemr`.`m_usernotificationmap` 
(`UserID`, `RoleID`, `NotificationID`, `ProviderServiceMapID`,`NotificationState`, `NotificationTypeID`,`NotificationType`,`CreatedBy`)
SELECT
 usrm.UserID, 
 usrm.RoleID,
 v_NotificationID,
 v_ProviderServiceMapID,
 v_NotificationState,
 v_NotificationTypeID,
 v_NotificationType,
 v_CreatedBy
 FROM db_iemr.m_userservicerolemapping usrm 
where usrm.ProviderServiceMapID = v_ProviderServiceMapID 
and usrm.Deleted != 0b1;
end if;


END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `PR_InsertMCTSFieldsStatewise` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `PR_InsertMCTSFieldsStatewise`(v_ProviderServiceMapID int)
BEGIN
 


DECLARE v_ServiceID INT ;
DECLARE v_StateID INT ; 




select ServiceID into v_ServiceID from m_ProviderServiceMapping 
where ProviderServiceMapID = v_ProviderServiceMapID;




select StateID into v_StateID from m_ProviderServiceMapping 
where ProviderServiceMapID = v_ProviderServiceMapID;






if(v_ServiceID = 6 and v_StateID = 5)
THEN
INSERT INTO `db_iemr`.`m_mctsfieldsstatewise` (`DataFields`, `FieldsFor`, `ProviderServiceMapID`, `CreatedBy`) VALUES ('[{"dbColumnName":"State_ID","excelColumnName":"StateID"},{"dbColumnName":"District_ID","excelColumnName":"District_ID"},{"dbColumnName":"District_Name","excelColumnName":"District_Name"},{"dbColumnName":"Taluka_ID","excelColumnName":"Taluka_ID"},{"dbColumnName":"Taluka_Name","excelColumnName":"Taluka_Name"},{"dbColumnName":"Block_ID","excelColumnName":"HealthBlock_ID"},{"dbColumnName":"Block_Name","excelColumnName":"HealthBlock_Name"},{"dbColumnName":"PHC_ID","excelColumnName":"PHC_ID"},{"dbColumnName":"PHC_Name","excelColumnName":"PHC_Name"},{"dbColumnName":"SubCenter_ID","excelColumnName":"SubCentre_ID"},{"dbColumnName":"SubCenter_Name","excelColumnName":"SubCentre_Name"},{"dbColumnName":"Village_ID","excelColumnName":"Village_ID"},{"dbColumnName":"Village_Name","excelColumnName":"Village_Name"},{"dbColumnName":"YR","excelColumnName":"Yr"},{"dbColumnName":"GP_Village","excelColumnName":"GP_Village"},{"dbColumnName":"Address","excelColumnName":"Address"},{"dbColumnName":"MCTSID_no","excelColumnName":"ID_No"},{"dbColumnName":"Name","excelColumnName":"Name"},{"dbColumnName":"Husband_Name","excelColumnName":"Husband_Name"},{"dbColumnName":"PhoneNo_Of_Whom","excelColumnName":"PhoneNo_Of_Whom"},{"dbColumnName":"Whom_PhoneNo","excelColumnName":"Whom_PhoneNo"},{"dbColumnName":"Birth_Date","excelColumnName":"Birthdate"},{"dbColumnName":"JSY_Beneficiary","excelColumnName":"JSY_Beneficiary"},{"dbColumnName":"Caste","excelColumnName":"Caste"},{"dbColumnName":"SubCenter_Name1","excelColumnName":"SubCentre_Name1"},{"dbColumnName":"ANM_Name","excelColumnName":"ANM_Name"},{"dbColumnName":"ANM_Ph","excelColumnName":"ANM_Phone"},{"dbColumnName":"ASHA_Name","excelColumnName":"ASHA_Name"},{"dbColumnName":"ASHA_Ph","excelColumnName":"ASHA_Phone"},{"dbColumnName":"Delivery_Lnk_Facility","excelColumnName":"Delivery_Lnk_Facility"},{"dbColumnName":"Facility_Name","excelColumnName":"Facility_Name"},{"dbColumnName":"LMP_Date","excelColumnName":"LMP_Date"},{"dbColumnName":"ANC1_Date","excelColumnName":"ANC1_Date"},{"dbColumnName":"ANC2_Date","excelColumnName":"ANC2_Date"},{"dbColumnName":"ANC3_Date","excelColumnName":"ANC3_Date"},{"dbColumnName":"ANC4_Date","excelColumnName":"ANC4_Date"},{"dbColumnName":"TT1_Date","excelColumnName":"TT1_Date"},{"dbColumnName":"TT2_Date","excelColumnName":"TT2_Date"},{"dbColumnName":"TTBooster_Date","excelColumnName":"TTBooster_Date"},{"dbColumnName":"IFA100_Given_Date","excelColumnName":"IFA100_Given_Date"},{"dbColumnName":"Anemia","excelColumnName":"Anemia"},{"dbColumnName":"ANC_Complication","excelColumnName":"ANC_Complication"},{"dbColumnName":"RTI_STI","excelColumnName":"RTI_STI"},{"dbColumnName":"Delivery_Date","excelColumnName":"Dly_Date"},{"dbColumnName":"Delivery_Place_home_type","excelColumnName":"Dly_Place_Home_Type"},{"dbColumnName":"Delivery_Place_Public","excelColumnName":"Dly_Place_Public"},{"dbColumnName":"Delivery_Place_Private","excelColumnName":"Dly_Place_Private"},{"dbColumnName":"Delivery_type","excelColumnName":"Dly_Type"},{"dbColumnName":"Delivery_Complications","excelColumnName":"Dly_Complication"},{"dbColumnName":"Discharge_Date","excelColumnName":"Discharge_Date"},{"dbColumnName":"JSY_Paid_Date","excelColumnName":"JSY_Paid_Date"},{"dbColumnName":"Abortion","excelColumnName":"Abortion"},{"dbColumnName":"PNC_Home_Visit","excelColumnName":"PNC_Home_Visit"},{"dbColumnName":"PNC_Complication","excelColumnName":"PNC_Complication"},{"dbColumnName":"PPC_Method","excelColumnName":"PPC_Method"},{"dbColumnName":"PNC_Checkup","excelColumnName":"PNC_Checkup"},{"dbColumnName":"Outcome_Nos","excelColumnName":"Outcome_Nos"},{"dbColumnName":"Child1_Name","excelColumnName":"Child1_Name"},{"dbColumnName":"Child1_Gender","excelColumnName":"Child1_Sex"},{"dbColumnName":"Child1_Weight","excelColumnName":"Child1_Wt"},{"dbColumnName":"Child1_BreastFeeding","excelColumnName":"Child1_Brestfeeding"},{"dbColumnName":"Child2_Name","excelColumnName":"Child2_Name"},{"dbColumnName":"Child2_Gender","excelColumnName":"Child2_Sex"},{"dbColumnName":"Child2_weight","excelColumnName":"Child2_Wt"},{"dbColumnName":"Child2_Breastfeeding","excelColumnName":"Child2_Brestfeeding"},{"dbColumnName":"Child3_Name","excelColumnName":"Child3_Name"},{"dbColumnName":"Child3_Gender","excelColumnName":"Child3_Sex"},{"dbColumnName":"Child3_Weight","excelColumnName":"Child3_Wt"},{"dbColumnName":"Child3_Breastfeeding","excelColumnName":"Child3_Brestfeeding"},{"dbColumnName":"Child4_Name","excelColumnName":"Child4_Name"},{"dbColumnName":"Child4_Gender","excelColumnName":"Child4_Sex"},{"dbColumnName":"Child4_Weight","excelColumnName":"Child4_Wt"},{"dbColumnName":"Child4_Breastfeeding","excelColumnName":"Child4_Brestfeeding"},{"dbColumnName":"Age","excelColumnName":"Age"},{"dbColumnName":"Mother_Reg_Date","excelColumnName":"MTHR_REG_DATE"},{"dbColumnName":"Last_Update_Date","excelColumnName":"LastUpdateDate"},{"dbColumnName":"Remarks","excelColumnName":"Remarks"},{"dbColumnName":"ANM_ID","excelColumnName":"ANM_ID"},{"dbColumnName":"ASHA_ID","excelColumnName":"ASHA_ID"},{"dbColumnName":"Call_Answered","excelColumnName":"Call_Ans"},{"dbColumnName":"NoCall_Reason","excelColumnName":"NoCall_Reason"},{"dbColumnName":"NoPhone_Reason","excelColumnName":"NoPhone_Reason"},{"dbColumnName":"Created_By","excelColumnName":"Created_By"},{"dbColumnName":"Updated_By","excelColumnName":"Updated_By"},{"dbColumnName":"Aadhar_no","excelColumnName":"Aadhar_No"},{"dbColumnName":"BPL_APL","excelColumnName":"BPL_APL"},{"dbColumnName":"EID","excelColumnName":"EID"},{"dbColumnName":"EID_time","excelColumnName":"EIDTime"},{"dbColumnName":"Entry_type","excelColumnName":"Entry_Type"},{"dbColumnName":"MDDS_StateID","excelColumnName":"MDDS_StateID"},{"dbColumnName":"MDDS_District_ID","excelColumnName":"MDDS_District_ID"},{"dbColumnName":"MDDS_Taluka_ID","excelColumnName":"MDDS_Taluka_ID"},{"dbColumnName":"MDDS_Village_ID","excelColumnName":"MDDS_Village_ID"}]', 'Mother Data', v_ProviderServiceMapID, 'Trigger - MCTSExcelMapping');
INSERT INTO `db_iemr`.`m_mctsfieldsstatewise` (`DataFields`, `FieldsFor`, `ProviderServiceMapID`, `CreatedBy`) VALUES ('[{"dbColumnName":"State_ID","excelColumnName":"StateID"},{"dbColumnName":"District_ID","excelColumnName":"District_ID"},{"dbColumnName":"District_Name","excelColumnName":"District_Name"},{"dbColumnName":"Taluka_ID","excelColumnName":"Taluka_ID"},{"dbColumnName":"Taluka_Name","excelColumnName":"Taluka_Name"},{"dbColumnName":"Block_ID","excelColumnName":"HealthBlock_ID"},{"dbColumnName":"Block_Name","excelColumnName":"HealthBlock_Name"},{"dbColumnName":"PHC_ID","excelColumnName":"PHC_ID"},{"dbColumnName":"PHC_Name","excelColumnName":"PHC_Name"},{"dbColumnName":"SubCenter_ID","excelColumnName":"SubCentre_ID"},{"dbColumnName":"SubCenter_Name","excelColumnName":"SubCentre_Name"},{"dbColumnName":"Village_ID","excelColumnName":"Village_ID"},{"dbColumnName":"Village_Name","excelColumnName":"Village_Name"},{"dbColumnName":"Year","excelColumnName":"Yr"},{"dbColumnName":"City","excelColumnName":"City_Maholla"},{"dbColumnName":"GP_Village","excelColumnName":"GP_Village"},{"dbColumnName":"Address","excelColumnName":"Address"},{"dbColumnName":"MCTSID_no_Child_ID","excelColumnName":"ID_No"},{"dbColumnName":"Child_Name","excelColumnName":"Name"},{"dbColumnName":"Mother_Name","excelColumnName":"Mother_Name"},{"dbColumnName":"Mother_ID","excelColumnName":"Mother_ID"},{"dbColumnName":"Phone_No_of","excelColumnName":"PhoneNo_Of_Whom"},{"dbColumnName":"Phone_No","excelColumnName":"Whom_PhoneNo"},{"dbColumnName":"DOB","excelColumnName":"Birthdate"},{"dbColumnName":"Place_of_Birth","excelColumnName":"Place_of_Delivery"},{"dbColumnName":"BloodGroup","excelColumnName":"Blood_Group"},{"dbColumnName":"Caste","excelColumnName":"Caste"},{"dbColumnName":"SubCenter_Name1","excelColumnName":"SubCentre_Name1"},{"dbColumnName":"ANM_Name","excelColumnName":"ANM_Name"},{"dbColumnName":"ANM_Phone_No","excelColumnName":"ANM_Phone"},{"dbColumnName":"ASHA_Name","excelColumnName":"ASHA_Name"},{"dbColumnName":"ASHA_Phone_No","excelColumnName":"ASHA_Phone"},{"dbColumnName":"BCG_Date","excelColumnName":"BCG_Dt"},{"dbColumnName":"OPV0_Date","excelColumnName":"OPV0_Dt"},{"dbColumnName":"Hepatitis_B1_Date","excelColumnName":"HepatitisB1_Dt"},{"dbColumnName":"DPT1_Date","excelColumnName":"DPT1_Dt"},{"dbColumnName":"OPV1_Date","excelColumnName":"OPV1_Dt"},{"dbColumnName":"Hepatitis_B2_Date","excelColumnName":"HepatitisB2_Dt"},{"dbColumnName":"DPT2_Date","excelColumnName":"DPT2_Dt"},{"dbColumnName":"OPV2_Date","excelColumnName":"OPV2_Dt"},{"dbColumnName":"Hepatitis_B3_Date","excelColumnName":"HepatitisB3_Dt"},{"dbColumnName":"DPT3_Date","excelColumnName":"DPT3_Dt"},{"dbColumnName":"OPV3_Date","excelColumnName":"OPV3_Dt"},{"dbColumnName":"Hepatitis_B4_Date","excelColumnName":"HepatitisB4_Dt"},{"dbColumnName":"Measles_Date","excelColumnName":"Measles_Dt"},{"dbColumnName":"VitA_Dose1_Date","excelColumnName":"VitA_Dose1_Dt"},{"dbColumnName":"MR_Date","excelColumnName":"MR_Dt"},{"dbColumnName":"DPTBooster_Date","excelColumnName":"DPTBooster_Dt"},{"dbColumnName":"OPVBooster_Date","excelColumnName":"OPVBooster_Dt"},{"dbColumnName":"VitA_Dose2_Date","excelColumnName":"VitA_Dose2_Dt"},{"dbColumnName":"VitA_Dose3_Date","excelColumnName":"VitA_Dose3_Dt"},{"dbColumnName":"JE_Date","excelColumnName":"JE_Dt"},{"dbColumnName":"VitA_Dose9_Date","excelColumnName":"VitA_Dose9_Dt"},{"dbColumnName":"DT5_Date","excelColumnName":"DT5_Dt"},{"dbColumnName":"TT10_Date","excelColumnName":"TT10_Dt"},{"dbColumnName":"TT16_Date","excelColumnName":"TT16_Dt"},{"dbColumnName":"Registration_Date","excelColumnName":"CLD_REG_DATE"},{"dbColumnName":"Gender","excelColumnName":"Sex"},{"dbColumnName":"VitA_Dose5_Date","excelColumnName":"VitA_Dose5_Dt"},{"dbColumnName":"VitA_Dose6_Date","excelColumnName":"VitA_Dose6_Dt"},{"dbColumnName":"VitA_Dose7_Date","excelColumnName":"VitA_Dose7_Dt"},{"dbColumnName":"VitA_Dose8_Date","excelColumnName":"VitA_Dose8_Dt"},{"dbColumnName":"Updated_Date","excelColumnName":"LastUpdateDate"},{"dbColumnName":"Remarks","excelColumnName":"Remarks"},{"dbColumnName":"ANM_ID","excelColumnName":"ANM_ID"},{"dbColumnName":"ASHA_ID","excelColumnName":"ASHA_ID"},{"dbColumnName":"Created_By","excelColumnName":"Created_By"},{"dbColumnName":"Updated_By","excelColumnName":"Updated_By"},{"dbColumnName":"Measles_2_Date","excelColumnName":"Measles2_Dt"},{"dbColumnName":"Weight_of_Child","excelColumnName":"Weight_of_Child"},{"dbColumnName":"Child_Aadhaar_No","excelColumnName":"Child_Aadhaar_No"},{"dbColumnName":"Child_EID","excelColumnName":"Child_EID"},{"dbColumnName":"Child_EID_Time","excelColumnName":"Child_EIDTime"},{"dbColumnName":"Father_Name","excelColumnName":"Father_Name"},{"dbColumnName":"BirthCertificateNo","excelColumnName":"Birth_Certificate_Number"},{"dbColumnName":"Entry_type","excelColumnName":"Entry_Type"},{"dbColumnName":"MDDS_StateID","excelColumnName":"MDDS_StateID"},{"dbColumnName":"MDDS_District_ID","excelColumnName":"MDDS_District_ID"},{"dbColumnName":"MDDS_Taluka_ID","excelColumnName":"MDDS_Taluka_ID"},{"dbColumnName":"MDDS_Village_ID","excelColumnName":"MDDS_Village_ID"}]', 'Child Data', v_ProviderServiceMapID, 'Trigger - MCTSExcelMapping');


else if (v_ServiceID =6 and v_StateID = 15)
then
INSERT INTO `db_iemr`.`m_mctsfieldsstatewise` (`DataFields`, `FieldsFor`, `ProviderServiceMapID`, `CreatedBy`) VALUES ('[{"dbColumnName":"District_ID","excelColumnName":"DISTRICT ID"},{"dbColumnName":"District_Name","excelColumnName":"DIST NAME"},{"dbColumnName":"Taluka_ID","excelColumnName":"TAL CD"},{"dbColumnName":"Taluka_Name","excelColumnName":"TAL NAME"},{"dbColumnName":"Block_ID","excelColumnName":"BLOCK CD"},{"dbColumnName":"Block_Name","excelColumnName":"BLOCK NAME"},{"dbColumnName":"PHC_ID","excelColumnName":"PHC CD"},{"dbColumnName":"PHC_Name","excelColumnName":"PHC NAME"},{"dbColumnName":"SUBPHC_ID","excelColumnName":"SUBPHC CD"},{"dbColumnName":"SUBPHC_Name","excelColumnName":"SC NAME"},{"dbColumnName":"YR","excelColumnName":"YR"},{"dbColumnName":"GP_Village","excelColumnName":"GP VILLAGE"},{"dbColumnName":"Address","excelColumnName":"ADDRESS"},{"dbColumnName":"MCTSID_no","excelColumnName":"ID NO"},{"dbColumnName":"Name","excelColumnName":"NAME"},{"dbColumnName":"Updated_Name","excelColumnName":"UPDATED NAME"},{"dbColumnName":"Husband_Name","excelColumnName":"HUSBAND NAME"},{"dbColumnName":"Updated_HusbandName","excelColumnName":"UPDATED HUSBAND NAME"},{"dbColumnName":"PhoneNo_Of_Whom","excelColumnName":"PHONENO OF WHOM"},{"dbColumnName":"Whom_PhoneNo","excelColumnName":"WHOM PHONENO"},{"dbColumnName":"Birth_Date","excelColumnName":"BIRTHDATE"},{"dbColumnName":"Age","excelColumnName":"AGE"},{"dbColumnName":"JSY_Beneficiary","excelColumnName":"JSY BENEFICIARY"},{"dbColumnName":"Caste","excelColumnName":"CASTE"},{"dbColumnName":"SubCenter_Name","excelColumnName":"SUBCENTRE NAME"},{"dbColumnName":"ANM_Name","excelColumnName":"ANM NAME"},{"dbColumnName":"ANM_Ph","excelColumnName":"ANM PHONE"},{"dbColumnName":"ASHA_Name","excelColumnName":"ASHA NAME"},{"dbColumnName":"ASHA_Ph","excelColumnName":"ASHA PHONE"},{"dbColumnName":"Delivery_Lnk_Facility","excelColumnName":"DELIVERY LNK FACILITY"},{"dbColumnName":"Facility_Name","excelColumnName":"FACILITY NAME"},{"dbColumnName":"LMP_Date","excelColumnName":"LMP DATE"},{"dbColumnName":"ANC1_Date","excelColumnName":"ANC1 DATE"},{"dbColumnName":"ANC2_Date","excelColumnName":"ANC2 DATE"},{"dbColumnName":"ANC3_Date","excelColumnName":"ANC3 DATE"},{"dbColumnName":"ANC4_Date","excelColumnName":"ANC4 DATE"},{"dbColumnName":"TT1_Date","excelColumnName":"TT1 DATE"},{"dbColumnName":"TT2_Date","excelColumnName":"TT2 DATE"},{"dbColumnName":"TTBooster_Date","excelColumnName":"TTBOOSTER DATE"},{"dbColumnName":"IFA100_Given_Date","excelColumnName":"IFA100 GIVEN DATE"},{"dbColumnName":"EDD","excelColumnName":"EDD"},{"dbColumnName":"Anemia","excelColumnName":"ANEMIA"},{"dbColumnName":"ANC_Complication","excelColumnName":"ANC COMPLICATION"},{"dbColumnName":"RTI_STI","excelColumnName":"RTI STI"},{"dbColumnName":"Delivery_Date","excelColumnName":"DLY DATE"},{"dbColumnName":"Delivery_Place_home_type","excelColumnName":"DLY PLACE HOME TYPE"},{"dbColumnName":"Delivery_Place_Public","excelColumnName":"DLY PLACE PUBLIC"},{"dbColumnName":"Delivery_Place_Private","excelColumnName":"DLY PLACE PRIVATE"},{"dbColumnName":"Delivery_type","excelColumnName":"DLY TYPE"},{"dbColumnName":"Delivery_Complications","excelColumnName":"DLY COMPLICATION"},{"dbColumnName":"Discharge_Date","excelColumnName":"DISCHARGE DATE"},{"dbColumnName":"JSY_Paid_Date","excelColumnName":"JSY PAID DATE"},{"dbColumnName":"Abortion","excelColumnName":"ABORTION"},{"dbColumnName":"PNC_Home_Visit","excelColumnName":"PNC HOME VISIT"},{"dbColumnName":"PNC_Complication","excelColumnName":"PNC COMPLICATION"},{"dbColumnName":"PPC_Method","excelColumnName":"PPC METHOD"},{"dbColumnName":"PNC_Checkup","excelColumnName":"PNC CHECKUP"},{"dbColumnName":"Outcome_Nos","excelColumnName":"OUTCOME NOS"},{"dbColumnName":"Child1_Name","excelColumnName":"CHILD1 NAME"},{"dbColumnName":"Child1_Gender","excelColumnName":"CHILD1 SEX"},{"dbColumnName":"Child1_Weight","excelColumnName":"CHILD1 WT"},{"dbColumnName":"Child1_BreastFeeding","excelColumnName":"CHILD1 BRESTFEEDING"},{"dbColumnName":"Child2_Name","excelColumnName":"CHILD2 NAME"},{"dbColumnName":"Child2_Gender","excelColumnName":"CHILD2 SEX"},{"dbColumnName":"Child2_weight","excelColumnName":"CHILD2 WT"},{"dbColumnName":"Child2_Breastfeeding","excelColumnName":"CHILD2 BRESTFEEDING"},{"dbColumnName":"Child3_Name","excelColumnName":"CHILD3 NAME"},{"dbColumnName":"Child3_Gender","excelColumnName":"CHILD3 SEX"},{"dbColumnName":"Child3_Weight","excelColumnName":"CHILD3 WT"},{"dbColumnName":"Child3_Breastfeeding","excelColumnName":"CHILD3 BRESTFEEDING"},{"dbColumnName":"Child4_Name","excelColumnName":"CHILD4 NAME"},{"dbColumnName":"Child4_Gender","excelColumnName":"CHILD4 SEX"},{"dbColumnName":"Child4_Weight","excelColumnName":"CHILD4 WT"},{"dbColumnName":"Child4_Breastfeeding","excelColumnName":"CHILD4 BRESTFEEDING"},{"dbColumnName":"Mother_Reg_Date","excelColumnName":"MTHR REG DATE"},{"dbColumnName":"Last_Update_Date","excelColumnName":"LASTUPDATEDATE"},{"dbColumnName":"Aadhar_no","excelColumnName":"AADHAR NO"},{"dbColumnName":"EID","excelColumnName":"EID"},{"dbColumnName":"EID_time","excelColumnName":"EIDTIME"},{"dbColumnName":"CPSMS_Flag","excelColumnName":"CPSMS FLAG"},{"dbColumnName":"Bank_Name","excelColumnName":"BANK NAME"},{"dbColumnName":"Bank_Branch_Name","excelColumnName":"BRANCH NAME"},{"dbColumnName":"Acc_No","excelColumnName":"ACC NO"},{"dbColumnName":"IFSC_Code","excelColumnName":"IFSC CODE"},{"dbColumnName":"Remarks","excelColumnName":"REMARKS"},{"dbColumnName":"Referred_By_Telecaller","excelColumnName":"REFERRED BY TELECALLER"},{"dbColumnName":"Referred_Date","excelColumnName":"REFERRED DATE"},{"dbColumnName":"No_of_Try","excelColumnName":"No. of Try"},{"dbColumnName":"Call_Answered","excelColumnName":"Call Answered"},{"dbColumnName":"Status","excelColumnName":"STATUS"},{"dbColumnName":"Call_Verified","excelColumnName":"Call verified (yes/ no)"},{"dbColumnName":"Associate","excelColumnName":"Associate"},{"dbColumnName":"Call_Date","excelColumnName":"Call Date"},{"dbColumnName":"Due_Services","excelColumnName":"DUE SERVICES"},{"dbColumnName":"Due_Services_Response","excelColumnName":"DUE SERVICES RESPONSE"},{"dbColumnName":"Overdue_Services","excelColumnName":"OVER DUE SERVICES"},{"dbColumnName":"Overdue_Services_Response","excelColumnName":"OVER DUE SERVICES RESPONSE"},{"dbColumnName":"Given_Services","excelColumnName":"GIVEN SERVICES"},{"dbColumnName":"Given_Services_Response","excelColumnName":"GIVEN SERVICES RESPONSE"},{"dbColumnName":"Miscarriage","excelColumnName":"MISCARRIAGE"},{"dbColumnName":"Baby_Died","excelColumnName":"BABY DIED"},{"dbColumnName":"Call_No","excelColumnName":"Call No."},{"dbColumnName":"Questions_Asked","excelColumnName":"Question Asked"},{"dbColumnName":"Asnwer_Given_by_Benificary","excelColumnName":"Answer given by benificiary"}]', 'Mother Data', v_ProviderServiceMapID, 'Trigger - MCTSExcelMapping');
INSERT INTO `db_iemr`.`m_mctsfieldsstatewise` (`DataFields`, `FieldsFor`, `ProviderServiceMapID`, `CreatedBy`) VALUES ('[{"dbColumnName":"Lead_ID","excelColumnName":"LEAD_ID"},{"dbColumnName":"My_ID","excelColumnName":"MY_ID"},{"dbColumnName":"State_ID","excelColumnName":"STATE_ID"},{"dbColumnName":"District_ID","excelColumnName":"DISTRICT_ID"},{"dbColumnName":"District_Name","excelColumnName":"DISTRICT_NAME"},{"dbColumnName":"Taluka_Name","excelColumnName":"TALUKA_ID"},{"dbColumnName":"Taluka_ID","excelColumnName":"TALUKA_NAME"},{"dbColumnName":"Block_ID","excelColumnName":"HEALTH_BLOCK_ID"},{"dbColumnName":"Block_Name","excelColumnName":"HEALTH_BLOCK_NAME"},{"dbColumnName":"PHC_ID","excelColumnName":"PHC_ID"},{"dbColumnName":"PHC_Name","excelColumnName":"PHC_NAME"},{"dbColumnName":"SubCenter_ID","excelColumnName":"SUBCENTER_ID"},{"dbColumnName":"SubCenter_Name","excelColumnName":"SUBCENTER_NAME"},{"dbColumnName":"Village_ID","excelColumnName":"VILLAGE_ID"},{"dbColumnName":"Village_Name","excelColumnName":"VILLAGE_NAME"},{"dbColumnName":"Rural_urban","excelColumnName":"RURAL_URBAN"},{"dbColumnName":"Year","excelColumnName":"YEAR"},{"dbColumnName":"SNO","excelColumnName":"SNO1"},{"dbColumnName":"City","excelColumnName":"CITY_MOHOLLA"},{"dbColumnName":"GP_Village","excelColumnName":"GP_VILLAGE"},{"dbColumnName":"Address","excelColumnName":"ADDRESS"},{"dbColumnName":"MCTSID_no_Child_ID","excelColumnName":"CHILD_ID"},{"dbColumnName":"Child_Name","excelColumnName":"CHILD_NAME"},{"dbColumnName":"Mother_Name","excelColumnName":"MOTHER_NAME"},{"dbColumnName":"Mother_ID","excelColumnName":"MOTHER_ID"},{"dbColumnName":"Phone_No_of","excelColumnName":"PHONE_NO_OF_WHOM"},{"dbColumnName":"Phone_No","excelColumnName":"PHONE_NO"},{"dbColumnName":"DOB","excelColumnName":"BIRTH_DATE"},{"dbColumnName":"Place_of_Birth","excelColumnName":"PLACE_OF_DELIVERY"},{"dbColumnName":"BloodGroup","excelColumnName":"BLOOD_GROUP"},{"dbColumnName":"Caste","excelColumnName":"CASTE"},{"dbColumnName":"ANM_Name","excelColumnName":"ANM_NAME"},{"dbColumnName":"ANM_Phone_No","excelColumnName":"ANM_PHONE_NO"},{"dbColumnName":"ASHA_Name","excelColumnName":"ASHA_NAME"},{"dbColumnName":"ASHA_Phone_No","excelColumnName":"ASHA_PHONE_NO"},{"dbColumnName":"BCG_Date","excelColumnName":"BCG_DATE"},{"dbColumnName":"OPV0_Date","excelColumnName":"OPV_0_DATE"},{"dbColumnName":"Hepatitis_B1_Date","excelColumnName":"HEPATITIS_B_1_DATE"},{"dbColumnName":"DPT1_Date","excelColumnName":"DPT_1_DATE"},{"dbColumnName":"OPV1_Date","excelColumnName":"OPV_1_DATE"},{"dbColumnName":"Hepatitis_B2_Date","excelColumnName":"HEPATITIS_B_2_DATE"},{"dbColumnName":"DPT2_Date","excelColumnName":"DPT_2_DATE"},{"dbColumnName":"OPV2_Date","excelColumnName":"OPV_2_DATE"},{"dbColumnName":"Hepatitis_B3_Date","excelColumnName":"HEPATITIS_B_3_DATE"},{"dbColumnName":"DPT3_Date","excelColumnName":"DPT_3_DATE"},{"dbColumnName":"OPV3_Date","excelColumnName":"OPV_3_DATE"},{"dbColumnName":"Hepatitis_B4_Date","excelColumnName":"HEPATITIS_B_4_DATE"},{"dbColumnName":"Measles_Date","excelColumnName":"MEASLES_DATE"},{"dbColumnName":"VitA_Dose1_Date","excelColumnName":"VITA_DOSE_1_DATE"},{"dbColumnName":"MR_Date","excelColumnName":"MR_DATE"},{"dbColumnName":"DPTBooster_Date","excelColumnName":"DPT_BOOSTER_DATE"},{"dbColumnName":"OPVBooster_Date","excelColumnName":"OPV_BOOSTER_DATE"},{"dbColumnName":"VitA_Dose2_Date","excelColumnName":"VITA_DOSE_2_DATE"},{"dbColumnName":"VitA_Dose3_Date","excelColumnName":"VITA_DOSE_3_DATE"},{"dbColumnName":"JE_Date","excelColumnName":"JE_DATE"},{"dbColumnName":"VitA_Dose9_Date","excelColumnName":"VITA_DOSE_9_DATE"},{"dbColumnName":"DT5_Date","excelColumnName":"DT_5_DATE"},{"dbColumnName":"TT10_Date","excelColumnName":"TT_10_DATE"},{"dbColumnName":"TT16_Date","excelColumnName":"TT_16_DATE"},{"dbColumnName":"is_Upload","excelColumnName":"IS_UPLOAD"},{"dbColumnName":"Emamta_Health_ID","excelColumnName":"EMAMTAHEALTH_ID"},{"dbColumnName":"Emamta_Family_ID","excelColumnName":"EMAMTAFAMILY_ID"},{"dbColumnName":"CID_NO","excelColumnName":"CID_NO"},{"dbColumnName":"MID_NO","excelColumnName":"MID_NO"},{"dbColumnName":"Delete_Mother","excelColumnName":"DELETE_MOTHER"},{"dbColumnName":"Delete_Reason","excelColumnName":"REASON_DELETION"},{"dbColumnName":"Deleted_ON","excelColumnName":"DELETED_ON"},{"dbColumnName":"Entry_type","excelColumnName":"ENTRY_TYPE"},{"dbColumnName":"Registration_Date","excelColumnName":"CHILD_REGESTERED_DATE"},{"dbColumnName":"Duplicate_Bit","excelColumnName":"DUPLICATE_BIT"},{"dbColumnName":"FacilityType","excelColumnName":"FACILITY_TYPE"},{"dbColumnName":"Gender","excelColumnName":"SEX"},{"dbColumnName":"VitA_Dose5_Date","excelColumnName":"VITA_DOSE_5_DATE"},{"dbColumnName":"VitA_Dose6_Date","excelColumnName":"VITA_DOSE_6_DATE"},{"dbColumnName":"VitA_Dose7_Date","excelColumnName":"VITA_DOSE_7_DATE"},{"dbColumnName":"VitA_Dose8_Date","excelColumnName":"VITA_DOSE_8_DATE"},{"dbColumnName":"VitA_Dose99_Date","excelColumnName":"VITA_DOSE_99_DATE"},{"dbColumnName":"Updated_Date","excelColumnName":"LAST_UPDATE_DATE"},{"dbColumnName":"SMS_Status","excelColumnName":"SMS_STATUS"},{"dbColumnName":"Remarks","excelColumnName":"REMARKS"},{"dbColumnName":"ANM_ID","excelColumnName":"ANM_ID"},{"dbColumnName":"ASHA_ID","excelColumnName":"ASHA_ID"},{"dbColumnName":"Created_By","excelColumnName":"CREATED_BY"},{"dbColumnName":"Updated_By","excelColumnName":"UPDATED_BY"},{"dbColumnName":"Measles_2_Date","excelColumnName":"MEASLES_2_DATE"},{"dbColumnName":"DueServices","excelColumnName":"DUE SERVICES"},{"dbColumnName":"OverDueServices","excelColumnName":"OVER DUE SERVICES"},{"dbColumnName":"GivenServices","excelColumnName":"GIVEN SERVICES"}]', 'Child Data', v_ProviderServiceMapID, 'Trigger - MCTSExcelMapping');

else if (v_ServiceID =6 and v_StateID = 18)
then
INSERT INTO `db_iemr`.`m_mctsfieldsstatewise` (`DataFields`, `FieldsFor`, `ProviderServiceMapID`, `CreatedBy`) VALUES ('[{"dbColumnName":"District_ID","excelColumnName":"DISTRICT ID"},{"dbColumnName":"District_Name","excelColumnName":"DIST NAME"},{"dbColumnName":"Source","excelColumnName":"SOURCE"},{"dbColumnName":"Taluka_Name","excelColumnName":"TAL NAME"},{"dbColumnName":"Block_ID","excelColumnName":"BLOCK CD"},{"dbColumnName":"Block_Name","excelColumnName":"BLOCK NAME"},{"dbColumnName":"PHC_ID","excelColumnName":"PHC CD"},{"dbColumnName":"PHC_Name","excelColumnName":"PHC NAME"},{"dbColumnName":"SUBPHC_ID","excelColumnName":"SUBPHC CD"},{"dbColumnName":"SUBPHC_Name","excelColumnName":"SC NAME"},{"dbColumnName":"YR","excelColumnName":"YR"},{"dbColumnName":"GP_Village","excelColumnName":"GP VILLAGE"},{"dbColumnName":"Address","excelColumnName":"ADDRESS"},{"dbColumnName":"MCTSID_no","excelColumnName":"ID NO"},{"dbColumnName":"Name","excelColumnName":"NAME"},{"dbColumnName":"Husband_Name","excelColumnName":"HUSBAND NAME"},{"dbColumnName":"PhoneNo_Of_Whom","excelColumnName":"PHONENO OF WHOM"},{"dbColumnName":"Whom_PhoneNo","excelColumnName":"WHOM PHONENO"},{"dbColumnName":"Birth_Date","excelColumnName":"BIRTHDATE"},{"dbColumnName":"Age","excelColumnName":"AGE"},{"dbColumnName":"JSY_Beneficiary","excelColumnName":"JSY BENEFICIARY"},{"dbColumnName":"Caste","excelColumnName":"CASTE"},{"dbColumnName":"SubCenter_Name","excelColumnName":"SUBCENTRE NAME"},{"dbColumnName":"ANM_Name","excelColumnName":"ANM NAME"},{"dbColumnName":"ANM_Ph","excelColumnName":"ANM PHONE"},{"dbColumnName":"ASHA_Name","excelColumnName":"ASHA NAME"},{"dbColumnName":"ASHA_Ph","excelColumnName":"ASHA PHONE"},{"dbColumnName":"Delivery_Lnk_Facility","excelColumnName":"DELIVERY LNK FACILITY"},{"dbColumnName":"Facility_Name","excelColumnName":"FACILITY NAME"},{"dbColumnName":"LMP_Date","excelColumnName":"LMP DATE"},{"dbColumnName":"ANC1_Date","excelColumnName":"ANC1 DATE"},{"dbColumnName":"ANC2_Date","excelColumnName":"ANC2 DATE"},{"dbColumnName":"ANC3_Date","excelColumnName":"ANC3 DATE"},{"dbColumnName":"ANC4_Date","excelColumnName":"ANC4 DATE"},{"dbColumnName":"TT1_Date","excelColumnName":"TT1 DATE"},{"dbColumnName":"TT2_Date","excelColumnName":"TT2 DATE"},{"dbColumnName":"TTBooster_Date","excelColumnName":"TTBOOSTER DATE"},{"dbColumnName":"IFA100_Given_Date","excelColumnName":"IFA100 GIVEN DATE"},{"dbColumnName":"EDD","excelColumnName":"EDD"},{"dbColumnName":"Anemia","excelColumnName":"ANEMIA"},{"dbColumnName":"ANC_Complication","excelColumnName":"ANC COMPLICATION"},{"dbColumnName":"RTI_STI","excelColumnName":"RTI STI"},{"dbColumnName":"Delivery_Date","excelColumnName":"DLY DATE"},{"dbColumnName":"Delivery_Place_home_type","excelColumnName":"DLY PLACE HOME TYPE"},{"dbColumnName":"Delivery_Place_Public","excelColumnName":"DLY PLACE PUBLIC"},{"dbColumnName":"Delivery_Place_Private","excelColumnName":"DLY PLACE PRIVATE"},{"dbColumnName":"Delivery_type","excelColumnName":"DLY TYPE"},{"dbColumnName":"Delivery_Complications","excelColumnName":"DLY COMPLICATION"},{"dbColumnName":"Discharge_Date","excelColumnName":"DISCHARGE DATE"},{"dbColumnName":"JSY_Paid_Date","excelColumnName":"JSY PAID DATE"},{"dbColumnName":"Abortion","excelColumnName":"ABORTION"},{"dbColumnName":"PNC_Home_Visit","excelColumnName":"PNC HOME VISIT"},{"dbColumnName":"PNC_Complication","excelColumnName":"PNC COMPLICATION"},{"dbColumnName":"PPC_Method","excelColumnName":"PPC METHOD"},{"dbColumnName":"PNC_Checkup","excelColumnName":"PNC CHECKUP"},{"dbColumnName":"Outcome_Nos","excelColumnName":"OUTCOME NOS"},{"dbColumnName":"Child1_Name","excelColumnName":"CHILD1 NAME"},{"dbColumnName":"Child1_Gender","excelColumnName":"CHILD1 SEX"},{"dbColumnName":"Child1_Weight","excelColumnName":"CHILD1 WT"},{"dbColumnName":"Child1_BreastFeeding","excelColumnName":"CHILD1 BRESTFEEDING"},{"dbColumnName":"Child2_Name","excelColumnName":"CHILD2 NAME"},{"dbColumnName":"Child2_Gender","excelColumnName":"CHILD2 SEX"},{"dbColumnName":"Child2_weight","excelColumnName":"CHILD2 WT"},{"dbColumnName":"Child2_Breastfeeding","excelColumnName":"CHILD2 BRESTFEEDING"},{"dbColumnName":"Child3_Name","excelColumnName":"CHILD3 NAME"},{"dbColumnName":"Child3_Gender","excelColumnName":"CHILD3 SEX"},{"dbColumnName":"Child3_Weight","excelColumnName":"CHILD3 WT"},{"dbColumnName":"Child3_Breastfeeding","excelColumnName":"CHILD3 BRESTFEEDING"},{"dbColumnName":"Child4_Name","excelColumnName":"CHILD4 NAME"},{"dbColumnName":"Child4_Gender","excelColumnName":"CHILD4 SEX"},{"dbColumnName":"Child4_Weight","excelColumnName":"CHILD4 WT"},{"dbColumnName":"Child4_Breastfeeding","excelColumnName":"CHILD4 BRESTFEEDING"},{"dbColumnName":"Mother_Reg_Date","excelColumnName":"MTHR REG DATE"},{"dbColumnName":"Last_Update_Date","excelColumnName":"LASTUPDATEDATE"},{"dbColumnName":"Aadhar_no","excelColumnName":"AADHAR NO"},{"dbColumnName":"EID","excelColumnName":"EID"},{"dbColumnName":"EID_time","excelColumnName":"EIDTIME"},{"dbColumnName":"CPSMS_Flag","excelColumnName":"CPSMS FLAG"},{"dbColumnName":"Bank_Name","excelColumnName":"BANK NAME"},{"dbColumnName":"Bank_Branch_Name","excelColumnName":"BRANCH NAME"},{"dbColumnName":"Acc_No","excelColumnName":"ACC NO"},{"dbColumnName":"IFSC_Code","excelColumnName":"IFSC CODE"},{"dbColumnName":"Remarks","excelColumnName":"REMARKS"},{"dbColumnName":"Referred_By_Telecaller","excelColumnName":"REFERRED BY TELECALLER"},{"dbColumnName":"Referred_Date","excelColumnName":"REFERRED DATE"}]', 'Mother Data', v_ProviderServiceMapID, 'Trigger - MCTSExcelMapping');
INSERT INTO `db_iemr`.`m_mctsfieldsstatewise` (`DataFields`, `FieldsFor`, `ProviderServiceMapID`, `CreatedBy`) VALUES ('[{"dbColumnName":"My_ID","excelColumnName":"MY ID"},{"dbColumnName":"State_ID","excelColumnName":"STATE ID"},{"dbColumnName":"District_ID","excelColumnName":"DISTRICT ID"},{"dbColumnName":"District_Name","excelColumnName":"DISTRICT NAME"},{"dbColumnName":"Source","excelColumnName":"SOURCE"},{"dbColumnName":"Taluka_Name","excelColumnName":"TALUKA NAME"},{"dbColumnName":"Block_ID","excelColumnName":"HEALTH BLOCK ID"},{"dbColumnName":"Block_Name","excelColumnName":"HEALTH BLOCK NAME"},{"dbColumnName":"PHC_ID","excelColumnName":"PHC ID"},{"dbColumnName":"PHC_Name","excelColumnName":"PHC NAME"},{"dbColumnName":"SubCenter_ID","excelColumnName":"SUBCENTER ID"},{"dbColumnName":"SubCenter_Name","excelColumnName":"SUBCENTER NAME"},{"dbColumnName":"Village_ID","excelColumnName":"VILLAGE ID"},{"dbColumnName":"Village_Name","excelColumnName":"VILLAGE NAME"},{"dbColumnName":"Rural_urban","excelColumnName":"RURAL URBAN"},{"dbColumnName":"Year","excelColumnName":"YEAR"},{"dbColumnName":"SNO","excelColumnName":"SNO"},{"dbColumnName":"City","excelColumnName":"CITY MOHOLLA"},{"dbColumnName":"GP_Village","excelColumnName":"GP VILLAGE"},{"dbColumnName":"Address","excelColumnName":"ADDRESS"},{"dbColumnName":"MCTSID_no_Child_ID","excelColumnName":"CHILD ID"},{"dbColumnName":"Child_Name","excelColumnName":"CHILD NAME"},{"dbColumnName":"Mother_Name","excelColumnName":"MOTHER NAME"},{"dbColumnName":"Mother_ID","excelColumnName":"MOTHER ID"},{"dbColumnName":"Phone_No_of","excelColumnName":"PHONE NO OF WHOM"},{"dbColumnName":"Phone_No","excelColumnName":"PHONE NO"},{"dbColumnName":"DOB","excelColumnName":"BIRTH DATE"},{"dbColumnName":"Place_of_Birth","excelColumnName":"PLACE OF DELIVERY"},{"dbColumnName":"BloodGroup","excelColumnName":"BLOOD GROUP"},{"dbColumnName":"Caste","excelColumnName":"CASTE"},{"dbColumnName":"ANM_Name","excelColumnName":"ANM NAME"},{"dbColumnName":"ANM_Phone_No","excelColumnName":"ANM PHONE NO"},{"dbColumnName":"ASHA_Name","excelColumnName":"ASHA NAME"},{"dbColumnName":"ASHA_Phone_No","excelColumnName":"ASHA PHONE NO"},{"dbColumnName":"BCG_Date","excelColumnName":"BCG DATE"},{"dbColumnName":"OPV0_Date","excelColumnName":"OPV 0 DATE"},{"dbColumnName":"Hepatitis_B1_Date","excelColumnName":"HEPATITIS B 1 DATE"},{"dbColumnName":"DPT1_Date","excelColumnName":"DPT 1 DATE"},{"dbColumnName":"OPV1_Date","excelColumnName":"OPV 1 DATE"},{"dbColumnName":"Hepatitis_B2_Date","excelColumnName":"HEPATITIS B 2 DATE"},{"dbColumnName":"DPT2_Date","excelColumnName":"DPT 2 DATE"},{"dbColumnName":"OPV2_Date","excelColumnName":"OPV 2 DATE"},{"dbColumnName":"Hepatitis_B3_Date","excelColumnName":"HEPATITIS B 3 DATE"},{"dbColumnName":"DPT3_Date","excelColumnName":"DPT 3 DATE"},{"dbColumnName":"OPV3_Date","excelColumnName":"OPV 3 DATE"},{"dbColumnName":"Hepatitis_B4_Date","excelColumnName":"HEPATITIS B 4 DATE"},{"dbColumnName":"Measles_Date","excelColumnName":"MEASLES DATE"},{"dbColumnName":"VitA_Dose1_Date","excelColumnName":"VITA DOSE 1 DATE"},{"dbColumnName":"MR_Date","excelColumnName":"MR DATE"},{"dbColumnName":"DPTBooster_Date","excelColumnName":"DPT BOOSTER DATE"},{"dbColumnName":"OPVBooster_Date","excelColumnName":"OPV BOOSTER DATE"},{"dbColumnName":"VitA_Dose2_Date","excelColumnName":"VITA DOSE 2 DATE"},{"dbColumnName":"VitA_Dose3_Date","excelColumnName":"VITA DOSE 3 DATE"},{"dbColumnName":"DT5_Date","excelColumnName":"DT5_Dt"},{"dbColumnName":"VitA_Dose9_Date","excelColumnName":"VITA DOSE 9 DATE"},{"dbColumnName":"TT10_Date","excelColumnName":"TT 10 DATE"},{"dbColumnName":"TT16_Date","excelColumnName":"TT 16 DATE"},{"dbColumnName":"is_Upload","excelColumnName":"IS UPLOAD"},{"dbColumnName":"Emamta_Health_ID","excelColumnName":"EMAMTAHEALTH ID"},{"dbColumnName":"Emamta_Family_ID","excelColumnName":"EMAMTAFAMILY ID"},{"dbColumnName":"CID_NO","excelColumnName":"CID NO"},{"dbColumnName":"MID_NO","excelColumnName":"MID NO"},{"dbColumnName":"Delete_Mother","excelColumnName":"DELETE MOTHER"},{"dbColumnName":"Delete_Reason","excelColumnName":"REASON DELETION"},{"dbColumnName":"Deleted_ON","excelColumnName":"DELETED ON"},{"dbColumnName":"Entry_type","excelColumnName":"ENTRY TYPE"},{"dbColumnName":"Registration_Date","excelColumnName":"CHILD REGESTERED DATE"},{"dbColumnName":"Duplicate_Bit","excelColumnName":"DUPLICATE BIT"},{"dbColumnName":"FacilityType","excelColumnName":"FACILITY TYPE"},{"dbColumnName":"Gender","excelColumnName":"SEX"},{"dbColumnName":"VitA_Dose5_Date","excelColumnName":"VITA DOSE 5 DATE"},{"dbColumnName":"VitA_Dose6_Date","excelColumnName":"VITA DOSE 6 DATE"},{"dbColumnName":"VitA_Dose7_Date","excelColumnName":"VITA DOSE 7 DATE"},{"dbColumnName":"VitA_Dose8_Date","excelColumnName":"VITA DOSE 8 DATE"},{"dbColumnName":"VitA_Dose99_Date","excelColumnName":"VITA DOSE 99 DATE"},{"dbColumnName":"Updated_Date","excelColumnName":"LAST UPDATE DATE"},{"dbColumnName":"SMS_Status","excelColumnName":"SMS STATUS"},{"dbColumnName":"Remarks","excelColumnName":"REMARKS"},{"dbColumnName":"ANM_ID","excelColumnName":"ANM ID"},{"dbColumnName":"ASHA_ID","excelColumnName":"ASHA ID"},{"dbColumnName":"Created_By","excelColumnName":"CREATED BY"},{"dbColumnName":"Updated_By","excelColumnName":"UPDATED BY"},{"dbColumnName":"Measles_2_Date","excelColumnName":"MEASLES 2 DATE"}]', 'Child Data', v_ProviderServiceMapID, 'Trigger - MCTSExcelMapping');

else if (v_ServiceID =6 and v_StateID = 31)
then
INSERT INTO `db_iemr`.`m_mctsfieldsstatewise` (`DataFields`, `FieldsFor`, `ProviderServiceMapID`, `CreatedBy`) VALUES ('[{"dbColumnName":"State_ID","excelColumnName":"StateID"},{"dbColumnName":"District_ID","excelColumnName":"District_ID"},{"dbColumnName":"District_Name","excelColumnName":"District_Name"},{"dbColumnName":"Taluka_ID","excelColumnName":"Taluka_ID"},{"dbColumnName":"Taluka_Name","excelColumnName":"Taluka_Name"},{"dbColumnName":"Block_ID","excelColumnName":"HealthBlock_ID"},{"dbColumnName":"Block_Name","excelColumnName":"HealthBlock_Name"},{"dbColumnName":"PHC_ID","excelColumnName":"PHC_ID"},{"dbColumnName":"PHC_Name","excelColumnName":"PHC_Name"},{"dbColumnName":"SubCenter_ID","excelColumnName":"SubCentre_ID"},{"dbColumnName":"SubCenter_Name","excelColumnName":"SubCentre_Name"},{"dbColumnName":"Village_ID","excelColumnName":"Village_ID"},{"dbColumnName":"Village_Name","excelColumnName":"Village_Name"},{"dbColumnName":"YR","excelColumnName":"Yr"},{"dbColumnName":"GP_Village","excelColumnName":"GP_Village"},{"dbColumnName":"Address","excelColumnName":"Address"},{"dbColumnName":"MCTSID_no","excelColumnName":"ID_No"},{"dbColumnName":"Name","excelColumnName":"Name"},{"dbColumnName":"Husband_Name","excelColumnName":"Husband_Name"},{"dbColumnName":"PhoneNo_Of_Whom","excelColumnName":"PhoneNo_Of_Whom"},{"dbColumnName":"Whom_PhoneNo","excelColumnName":"Whom_PhoneNo"},{"dbColumnName":"Birth_Date","excelColumnName":"Birthdate"},{"dbColumnName":"JSY_Beneficiary","excelColumnName":"JSY_Beneficiary"},{"dbColumnName":"Caste","excelColumnName":"Caste"},{"dbColumnName":"SubCenter_Name1","excelColumnName":"SubCentre_Name1"},{"dbColumnName":"ANM_Name","excelColumnName":"ANM_Name"},{"dbColumnName":"ANM_Ph","excelColumnName":"ANM_Phone"},{"dbColumnName":"ASHA_Name","excelColumnName":"ASHA_Name"},{"dbColumnName":"ASHA_Ph","excelColumnName":"ASHA_Phone"},{"dbColumnName":"Delivery_Lnk_Facility","excelColumnName":"Delivery_Lnk_Facility"},{"dbColumnName":"Facility_Name","excelColumnName":"Facility_Name"},{"dbColumnName":"LMP_Date","excelColumnName":"LMP_Date"},{"dbColumnName":"ANC1_Date","excelColumnName":"ANC1_Date"},{"dbColumnName":"ANC2_Date","excelColumnName":"ANC2_Date"},{"dbColumnName":"ANC3_Date","excelColumnName":"ANC3_Date"},{"dbColumnName":"ANC4_Date","excelColumnName":"ANC4_Date"},{"dbColumnName":"TT1_Date","excelColumnName":"TT1_Date"},{"dbColumnName":"TT2_Date","excelColumnName":"TT2_Date"},{"dbColumnName":"TTBooster_Date","excelColumnName":"TTBooster_Date"},{"dbColumnName":"IFA100_Given_Date","excelColumnName":"IFA100_Given_Date"},{"dbColumnName":"Anemia","excelColumnName":"Anemia"},{"dbColumnName":"ANC_Complication","excelColumnName":"ANC_Complication"},{"dbColumnName":"RTI_STI","excelColumnName":"RTI_STI"},{"dbColumnName":"Delivery_Date","excelColumnName":"Dly_Date"},{"dbColumnName":"Delivery_Place_home_type","excelColumnName":"Dly_Place_Home_Type"},{"dbColumnName":"Delivery_Place_Public","excelColumnName":"Dly_Place_Public"},{"dbColumnName":"Delivery_Place_Private","excelColumnName":"Dly_Place_Private"},{"dbColumnName":"Delivery_type","excelColumnName":"Dly_Type"},{"dbColumnName":"Delivery_Complications","excelColumnName":"Dly_Complication"},{"dbColumnName":"Discharge_Date","excelColumnName":"Discharge_Date"},{"dbColumnName":"JSY_Paid_Date","excelColumnName":"JSY_Paid_Date"},{"dbColumnName":"Abortion","excelColumnName":"Abortion"},{"dbColumnName":"PNC_Home_Visit","excelColumnName":"PNC_Home_Visit"},{"dbColumnName":"PNC_Complication","excelColumnName":"PNC_Complication"},{"dbColumnName":"PPC_Method","excelColumnName":"PPC_Method"},{"dbColumnName":"PNC_Checkup","excelColumnName":"PNC_Checkup"},{"dbColumnName":"Outcome_Nos","excelColumnName":"Outcome_Nos"},{"dbColumnName":"Child1_Name","excelColumnName":"Child1_Name"},{"dbColumnName":"Child1_Gender","excelColumnName":"Child1_Sex"},{"dbColumnName":"Child1_Weight","excelColumnName":"Child1_Wt"},{"dbColumnName":"Child1_BreastFeeding","excelColumnName":"Child1_Brestfeeding"},{"dbColumnName":"Child2_Name","excelColumnName":"Child2_Name"},{"dbColumnName":"Child2_Gender","excelColumnName":"Child2_Sex"},{"dbColumnName":"Child2_weight","excelColumnName":"Child2_Wt"},{"dbColumnName":"Child2_Breastfeeding","excelColumnName":"Child2_Brestfeeding"},{"dbColumnName":"Child3_Name","excelColumnName":"Child3_Name"},{"dbColumnName":"Child3_Gender","excelColumnName":"Child3_Sex"},{"dbColumnName":"Child3_Weight","excelColumnName":"Child3_Wt"},{"dbColumnName":"Child3_Breastfeeding","excelColumnName":"Child3_Brestfeeding"},{"dbColumnName":"Child4_Name","excelColumnName":"Child4_Name"},{"dbColumnName":"Child4_Gender","excelColumnName":"Child4_Sex"},{"dbColumnName":"Child4_Weight","excelColumnName":"Child4_Wt"},{"dbColumnName":"Child4_Breastfeeding","excelColumnName":"Child4_Brestfeeding"},{"dbColumnName":"Age","excelColumnName":"Age"},{"dbColumnName":"Mother_Reg_Date","excelColumnName":"MTHR_REG_DATE"},{"dbColumnName":"Last_Update_Date","excelColumnName":"LastUpdateDate"},{"dbColumnName":"Remarks","excelColumnName":"Remarks"},{"dbColumnName":"ANM_ID","excelColumnName":"ANM_ID"},{"dbColumnName":"ASHA_ID","excelColumnName":"ASHA_ID"},{"dbColumnName":"Call_Answered","excelColumnName":"Call_Ans"},{"dbColumnName":"NoCall_Reason","excelColumnName":"NoCall_Reason"},{"dbColumnName":"NoPhone_Reason","excelColumnName":"NoPhone_Reason"},{"dbColumnName":"Created_By","excelColumnName":"Created_By"},{"dbColumnName":"Updated_By","excelColumnName":"Updated_By"},{"dbColumnName":"Aadhar_no","excelColumnName":"Aadhar_No"},{"dbColumnName":"BPL_APL","excelColumnName":"BPL_APL"},{"dbColumnName":"EID","excelColumnName":"EID"},{"dbColumnName":"EID_time","excelColumnName":"EIDTime"},{"dbColumnName":"Entry_type","excelColumnName":"Entry_Type"},{"dbColumnName":"MDDS_StateID","excelColumnName":"MDDS_StateID"},{"dbColumnName":"MDDS_District_ID","excelColumnName":"MDDS_District_ID"},{"dbColumnName":"MDDS_Taluka_ID","excelColumnName":"MDDS_Taluka_ID"},{"dbColumnName":"MDDS_Village_ID","excelColumnName":"MDDS_Village_ID"}]', 'Mother Data', v_ProviderServiceMapID, 'Trigger - MCTSExcelMapping');
INSERT INTO `db_iemr`.`m_mctsfieldsstatewise` (`DataFields`, `FieldsFor`, `ProviderServiceMapID`, `CreatedBy`) VALUES ('[{"dbColumnName":"State_ID","excelColumnName":"StateID"},{"dbColumnName":"District_ID","excelColumnName":"District_ID"},{"dbColumnName":"District_Name","excelColumnName":"District_Name"},{"dbColumnName":"Taluka_ID","excelColumnName":"Taluka_ID"},{"dbColumnName":"Taluka_Name","excelColumnName":"Taluka_Name"},{"dbColumnName":"Block_ID","excelColumnName":"HealthBlock_ID"},{"dbColumnName":"Block_Name","excelColumnName":"HealthBlock_Name"},{"dbColumnName":"PHC_ID","excelColumnName":"PHC_ID"},{"dbColumnName":"PHC_Name","excelColumnName":"PHC_Name"},{"dbColumnName":"SubCenter_ID","excelColumnName":"SubCentre_ID"},{"dbColumnName":"SubCenter_Name","excelColumnName":"SubCentre_Name"},{"dbColumnName":"Village_ID","excelColumnName":"Village_ID"},{"dbColumnName":"Village_Name","excelColumnName":"Village_Name"},{"dbColumnName":"Year","excelColumnName":"Yr"},{"dbColumnName":"City","excelColumnName":"City_Maholla"},{"dbColumnName":"GP_Village","excelColumnName":"GP_Village"},{"dbColumnName":"Address","excelColumnName":"Address"},{"dbColumnName":"MCTSID_no_Child_ID","excelColumnName":"ID_No"},{"dbColumnName":"Child_Name","excelColumnName":"Name"},{"dbColumnName":"Mother_Name","excelColumnName":"Mother_Name"},{"dbColumnName":"Mother_ID","excelColumnName":"Mother_ID"},{"dbColumnName":"Phone_No_of","excelColumnName":"PhoneNo_Of_Whom"},{"dbColumnName":"Phone_No","excelColumnName":"Whom_PhoneNo"},{"dbColumnName":"DOB","excelColumnName":"Birthdate"},{"dbColumnName":"Place_of_Birth","excelColumnName":"Place_of_Delivery"},{"dbColumnName":"BloodGroup","excelColumnName":"Blood_Group"},{"dbColumnName":"Caste","excelColumnName":"Caste"},{"dbColumnName":"SubCenter_Name1","excelColumnName":"SubCentre_Name1"},{"dbColumnName":"ANM_Name","excelColumnName":"ANM_Name"},{"dbColumnName":"ANM_Phone_No","excelColumnName":"ANM_Phone"},{"dbColumnName":"ASHA_Name","excelColumnName":"ASHA_Name"},{"dbColumnName":"ASHA_Phone_No","excelColumnName":"ASHA_Phone"},{"dbColumnName":"BCG_Date","excelColumnName":"BCG_Dt"},{"dbColumnName":"OPV0_Date","excelColumnName":"OPV0_Dt"},{"dbColumnName":"Hepatitis_B1_Date","excelColumnName":"HepatitisB1_Dt"},{"dbColumnName":"DPT1_Date","excelColumnName":"DPT1_Dt"},{"dbColumnName":"OPV1_Date","excelColumnName":"OPV1_Dt"},{"dbColumnName":"Hepatitis_B2_Date","excelColumnName":"HepatitisB2_Dt"},{"dbColumnName":"DPT2_Date","excelColumnName":"DPT2_Dt"},{"dbColumnName":"OPV2_Date","excelColumnName":"OPV2_Dt"},{"dbColumnName":"Hepatitis_B3_Date","excelColumnName":"HepatitisB3_Dt"},{"dbColumnName":"DPT3_Date","excelColumnName":"DPT3_Dt"},{"dbColumnName":"OPV3_Date","excelColumnName":"OPV3_Dt"},{"dbColumnName":"Hepatitis_B4_Date","excelColumnName":"HepatitisB4_Dt"},{"dbColumnName":"Measles_Date","excelColumnName":"Measles_Dt"},{"dbColumnName":"VitA_Dose1_Date","excelColumnName":"VitA_Dose1_Dt"},{"dbColumnName":"MR_Date","excelColumnName":"MR_Dt"},{"dbColumnName":"DPTBooster_Date","excelColumnName":"DPTBooster_Dt"},{"dbColumnName":"OPVBooster_Date","excelColumnName":"OPVBooster_Dt"},{"dbColumnName":"VitA_Dose2_Date","excelColumnName":"VitA_Dose2_Dt"},{"dbColumnName":"VitA_Dose3_Date","excelColumnName":"VitA_Dose3_Dt"},{"dbColumnName":"JE_Date","excelColumnName":"JE_Dt"},{"dbColumnName":"VitA_Dose9_Date","excelColumnName":"VitA_Dose9_Dt"},{"dbColumnName":"DT5_Date","excelColumnName":"DT5_Dt"},{"dbColumnName":"TT10_Date","excelColumnName":"TT10_Dt"},{"dbColumnName":"TT16_Date","excelColumnName":"TT16_Dt"},{"dbColumnName":"Registration_Date","excelColumnName":"CLD_REG_DATE"},{"dbColumnName":"Gender","excelColumnName":"Sex"},{"dbColumnName":"VitA_Dose5_Date","excelColumnName":"VitA_Dose5_Dt"},{"dbColumnName":"VitA_Dose6_Date","excelColumnName":"VitA_Dose6_Dt"},{"dbColumnName":"VitA_Dose7_Date","excelColumnName":"VitA_Dose7_Dt"},{"dbColumnName":"VitA_Dose8_Date","excelColumnName":"VitA_Dose8_Dt"},{"dbColumnName":"Updated_Date","excelColumnName":"LastUpdateDate"},{"dbColumnName":"Remarks","excelColumnName":"Remarks"},{"dbColumnName":"ANM_ID","excelColumnName":"ANM_ID"},{"dbColumnName":"ASHA_ID","excelColumnName":"ASHA_ID"},{"dbColumnName":"Created_By","excelColumnName":"Created_By"},{"dbColumnName":"Updated_By","excelColumnName":"Updated_By"},{"dbColumnName":"Measles_2_Date","excelColumnName":"Measles2_Dt"},{"dbColumnName":"Weight_of_Child","excelColumnName":"Weight_of_Child"},{"dbColumnName":"Child_Aadhaar_No","excelColumnName":"Child_Aadhaar_No"},{"dbColumnName":"Child_EID","excelColumnName":"Child_EID"},{"dbColumnName":"Child_EID_Time","excelColumnName":"Child_EIDTime"},{"dbColumnName":"Father_Name","excelColumnName":"Father_Name"},{"dbColumnName":"BirthCertificateNo","excelColumnName":"Birth_Certificate_Number"},{"dbColumnName":"Entry_type","excelColumnName":"Entry_Type"},{"dbColumnName":"MDDS_StateID","excelColumnName":"MDDS_StateID"},{"dbColumnName":"MDDS_District_ID","excelColumnName":"MDDS_District_ID"},{"dbColumnName":"MDDS_Taluka_ID","excelColumnName":"MDDS_Taluka_ID"},{"dbColumnName":"MDDS_Village_ID","excelColumnName":"MDDS_Village_ID"}]', 'Child Data', v_ProviderServiceMapID, 'Trigger - MCTSExcelMapping');


end if;
end if; 
end if;
end if;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `PR_InstituteBulkUpload` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `PR_InstituteBulkUpload`(
IN_InstDet longtext,v_Created_by varchar(50),v_userid int(11),v_serviceproviderid int(11)
)
BEGIN

declare ReCount int(11);
declare v_insertcount int(11);
declare v_updatecount int(11);
declare v_recordcount int(11);
declare v_validrecordcount int(11);

declare v_tempcount int(11);
declare e_error int(11);
declare Count int(11);

SET SQL_SAFE_UPDATES = 0;

     drop temporary table if exists temp;
    
	create temporary table temp (jsondata longtext);
    
     drop temporary table if exists temp_institution;
    CREATE temporary TABLE `temp_institution` (
  `InstitutionID` int(11) NOT NULL AUTO_INCREMENT,
  `Serviceline` varchar(100) DEFAULT NULL,
  `InstitutionName` varchar(100) DEFAULT NULL,
  `StateID` int(11) DEFAULT NULL,
  `DistrictID` int(11) DEFAULT NULL,
  `BlockID` int(11) DEFAULT NULL,
  `DistrictBranchMappingID` int(11) DEFAULT NULL,
  `Address` varchar(300) DEFAULT NULL,
  `ContactPerson1` varchar(50) DEFAULT NULL,
  `ContactPerson1_Email` varchar(30) DEFAULT NULL,
  `ContactNo1` varchar(15) DEFAULT NULL,
  `ContactPerson2` varchar(50) DEFAULT NULL,
  `ContactPerson2_Email` varchar(30) DEFAULT NULL,
  `ContactNo2` varchar(15) DEFAULT NULL,
  `ContactPerson3` varchar(50) DEFAULT NULL,
  `ContactPerson3_Email` varchar(30) DEFAULT NULL,
  `ContactNo3` varchar(30) DEFAULT NULL,
  `Website` varchar(100) DEFAULT NULL,
  `ProviderServiceMapID` int(11) DEFAULT NULL,
  InstitutionType varchar(100),
  `InstitutionTypeId` int(11) DEFAULT NULL,
  State varchar(100),
  District varchar(100),
  Taluk varchar(100),
  PRIMARY KEY (`InstitutionID`)
) ;

	select  JSON_LENGTH(json_extract(IN_InstDet,"$.InstitutionDetails")) into ReCount;
   
      set count=0;
 	WHILE count  <= ReCount DO
    SET @sql_text:=CONCAT(' insert into temp select json_extract(''',IN_InstDet, ''',"$.InstitutionDetails[',count,']");');  
	PREPARE stmt from @sql_text; 
	EXECUTE stmt;
	 SET  count = count + 1; 
	 
insert into temp_institution(  Serviceline,state,district,taluk,InstitutionName, 
 Address, ContactPerson1, ContactPerson1_Email, ContactNo1, 
ContactPerson2, ContactPerson2_Email, ContactNo2, ContactPerson3, ContactPerson3_Email, 
ContactNo3, Website, InstitutionType)

     select  replace(JSON_EXTRACT(jsondata, '$.Serviceline'),'"','') as Serviceline,
        replace(JSON_EXTRACT(jsondata, '$.State'),'"','') as State,
        replace(JSON_EXTRACT(jsondata, '$.District'),'"','') as District,
        replace(JSON_EXTRACT(jsondata, '$.Taluk'),'"','') as Taluk,
		replace(JSON_EXTRACT(jsondata, '$.InstitutionName'),'"','') as InstitutionName,
        replace(JSON_EXTRACT(jsondata, '$.Address'),'"','') as Address,
          replace(JSON_EXTRACT(jsondata, '$.PrimaryContactPerson'),'"','') as ContactPerson1,
            replace(JSON_EXTRACT(jsondata, '$.PrimaryEmailID'),'"','') as ContactPerson1_Email,
              replace(JSON_EXTRACT(jsondata, '$.PrimaryContactNumber'),'"','') as ContactNo1,
                replace(JSON_EXTRACT(jsondata, '$.SecondaryContactPerson'),'"','') as ContactPerson2,
                replace(JSON_EXTRACT(jsondata, '$.SecondaryEmailID'),'"','') as ContactPerson2_Email,
                replace(JSON_EXTRACT(jsondata, '$.SecondaryContactNumber'),'"','') as ContactNo2,
                replace(JSON_EXTRACT(jsondata, '$.TertiaryContactPerson'),'"','') as ContactPerson3,
                replace(JSON_EXTRACT(jsondata, '$.TertiaryEmailID'),'"','') as ContactPerson3_Email,
                replace(JSON_EXTRACT(jsondata, '$.TertiaryContactNumber'),'"','') as ContactNo3,
                replace(JSON_EXTRACT(jsondata, '$.Website'),'"','') as Website,
                replace(JSON_EXTRACT(jsondata, '$.InstituteType'),'"','') as InstitutionType
        
             from temp;
	  delete from temp;
	 END WHILE;
     
     
     update temp_institution t
     inner join db_iemr.m_state s on s.StateName=t.State
     set t.StateID=s.StateID;
     
     update temp_institution t
     inner join db_iemr.m_district s on s.districtname=t.district
     set t.districtid=s.districtid;
     
     
     update temp_institution t
     inner join db_iemr.m_districtblock s on s.blockname=t.taluk
     set t.blockid=s.blockid;
     
     
     
     update temp_institution t
   
     inner join db_iemr.m_servicemaster sm on sm.ServiceName=t.serviceline
     inner join db_iemr.m_providerservicemapping s on 
      s.StateID=t.StateID
     and s.serviceproviderid=v_serviceproviderid and s.serviceid=sm.ServiceID
    
     set t.ProviderServiceMapID=s.ProviderServiceMapID
     where s.Deleted is false  and sm.ServiceID!=1;
     
     
     
     
     update temp_institution t
   
     inner join db_iemr.m_servicemaster sm on sm.ServiceName=t.serviceline
     inner join db_iemr.m_providerservicemapping s on 
    
      s.serviceproviderid=v_serviceproviderid and s.serviceid=sm.ServiceID
    
     set t.ProviderServiceMapID=s.ProviderServiceMapID
     where s.Deleted is false and sm.ServiceID=1;
     
     update temp_institution t
     inner join db_iemr.m_institutiontype s on s.institutiontype=t.InstitutionType
     and t.providerservicemapid=s.ProviderServiceMapID
     set t.institutiontypeid=s.institutiontypeid;
     
    /*drop table if exists temp_institution_check;
     create table temp_institution_check as
     select * from temp_institution;*/
     
     select count(1) into v_recordcount 
      from temp_institution where InstitutionName is not null;
     
     select count(1) into v_validrecordcount 
      from temp_institution t
 where t.InstitutionName is not null and t.StateID is not null 
 and t.institutiontypeid is not null
  and t.DistrictID is not null and t.blockid is not null
 
 

  
  and t.InstitutionName not  REGEXP '[0-9]' and length(t.InstitutionName)>=3
 --  and t.ContactPerson1 not  REGEXP '[0-9]' and length(t.ContactPerson1)>=2
 -- and length(t.ContactNo1)=10
 and ((length(t.ContactNo1)=10) 
 or(ifnull(trim(t.ContactNo1),'')=''))
  
   and t.ProviderServiceMapID is not null
    and t.Address is not null ;
   
   
     select count(1) into v_tempcount
      from temp_institution where InstitutionName is not null ;
      
      
   if ((v_recordcount=v_validrecordcount) and v_tempcount>0) then    
   
     
     update temp_institution t
 inner join db_iemr.m_institution m on m.Institutionname=t.InstitutionName
  and m.StateID=t.stateid and m.DistrictID=t.districtid 
  and t.providerservicemapid=m.providerservicemapid
 set m.StateID=t.stateid, m.DistrictID=t.DistrictID, m.BlockID=t.BlockID,  
 m.Address=t.Address, m.ContactPerson1=t.ContactPerson1, 
 m.ContactPerson1_Email=t.ContactPerson1_Email, m.ContactNo1=t.ContactNo1, 
 m.ContactPerson2=t.ContactPerson2, m.ContactPerson2_Email=t.ContactPerson2_Email, 
 m.ContactNo2=t.ContactNo2, 
 m.ContactPerson3=t.ContactPerson3, 
m.ContactPerson3_Email= t.ContactPerson3_Email, m.ContactNo3=t.ContactNo3, 
m.Website=t.Website, m.ProviderServiceMapID=t.ProviderServiceMapID, 
m.CreatedBy= replace(v_Created_by, '"',''),m.InstituteTypeId=t.InstitutionTypeId
 
 where  t.InstitutionName is not null and t.StateID is not null 
 and t.institutiontypeid is not null
  and t.DistrictID is not null and t.blockid is not null
 
 
 
 and t.InstitutionName not  REGEXP '[0-9]' and length(t.InstitutionName)>=3
 --  and t.ContactPerson1 not  REGEXP '[0-9]' and length(t.ContactPerson1)>=2
 -- and length(t.ContactNo1)=10 
 and ((length(t.ContactNo1)=10) 
 or(ifnull(trim(t.ContactNo1),'')=''))
  
   and t.ProviderServiceMapID is not null
   and t.Address is not null ;
 
    
   set v_updatecount=row_count();
     
 insert into db_iemr.m_institution(InstitutionName, StateID, DistrictID, BlockID,  Address, 
 ContactPerson1, 
 ContactPerson1_Email, ContactNo1, ContactPerson2, ContactPerson2_Email, ContactNo2,
  ContactPerson3_Email,ContactPerson3, 
 ContactNo3, Website, ProviderServiceMapID, Deleted, Processed, CreatedBy, 
 InstituteTypeId)
 select t.InstitutionName, t.StateID, t.DistrictID, t.BlockID,  
 t.Address, t.ContactPerson1, 
 t.ContactPerson1_Email, t.ContactNo1, t.ContactPerson2, t.ContactPerson2_Email, t.ContactNo2, 
 t.ContactPerson3_Email, t.ContactPerson3, 
 t.ContactNo3, t.Website, t.ProviderServiceMapID, b'0' Deleted,
 'N' Processed,  replace(v_Created_by, '"',''),
  t.InstitutionTypeId
 from temp_institution t
 left join db_iemr.m_institution m on m.Institutionname=t.InstitutionName
 and m.StateID=t.stateid and m.DistrictID=t.districtid and t.providerservicemapid=m.providerservicemapid
 where m.InstitutionName is null and t.InstitutionName is not null and t.StateID is not null
  and t.institutiontypeid is not null
  and t.DistrictID is not null and t.blockid is not null
 
 and t.InstitutionName not  REGEXP '[0-9]' and length(t.InstitutionName)>=3
  -- and t.ContactPerson1 not  REGEXP '[0-9]' and length(t.ContactPerson1)>=2
 -- and length(t.ContactNo1)=10
 and ((length(t.ContactNo1)=10) 
 or(ifnull(trim(t.ContactNo1),'')=''))
  
   and t.ProviderServiceMapID is not null
   and t.Address is not null  ;
   
   set v_insertcount=row_count();
   
   
   select  v_insertcount 'Records Saved Successfully',
  
    v_updatecount 'Records Updated Successfully';
  
   
   else 
     set e_error=-1;
  select e_error 'File format is not proper', e_error 'file format error';
  end if;
  
  
 
     
     

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `Pr_Locationdetails` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `Pr_Locationdetails`(v_villageid int(11))
begin
select distinct DistrictBranchID villageid,villagename,
b.blockid,b.blockname,
d.districtid,districtname,s.stateid,statename , c.countryid,c.CountryName
from db_iemr.m_districtbranchmapping dbm
inner join db_iemr.m_districtblock b on b.blockid=dbm.blockid
inner join db_iemr.m_district d on d.districtid=b.districtid
inner join db_iemr.m_state s on s.stateid=d.stateid
inner join db_iemr.m_country c on c.countryid=s.countryid
where dbm.deleted is false and b.deleted is false
and d.deleted is false and s.deleted is false
and dbm.DistrictBranchID=v_villageid;

end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `Pr_Stockdetail` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `Pr_Stockdetail`(v_FromDate date, v_ToDate date,
v_facilityid int(11))
BEGIN

select 
C.Vanserialno ItemStockEntryID, C.ItemID, C.FacilityID, C.BatchNo, C.TotalQuantityReceived, C.UnitCostPrice, 
C.ExpiryDate, C.EntryType, C.ProviderServiceMapID, C.EntryDate, 
(C.OpeningStock+C.AdjustedQuantity_FromDate) as OpeningStock,
 C.AdjustedQuantity_FromDate,
 QuantityDispanced,

ITM.ItemName,
FAC.FacilityName,
ITMC.ItemCategoryName,
sum(if(SAItm.IsAdded = 0b1, ifnull(SAItm.AdjustedQuantity,0),-(ifnull(SAItm.AdjustedQuantity,0))) ) as AdjustedQuantity_ToDate,
sum(if(SAItm.IsAdded = 0b1, ifnull(SAItm.AdjustedQuantity,0),0) ) as AdjustedQuantity_ToDate_Receipt,
sum(if(SAItm.IsAdded = 0b1, 0,(ifnull(SAItm.AdjustedQuantity,0))) ) as AdjustedQuantity_ToDate_Issue ,
((C.OpeningStock)+(C.AdjustedQuantity_FromDate)-(QuantityDispanced)+
(sum(if(SAItm.IsAdded = 0b1, ifnull(SAItm.AdjustedQuantity,0),-(ifnull(SAItm.AdjustedQuantity,0))) ))) as ClosingStock

from

(select B.*,
sum(ifnull(ISEx.Quantity,0)) as QuantityDispanced,
(OpeningStock_temp) as OpeningStock -- +AdjustedQuantity_FromDate
from

(select A.*,
sum(if(SAItm.IsAdded = 0b1, ifnull(SAItm.AdjustedQuantity,0),-(ifnull(SAItm.AdjustedQuantity,0))) ) as AdjustedQuantity_FromDate
from
 
(select
ISE.vanid,
ISE.VanSerialNo,
ISE.ItemID,
ISE.FacilityID,
ISE.BatchNo,
ifnull(ISE.Quantity,0) as TotalQuantityReceived,
ISE.UnitCostPrice,
ISE.ExpiryDate,
ISE.EntryType,
ISE.ProviderServiceMapID,
ISE.CreatedDate as EntryDate,
  (ifnull(ISE.Quantity,0) - sum(ifnull(ISEx.Quantity,0))) as OpeningStock_temp
-- ISE.QuantityInHand as OpeningStock
FROM db_iemr.t_itemstockentry ISE
left join db_iemr.t_itemstockexit ISEx
 on ISE.VanSerialNo = ISEx.ItemStockEntryID and ISE.vanid=ISEx.vanid
 and date(ISEx.CreatedDate) <v_FromDate
 
where date(ISE.CreatedDate) <= v_ToDate

group by ISE.VanSerialNo,ISE.vanid
) A left join db_iemr.t_saitemmapping SAItm 
        on SAItm.ItemStockEntryID=A.VanSerialNo and SAItm.vanid=A.vanid
        and date(SAItm.CreatedDate) < v_FromDate 
        
group by A.VanSerialNo,A.Vanid
 ) B left join db_iemr.t_itemstockexit ISEx 
        on B.VanSerialNo = ISEx.ItemStockEntryID   and B.vanid=ISEx.vanid
        and date(ISEx.CreatedDate) >= v_FromDate  
        and date(ISEx.CreatedDate) <= v_ToDate
        
 group by B.VanSerialNo,B.Vanid
 ) C left join db_iemr.t_saitemmapping SAItm 
        on SAItm.ItemStockEntryID=C.VanSerialNo and SAItm.vanid=SAItm.vanid
        and date(SAItm.CreatedDate) >= v_FromDate 
        and date(SAItm.CreatedDate) <= v_ToDate
        
        Inner Join db_iemr.m_Item ITM on C.ItemID = ITM.ItemID
        Inner Join db_iemr.m_Facility FAC on C.FacilityID = FAC.FacilityID
        Inner join db_iemr.m_ItemCategory ITMC on ITM.ItemCategoryID = ITMC.ItemCategoryID
       -- where c.vanid is not null
         where c.facilityid=ifnull(v_facilityid,c.facilityid)
group by C.VanSerialNo,C.Vanid;
 

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `PR_StockDetail_stockissue` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`%` PROCEDURE `PR_StockDetail_stockissue`(v_FromDate date, v_ToDate date)
BEGIN

select C.*,
ITM.ItemName,
FAC.FacilityName,
ITMC.ItemCategoryName,
sum(if(SAItm.IsAdded = 0b1, ifnull(SAItm.AdjustedQuantity,0),-(ifnull(SAItm.AdjustedQuantity,0))) ) as AdjustedQuantity_ToDate,
sum(if(SAItm.IsAdded = 0b1, ifnull(SAItm.AdjustedQuantity,0),0) ) as AdjustedQuantity_ToDate_Receipt,
sum(if(SAItm.IsAdded = 0b1, 0,(ifnull(SAItm.AdjustedQuantity,0))) ) as AdjustedQuantity_ToDate_Issue 

from

(select B.*,
sum(ifnull(ISEx.Quantity,0)) as QuantityDispanced
from

(select A.*,
sum(if(SAItm.IsAdded = 0b1, ifnull(SAItm.AdjustedQuantity,0),-(ifnull(SAItm.AdjustedQuantity,0))) ) as AdjustedQuantity_FromDate
from
 
(select
ISE.ItemStockEntryID,
ISE.ItemID,
ISE.FacilityID,
ISE.BatchNo,
ifnull(ISE.Quantity,0) as TotalQuantityReceived,
ISE.UnitCostPrice,
ISE.ExpiryDate,
ISE.EntryType,
ISE.ProviderServiceMapID,
ISE.CreatedDate as EntryDate,
  (ifnull(ISE.Quantity,0) - sum(ifnull(ISEx.Quantity,0))) as OpeningStock
-- ISE.QuantityInHand as OpeningStock
FROM db_iemr.t_itemstockentry ISE
left join db_iemr.t_itemstockexit ISEx
 on ISE.ItemStockEntryID = ISEx.ItemStockEntryID 
 and date(ISEx.CreatedDate) <v_FromDate
 
where date(ISE.CreatedDate) <= v_ToDate

group by ISE.ItemStockEntryID
) A left join db_iemr.t_saitemmapping SAItm 
        on SAItm.ItemStockEntryID=A.ItemStockEntryID
        and date(SAItm.CreatedDate) < v_FromDate 
        
group by A.ItemStockEntryID
 ) B left join db_iemr.t_itemstockexit ISEx 
        on B.ItemStockEntryID = ISEx.ItemStockEntryID   
        and date(ISEx.CreatedDate) >= v_FromDate  
        and date(ISEx.CreatedDate) <= v_ToDate
        
 group by B.ItemStockEntryID
 ) C left join db_iemr.t_saitemmapping SAItm 
        on SAItm.ItemStockEntryID=C.ItemStockEntryID
        and date(SAItm.CreatedDate) >= v_FromDate 
        and date(SAItm.CreatedDate) <= v_ToDate
        
        Inner Join db_iemr.m_Item ITM on C.ItemID = ITM.ItemID
        Inner Join db_iemr.m_Facility FAC on C.FacilityID = FAC.FacilityID
        Inner join db_iemr.m_ItemCategory ITMC on ITM.ItemCategoryID = ITMC.ItemCategoryID
        
group by C.ItemStockEntryID;
 

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `Pr_Stocksummary` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `Pr_Stocksummary`(v_FromDate date,
  v_ToDate date,v_facilityid int(11))
BEGIN
 
 select D.ItemID,
 D.FacilityID,
 D.ItemName,
 D.FacilityName,
 D.ItemCategoryName,
 
 sum(D.TotalQuantityReceived) as TotalQuantityReceived,
 (sum(D.OpeningStock)+sum(D.AdjustedQuantity_FromDate)) as OpeningStock,
 sum(D.AdjustedQuantity_FromDate) as AdjustedQuantity_FromDate ,
 sum(D.QuantityDispanced) as QuantityDispanced,
 sum(D.AdjustedQuantity_ToDate) as AdjustedQuantity_ToDate,
 sum(D.AdjustedQuantity_ToDate_Receipt) as AdjustedQuantity_ToDate_Receipt,
 sum(D.AdjustedQuantity_ToDate_Issue) as AdjustedQuantity_ToDate_Issue,
 ((sum(D.OpeningStock))+(sum(D.AdjustedQuantity_FromDate))-(sum(D.QuantityDispanced))+(sum(D.AdjustedQuantity_ToDate))) as ClosingStock

 
 from
 (select C.*,
 ITM.ItemName,
 FAC.FacilityName,
 ITMC.ItemCategoryName,
 
 sum(if(SAItm.IsAdded = 0b1, ifnull(SAItm.AdjustedQuantity,0),-(ifnull(SAItm.AdjustedQuantity,0))) ) as AdjustedQuantity_ToDate,
 sum(if(SAItm.IsAdded = 0b1, ifnull(SAItm.AdjustedQuantity,0),0) ) as AdjustedQuantity_ToDate_Receipt,
 sum(if(SAItm.IsAdded = 0b1, 0,(ifnull(SAItm.AdjustedQuantity,0))) ) as AdjustedQuantity_ToDate_Issue 
 
 from
 
 (select B.*,
 sum(ifnull(ISEx.Quantity,0)) as QuantityDispanced,
 
 (OpeningStock_temp) as OpeningStock 
 from
 
 (select A.*,
 sum(if(SAItm.IsAdded = 0b1, ifnull(SAItm.AdjustedQuantity,0),-(ifnull(SAItm.AdjustedQuantity,0))) ) as AdjustedQuantity_FromDate
 from
  
 (select
 ISE.Vanserialno,
 ISE.Vanid,
 ISE.ItemID,
 ISE.FacilityID,
 ISE.BatchNo,
 ifnull(ISE.Quantity,0) as TotalQuantityReceived,
 ISE.UnitCostPrice,
 ISE.ExpiryDate,
 ISE.EntryType,
 ISE.ProviderServiceMapID,
 ISE.CreatedDate as EntryDate,
 (ifnull(ISE.Quantity,0) - sum(ifnull(ISEx.Quantity,0))) as OpeningStock_temp
 FROM db_iemr.t_itemstockentry ISE
 left join db_iemr.t_itemstockexit ISEx
  on ISE.ItemStockEntryID = ISEx.ItemStockEntryID 
  and date(ISEx.CreatedDate) < v_FromDate
  
 where date(ISE.CreatedDate) <=   v_ToDate
 
 group by ISE.Vanserialno,ISE.Vanid
 ) A left join db_iemr.t_saitemmapping SAItm 
                 on SAItm.ItemStockEntryID=A.Vanserialno and A.vanid=SAItm.vanid
                 and date(SAItm.CreatedDate) <   v_FromDate
         
 group by A.Vanserialno,A.Vanid
  ) B left join db_iemr.t_itemstockexit ISEx 
                 on B.Vanserialno = ISEx.ItemStockEntryID   and B.vanid=ISEx.vanid
         and date(ISEx.CreatedDate) >=  v_FromDate        
         and date(ISEx.CreatedDate) <=   v_ToDate
         
  group by B.Vanserialno,B.Vanid
  ) C left join db_iemr.t_saitemmapping SAItm 
                 on SAItm.ItemStockEntryID=C.Vanserialno and C.Vanid=SAItm.vanid
                 and date(SAItm.CreatedDate) >=   v_FromDate
 				and date(SAItm.CreatedDate) <=   v_ToDate
         
         Inner Join db_iemr.m_Item ITM on C.ItemID = ITM.ItemID
         Inner Join db_iemr.m_Facility FAC on C.FacilityID = FAC.FacilityID
         Inner join db_iemr.m_ItemCategory ITMC on ITM.ItemCategoryID = ITMC.ItemCategoryID
         
 group by C.Vanserialno,C.vanid) D 
 where d.facilityid=ifnull(v_facilityid,d.facilityid)
 group by D.ItemID,d.facilityid,d.ItemCategoryName;
  
  
 
 END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `Pr_TMSaveWorkList` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `Pr_TMSaveWorkList`()
begin
insert into i_ben_flow_outreach(
 beneficiary_reg_id, beneficiary_visit_id, beneficiary_visit_code, visit_reason, visit_category,
 visit_no, ben_name, ben_age, ben_dob, ben_gender, ben_phone_no, ben_age_val, nurse_flag, doctor_flag,
 pharmacist_flag, lab_technician_flag, radiologist_flag, oncologist_flag, specialist_flag, 
 TC_SpecialistLabFlag, created_by, created_date, modified_by, modified_date, visitDate, consultationDate,
 registrationDate, visitSession, father_name, spouse_name, ben_gender_val, beneficiary_id, districtID, 
 district, villageID, village, lab_iteration_cnt, deleted, servicePointID, servicePoint,
 providerServiceMapID, vanID, vanNo, consultantID, consultantName, VanSerialNo, VehicalNo, 
 ParkingPlaceID, SyncedBy, SyncedDate, ReservedForChange, Processed, BenArrivedFlag, TCSpecialistUserID, 
 TCRequestDate,referred_visitcode,referred_visit_id)
 select beneficiary_reg_id, null beneficiary_visit_id, null as beneficiary_visit_code, visit_reason, visit_category,
 ifnull(visit_no,0)+1 as visit_no, ben_name, ben_age, ben_dob, ben_gender, ben_phone_no, ben_age_val, 
 b'1' as nurse_flag, b'0' as doctor_flag,
 b'0' as pharmacist_flag, null as lab_technician_flag, null as radiologist_flag, null as oncologist_flag, 
 specialist_flag, 
null TC_SpecialistLabFlag, 'created_by_sp' as created_by, created_date, modified_by, modified_date, visitDate, consultationDate,
 registrationDate, visitSession, father_name, spouse_name, ben_gender_val, beneficiary_id, districtID, 
 district, villageID, village, null as lab_iteration_cnt, deleted, servicePointID, servicePoint,
 providerServiceMapID, vanID, vanNo, consultantID, consultantName, VanSerialNo, VehicalNo, 
 ParkingPlaceID, SyncedBy, SyncedDate, ReservedForChange, Processed, BenArrivedFlag,null as  TCSpecialistUserID, 
 TCRequestDate,beneficiary_visit_code,beneficiary_visit_id 
 from i_ben_flow_outreach where Processed in('U','N') AND specialist_flag = 100
  and doctor_flag=9;
 
 set sql_safe_updates=0;
 
 update i_ben_flow_outreach set Processed='P' where Processed in('U','N')
 -- and referred_visitcode is not null
  -- AND specialist_flag = 100
 --  and doctor_flag=9
  ;
 
 update i_ben_flow_outreach i
inner join m_vanspokemapping m  on i.vanid=m.mmu_VanID
set i.vanid=m.tm_SpokeID,i.ParkingPlaceID=m.tm_HubID,
 i.servicePointID=m.tm_servicePointID,i.servicePoint=m.tm_servicepointname,
 i.providerServiceMapID=m.tm_ProviderServiceMapID,
 i.Processed='M',i.created_date = current_timestamp()
where i.referred_visitcode is not null and i.Processed='P'
 and m.deleted is false;
-- AND i.specialist_flag = 100
 -- and i.doctor_flag=9
 
 
 end ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `PR_UpdateNotificationMap` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`piramaldev`@`%` PROCEDURE `PR_UpdateNotificationMap`(v_NotificationID int, v_ModifiedBy varchar(50), v_ValidFrom datetime, v_Deleted bit)
BEGIN

 
DECLARE v_NotificationState VARCHAR(30)  default 'unread';
 







update `db_iemr`.`m_usernotificationmap` 
set 
NotificationState = v_NotificationState,
ModifiedBy = v_ModifiedBy,
Deleted = v_Deleted
where NotificationID =v_NotificationID;
 
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `sp_load_fact_104benmedhistory` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`masteruser`@`localhost` PROCEDURE `sp_load_fact_104benmedhistory`()
BEGIN



/********************************************************************************************************************

--    SP/Function Name              :           SP_Load_Fact_104BenMedHistory
--    Project/Product Name          :           Piramal
--    Created By                    :           Dharmendra Mohapatra
--    Created Date                  :           26-04-2018
--    Reviewed By                   :
--    Reviewed Date                 :           DD-MMM-YYYY
--    Purpose                       :           To Load fact_104benmedhistory (reporting)
                                                from  t_104benmedhistory(db_iemr)
												

--    Version History               :
---------------------------------------------------------------------------------------------------------------------
--    Version#          TFS_ID#           Modified By       Modified Date                 Purpose
---------------------------------------------------------------------------------------------------------------------
      1.0         - Initial Write         - XYZ             -  DD-MMM-YYYY             Initial Write

*********************************************************************************************************************/

insert into db_reporting.scheduler_status (proc_name, status ,time) values('SP_Load_Fact_104BenMedHistory','started',now());



INSERT INTO db_reporting.fact_104benmedhistory (
BenHistoryID,
RequestID,
BeneficiaryRegID,
BenCallID,
PatientName,
PatientAge,
PatientGenderID,
PatientGenderName,
SymptomID,
Algorithm,
DiseaseSummaryID,
DiseaseSummary,
Allergies,
SelecteDiagnosisID,
SelecteDiagnosis,
CategoryID,
CategoryName,
SubCategoryID,
SubCategoryName,
AddedAdvice,
PrescriptionID,
Rx_UserID,
Rx_DiagnosisProvided,
Rx_Remarks,
ActionByHAO,
ActionByCO,
ActionByMO,
ActionByPD,
Remarks,
IsSelf,
ProviderServiceMapID,
CreatedBy,
CreatedDate,
ModifiedBy,
LastModDate,
fact_CreatedDate ,
LoadedBy,
LodadedDate,
travel_14days,
travel_type,
symptoms,
COVID19_contact_history,
medical_consultation,  
Suspected_COVID19,
recommendation

)

SELECT
BM.BenHistoryID,
BM.RequestID,
BM.BeneficiaryRegID,
BM.BenCallID,
BM.PatientName,
BM.PatientAge,
BM.PatientGenderID,
MG.GenderName,
BM.SymptomID,
BM.Algorithm,
BM.DiseaseSummaryID,
BM.DiseaseSummary,
BM.Allergies,
BM.SelecteDiagnosisID,
BM.SelecteDiagnosis,
BM.CategoryID,
MC.CategoryName,
BM.SubCategoryID,
MSC.SubCategoryName,
BM.AddedAdvice,
P.PrescriptionID,
p.UserID,
P.DiagnosisProvided,
P.Remarks,
BM.ActionByHAO,
BM.ActionByCO,
BM.ActionByMO,
BM.ActionByPD,
BM.Remarks,
BM.IsSelf,
BM.ProviderServiceMapID,
BM.CreatedBy,
BM.CreatedDate,
BM.ModifiedBy,
BM.LastModDate,
Replace(DATE(BM.CreatedDate),'-','')AS fact_CreatedDate,
'SP_Load_Fact_104BenMedHistory',
NOW(),
C.travel_14days,
C.travel_type,
C.symptoms,
C.COVID19_contact_history,
C.medical_consultation,  
C.Suspected_COVID19,
C.recommendation

FROM db_iemr.t_104benmedhistory BM
LEFT JOIN db_iemr.t_104Prescription  P ON BM.BENCALLID = P.BENCALLID
LEFT JOIN db_iemr.m_gender MG ON MG.GenderID = BM.PatientGenderID
Left join db_iemr.m_category MC on BM.CategoryID = MC.CategoryID
LEFT JOIN db_iemr.m_subcategory MSC on BM.SubcategoryID = MSC.SubCategoryID
left join db_iemr.t_covid19 C on C.BenCallID=BM.BenCallID and C.BeneficiaryRegID=BM.BeneficiaryRegID
 and C.BenMedHistoryID=BM.BenHistoryID
WHERE DATE(BM.CreatedDate)=CURDATE() - INTERVAL 1 DAY;
-- WHERE DATE(BM.CreatedDate)<CURDATE();

insert into db_reporting.scheduler_status (proc_name, status ,time) values('SP_Load_Fact_104BenMedHistory','completed',now());

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Final view structure for view `showofficedetails`
--

/*!50001 DROP VIEW IF EXISTS `showofficedetails`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`piramaldev`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `showofficedetails` AS select `psam`.`PSAddMapID` AS `PSAddMapID`,`psam`.`ProviderServiceMapID` AS `ProviderServiceMapID`,`psm`.`ServiceProviderID` AS `ServiceProviderID`,`sp`.`ServiceProviderName` AS `ServiceProviderName`,`psm`.`StateID` AS `StateID`,`st`.`StateName` AS `StateName`,`psm`.`ServiceID` AS `ServiceID`,`sm`.`ServiceName` AS `ServiceName`,`sm`.`IsNational` AS `IsNational`,`psam`.`DistrictID` AS `DistrictID`,`dis`.`DistrictName` AS `DistrictName`,`psam`.`LocationName` AS `LocationName`,`psam`.`Address` AS `Address`,`psam`.`Deleted` AS `Deleted`,`psam`.`CreatedBy` AS `CreatedBy`,`psam`.`CreatedDate` AS `CreatedDate`,`psam`.`ModifiedBy` AS `ModifiedBy`,`psam`.`LastModDate` AS `LastModDate` from (((((`m_providerserviceaddmapping` `psam` left join `m_providerservicemapping` `psm` on((`psam`.`ProviderServiceMapID` = `psm`.`ProviderServiceMapID`))) left join `m_district` `dis` on((`psam`.`DistrictID` = `dis`.`DistrictID`))) left join `m_serviceprovider` `sp` on((`psm`.`ServiceProviderID` = `sp`.`ServiceProviderID`))) left join `m_state` `st` on((`psm`.`StateID` = `st`.`StateID`))) left join `m_servicemaster` `sm` on((`psm`.`ServiceID` = `sm`.`ServiceID`))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `showuserdetailsfromuserservicerolemapping`
--

/*!50001 DROP VIEW IF EXISTS `showuserdetailsfromuserservicerolemapping`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`piramaldev`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `showuserdetailsfromuserservicerolemapping` AS select `usr`.`USRMappingID` AS `USRMappingID`,`usr`.`ProviderServiceMapID` AS `ProviderServiceMapID`,`usr`.`UserID` AS `UserID`,`usr`.`RoleID` AS `RoleID`,`role`.`RoleName` AS `RoleName`,`us`.`TitleID` AS `TitleID`,`ti`.`TitleName` AS `TitleName`,`us`.`FirstName` AS `FirstName`,`us`.`MiddleName` AS `MiddleName`,`us`.`LastName` AS `LastName`,`us`.`GenderID` AS `GenderID`,`gn`.`GenderName` AS `GenderName`,`us`.`MaritalStatusID` AS `MaritalStatusID`,`ms`.`Status` AS `MaritalStatus`,`us`.`AadhaarNo` AS `AadhaarNo`,`us`.`PAN` AS `PAN`,`us`.`DOB` AS `DOB`,`us`.`DOJ` AS `DOJ`,`us`.`QualificationID` AS `QualificationID`,`qua`.`Name` AS `Qualification`,`us`.`UserName` AS `UserName`,`us`.`Password` AS `Password`,`usr`.`AgentID` AS `AgentID`,`usr`.`AgentPassword` AS `AgentPassword`,`usr`.`CZRole` AS `CZRole`,`us`.`EmailID` AS `EmailID`,`ulmc`.`languages` AS `Languages`,`us`.`StatusID` AS `StatusID`,`sta`.`Status` AS `UserStatus`,`us`.`EmergencyContactPerson` AS `EmergencyContactPerson`,`us`.`EmergencyContactNo` AS `EmergencyContactNo`,`us`.`IsSupervisor` AS `IsSupervisor`,`us`.`Deleted` AS `UserDeleted`,`usd`.`DemographicID` AS `DemographicID`,`usd`.`FathersName` AS `FathersName`,`usd`.`MothersName` AS `MothersName`,`usd`.`CommunityID` AS `CommunityID`,`com`.`CommunityType` AS `CommunityType`,`usd`.`ReligionID` AS `ReligionID`,`rel`.`ReligionType` AS `ReligionType`,`usd`.`AddressLine1` AS `UserAddressLine1`,`usd`.`AddressLine2` AS `UserAddressLine2`,`usd`.`PermAddressLine1` AS `PermAddressLine1`,`usd`.`PermAddressLine2` AS `PermAddressLine2`,`usd`.`PermStateID` AS `PermStateID`,`usd`.`PermDistrictID` AS `PermDistrictID`,`usd`.`PermPinCode` AS `PermPinCode`,`usd`.`PermanentAddress` AS `UserPremanentAddress`,`usd`.`CityID` AS `UserCityID`,`ct`.`CityName` AS `UserCity`,`usd`.`StateID` AS `UserStateID`,`st`.`StateName` AS `UserState`,`usd`.`CountryID` AS `UserCountryID`,`cou`.`CountryName` AS `UserCountry`,`usd`.`PinCode` AS `PinCode`,`usd`.`IsPresent` AS `IsPresent`,`usd`.`IsPermanent` AS `IsPermanent`,`psm`.`ServiceProviderID` AS `ServiceProviderID`,`sp`.`ServiceProviderName` AS `ServiceProviderName`,`psm`.`ServiceID` AS `ServiceID`,`ser`.`ServiceName` AS `ServiceName`,`ser`.`IsNational` AS `IsNational`,`psm`.`StateID` AS `PSMStateID`,`st1`.`StateName` AS `PSMStateName`,`usr`.`WorkingLocationID` AS `WorkingLocationID`,`psam`.`LocationName` AS `WorkingLocationName`,`psam`.`DistrictID` AS `WorkingDistrictID`,`dis1`.`DistrictName` AS `WorkingDistrictName`,`psam`.`Address` AS `WorkingAddress`,`usr`.`Deleted` AS `USRMDeleted` from ((((((((((((((((((((`db_iemr`.`m_userservicerolemapping` `usr` left join `db_iemr`.`m_user` `us` on((`usr`.`UserID` = `us`.`UserID`))) left join `db_iemr`.`m_userdemographics` `usd` on((`us`.`UserID` = `usd`.`UserID`))) left join `db_iemr`.`m_role` `role` on((`usr`.`RoleID` = `role`.`RoleID`))) left join `db_iemr`.`m_providerservicemapping` `psm` on((`usr`.`ProviderServiceMapID` = `psm`.`ProviderServiceMapID`))) left join `db_iemr`.`m_providerserviceaddmapping` `psam` on((`usr`.`WorkingLocationID` = `psam`.`PSAddMapID`))) left join `db_iemr`.`m_title` `ti` on((`us`.`TitleID` = `ti`.`TitleID`))) left join `db_iemr`.`m_gender` `gn` on((`us`.`GenderID` = `gn`.`GenderID`))) left join `db_iemr`.`m_maritalstatus` `ms` on((`us`.`MaritalStatusID` = `ms`.`MaritalStatusID`))) left join `db_iemr`.`m_userqualification` `qua` on((`us`.`QualificationID` = `qua`.`QualificationID`))) left join `db_iemr`.`m_status` `sta` on((`us`.`StatusID` = `sta`.`StatusID`))) left join `db_iemr`.`m_community` `com` on((`usd`.`CommunityID` = `com`.`CommunityID`))) left join `db_iemr`.`m_religion` `rel` on((`usd`.`ReligionID` = `rel`.`ReligionID`))) left join `db_iemr`.`m_city` `ct` on((`usd`.`CityID` = `ct`.`CityID`))) left join `db_iemr`.`m_state` `st` on((`usd`.`StateID` = `st`.`StateID`))) left join `db_iemr`.`m_country` `cou` on((`usd`.`CountryID` = `cou`.`CountryID`))) left join `db_iemr`.`m_serviceprovider` `sp` on((`psm`.`ServiceProviderID` = `sp`.`ServiceProviderID`))) left join `db_iemr`.`m_servicemaster` `ser` on((`psm`.`ServiceID` = `ser`.`ServiceID`))) left join `db_iemr`.`m_state` `st1` on((`psm`.`StateID` = `st1`.`StateID`))) left join `db_iemr`.`m_district` `dis1` on((`psam`.`DistrictID` = `dis1`.`DistrictID`))) left join (select `ulm`.`UserID` AS `UserID`,group_concat(`ulm`.`LanguageID` separator ',') AS `languages` from `db_iemr`.`m_userlangmapping` `ulm` group by `ulm`.`UserID`) `ulmc` on((`ulmc`.`UserID` = `usr`.`UserID`))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_104benmedhistory`
--

/*!50001 DROP VIEW IF EXISTS `v_104benmedhistory`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_104benmedhistory` AS select `t_104benmedhistory`.`BenHistoryID` AS `BenHistoryID`,`t_104benmedhistory`.`RequestID` AS `RequestID`,`t_104benmedhistory`.`BeneficiaryRegID` AS `BeneficiaryRegID`,`t_104benmedhistory`.`BenCallID` AS `BenCallID`,`t_104benmedhistory`.`PatientName` AS `PatientName`,`t_104benmedhistory`.`PatientAge` AS `PatientAge`,`t_104benmedhistory`.`PatientGenderID` AS `PatientGenderID`,`t_104benmedhistory`.`Algorithm` AS `Symptom Results`,`t_104benmedhistory`.`SelecteDiagnosisID` AS `DiseaseSummaryID`,`t_104benmedhistory`.`SelecteDiagnosis` AS `DiseaseSummary`,NULL AS `ChiefComplaintID`,NULL AS `ChiefComplaint`,`t_104benmedhistory`.`Allergies` AS `Allergies`,NULL AS `SelecteDiagnosisID`,NULL AS `SelecteDiagnosis`,`t_104benmedhistory`.`CategoryID` AS `CategoryID`,`t_104benmedhistory`.`SubCategoryID` AS `SubCategoryID`,`t_104benmedhistory`.`AddedAdvice` AS `AddedAdvice`,`t_104benmedhistory`.`PrescriptionID` AS `PrescriptionID`,`t_104benmedhistory`.`ActionByHAO` AS `ActionByHAO`,`t_104benmedhistory`.`ActionByCO` AS `ActionByCO`,`t_104benmedhistory`.`ActionByMO` AS `ActionByMO`,`t_104benmedhistory`.`ActionByPD` AS `ActionByPD`,`t_104benmedhistory`.`Remarks` AS `Remarks`,`t_104benmedhistory`.`IsSelf` AS `IsSelf`,`t_104benmedhistory`.`ProviderServiceMapID` AS `ProviderServiceMapID`,`t_104benmedhistory`.`Deleted` AS `Deleted`,`t_104benmedhistory`.`Processed` AS `Processed`,`t_104benmedhistory`.`CreatedBy` AS `CreatedBy`,`t_104benmedhistory`.`CreatedDate` AS `CreatedDate`,`t_104benmedhistory`.`ModifiedBy` AS `ModifiedBy`,`t_104benmedhistory`.`LastModDate` AS `LastModDate`,`t_104benmedhistory`.`IsChiefComplaint` AS `IsChiefComplaint` from `t_104benmedhistory` where (`t_104benmedhistory`.`IsChiefComplaint` = 0) union all select `t_104benmedhistory`.`BenHistoryID` AS `BenHistoryID`,`t_104benmedhistory`.`RequestID` AS `RequestID`,`t_104benmedhistory`.`BeneficiaryRegID` AS `BeneficiaryRegID`,`t_104benmedhistory`.`BenCallID` AS `BenCallID`,`t_104benmedhistory`.`PatientName` AS `PatientName`,`t_104benmedhistory`.`PatientAge` AS `PatientAge`,`t_104benmedhistory`.`PatientGenderID` AS `PatientGenderID`,`t_104benmedhistory`.`Algorithm` AS `Symptom Results`,NULL AS `DiseaseSummaryID`,NULL AS `DiseaseSummary`,`t_104benmedhistory`.`DiseaseSummaryID` AS `ChiefComplaintID`,`t_104benmedhistory`.`DiseaseSummary` AS `ChiefComplaint`,`t_104benmedhistory`.`Allergies` AS `Allergies`,`t_104benmedhistory`.`SelecteDiagnosisID` AS `SelecteDiagnosisID`,`t_104benmedhistory`.`SelecteDiagnosis` AS `SelecteDiagnosis`,`t_104benmedhistory`.`CategoryID` AS `CategoryID`,`t_104benmedhistory`.`SubCategoryID` AS `SubCategoryID`,`t_104benmedhistory`.`AddedAdvice` AS `AddedAdvice`,`t_104benmedhistory`.`PrescriptionID` AS `PrescriptionID`,`t_104benmedhistory`.`ActionByHAO` AS `ActionByHAO`,`t_104benmedhistory`.`ActionByCO` AS `ActionByCO`,`t_104benmedhistory`.`ActionByMO` AS `ActionByMO`,`t_104benmedhistory`.`ActionByPD` AS `ActionByPD`,`t_104benmedhistory`.`Remarks` AS `Remarks`,`t_104benmedhistory`.`IsSelf` AS `IsSelf`,`t_104benmedhistory`.`ProviderServiceMapID` AS `ProviderServiceMapID`,`t_104benmedhistory`.`Deleted` AS `Deleted`,`t_104benmedhistory`.`Processed` AS `Processed`,`t_104benmedhistory`.`CreatedBy` AS `CreatedBy`,`t_104benmedhistory`.`CreatedDate` AS `CreatedDate`,`t_104benmedhistory`.`ModifiedBy` AS `ModifiedBy`,`t_104benmedhistory`.`LastModDate` AS `LastModDate`,`t_104benmedhistory`.`IsChiefComplaint` AS `IsChiefComplaint` from `t_104benmedhistory` where (`t_104benmedhistory`.`IsChiefComplaint` = 1) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_benprocedurecomponentdetails`
--

/*!50001 DROP VIEW IF EXISTS `v_benprocedurecomponentdetails`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_benprocedurecomponentdetails` AS select uuid() AS `id`,`lto`.`BeneficiaryRegID` AS `BeneficiaryRegID`,`lto`.`BenVisitID` AS `BenVisitID`,`lto`.`VisitCode` AS `VisitCode`,`lto`.`PrescriptionID` AS `PrescriptionID`,`lto`.`ProcedureID` AS `ProcedureID`,`mp`.`ProcedureName` AS `ProcedureName`,`mp`.`ProcedureDesc` AS `ProcedureDesc`,`mp`.`ProcedureType` AS `ProcedureType`,`ip`.`ProcedureName` AS `IOTProcedureName`,`ip`.`ProcedureCode` AS `ProcedureCode`,`ip`.`ProcedureStartAPI` AS `ProcedureStartAPI`,`ip`.`ProcedureEndAPI` AS `ProcedureEndAPI`,`ip`.`ProcedureStatusAPI` AS `ProcedureStatusAPI`,`ip`.`CalibrationStartAPI` AS `CalibrationStartAPI`,`ip`.`CalibrationStatusAPI` AS `CalibrationStatusAPI`,`ip`.`CalibrationEndAPI` AS `CalibrationEndAPI`,`ip`.`isLabProcedure` AS `isLabProcedure`,`ip`.`DiscoveryCode` AS `DiscoveryCode`,`mpcm`.`TestComponentID` AS `TestComponentID`,`mtc`.`TestComponentName` AS `TestComponentName`,`mtc`.`TestComponentDesc` AS `TestComponentDesc`,`mtc`.`InputType` AS `InputType`,`mtc`.`MeasurementUnit` AS `MeasurementUnit`,`mtc`.`Range_min` AS `Range_min`,`mtc`.`Range_max` AS `Range_max`,`mtc`.`Range_normal_min` AS `Range_normal_min`,`mtc`.`Range_normal_max` AS `Range_normal_max`,`ic`.`ComponentName` AS `IOTComponentName`,`ic`.`ComponentCode` AS `ComponentCode`,`ic`.`IOTProcedureID` AS `IOTProcedureID`,`ic`.`ComponentUnit` AS `ComponentUnit`,`crm`.`ResultValue` AS `ResultValue`,`mtc`.`isDecimal` AS `isDecimal`,`mp`.`isMandatory` AS `isMandatory` from ((((((`t_lab_testorder` `lto` join `m_procedure` `mp` on(((`lto`.`ProcedureID` = `mp`.`ProcedureID`) and (`mp`.`Deleted` = 0x00)))) join `m_procedurecomponentmap` `mpcm` on(((`lto`.`ProcedureID` = `mpcm`.`ProcedureID`) and (`mpcm`.`Deleted` = 0x00)))) join `m_testcomponent` `mtc` on(((`mpcm`.`TestComponentID` = `mtc`.`TestComponentID`) and (`mtc`.`Deleted` = 0x00)))) left join `m_componentresultmap` `crm` on(((`mtc`.`TestComponentID` = `crm`.`TestComponentID`) and (`crm`.`Deleted` = 0x00)))) left join `m_iotprocedure` `ip` on(((`mp`.`IOTProcedureID` = `ip`.`IOTProcedureID`) and (`ip`.`Deleted` = 0x00)))) left join `m_iotcomponent` `ic` on(((`mtc`.`IOTComponentID` = `ic`.`IOTComponentId`) and (`ic`.`Deleted` = 0x00)))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_doortodooruserdetails`
--

/*!50001 DROP VIEW IF EXISTS `v_doortodooruserdetails`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_doortodooruserdetails` AS select uuid() AS `id`,`u`.`UserID` AS `UserID`,`u`.`UserName` AS `UserName`,`u`.`ContactNo` AS `ContactNo`,`u`.`EmergencyContactNo` AS `EmergencyContactNo`,`u`.`EmergencyContactPerson` AS `EmergencyContactPerson`,`r`.`RoleID` AS `RoleID`,`r`.`RoleName` AS `RoleName`,`upp`.`StateID` AS `StateID`,`s`.`StateName` AS `StateName`,`psd`.`DistrictID` AS `DistrictID`,`d`.`DistrictName` AS `DistrictName`,`psd`.`DistrictBlockID` AS `DistrictBlockID`,`db`.`BlockName` AS `BlockName`,`spv`.`DistrictBranchID` AS `DistrictBranchID`,`v`.`VillageName` AS `VillageName`,`ud`.`DesignationID` AS `designationid`,`ud`.`DesignationName` AS `designationname` from ((((((((((((`m_user` `u` join `m_designation` `ud` on((`ud`.`DesignationID` = `u`.`DesignationID`))) join `m_userservicerolemapping` `usr` on((`u`.`UserID` = `usr`.`UserID`))) join `m_userparkingplacemap` `upp` on((`u`.`UserID` = `upp`.`UserID`))) join `m_parkingplacesubdistrictmap` `psd` on((`upp`.`ParkingPlaceID` = `psd`.`ParkingPlaceID`))) join `m_uservanmapping` `uv` on((`upp`.`UserParkingPlaceMapID` = `uv`.`UserParkingPlaceMapID`))) join `m_vanservicepointmap` `vsp` on((`uv`.`VanID` = `vsp`.`VanID`))) join `m_servicepointvillagemap` `spv` on((`vsp`.`ServicePointID` = `spv`.`ServicePointID`))) join `m_role` `r` on((`usr`.`RoleID` = `r`.`RoleID`))) join `m_state` `s` on((`upp`.`StateID` = `s`.`StateID`))) join `m_district` `d` on((`psd`.`DistrictID` = `d`.`DistrictID`))) join `m_districtblock` `db` on((`psd`.`DistrictBlockID` = `db`.`BlockID`))) join `m_districtbranchmapping` `v` on((`spv`.`DistrictBranchID` = `v`.`DistrictBranchID`))) where ((`u`.`Deleted` is false) and (`usr`.`Deleted` is false) and (`upp`.`Deleted` is false) and (`psd`.`Deleted` is false) and (`uv`.`Deleted` is false) and (`vsp`.`Deleted` is false) and (`spv`.`Deleted` is false) and (`r`.`Deleted` is false) and (`s`.`Deleted` is false) and (`d`.`Deleted` is false) and (`db`.`Deleted` is false) and (`v`.`Deleted` is false) and (`u`.`DesignationID` is not null)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_drugforprescription`
--

/*!50001 DROP VIEW IF EXISTS `v_drugforprescription`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_drugforprescription` AS select `mifm`.`ItemFacilityMapID` AS `id`,`mi`.`ItemID` AS `itemID`,`mi`.`ItemName` AS `itemName`,`mi`.`Strength` AS `Strength`,`mu`.`UOMName` AS `unitOfMeasurement`,cast(sum(ifnull(`tise`.`QuantityInHand`,0)) as unsigned) AS `quantityInHand`,`mi`.`ItemFormID` AS `itemFormID`,`mi`.`RouteID` AS `routeID`,`mifm`.`FacilityID` AS `facilityID`,`mi`.`Sctcode` AS `Sctcode`,`mi`.`SctTerm` AS `SctTerm`,`mi`.`Composition` AS `composition`,`mi`.`isEDL` AS `isedl` from (((`m_itemfacilitymapping` `mifm` join `m_item` `mi` on(((`mifm`.`ItemID` = `mi`.`ItemID`) and (`mifm`.`ProviderServiceMapID` = `mi`.`ProviderServiceMapID`) and (`mi`.`Deleted` is false)))) left join `t_itemstockentry` `tise` on(((`mifm`.`FacilityID` = `tise`.`FacilityID`) and (`mifm`.`ItemID` = `tise`.`ItemID`) and (`tise`.`Deleted` is false)))) left join `m_uom` `mu` on(((`mi`.`UOMID` = `mu`.`UOMID`) and (`mu`.`Deleted` is false)))) where ((`mifm`.`Deleted` is false) and (`mi`.`ItemFormID` is not null) and ((`tise`.`ExpiryDate` > curdate()) or isnull(`tise`.`ExpiryDate`))) group by `mifm`.`FacilityID`,`mi`.`ItemID` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_emailstockalert`
--

/*!50001 DROP VIEW IF EXISTS `v_emailstockalert`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`piramaldev`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `v_emailstockalert` AS select uuid() AS `uuid`,`f`.`FacilityID` AS `facilityId`,`i`.`ItemID` AS `itemID`,`f`.`FacilityName` AS `FacilityName`,`i`.`ItemName` AS `ItemName`,sum(`t`.`Quantity`) AS `Totalquantity`,sum(`t`.`QuantityInHand`) AS `Quantityinhand`,`t`.`CreatedBy` AS `CreatedBy`,`u`.`emailid` AS `emailid`,`prkdis`.`districtname` AS `DistrictName`,(100 - ((sum(`t`.`QuantityInHand`) * 100) / sum(`t`.`Quantity`))) AS `QuantityConsumedPercent` from (((((`db_iemr`.`t_itemstockentry` `t` join `db_iemr`.`m_item` `i` on((`i`.`ItemID` = `t`.`ItemID`))) join `db_iemr`.`m_facility` `f` on((`f`.`FacilityID` = `t`.`FacilityID`))) join (select `db_iemr`.`m_user`.`UserID` AS `userid`,`db_iemr`.`m_user`.`UserName` AS `username`,`db_iemr`.`m_user`.`EmailID` AS `emailid` from `db_iemr`.`m_user` where (`db_iemr`.`m_user`.`EmailID` is not null)) `u` on((`u`.`username` = `t`.`CreatedBy`))) left join `db_iemr`.`m_van` `v` on((`v`.`FacilityID` = `t`.`FacilityID`))) left join (select `p`.`ParkingPlaceID` AS `parkingplaceid`,group_concat(distinct `d`.`DistrictName` separator ',') AS `districtname` from (`db_iemr`.`m_parkingplacesubdistrictmap` `p` join `db_iemr`.`m_district` `d` on((`d`.`DistrictID` = `p`.`DistrictID`))) group by `p`.`ParkingPlaceID`) `prkdis` on((`v`.`ParkingPlaceID` = `prkdis`.`parkingplaceid`))) where (`i`.`Deleted` is false) group by `f`.`FacilityID`,`i`.`ItemID` having ((((sum(`t`.`QuantityInHand`) * 100) / sum(`t`.`Quantity`)) <= 20) and (sum(`t`.`QuantityInHand`) > 0)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_fetchfacility`
--

/*!50001 DROP VIEW IF EXISTS `v_fetchfacility`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`masteruser`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `v_fetchfacility` AS select `mf`.`FacilityID` AS `FacilityID`,`mf`.`FacilityName` AS `FacilityName`,`mf`.`FacilityDesc` AS `FacilityDesc`,`mf`.`FacilityCode` AS `FacilityCode`,`mf`.`FacilityTypeID` AS `FacilityTypeID`,`mf`.`Location` AS `Location`,`mf`.`PhysicalLocation` AS `PhysicalLocation`,`mf`.`StoreType` AS `StoreType`,`mf`.`Status` AS `Status`,`mf`.`ProviderServiceMapID` AS `ProviderServiceMapID`,`mf`.`IsMainFacility` AS `IsMainFacility`,`mf`.`MainFacilityID` AS `MainFacilityID`,`mf`.`Deleted` AS `FacilityDeleted`,`mf`.`CreatedBy` AS `FacilityCreatedBy`,`mf`.`CreatedDate` AS `FacilityCreatedDate`,`mf`.`ModifiedBy` AS `FacilityModifiedBy`,`mf`.`ModifiedBy` AS `FacilityLastModDate`,`mp`.`ParkingPlaceID` AS `ParkingPlaceID`,`mp`.`ParkingPlaceName` AS `ParkingPlaceName`,`mp`.`ParkingPlaceDesc` AS `ParkingPlaceDesc`,`mp`.`AreaHQAddress` AS `AreaHQAddress`,`mp`.`Deleted` AS `PPDeleted`,`mv`.`VanID` AS `VanID`,`mv`.`VanName` AS `VanName`,`mv`.`VehicalNo` AS `VehicalNo`,`mv`.`VanTypeID` AS `VanTypeID`,`mv`.`ParkingPlaceID` AS `VanParkingPlaceID`,`mv`.`Deleted` AS `VanDeleted` from ((`m_facility` `mf` left join `m_van` `mv` on((`mv`.`FacilityID` = `mf`.`FacilityID`))) left join `m_parkingplace` `mp` on((`mp`.`FacilityID` = `mf`.`FacilityID`))) order by `mf`.`FacilityID` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_fetchitemfacilitymap`
--

/*!50001 DROP VIEW IF EXISTS `v_fetchitemfacilitymap`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`masteruser`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `v_fetchitemfacilitymap` AS select `ifm`.`ItemFacilityMapID` AS `ItemFacilityMapID`,`ifm`.`ProviderServiceMapID` AS `ProviderServiceMapID`,`ifm`.`Status` AS `Status`,`ifm`.`Deleted` AS `ItemFacilityMappingDeleted`,`ifm`.`FacilityID` AS `FacilityID`,`fc`.`FacilityName` AS `FacilityName`,`fc`.`FacilityDesc` AS `FacilityDesc`,`fc`.`FacilityCode` AS `FacilityCode`,`fc`.`FacilityTypeID` AS `FacilityTypeID`,`fct`.`FacilityTypeName` AS `FacilityTypeName`,`fct`.`FacilityTypeDesc` AS `FacilityTypeDesc`,`fct`.`FacilityTypeCode` AS `FacilityTypeCode`,`fc`.`Location` AS `Location`,`fc`.`PhysicalLocation` AS `PhysicalLocation`,`fc`.`StoreType` AS `StoreType`,`fc`.`IsMainFacility` AS `IsMainFacility`,`fc`.`Deleted` AS `FacilityDeleted`,`it`.`ItemID` AS `ItemID`,`it`.`ItemName` AS `ItemName`,`it`.`ItemDesc` AS `ItemDesc`,`it`.`ItemCode` AS `ItemCode`,`it`.`ItemCategoryID` AS `ItemCategoryID`,`itc`.`ItemCategoryName` AS `ItemCategoryName`,`itc`.`ItemCategoryDesc` AS `ItemCategoryDesc`,`itc`.`ItemCategoryCode` AS `ItemCategoryCode`,`it`.`IsMedical` AS `IsMedical`,`it`.`ItemFormID` AS `ItemFormID`,`itf`.`ItemFormName` AS `ItemFormName`,`itf`.`ItemFormDesc` AS `ItemFormDesc`,`itf`.`ItemFormCode` AS `ItemFormCode`,`it`.`PharmacologyCategoryID` AS `PharmacologyCategoryID`,`pcat`.`PharmCategoryName` AS `PharmCategoryName`,`pcat`.`PharmCategoryDesc` AS `PharmCategoryDesc`,`pcat`.`PharmCategoryCode` AS `PharmCategoryCode`,`it`.`ManufacturerID` AS `ManufacturerID`,concat(`it`.`Strength`,' ',`uom`.`UOMName`) AS `Strength`,`it`.`IsScheduledDrug` AS `IsScheduledDrug`,`it`.`RouteID` AS `RouteID`,`it`.`Deleted` AS `ItemDeleted` from (((((((`m_itemfacilitymapping` `ifm` left join `m_facility` `fc` on((`ifm`.`FacilityID` = `fc`.`FacilityID`))) left join `m_item` `it` on((`ifm`.`ItemID` = `it`.`ItemID`))) left join `m_facilitytype` `fct` on((`fc`.`FacilityTypeID` = `fct`.`FacilityTypeID`))) left join `m_itemcategory` `itc` on((`it`.`ItemCategoryID` = `itc`.`ItemCategoryID`))) left join `m_itemform` `itf` on((`it`.`ItemFormID` = `itf`.`ItemFormID`))) left join `m_pharmacologicalcategory` `pcat` on((`it`.`PharmacologyCategoryID` = `pcat`.`PharmCategoryID`))) left join `m_uom` `uom` on((`it`.`UOMID` = `uom`.`UOMID`))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_fetchnotification`
--

/*!50001 DROP VIEW IF EXISTS `v_fetchnotification`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`masteruser`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `v_fetchnotification` AS select `unm`.`UserNotificationMapID` AS `UserNotificationMapID`,`unm`.`NotificationID` AS `NotificationID`,`unm`.`UserID` AS `UserID`,`unm`.`RoleID` AS `RoleID`,`unm`.`NotificationState` AS `NotificationState`,`unm`.`NotificationTypeID` AS `NotificationTypeID`,`unm`.`NotificationType` AS `NotificationType`,`unm`.`ProviderServiceMapID` AS `ProviderServiceMapID`,`unm`.`WorkingLocationID` AS `WorkingLocationID`,`unm`.`Deleted` AS `Deleted`,`unm`.`Processed` AS `Processed`,`unm`.`CreatedBy` AS `CreatedBy`,`unm`.`CreatedDate` AS `CreatedDate`,`unm`.`ModifiedBy` AS `ModifiedBy`,`unm`.`LastModDate` AS `LastModDate` from (`m_usernotificationmap` `unm` left join `m_notification` `noti` on((`unm`.`NotificationID` = `noti`.`NotificationID`))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_get_prkngplc_blok_dist_zone_state`
--

/*!50001 DROP VIEW IF EXISTS `v_get_prkngplc_blok_dist_zone_state`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`piramaldev`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `v_get_prkngplc_blok_dist_zone_state` AS select distinct `m_sp`.`ServicePointID` AS `Servicepointid`,`m_pp`.`ParkingPlaceID` AS `ParkingPlaceID`,`m_pp`.`ParkingPlaceName` AS `ParkingPlaceName`,`m_db`.`BlockID` AS `BlockID`,`m_db`.`BlockName` AS `BlockName`,`m_d`.`DistrictID` AS `DistrictID`,`m_d`.`DistrictName` AS `DistrictName`,`m_zdm`.`ZoneID` AS `ZoneID`,`m_z`.`ZoneName` AS `ZoneName`,`m_s`.`StateID` AS `StateID`,`m_s`.`StateName` AS `StateName`,`m_sp`.`ProviderServiceMapID` AS `SPproviderservicemapid`,`m_pp`.`ProviderServiceMapID` AS `PPproviderservicemapid`,`m_zdm`.`ProviderServiceMapID` AS `ZDMproviderservicemapid` from ((((((`m_servicepoint` `m_sp` join `m_parkingplace` `m_pp` on(((`m_sp`.`ParkingPlaceID` = `m_pp`.`ParkingPlaceID`) and (`m_pp`.`Deleted` is false)))) join `m_districtblock` `m_db` on(((`m_pp`.`DistrictBlockID` = `m_db`.`BlockID`) and (`m_db`.`Deleted` is false)))) join `m_district` `m_d` on(((`m_db`.`DistrictID` = `m_d`.`DistrictID`) and (`m_d`.`Deleted` is false)))) join `m_zonedistrictmap` `m_zdm` on(((`m_d`.`DistrictID` = `m_zdm`.`DistrictID`) and (`m_zdm`.`Deleted` is false)))) join `m_zone` `m_z` on(((`m_z`.`ZoneID` = `m_zdm`.`ZoneID`) and (`m_z`.`Deleted` is false)))) join `m_state` `m_s` on(((`m_d`.`StateID` = `m_s`.`StateID`) and (`m_s`.`Deleted` is false)))) where (`m_sp`.`Deleted` is false) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_get_prkngplc_dist_zone_state_from_spid`
--

/*!50001 DROP VIEW IF EXISTS `v_get_prkngplc_dist_zone_state_from_spid`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`masteruser`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `v_get_prkngplc_dist_zone_state_from_spid` AS select `m_sp`.`ProviderServiceMapID` AS `ProviderServiceMapID`,`m_sp`.`ServicePointID` AS `ServicePointID`,`m_sp`.`ParkingPlaceID` AS `ParkingPlaceID`,`m_pp`.`ParkingPlaceName` AS `ParkingPlaceName`,`m_ppsdm`.`DistrictID` AS `DistrictID`,`m_d`.`DistrictName` AS `DistrictName`,`m_zdm`.`ZoneID` AS `ZoneID`,`m_z`.`ZoneName` AS `ZoneName`,`m_d`.`StateID` AS `StateID`,`m_s`.`StateName` AS `StateName` from ((((((`m_servicepoint` `m_sp` join `m_parkingplacesubdistrictmap` `m_ppsdm` on(((`m_sp`.`ParkingPlaceID` = `m_ppsdm`.`ParkingPlaceID`) and (`m_sp`.`ProviderServiceMapID` = `m_ppsdm`.`ProviderServiceMapID`) and (`m_ppsdm`.`Deleted` is false)))) join `m_zonedistrictmap` `m_zdm` on(((`m_zdm`.`DistrictID` = `m_ppsdm`.`DistrictID`) and (`m_zdm`.`ProviderServiceMapID` = `m_ppsdm`.`ProviderServiceMapID`) and (`m_zdm`.`Deleted` is false)))) join `m_parkingplace` `m_pp` on(((`m_sp`.`ParkingPlaceID` = `m_pp`.`ParkingPlaceID`) and (`m_pp`.`Deleted` is false)))) join `m_district` `m_d` on(((`m_d`.`DistrictID` = `m_zdm`.`DistrictID`) and (`m_d`.`Deleted` is false)))) join `m_zone` `m_z` on(((`m_zdm`.`ZoneID` = `m_z`.`ZoneID`) and (`m_z`.`Deleted` is false)))) join `m_state` `m_s` on(((`m_d`.`StateID` = `m_s`.`StateID`) and (`m_s`.`Deleted` is false)))) where (`m_sp`.`Deleted` is false) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_getprescribeddrugswithdetails`
--

/*!50001 DROP VIEW IF EXISTS `v_getprescribeddrugswithdetails`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`masteruser`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `v_getprescribeddrugswithdetails` AS select `pd`.`PrescribedDrugID` AS `PrescribedDrugID`,`pd`.`BeneficiaryRegID` AS `BeneficiaryRegID`,`pd`.`BenVisitID` AS `BenVisitID`,`pd`.`VisitCode` AS `VisitCode`,`pd`.`PrescriptionID` AS `PrescriptionID`,`pd`.`DrugID` AS `DrugID`,`pd`.`GenericDrugName` AS `GenericDrugName`,`pd`.`DrugForm` AS `DrugForm`,`pd`.`DrugStrength` AS `DrugStrength`,`pd`.`Dose` AS `Dose`,`pd`.`Route` AS `Route`,`pd`.`Frequency` AS `Frequency`,`pd`.`Duration` AS `Duration`,`pd`.`DuartionUnit` AS `DuartionUnit`,`pd`.`RelationToFood` AS `RelationToFood`,`pd`.`SpecialInstruction` AS `SpecialInstruction`,ifnull(`pd`.`QtyPrescribed`,0) AS `QtyPrescribed`,`pd`.`CreatedDate` AS `CreatedDate`,`pd`.`CreatedBy` AS `CreatedBy`,`ise`.`ItemStockEntryID` AS `ItemStockEntryID`,`ise`.`FacilityID` AS `FacilityID`,`ise`.`BatchNo` AS `BatchNo`,ifnull(`ise`.`QuantityInHand`,0) AS `QuantityInHand`,`ise`.`ExpiryDate` AS `ExpiryDate`,`pd`.`isEDL` AS `isEDL` from (`t_prescribeddrug` `pd` left join `t_itemstockentry` `ise` on(((`pd`.`DrugID` = `ise`.`ItemID`) and (`pd`.`VanID` = `ise`.`VanID`) and (`ise`.`Deleted` is false)))) where (`pd`.`Deleted` is false) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_getvanlocdetails`
--

/*!50001 DROP VIEW IF EXISTS `v_getvanlocdetails`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_getvanlocdetails` AS select distinct `van`.`VanID` AS `VanID`,`van`.`ParkingPlaceID` AS `ParkingPlaceID`,`dis`.`StateID` AS `StateID`,`dis`.`DistrictID` AS `DistrictID`,`dis`.`DistrictName` AS `DistrictName`,`db`.`BlockID` AS `blockid`,`db`.`BlockName` AS `blockname`,`usrm`.`Villageid` AS `villageid`,`usrm`.`VillageName` AS `VillageName`,`dis`.`GovtDistrictID` AS `District_LGDCode`,`dis`.`GovtStateID` AS `State_LGDCode`,`usrm`.`ProviderServiceMapID` AS `ProviderServiceMapID` from ((((`m_van` `van` left join `m_parkingplacesubdistrictmap` `prkdis` on((`van`.`ParkingPlaceID` = `prkdis`.`ParkingPlaceID`))) left join `m_district` `dis` on((`prkdis`.`DistrictID` = `dis`.`DistrictID`))) left join `m_districtblock` `db` on((`db`.`DistrictID` = `dis`.`DistrictID`))) left join `m_userservicerolemapping` `usrm` on((`usrm`.`Blockid` = `db`.`BlockID`))) where ((`van`.`Deleted` is false) and (`db`.`Deleted` is false) and (`usrm`.`Deleted` is false) and (`prkdis`.`Deleted` is false) and (`dis`.`Deleted` is false)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_mother_child_feedback_report`
--

/*!50001 DROP VIEW IF EXISTS `v_mother_child_feedback_report`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`masteruser1`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `v_mother_child_feedback_report` AS select distinct `tf`.`FeedbackID` AS `FeedbackID`,`tf`.`RequestID` AS `RequestID`,`tf`.`InstitutionID` AS `InstitutionID`,`mi`.`InstitutionName` AS `Institute_Facility_Name`,`tf`.`DesignationID` AS `DesignationID`,`md`.`DesignationName` AS `Designation`,`tf`.`StateID` AS `StateID`,`tf`.`DistrictID` AS `DistrictID`,`tf`.`BlockID` AS `BlockID`,`tf`.`DistrictBranchID` AS `DistrictBranchID`,`tf`.`InstitutionTypeID` AS `InstitutionTypeID`,`tf`.`SeverityID` AS `SeverityID`,`tf`.`FeedbackTypeID` AS `FeedbackTypeID`,`mf`.`FeedbackTypeName` AS `Type_of_complain`,`tf`.`FeedbackNatureID` AS `FeedbackNatureID`,`mf1`.`FeedbackNature` AS `Nature_of_Complaint`,`tf`.`FeedbackStatusID` AS `FeedbackStatusID`,`tf`.`Feedback` AS `Brief_of_Complaint`,`tf`.`Comments` AS `Details_of_Complaint`,`tf`.`ProviderServiceMapID` AS `ProviderServiceMapID`,`tf`.`UserID` AS `UserID`,`tf`.`FeedbackAgainst` AS `FeedbackAgainst`,`tf`.`SMSPhoneNo` AS `SMSPhoneNo`,`tf`.`ServiceAvailDate` AS `DateofComplaint`,`tf`.`EmailStatusID` AS `EmailStatusID`,`tf`.`FeedbackActual` AS `FeedbackActual`,`tf`.`FeedbackUpdated` AS `FeedbackUpdated`,`tf`.`FeedbackResponse` AS `FeedbackResponse`,`tf`.`AgentUserID` AS `AgentUserID`,`tf`.`SupUserID` AS `SupUserID`,`tf`.`Comments` AS `Comments`,`tf`.`AuthName` AS `AuthName`,`tf`.`AuthDesignation` AS `AuthDesignation`,`tf`.`AuthInstitution` AS `AuthInstitution`,`tf`.`AuthEmailID` AS `AuthEmailID`,`tf`.`CreatedDate` AS `CreatedDate`,(case when (`tm`.`BeneficiaryRegID` is not null) then TRUE else FALSE end) AS `is_mother`,`tm`.`MotherValidRecordID` AS `MotherValidRecordID`,`tm`.`RowID` AS `RowID`,`tm`.`BeneficiaryRegID` AS `BeneficiaryRegID`,`tm`.`Date_of_Entry` AS `Date_of_Entry`,`tm`.`Entry_type` AS `Entry_type`,`tm`.`MCTSID_no` AS `MCTSID_no`,`tm`.`Name` AS `Name`,`tm`.`Husband_Name` AS `Husband_Name`,`tm`.`PhoneNo_Of_Whom` AS `PhoneNo_Of_Whom`,`tm`.`Whom_PhoneNo` AS `Alternate_number`,`tm`.`Birth_Date` AS `Birth_Date`,`tm`.`Age` AS `Age`,`tm`.`Blood_Group` AS `Blood_Group`,`tm`.`Caste` AS `Caste`,`tm`.`Aadhar_no` AS `Aadhar_no`,`tm`.`State_ID` AS `State_ID`,`tm`.`State_Name` AS `State_Name`,`tm`.`District_ID` AS `District_ID`,`tm`.`District_Name` AS `District_Name`,`tm`.`Taluka_Name` AS `Taluka_Name`,`tm`.`Taluka_ID` AS `Taluka_ID`,`tm`.`Block_ID` AS `Block_ID`,`tm`.`Block_Name` AS `Block_Name`,`tm`.`SubCenter_ID` AS `SubCenter_ID`,`tm`.`SubCenter_Name` AS `SubCenter_Name`,`tm`.`Village_ID` AS `Village_ID`,`tm`.`Village_Name` AS `Village_Name`,`tm`.`City_ID` AS `City_ID`,`tm`.`City_Name` AS `City_Name`,`tm`.`SubCenter_Name1` AS `SubCenter_Name1`,`tm`.`ANM_ID` AS `ANM_ID`,`tm`.`ANM_Name` AS `ANM_Name`,`tm`.`ANM_Ph` AS `ANM_Ph`,`tm`.`ASHA_ID` AS `ASHA_ID`,`tm`.`ASHA_Name` AS `ASHA_Name`,`tm`.`ASHA_Ph` AS `ASHA_Ph`,`tm`.`PHC_ID` AS `PHC_ID`,`tm`.`PHC_Name` AS `PHC_Name`,`tm`.`SUBPHC_ID` AS `SUBPHC_ID`,`tm`.`SUBPHC_Name` AS `SUBPHC_Name`,`tm`.`YR` AS `YR`,`tm`.`GP_Village` AS `GP_Village`,`tm`.`Address` AS `Address`,`tm`.`LMP_Date` AS `LMP_Date`,`tm`.`ANC1_Date` AS `ANC1_Date`,`tm`.`ANC2_Date` AS `ANC2_Date`,`tm`.`ANC3_Date` AS `ANC3_Date`,`tm`.`ANC4_Date` AS `ANC4_Date`,`tm`.`ANC_Complication` AS `ANC_Complication`,`tm`.`TT1_Date` AS `TT1_Date`,`tm`.`TT2_Date` AS `TT2_Date`,`tm`.`TTBooster_Date` AS `TTBooster_Date`,`tm`.`IFA100_Given_Date` AS `IFA100_Given_Date`,`tm`.`EDD` AS `EDD`,`tm`.`Anemia` AS `Anemia`,`tm`.`RTI_STI` AS `RTI_STI`,`tm`.`Delivery_Lnk_Facility` AS `Delivery_Lnk_Facility`,`tm`.`Facility_Name` AS `Facility_Name`,`tm`.`Delivery_Date` AS `Delivery_Date`,`tm`.`Delivery_Place_home_type` AS `Delivery_Place_home_type`,`tm`.`Delivery_Place_Public` AS `Delivery_Place_Public`,`tm`.`Delivery_Place_Private` AS `Delivery_Place_Private`,`tm`.`Delivery_type` AS `Delivery_type`,`tm`.`Delivery_Complications` AS `Delivery_Complications`,`tm`.`Discharge_Date` AS `Discharge_Date`,`tm`.`Abortion` AS `Abortion`,`tm`.`PNC_Home_Visit` AS `PNC_Home_Visit`,`tm`.`PNC_Complication` AS `PNC_Complication`,`tm`.`PPC_Method` AS `PPC_Method`,`tm`.`PNC_Checkup` AS `PNC_Checkup`,`tm`.`Outcome_Nos` AS `Outcome_Nos`,`tm`.`Child1_ID` AS `Child1_ID`,`tm`.`Child1_Name` AS `Child1_Name`,`tm`.`Child1_Gender` AS `Child1_Gender`,`tm`.`Child1_Weight` AS `Child1_Weight`,`tm`.`Child1_BreastFeeding` AS `Child1_BreastFeeding`,`tm`.`Child2_ID` AS `Child2_ID`,`tm`.`Child2_Name` AS `Child2_Name`,`tm`.`Child2_Gender` AS `Child2_Gender`,`tm`.`Child2_weight` AS `Child2_weight`,`tm`.`Child2_Breastfeeding` AS `Child2_Breastfeeding`,`tm`.`Child3_ID` AS `Child3_ID`,`tm`.`Child3_Name` AS `Child3_Name`,`tm`.`Child3_Gender` AS `Child3_Gender`,`tm`.`Child3_Weight` AS `Child3_Weight`,`tm`.`Child3_Breastfeeding` AS `Child3_Breastfeeding`,`tm`.`Child4_ID` AS `Child4_ID`,`tm`.`Child4_Name` AS `Child4_Name`,`tm`.`Child4_Gender` AS `Child4_Gender`,`tm`.`Child4_Weight` AS `Child4_Weight`,`tm`.`Child4_Breastfeeding` AS `Child4_Breastfeeding`,`tm`.`Mother_Reg_Date` AS `Mother_Reg_Date`,`tm`.`Last_Update_Date` AS `Last_Update_Date`,`tm`.`EID` AS `EID`,`tm`.`EID_time` AS `EID_time`,`tm`.`CPSMS_Flag` AS `CPSMS_Flag`,`tm`.`JSY_Beneficiary` AS `JSY_Beneficiary`,`tm`.`JSY_Paid_Date` AS `JSY_Paid_Date`,`tm`.`Bank_Name` AS `Bank_Name`,`tm`.`Bank_Branch_Name` AS `Bank_Branch_Name`,`tm`.`Acc_No` AS `Acc_No`,`tm`.`IFSC_Code` AS `IFSC_Code`,`tm`.`Remarks` AS `Remarks`,`tm`.`Referred_By_Telecaller` AS `Referred_By_Telecaller`,`tm`.`Referred_Date` AS `Referred_Date`,`tm`.`No_of_Try` AS `No_of_Try`,`tm`.`Call_Answered` AS `Call_Answered`,`tm`.`Status` AS `Status`,`tm`.`High_Risk` AS `High_Risk`,`tm`.`High_Risk_Reason` AS `High_Risk_Reason`,`tm`.`Call_Verified` AS `Call_Verified`,`tm`.`Associate` AS `Associate`,`tm`.`Call_Date` AS `Call_Date`,`tm`.`Due_Services` AS `Due_Services`,`tm`.`Due_Services_Response` AS `Due_Services_Response`,`tm`.`Overdue_Services` AS `Overdue_Services`,`tm`.`Overdue_Services_Response` AS `Overdue_Services_Response`,`tm`.`Given_Services` AS `Given_Services`,`tm`.`Given_Services_Response` AS `Given_Services_Response`,`tm`.`Miscarriage` AS `Miscarriage`,`tm`.`Baby_Died` AS `Baby_Died`,`tm`.`Call_No` AS `Call_No`,`tm`.`Questions_Asked` AS `Questions_Asked`,`tm`.`Asnwer_Given_by_Benificary` AS `Asnwer_Given_by_Benificary`,`tm`.`Source` AS `Source`,`tm`.`NoCall_Reason` AS `NoCall_Reason`,`tm`.`NoPhone_Reason` AS `NoPhone_Reason`,`tm`.`Created_By` AS `Created_By`,`tm`.`Updated_By` AS `Updated_By`,`tm`.`BPL_APL` AS `BPL_APL`,`tm`.`MDDS_StateID` AS `MDDS_StateID`,`tm`.`MDDS_District_ID` AS `MDDS_District_ID`,`tm`.`MDDS_Taluka_ID` AS `MDDS_Taluka_ID`,`tm`.`MDDS_Village_ID` AS `MDDS_Village_ID`,`tm`.`Is_Valid` AS `Is_Valid`,`tm`.`InValid_Reason` AS `InValid_Reason`,`tm`.`Is_Error` AS `Is_Error`,`tm`.`Error_Reason` AS `Error_Reason`,`tm`.`FileID` AS `FileID`,`tm`.`IsAllocated` AS `IsAllocated`,`tm`.`Deleted` AS `Deleted`,`tm`.`Processed` AS `Processed`,`tm`.`CreatedBy` AS `CreatedBy`,`tm`.`ModifiedBy` AS `ModifiedBy`,`tm`.`LastModDate` AS `LastModDate`,`tc`.`MCTSID_no_Child_ID` AS `MCTSID_no_Child_ID`,`tc`.`Child_Name` AS `Child_Name`,`tc`.`Father_Name` AS `Father_Name`,`tc`.`Mother_Name` AS `Mother_Name`,`tc`.`Mother_ID` AS `Mother_ID`,`tc`.`DOB` AS `DOB`,`tc`.`Place_of_Birth` AS `Place_of_Birth`,`tc`.`Gender` AS `Gender`,`tc`.`BloodGroup` AS `BloodGroup`,`tc`.`Child_Aadhaar_No` AS `Child_Aadhaar_No`,`tc`.`Weight_of_Child` AS `Weight_of_Child`,`tc`.`Child_EID` AS `Child_EID`,`tc`.`Child_EID_Time` AS `Child_EID_Time`,`tc`.`Emamta_Health_ID` AS `Emamta_Health_ID`,`tc`.`Emamta_Family_ID` AS `Emamta_Family_ID`,`tc`.`Phone_No_of` AS `Phone_No_of`,`tc`.`Phone_No` AS `Phone_No`,`tc`.`Registration_Date` AS `Registration_Date`,`tc`.`Updated_Date` AS `Updated_Date`,`tc`.`CityID` AS `CityID`,`tc`.`City` AS `City`,`tc`.`Year` AS `Year`,`tc`.`ANM_Phone_No` AS `ANM_Phone_No`,`tc`.`ASHA_Phone_No` AS `ASHA_Phone_No`,`tc`.`BCG_Date` AS `BCG_Date`,`tc`.`OPV0_Date` AS `OPV0_Date`,`tc`.`Hepatitis_B1_Date` AS `Hepatitis_B1_Date`,`tc`.`DPT1_Date` AS `DPT1_Date`,`tc`.`OPV1_Date` AS `OPV1_Date`,`tc`.`Hepatitis_B2_Date` AS `Hepatitis_B2_Date`,`tc`.`DPT2_Date` AS `DPT2_Date`,`tc`.`OPV2_Date` AS `OPV2_Date`,`tc`.`Hepatitis_B3_Date` AS `Hepatitis_B3_Date`,`tc`.`DPT3_Date` AS `DPT3_Date`,`tc`.`OPV3_Date` AS `OPV3_Date`,`tc`.`Hepatitis_B4_Date` AS `Hepatitis_B4_Date`,`tc`.`Measles_Date` AS `Measles_Date`,`tc`.`VitA_Dose1_Date` AS `VitA_Dose1_Date`,`tc`.`MR_Date` AS `MR_Date`,`tc`.`DPTBooster_Date` AS `DPTBooster_Date`,`tc`.`OPVBooster_Date` AS `OPVBooster_Date`,`tc`.`VitA_Dose2_Date` AS `VitA_Dose2_Date`,`tc`.`VitA_Dose3_Date` AS `VitA_Dose3_Date`,`tc`.`VitA_Dose99_Date` AS `VitA_Dose99_Date`,`tc`.`VitA_Dose5_Date` AS `VitA_Dose5_Date`,`tc`.`VitA_Dose6_Date` AS `VitA_Dose6_Date`,`tc`.`VitA_Dose7_Date` AS `VitA_Dose7_Date`,`tc`.`VitA_Dose8_Date` AS `VitA_Dose8_Date`,`tc`.`VitA_Dose9_Date` AS `VitA_Dose9_Date`,`tc`.`JE_Date` AS `JE_Date`,`tc`.`DT5_Date` AS `DT5_Date`,`tc`.`TT10_Date` AS `TT10_Date`,`tc`.`TT16_Date` AS `TT16_Date`,`tc`.`Measles_2_Date` AS `Measles_2_Date`,`tc`.`PentaValent1_Date` AS `PentaValent1_Date`,`tc`.`PentaValent2_Date` AS `PentaValent2_Date`,`tc`.`PentaValent3_Date` AS `PentaValent3_Date`,`tc`.`is_Upload` AS `is_Upload`,`tc`.`Delete_Mother` AS `Delete_Mother`,`tc`.`Delete_Reason` AS `Delete_Reason`,`tc`.`Deleted_ON` AS `Deleted_ON`,`tc`.`SMS_Status` AS `SMS_Status`,`tc`.`BirthCertificateNo` AS `BirthCertificateNo`,`tc`.`Rural_urban` AS `Rural_urban`,`tc`.`SNO` AS `SNO`,`tc`.`Lead_ID` AS `Lead_ID`,`tc`.`My_ID` AS `My_ID`,`tc`.`CID_NO` AS `CID_NO`,`tc`.`MID_NO` AS `MID_NO`,`tc`.`Duplicate_Bit` AS `Duplicate_Bit`,`tc`.`FacilityType` AS `FacilityType`,`tc`.`DueServices` AS `DueServices`,`tc`.`OverDueServices` AS `OverDueServices`,`tc`.`GivenServices` AS `GivenServices` from ((((((`t_feedback` `tf` left join `t_mothervalidrecord` `tm` on((`tf`.`BeneficiaryRegID` = `tm`.`BeneficiaryRegID`))) left join `t_childvaliddata` `tc` on((`tc`.`BeneficiaryRegID` = `tm`.`BeneficiaryRegID`))) left join `m_feedbacktype` `mf` on((`mf`.`FeedbackTypeID` = `tf`.`FeedbackTypeID`))) left join `m_feedbacknature` `mf1` on((`mf1`.`FeedbackTypeID` = `mf`.`FeedbackTypeID`))) left join `m_designation` `md` on((`md`.`DesignationID` = `tf`.`DesignationID`))) left join `m_institution` `mi` on((`mi`.`InstitutionID` = `tf`.`InstitutionID`))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_showprovideradmin`
--

/*!50001 DROP VIEW IF EXISTS `v_showprovideradmin`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`piramaldev`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `v_showprovideradmin` AS select `usrm`.`USRMappingID` AS `USRMappingID`,`usrm`.`UserID` AS `UserID`,`usr`.`TitleID` AS `TitleID`,`title`.`TitleName` AS `TitleName`,`usr`.`FirstName` AS `FirstName`,`usr`.`MiddleName` AS `MiddleName`,`usr`.`LastName` AS `LastName`,`usr`.`IsSupervisor` AS `IsSupervisor`,`usr`.`Deleted` AS `UserDeleted`,`usrm`.`RoleID` AS `RoleID`,`role`.`RoleName` AS `RoleName`,`role`.`Deleted` AS `RoleDeleted`,`usrm`.`AgentID` AS `AgentID`,`usrm`.`AgentPassword` AS `AgentPassword`,`usrm`.`CZRole` AS `CZRole`,`usrm`.`ProviderServiceMapID` AS `ProviderServiceMapID`,`psm`.`Deleted` AS `ProviderServiceMapDeleted`,`usrm`.`WorkingLocationID` AS `WorkingLocationID`,`psam`.`LocationName` AS `LocationName`,`psam`.`Deleted` AS `WorkingLocationDeleted`,`usrm`.`Deleted` AS `USRMDeleted`,`psm`.`ServiceProviderID` AS `ServiceProviderID`,`sp`.`ServiceProviderName` AS `ServiceProviderName`,`sp`.`Deleted` AS `ServiceProviderDeleted`,`psm`.`ServiceID` AS `ServiceID`,`sm`.`ServiceName` AS `ServiceName`,`sm`.`IsNational` AS `IsNational`,`sm`.`Deleted` AS `ServiceDeleted`,`psm`.`StateID` AS `StateID`,`st`.`StateName` AS `StateName` from ((((((((`m_userservicerolemapping` `usrm` left join `m_providerservicemapping` `psm` on((`usrm`.`ProviderServiceMapID` = `psm`.`ProviderServiceMapID`))) left join `m_user` `usr` on((`usrm`.`UserID` = `usr`.`UserID`))) left join `m_role` `role` on((`usrm`.`RoleID` = `role`.`RoleID`))) left join `m_providerserviceaddmapping` `psam` on((`usrm`.`WorkingLocationID` = `psam`.`PSAddMapID`))) left join `m_serviceprovider` `sp` on((`psm`.`ServiceProviderID` = `sp`.`ServiceProviderID`))) left join `m_servicemaster` `sm` on((`psm`.`ServiceID` = `sm`.`ServiceID`))) left join `m_state` `st` on((`psm`.`StateID` = `st`.`StateID`))) left join `m_title` `title` on((`usr`.`TitleID` = `title`.`TitleID`))) where (`role`.`RoleID` = 11) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_showproviderservicemapping`
--

/*!50001 DROP VIEW IF EXISTS `v_showproviderservicemapping`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`piramaldev`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `v_showproviderservicemapping` AS select `psm`.`ProviderServiceMapID` AS `ProviderServiceMapID`,`psm`.`ServiceProviderID` AS `ServiceProviderID`,`sp`.`ServiceProviderName` AS `ServiceProviderName`,`psm`.`ServiceID` AS `ServiceID`,`ser`.`ServiceName` AS `ServiceName`,`ser`.`IsNational` AS `IsNational`,`psm`.`CountryID` AS `CountryID`,`cou`.`CountryName` AS `CountryName`,`psm`.`StateID` AS `StateID`,`st`.`StateName` AS `StateName`,`psm`.`DistrictID` AS `DistrictID`,`psm`.`CityID` AS `CityID`,`psm`.`DistrictBlockID` AS `DistrictBlockID`,`psm`.`Address` AS `Address`,`psm`.`StatusID` AS `StatusID`,`sta`.`Status` AS `Status`,`psm`.`CTI_CampaignName` AS `CTI_CampaignName`,`psm`.`ValidFrom` AS `ValidFrom`,`psm`.`ValidTill` AS `ValidTill`,`psm`.`Deleted` AS `Deleted`,`psm`.`Processed` AS `Processed`,`psm`.`CreatedBy` AS `CreatedBy`,`psm`.`CreatedDate` AS `CreatedDate`,`psm`.`ModifiedBy` AS `ModifiedBy`,`psm`.`LastModDate` AS `LastModDate` from (((((`m_providerservicemapping` `psm` left join `m_country` `cou` on((`psm`.`CountryID` = `cou`.`CountryID`))) left join `m_serviceprovider` `sp` on((`psm`.`ServiceProviderID` = `sp`.`ServiceProviderID`))) left join `m_servicemaster` `ser` on((`psm`.`ServiceID` = `ser`.`ServiceID`))) left join `m_state` `st` on((`psm`.`StateID` = `st`.`StateID`))) left join `m_status` `sta` on((`psm`.`StatusID` = `sta`.`StatusID`))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_showsubcategory`
--

/*!50001 DROP VIEW IF EXISTS `v_showsubcategory`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`piramaldev`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `v_showsubcategory` AS select `ca`.`CategoryID` AS `CategoryID`,`ca`.`CategoryName` AS `CategoryName`,`ca`.`CategoryDesc` AS `CategoryDesc`,`sc`.`SubCategoryID` AS `SubCategoryID`,`sc`.`SubCategoryName` AS `SubCategoryName`,`sc`.`SubCategoryDesc` AS `SubCategoryDesc`,`sc`.`SubCatFilePath` AS `SubCatFilePath`,`sc`.`Deleted` AS `SubCategoryDeleted`,`ca`.`SubServiceID` AS `SubServiceID`,`sus`.`SubServiceName` AS `SubServiceName`,`ca`.`ProviderServiceMapID` AS `ProviderServiceMapID`,`ca`.`Deleted` AS `CategoryDeleted` from ((`m_category` `ca` left join `m_subcategory` `sc` on((`sc`.`CategoryID` = `ca`.`CategoryID`))) left join `m_subservice` `sus` on((`ca`.`SubServiceID` = `sus`.`SubServiceID`))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_showuser`
--

/*!50001 DROP VIEW IF EXISTS `v_showuser`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`piramaldev`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `v_showuser` AS select `usr`.`UserID` AS `UserID`,`usr`.`TitleID` AS `TitleID`,`usr`.`FirstName` AS `FirstName`,`usr`.`MiddleName` AS `MiddleName`,`usr`.`LastName` AS `LastName`,`usr`.`GenderID` AS `GenderID`,`usr`.`MaritalStatusID` AS `MaritalStatusID`,`usr`.`AadhaarNo` AS `AadhaarNo`,`usr`.`PAN` AS `PAN`,`usr`.`DOB` AS `DOB`,`usr`.`DOJ` AS `DOJ`,`usr`.`QualificationID` AS `QualificationID`,`usr`.`DesignationID` AS `DesignationID`,`usr`.`UserName` AS `UserName`,`usr`.`Password` AS `Password`,`usr`.`CZUserID` AS `CZUserID`,`usr`.`CZPassword` AS `CZPassword`,`usr`.`AgentID` AS `AgentID`,`usr`.`AgentPassword` AS `AgentPassword`,`usr`.`CZRole` AS `CZRole`,`usr`.`ContactNo` AS `ContactNo`,`usr`.`EmailID` AS `EmailID`,`usr`.`StatusID` AS `StatusID`,`usr`.`ServiceProviderID` AS `ServiceProviderID`,`usr`.`EmergencyContactPerson` AS `EmergencyContactPerson`,`usr`.`EmergencyContactNo` AS `EmergencyContactNo`,`usr`.`IsExternal` AS `IsExternal`,`usr`.`IsSupervisor` AS `IsSupervisor`,`usr`.`IsProviderAdmin` AS `IsProviderAdmin`,`usr`.`Remarks` AS `Remarks`,`usr`.`Deleted` AS `Deleted`,`usr`.`Processed` AS `Processed`,`usr`.`CreatedBy` AS `CreatedBy`,`usr`.`CreatedDate` AS `CreatedDate`,`usr`.`ModifiedBy` AS `ModifiedBy`,`usr`.`LastModDate` AS `LastModDate`,`titl`.`TitleName` AS `TitleName`,`gen`.`GenderName` AS `GenderName`,`usrq`.`Name` AS `UserQualification`,`desg`.`DesignationName` AS `DesignationName`,`marst`.`Status` AS `MaritalStatus`,`sta`.`Status` AS `Status`,`usrd`.`DemographicID` AS `DemographicID`,`usrd`.`FathersName` AS `FathersName`,`usrd`.`MothersName` AS `MothersName`,`usrd`.`CommunityID` AS `CommunityID`,`com`.`CommunityType` AS `CommunityType`,`usrd`.`ReligionID` AS `ReligionID`,`rel`.`ReligionType` AS `ReligionType`,`usrd`.`AddressLine1` AS `AddressLine1`,`usrd`.`AddressLine2` AS `AddressLine2`,`usrd`.`PermAddressLine1` AS `PermAddressLine1`,`usrd`.`PermAddressLine2` AS `PermAddressLine2`,`usrd`.`PermStateID` AS `PermStateID`,`usrd`.`PermDistrictID` AS `PermDistrictID`,`usrd`.`PermPinCode` AS `PermPinCode`,`usrd`.`PermanentAddress` AS `PermanentAddress`,`usrd`.`CityID` AS `CityID`,`usrd`.`DistrictID` AS `DistrictID`,`distr`.`DistrictName` AS `DistrictName`,`usrd`.`StateID` AS `StateID`,`st`.`StateName` AS `StateName`,`usrd`.`CountryID` AS `CountryID`,`cou`.`CountryName` AS `CountryName`,`usrd`.`PinCode` AS `PinCode`,`usrd`.`IsPresent` AS `IsPresent`,`usrd`.`IsPermanent` AS `IsPermanent`,`usrd`.`Deleted` AS `DemographicDeleted`,`usr`.`HealthProfessionalID` AS `HealthProfessionalID` from ((((((((((((`m_user` `usr` left join `m_userdemographics` `usrd` on((`usr`.`UserID` = `usrd`.`UserID`))) left join `m_title` `titl` on((`usr`.`TitleID` = `titl`.`TitleID`))) left join `m_gender` `gen` on((`usr`.`GenderID` = `gen`.`GenderID`))) left join `m_userqualification` `usrq` on((`usr`.`QualificationID` = `usrq`.`QualificationID`))) left join `m_designation` `desg` on((`usr`.`DesignationID` = `desg`.`DesignationID`))) left join `m_status` `sta` on((`usr`.`StatusID` = `sta`.`StatusID`))) left join `m_maritalstatus` `marst` on((`usr`.`MaritalStatusID` = `marst`.`MaritalStatusID`))) left join `m_community` `com` on((`usrd`.`CommunityID` = `com`.`CommunityID`))) left join `m_religion` `rel` on((`usrd`.`ReligionID` = `rel`.`ReligionID`))) left join `m_district` `distr` on((`usrd`.`DistrictID` = `distr`.`DistrictID`))) left join `m_state` `st` on((`usrd`.`StateID` = `st`.`StateID`))) left join `m_country` `cou` on((`usrd`.`CountryID` = `cou`.`CountryID`))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_userprkngplacvanspstatedisblok`
--

/*!50001 DROP VIEW IF EXISTS `v_userprkngplacvanspstatedisblok`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`piramaldev`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `v_userprkngplacvanspstatedisblok` AS select `upp`.`UserID` AS `userid`,`uvm`.`VanID` AS `VanID`,concat(`mv`.`VehicalNo`,' - ',`mvt`.`VanType`) AS `vanNoAndType`,`mvsp`.`VanSession` AS `VanSession`,`mvsp`.`ServicePointID` AS `ServicePointID`,`msp`.`ServicePointName` AS `ServicePointName`,`upp`.`ParkingPlaceID` AS `parkingplaceid`,`mv`.`ProviderServiceMapID` AS `ProviderServiceMapID`,`mv`.`IsFacility` AS `IsFacility`,`mv`.`FacilityID` AS `FacilityID` from ((((((`m_uservanmapping` `uvm` join `m_userparkingplacemap` `upp` on(((`uvm`.`UserParkingPlaceMapID` = `upp`.`UserParkingPlaceMapID`) and (`upp`.`Deleted` is false)))) join `m_van` `mv` on(((`uvm`.`VanID` = `mv`.`VanID`) and (`mv`.`Deleted` is false)))) join `m_servicepoint` `msp` on(((`upp`.`ParkingPlaceID` = `msp`.`ParkingPlaceID`) and (`msp`.`Deleted` is false)))) join `m_vanservicepointmap` `mvsp` on(((`mv`.`VanID` = `mvsp`.`VanID`) and (`msp`.`ServicePointID` = `mvsp`.`ServicePointID`) and (`mvsp`.`Deleted` is false)))) join `m_parkingplace` `mpp` on(((`upp`.`ParkingPlaceID` = `mpp`.`ParkingPlaceID`) and (`mpp`.`Deleted` is false)))) join `m_vantype` `mvt` on(((`mv`.`VanTypeID` = `mvt`.`VanTypeID`) and (`mvt`.`Deleted` is false)))) where (`uvm`.`Deleted` is false) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_userservicerolemapping`
--

/*!50001 DROP VIEW IF EXISTS `v_userservicerolemapping`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_userservicerolemapping` AS select `usr`.`UserID` AS `UserID`,`usrm`.`USRMappingID` AS `USRMappingID`,concat(coalesce(`usr`.`FirstName`,''),' ',coalesce(`usr`.`MiddleName`,''),' ',coalesce(`usr`.`LastName`,'')) AS `Name`,`usr`.`UserName` AS `UserName`,`psm`.`ServiceID` AS `ServiceID`,`sm`.`ServiceName` AS `ServiceName`,`sm`.`IsNational` AS `IsNational`,`psm`.`StateID` AS `StateID`,`st`.`StateName` AS `StateName`,`psam`.`DistrictID` AS `WorkingDistrictID`,`dist`.`DistrictName` AS `WorkingDistrictName`,`usrm`.`WorkingLocationID` AS `WorkingLocationID`,`usrm`.`ServiceProviderID` AS `ServiceProviderID`,`psam`.`LocationName` AS `LocationName`,`psam`.`Address` AS `WorkingLocationAddress`,`usrm`.`RoleID` AS `RoleID`,`rol`.`RoleName` AS `RoleName`,`usrm`.`ProviderServiceMapID` AS `ProviderServiceMapID`,`usrm`.`AgentID` AS `AgentID`,`psm`.`StatusID` AS `PSMStatusID`,`sta`.`Status` AS `PSMStatus`,`usrm`.`Deleted` AS `UserServciceRoleDeleted`,`usr`.`Deleted` AS `UserDeleted`,`sp`.`Deleted` AS `ServiceProviderDeleted`,`rol`.`Deleted` AS `RoleDeleted`,`psm`.`Deleted` AS `ProviderServiceMappingDeleted`,`usrm`.`isInbound` AS `isInbound`,`usrm`.`isOutbound` AS `isOutbound`,`usrm`.`Blockid` AS `blockid`,`usrm`.`BlockName` AS `blockname`,`usrm`.`Villageid` AS `villageid`,`usrm`.`VillageName` AS `villagename`,`usrm`.`isSanjeevani` AS `isSanjeevani` from (((((((((`m_userservicerolemapping` `usrm` left join `m_user` `usr` on((`usrm`.`UserID` = `usr`.`UserID`))) left join `m_role` `rol` on((`usrm`.`RoleID` = `rol`.`RoleID`))) left join `m_providerservicemapping` `psm` on((`usrm`.`ProviderServiceMapID` = `psm`.`ProviderServiceMapID`))) left join `m_providerserviceaddmapping` `psam` on((`usrm`.`WorkingLocationID` = `psam`.`PSAddMapID`))) left join `m_district` `dist` on((`psam`.`DistrictID` = `dist`.`DistrictID`))) left join `m_state` `st` on((`psm`.`StateID` = `st`.`StateID`))) left join `m_serviceprovider` `sp` on((`psm`.`ServiceProviderID` = `sp`.`ServiceProviderID`))) left join `m_servicemaster` `sm` on((`psm`.`ServiceID` = `sm`.`ServiceID`))) left join `m_status` `sta` on((`psm`.`StatusID` = `sta`.`StatusID`))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-09-19 18:15:08
